import 'i18n.dart';

/// The translations for Dutch Flemish (`nl`).
class I18nNl extends I18n {
  I18nNl([String locale = 'nl']) : super(locale);

  @override
  String get numSb404 => 'U bent de weg kwijt. Deze pagina bestaat niet.';

  @override
  String about250Sbblock8722Sb18722Sbtext(Object appName) {
    return 'Bij $appName is het ons doel om een veilig en gebruiksvriendelijk persoon-tot-persoon platform op te zetten waarmee iedereen zijn lokale valuta kan verhandelen voor Monero, waar dan ook. Onze gebruikers plaatsen advertenties waarin ze hun gewenste betaalmethode kunnen specificeren (bijv. bankoverschrijving, contant geld, online betalingsverwerker zoals PayPal, cadeaubonnen, enz.), andere gebruikers reageren op deze advertenties, $appName neemt een arbitragegarantie gelijk aan het bedrag van de transactie van de gebruiker die de Monero-verkoper is in een bepaalde transactie en de verkoper stuurt de Monero naar de koper wanneer de verkoper bevestigt dat hij de betaling van de koper heeft ontvangen, waarna de arbitragegarantie terug wordt gegeven aan de verkoper. $appName kan ook ingrijpen om eventuele geschillen te bemiddelen.';
  }

  @override
  String about250Sbblock8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return 'Bij $appName is het ons doel om een veilig en gebruiksvriendelijk persoon-tot-persoon-platform op te zetten waarmee iedereen zijn lokale valuta kan verhandelen voor cryptocurrency, waar dan ook. Onze gebruikers plaatsen advertenties waarin ze hun gewenste betaalmethode kunnen specificeren (bijv. bankoverschrijving, contant geld, online betalingsverwerker zoals PayPal, cadeaubonnen, enz.), andere gebruikers reageren op deze advertenties, $appName neemt een arbitragegarantie gelijk aan het bedrag van de transactie van de gebruiker die de cryptocurrency-verkoper is in een bepaalde transactie en de verkoper stuurt de cryptocurrency naar de koper wanneer de verkoper bevestigt dat hij de betaling van de koper heeft ontvangen, waarna de arbitragegarantie wordt teruggegeven aan de verkoper. $appName kan ook ingrijpen om eventuele geschillen te bemiddelen.';
  }

  @override
  String get about250Sbblock8722Sb18722Sbtitle => 'Onze Missie';

  @override
  String about250Sbblock8722Sb28722Sbtext(Object appName) {
    return 'Op $appName heb je te maken met mensen. In tegenstelling tot gecentraliseerde cryptocurrency-uitwisselingen, doet u een transactie rechtstreeks met een ander persoon. Dit maakt het proces lean en snel, omdat er geen zakelijke overhead is. U krijgt uw Monero direct. $appName kan ook elke betaalmethode ondersteunen die door de gebruikersgemeenschap wordt ondersteund, waardoor gebruikers zonder toegang tot traditioneel bankieren ook Monero kunnen kopen of verkopen. Voor elke transactie vereist $appName dat de verkoper een arbitragegarantie plaatst om de koper van Monero te beschermen.';
  }

  @override
  String about250Sbblock8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'Op $appName heb je te maken met mensen. In tegenstelling tot gecentraliseerde cryptocurrency-uitwisselingen, doet u een transactie rechtstreeks met een ander persoon. Dit maakt het proces lean en snel, omdat er geen zakelijke overhead is. U krijgt uw cryptocurrency direct. $appName kan ook elke betaalmethode ondersteunen die door de gebruikersgemeenschap wordt ondersteund, waardoor het voor gebruikers zonder toegang tot traditioneel bankieren mogelijk wordt om ook in cryptocurrency te handelen. Voor elke transactie vereist $appName dat de verkoper een arbitragegarantie plaatst om de koper van cryptocurrency te beschermen.';
  }

  @override
  String get about250Sbblock8722Sb28722Sbtitle => 'Hoe We Anders Zijn';

  @override
  String get about250Sbcontact8722Sbbtn => 'Contact Opnemen';

  @override
  String get about250Sbtitle => 'Over ons';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuy8722Sbbtn => 'Kopen';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuyer => 'Koper';

  @override
  String get ad8722Sblisting8722Sbtable250Sbdistance => 'Afstand';

  @override
  String get ad8722Sblisting8722Sbtable250Sblimits => 'Limieten';

  @override
  String get ad8722Sblisting8722Sbtable250Sblocation => 'Locatie';

  @override
  String get ad8722Sblisting8722Sbtable250Sbmethod => 'Betalingswijze';

  @override
  String ad8722Sblisting8722Sbtable250Sbprice(Object assetSymbol) {
    return 'Prijs/$assetSymbol';
  }

  @override
  String get ad8722Sblisting8722Sbtable250Sbsell8722Sbbtn => 'Verkopen';

  @override
  String get ad8722Sblisting8722Sbtable250Sbseller => 'Verkoper';

  @override
  String get ad8722Sblisting8722Sbtable250Sbshow8722Sbmore => 'Laat meer zien...';

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore8722Sbby8722Sbuser(Object user) {
    return 'Toon meer soortgelijke advertenties van $user...';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore250Sball8722Sbin8722Sbcountry8722Sbor8722Sbcurrency(Object countryOrcurrency) {
    return 'Alles in $countryOrcurrency';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbhide(Object username) {
    return 'Verberg soortgelijke advertenties van $username';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbshow(Object numberOfSimilarAds, Object username) {
    return 'Toon $numberOfSimilarAds meer soortgelijke advertenties van $username';
  }

  @override
  String get ad8722Sbpage250Sbcant8722Sbsend8722Sbtrade8722Sbrequest => 'Kan momenteel geen transactie aanvragen voor deze advertentie';

  @override
  String get ad8722Sbpage250Sbedit8722Sbad8722Sbbtn => 'Advertentie bewerken';

  @override
  String get ad8722Sbpage250Sberror250Sbtitle => 'Fout bij handelsverzoek';

  @override
  String ad8722Sbpage250Sbfirst8722Sbtime8722Sblimit8722Sbtip(Object firstTimelimitxmr) {
    return 'Deze handelaar staat maximaal $firstTimelimitxmr toe voor de eerste transactie met hem.';
  }

  @override
  String ad8722Sbpage250Sbfluctuations8722Sbtip(Object assetSymbol) {
    return 'Houd er rekening mee dat het werkelijke $assetSymbol-bedrag van de transactie kan afwijken van het bedrag dat momenteel is weergegeven als gevolg van prijs- en wisselkoersschommelingen.';
  }

  @override
  String ad8722Sbpage250Sbfor8722Sbtrusted(Object username) {
    return 'Alleen voor gebruikers vertrouwd door $username';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location, Object user, Object currency) {
    return 'Verkoop $assetName voor contant geld in $location aan $user met $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location, Object user, Object currency) {
    return 'Koop $assetName contant in $location van $user met $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'Verkoop $assetName via $paymentMethod${detail} met $currency';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbsell(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return 'Koop $assetName via $paymentMethod${detail} met $currency';
  }

  @override
  String ad8722Sbpage250Sbhidden8722Sbwarning8722Sb0(Object editAd) {
    return 'De zichtbaarheid van deze advertentie is ingesteld op verborgen. U kunt dat wijzigen op de $editAd pagina.';
  }

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb08722Sbedit8722Sbad => 'Advertentie bewerken';

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb1 => 'Deze advertentie is momenteel niet actief. Kijk alstublieft voor andere aanbiedingen of kom later terug.';

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy => 'kopen';

  @override
  String ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy57Sbsell(Object buyOrsell) {
    return 'Hoeveel wilt u {kopen of verkopen}?';
  }

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbsell => 'verkopen';

  @override
  String get ad8722Sbpage250Sbinfo250Sbpayment8722Sbwindow => 'Betalingsvenster';

  @override
  String get ad8722Sbpage250Sbinfo250Sbtrade8722Sblimits => 'Handelslimieten';

  @override
  String get ad8722Sbpage250Sbinfo250Sbuser => 'Gebruiker';

  @override
  String ad8722Sbpage250Sblimit8722Sbto8722Sbamounts(Object amounts, Object currency) {
    return 'Deze handelaar heeft de mogelijke handelsbedragen beperkt tot $amounts $currency';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbamount8722Sbtip(Object minimumAmount) {
    return 'U moet voor minimaal $minimumAmount handelen met deze advertentie.';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbfeedback8722Sbtip(Object minimumFeedbackscore) {
    return 'Deze handelaar heeft een minimale feedbackscore nodig van $minimumFeedbackscore om te kunnen handelen.';
  }

  @override
  String get ad8722Sbpage250Sbreport8722Sbad => 'Rapporteer deze advertentie door een ticket te openen';

  @override
  String ad8722Sbpage250Sbrequest8722Sbtrade250Sbmin8722Sbrequired8722Sbbalance(Object amount, Object appName) {
    return 'U moet $amount in uw $appName-portemonnee voor arbitrage-obligaties hebben om de arbitragebeschermingskosten van 1% voor deze transactie te dekken.';
  }

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbaccept8722Sbprice => 'Accepteer de prijs en ga verder';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbamount => 'Nieuw handelsbedrag';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbprice => 'Nieuwe prijs';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbold8722Sbprice => 'Oude prijs';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbselect8722Sbadjustment => 'Pas het handelsbedrag aan voor';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbtitle => 'De prijs is veranderd';

  @override
  String get ad8722Sbpage250Sbselect8722Sbamount => 'Selecteer bedrag...';

  @override
  String get ad8722Sbpage250Sbsend8722Sbtrade8722Sbrequest8722Sbbtn => 'Stuur een handelsverzoek';

  @override
  String get ad8722Sbpage250Sbshow8722Sbon8722Sbmap => 'Toon op kaart';

  @override
  String get ad8722Sbpage250Sbsign8722Sbup8722Sbbtn => 'Meld u aan om te beginnen met handelen';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbbtn => 'Ga akkoord met de voorwaarden en begin met handelen';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbsubtitle => 'Gaat u akkoord met de voorwaarden van deze handelaar?';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbtitle => 'Lees de voorwaarden';

  @override
  String ad8722Sbpage250Sbterms8722Sbof8722Sbtrade(Object username) {
    return 'Handelsvoorwaarden met $username';
  }

  @override
  String get ad8722Sbpage250Sbtips => 'Tips';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb0 => 'Lees de advertentie en controleer de voorwaarden.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb1 => 'Stel een ontmoetingsplaats en contacttijd voor, als er fysiek geld wordt verhandeld.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb2 => 'Pas op voor oplichters! Controleer de profielfeedback en wees extra voorzichtig met recent aangemaakte accounts.';

  @override
  String ad8722Sbpage250Sbtips8722Sbtext8722Sb3(Object assetName) {
    return 'Houd er rekening mee dat afrondingen en prijsschommelingen het uiteindelijke $assetName-bedrag kunnen wijzigen. Het bedrag van $assetName wordt berekend op basis van het handelsvaluta bedrag dat u heeft ingevoerd.';
  }

  @override
  String get ad250Sbconfirmation250Sbaccept8722Sbterms8722Sbbtn => 'Voorwaarden accepteren';

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress(Object asset) {
    return 'Geef het portefeuilleadres van de $asset-portefeuille door';
  }

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbsubtitile(Object asset) {
    return 'Het adres wordt gebruikt om de $asset die je hebt gekocht te ontvangen. Zorg ervoor dat het adres correct is en dat u toegang heeft tot de portefeuille, anders kunnen de munten onherstelbaar verloren gaan.';
  }

  @override
  String get ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbyou8722Sbown => 'Door met de transactie te beginnen, bevestigt u dat de ontvangende portefeuille van u is';

  @override
  String get ad250Sbdeleted => 'Deze advertentie is verwijderd';

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'Verkoop $assetName voor contant geld in $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Koop $assetName met contant geld in $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return 'Verkoop $assetName online in $country';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbsell8722Sbheading(Object assetName, Object country) {
    return 'Koop $assetName online in $country';
  }

  @override
  String ad250Sblinks250Sbsubtitle(Object appName, Object assetName) {
    return 'Niet de deal gevonden waar u naar op zoek was? Deze $appName-vermeldingen hebben meer $assetName-handelsdeals die vergelijkbaar zijn met deze:';
  }

  @override
  String get ad250Sblinks250Sbtitle => 'Vermeldingen met deze advertentie';

  @override
  String get ad250Sblisting250Sbinsufficient8722Sbbalance => 'Handelaar heeft onvoldoende saldo';

  @override
  String get ad250Sbno8722Sbmax8722Sbamount => 'elk aantal ';

  @override
  String get ad250Sbno8722Sbmin8722Sbamount => 'Tot ';

  @override
  String get ad250Sbno8722Sbterms => 'Geen handelsvoorwaarden gespecificeerd. ';

  @override
  String ad250Sbnotice250Sbprotected(Object link) {
    return 'Deze transactie wordt beschermd door een $link';
  }

  @override
  String get ad250Sbnotice250Sbprotected250Sblink => 'arbitrage obligatie';

  @override
  String get ad250Sbself8722Sbvacation8722Sbnotice => 'Deze advertentie is niet zichtbaar voor het publiek, omdat u momenteel op vakantie bent. U kunt dat wijzigen in de instellingen of op het dashboard.';

  @override
  String get ad250Sbverified8722Sbemail => 'Uw e-mailadres moet worden geverifieerd om een transactie met deze advertentie te openen';

  @override
  String address8722Sbinput250Sbbuyer8722Sbsettlement8722Sbaddress250Sblabel(Object asset) {
    return 'Settlement $asset portefeuille-adres';
  }

  @override
  String get affiliate250Sbbanner250Sbcode => 'Bannercode:';

  @override
  String affiliate250Sbbanner250Sbtext(Object appName, Object linebreak, Object iframe) {
    return 'Banners promoten $appName bij uw partner. U kunt HTML-banners toevoegen aan uw blogs en websites. $linebreak  $iframe banner voor uw advertentie (formaat 234 x 60 pixels, halve bannereenheid):';
  }

  @override
  String get affiliate250Sbbanner250Sbtitle => 'Banner';

  @override
  String get affiliate250Sbenable8722Sbbtn => 'Partnerprogramma inschakelen';

  @override
  String affiliate250Sbenabled(Object refCode, Object appName) {
    return 'Uw partnerprogramma is ingeschakeld en u kunt commissies verdienen door uw partnertag $refCode toe te voegen aan elke $appName-URL.';
  }

  @override
  String affiliate250Sbexample250Sbtext(Object assetName, Object appName, Object assetSymbol, Object linebreak, Object support) {
    return 'U krijgt twee gebruikers, koper en verkoper van de $assetName geregistreerd op $appName, en ze doen één transactie ter waarde van 100 $assetSymbol. U verdient 20% commissie over de $appName-handelskosten van beide deelnemers, in totaal 40% van de $appName-kosten. Uw verdiende bedrag is 0,4 $assetSymbol. Alleen afgeronde verkopen die door ons transactieproces gaan, zijn van belang. Dagelijks worden er uitbetalingen gedaan. $linebreak  $appName $support helpt u graag met al uw vragen.';
  }

  @override
  String get affiliate250Sbexample250Sbtext8722Sbsupport => 'support';

  @override
  String get affiliate250Sbexample250Sbtitle => 'Commissie voorbeeld';

  @override
  String get affiliate250Sbinstructions8722Sb0 => 'Affiliatie wordt geregistreerd wanneer een gebruiker zich aanmeldt nadat hij op de site is beland via een link met uw verwijzingscode.';

  @override
  String get affiliate250Sbinstructions8722Sblink8722Sbtype8722Sbregular8722Sbsubtitle => 'Normaal:';

  @override
  String affiliate250Sbinstructions8722Sbtext(Object appName) {
    return 'U kunt elk van de $appName-links gebruiken, bijvoorbeeld:';
  }

  @override
  String get affiliate250Sbinstructions8722Sbtitle => 'Voorbeeld links';

  @override
  String affiliate250Sblogged8722Sbout(Object signUp, Object logIn) {
    return 'U kunt het partnerprogramma inschakelen nadat u de $signUp of $logIn heeft voltooid.';
  }

  @override
  String get affiliate250Sblogged8722Sbout8722Sblog8722Sbin => 'inloggen';

  @override
  String get affiliate250Sblogged8722Sbout8722Sbsign8722Sbup => 'aanmelden';

  @override
  String get affiliate250Sbpayouts250Sbnone => 'Nog geen uitbetalingen';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdate => 'Datum';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription => 'Beschrijving';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription8722Sbtext => 'Partnerprogramma commissie uitbetaling';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbreceived => 'Ontvangen ';

  @override
  String get affiliate250Sbpayouts250Sbtitle => 'Uitbetalingen';

  @override
  String affiliate250Sbref8722Sbcode(Object refCode) {
    return 'Uw verwijzingscode is: $refCode';
  }

  @override
  String affiliate250Sbterms250Sbtext(Object appName, Object assetName) {
    return '• U kunt naar elke afzonderlijke pagina linken, zoals een lijst met landen, betaalmethodes, of iets anders op $appName. <br/>• U zult $assetName verdienen van de gebruikers die via uw aangesloten link naar de site komen, zich registreren en transacties maken. <br/>• Uitbetalingen worden dagelijks gedaan naar uw $appName-portefeuille als $assetName. <br/>• Commissies worden uitbetaald één jaar na de registratie van de gebruiker. Commissie is gebaseerd op het inkomen dat de nieuwe gebruiker voor $appName (handelskosten) opbrengt. <br/>• Als u actieve coupons heeft, worden uw totale couponkortingen voor een bepaalde periode afgetrokken van uw affiliate-inkomsten voor dezelfde periode. Als uw totale kortingsbedrag voor een bepaalde periode groter is dan of gelijk is aan de affiliate-inkomsten voor dezelfde bepaalde periode, ontvangt u geen affiliate-inkomsten voor die periode. <br/>• Elk soort gemeen spel, zoals misleidende reclame, zijn verboden. <br/>• Spammen is verboden. Spammen omvat het verzenden van niet-geabonneerde privé- of openbare berichten op forums/reddit, niet-geabonneerde massamail, enz. <br/>• Het is verboden om verborgen iframes toe te voegen aan een website om affiliates vast te leggen. Alleen aangesloten iframes of directe links naar de webpagina zijn toegestaan. <br/>• $appName heeft het recht om elke aangesloten gebruiker op elk gewenst moment uit te schakelen. Als u de voorwaarden overtreedt, wordt uw partnerprogramma beëindigd.';
  }

  @override
  String affiliate250Sbterms250Sbtext57Sbagoradesk(Object appName) {
    return '• U kunt naar elke afzonderlijke pagina linken, zoals een lijst met landen, betaalmethodes, of iets anders op $appName. <br/>• U zult cryptocurrencies verdienen van de gebruikers die via uw aangesloten link naar de site komen, zich registreren en transacties maken. <br/>• Uitbetalingen worden dagelijks gedaan naar uw $appName-portemonnee in de relevante cryptocurrencies. <br/>• Commissies worden uitbetaald één jaar vanaf de registratie van de gebruiker. Commissie is gebaseerd op het inkomen dat de nieuwe gebruiker voor $appName (handelskosten) opbrengt. <br/>• Elk soort gemeen spel, zoals misleidende reclame, is verboden. <br/>• Spammen is verboden. Spammen omvat het verzenden van afgemelde privé- of openbare berichten op forums/reddit, afgemelde massamail, enz. <br/>• Het is verboden om verborgen iframes toe te voegen aan een website om affiliates vast te leggen. Alleen aangesloten iframes of directe links naar de webpagina zijn toegestaan. <br/>• $appName heeft het recht om elke aangesloten gebruiker op elk gewenst moment uit te schakelen. Als u de voorwaarden overtreedt, wordt uw partnerprogramma beëindigd.';
  }

  @override
  String get affiliate250Sbterms250Sbtitle => 'Partnerprogramma voorwaarden';

  @override
  String get affiliate250Sbtitle => 'Partnerprogramma';

  @override
  String affiliate250Sbusers250Sbtext(Object number) {
    return 'U bent momenteel geregistreerd als partner voor $number gebruikers en verdient commissies voor alle transacties die door hun worden gemaakt.';
  }

  @override
  String get affiliate250Sbusers250Sbtitle => 'Gebruikers';

  @override
  String get agoradesk250Sbad8722Sbpage250Sbhow8722Sbmuch8722Sbnotional8722Sbamount250Sbor => 'of';

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sball => 'TOON ALLE ADVERTENTIES';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sbcoin(Object assetSymbol) {
    return 'ALLEEN $assetSymbol ADVERTENTIES';
  }

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sball => 'TOON ALLES';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbcoin(Object assetSymbol) {
    return 'ALLEEN $assetSymbol';
  }

  @override
  String get agoradesk250Sbasset250Sblabel => 'Crypto-asset';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuy => 'kopen';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuyer => 'koper';

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral(Object buy_or_sell_button_name) {
    return 'Nadat u op de knop \'$buy_or_sell_button_name\' heeft gedrukt, ziet u meer informatie over de advertentie, inclusief de voorwaarden van de transactie. Lees ze door voordat u het ruilverzoek indient, als u het er niet mee eens bent, kunt u teruggaan naar de vorige pagina en een andere advertentie kiezen.';
  }

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral250Sbhow8722Sbto8722Sbstart(Object asset, Object buy_or_sell) {
    return 'Om de transactie te starten, voert u in hoeveel $asset u wilt $buy_or_sell en klikt u op de knop \'Send trade request\' om de transactie te starten.';
  }

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbsell => 'verkopen';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbseller => 'verkoper';

  @override
  String get agoradesk250Sbguide250Sbbtc8722Sbas8722Sban8722Sbexample => 'Voor deze handleiding gebruiken we BTC als basisvaluta, maar dezelfde regels zijn van toepassing op XMR.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbbuyer => 'Als u niet zeker weet hoe u wilt betalen, kies dan \'Alle online aanbiedingen\' als betaalmethode.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbseller => 'Als u niet zeker weet hoe u betaald wilt worden, kies dan \'Alle online aanbiedingen\' als betaalmethode.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbbuy8722Sbtab8722Sbname => 'Kopen';

  @override
  String agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbad8722Sbtype(Object buy_or_sell_tab_name) {
    return 'Selecteer vervolgens in de linkerkolom het tabblad \'$buy_or_sell_tab_name\'. Als u het land, de valuta of de betalingsmethode wilt wijzigen, of het benodigde bedrag wilt specificeren, klik dan op de knop \'Toon zoekmenu\', kies de gewenste parameters en druk op de zoekknop.';
  }

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbasset => 'Selecteer vervolgens de cryptocurrency die u wilt verhandelen door op het overeenkomstige tabblad in de rij boven de advertentietabel te drukken. Voor dit voorbeeld kiezen we BTC.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbmain8722Sbpage => 'Ga naar de hoofdpagina.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsearch8722Sbresults => 'De site vermeldt handelaren die beschikbaar zijn in uw regio.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsell8722Sbtab8722Sbname => 'Verkopen';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbbuy => 'Kopen';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbcoins => 'Handel munten';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbsell => 'Verkopen';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbitm8722Sbotm8722Sbseparator250Sbcurrent8722Sbmarket8722Sbprice => 'Marktprijs';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmor250Sbbutton => 'Meer laden...';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmore250Sbloading => 'Even geduld aub';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbcta => 'Meld u gratis aan om nu te beginnen met handelen in Bitcoin';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbcontent => 'Onze arbitragenormen zijn zeer hoog, aangezien <strong> we geen screenshots of andere gemakkelijk te vervalsen documenten accepteren als bewijs in geschillen </strong>. Hierdoor zijn we in staat om een groot aantal oplichters ervan te weerhouden om op ons platform te plunderen. We reageren snel op rapportages van gebruikers en we geven waarschuwingen in regio\'s met plotselinge pieken in oplichter activiteit.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbtitle => 'Fraudepreventie';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb0 => 'Geen KYC/AML of verificatie';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb1 => 'Elke valuta, elke betaalmethode, waar dan ook';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb10(Object nojs) {
    return '$nojs (wordt standaard geladen bij toegang vanuit Tor of I2P)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb108722Sb1 => 'Geen-JavaScript-versie van de site';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb11 => 'Volledig functioneel wanneer Google geblokkeerd is';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb12(Object affiliate) {
    return '$affiliate - verdien commissie voor het uitnodigen van handelsgebruikers';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb128722Sb1 => 'Partnerprogramma';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb13 => 'Meertalig: we ondersteunen Engels, Russisch, Chinees (zowel vereenvoudigd als traditioneel), Italiaans, Portugees en Spaans';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb14(Object telegram) {
    return 'Mobiele meldingen via $telegram, zodat u niet nog een app op uw telefoon hoeft te installeren om pushmeldingen over uw transacties te ontvangen (LocalBitcoins heeft deze functie na ons geïmplementeerd)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb15 => 'Mooie advertenties door het gebruik van Markdown';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb16 => '2FA (met TOTP-apps zoals Google Authenticator of andOTP)';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb17 => 'Andere valuta dan BTC opnemen ';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb18 => 'Ingewikkelde prijsmechanismen door het gebruik van prijsformules';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb19 => 'en meer...';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb2 => 'Online Bitcoin-handel';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb20(Object api) {
    return 'Volledig functioneel $api gemodelleerd naar LocalBitcoins API voor een gemakkelijke overgang';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb208722Sb1 => 'API';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb3 => 'Offline contant face-to-face Bitcoin-handel';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb4 => 'Volledige bescherming tegen arbitrage op alle online transacties';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb5 => 'Geen stortingskosten, eerlijke opnamekosten';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb6 => 'Snelle en responsieve ondersteuning';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb7 => 'Geen e-mail tijdens registratie';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb8 => 'Onion portaal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb9 => 'I2P-portaal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures250Sbtitle => 'De functies van AgoraDesk omvatten:';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbcontent => '<i>In tegenstelling tot </i> LocalBitcoins brengen we geen exorbitante kosten in rekening wanneer u Bitcoins stort of opneemt in/uit onze arbitrage-obligatieportefeuille. Er zijn <strong> geen stortingskosten, en de opnamekosten verschillen niet veel van de kosten die u zou betalen voor een normale transactie </strong>. Overboekingen naar de portefeuille van andere AgoraDesk-gebruikers brengen verder geen kosten met zich mee.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbtitle => 'Eerlijke kosten';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbhtml8722Sbdescription => 'Op zoek naar een LocalBitcoins-analoog om peer-to-peer in Bitcoins te handelen zonder KYC/AML of verificatie? AgoraDesk is een nieuw P2P-platform voor het verhandelen van Bitcoin, gemaakt door hetzelfde team achter LocalMonero, Monero\'s equivalent van LocalBitcoins. We bieden dezelfde snelle en gemakkelijke Bitcoin-handelservaring die LocalBitcoins altijd bood, en meer.';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbintroduction(Object lbc, Object lm) {
    return 'Op zoek naar een $lbc-analoog om peer-to-peer in Bitcoins te handelen zonder KYC/AML of verificatie? AgoraDesk is een nieuw P2P-platform voor het verhandelen van Bitcoin, gemaakt door het team achter $lm, Monero\'s equivalent van LocalBitcoins.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbcontent => 'AgoraDesk zet zich in voor het behoud van de eenvoud en rechtlijnigheid die de originele LocalBitcoins zo populair hebben gemaakt. <strong> We maken geen gebruik van KYC/AML, en zijn dat ook niet van plan </strong>. We zijn er vast van overtuigd dat het concept van KYC/AML volledig tegenovergesteld staat op het idee van een peer-to-peer over-the-counter uitwisseling zoals de onze, en totdat er geen legale manieren meer zijn op <i>planeet Aarde </i> om implementatie van KYC/AML te voorkomen, zullen we er alles aan doen om u een probleemloze ervaring te bieden.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbtitle => 'Geen KYC/AML';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbcontent => ' Aangezien AgoraDesk gemaakt is door een team met een achtergrond in het privacy gerichte Monero-gemeenschap, erft ook AgoraDesk dezelfde privacy gerichte neiging als LocalMonero. Een gebruiker die Google-services volledig blokkeert, kan zonder problemen ons platform gebruiken. <strong> Ons platform is zelfs volledig functioneel zonder JavaScript</strong>, wat zorgt voor een beveiligings- en privacyniveau dat <i>nooit</i> haalbaar zal zijn op andere platforms die JavaScript nodig hebben.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbtitle => 'Werkt zonder JavaScript';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent(Object tor_link, Object advanced_routing, Object i2p_link, Object dont_ask_email) {
    return 'Onze site is gemakkelijk toegankelijk via onze $tor_link (die is afgestemd op maximale prestaties voor uw comfort door ons gebruik van $advanced_routing) en zelfs via een $i2p_link. Dit zorgt er niet alleen voor dat u uw echte IP-adres voor ons kunt verbergen (dat we sowieso nooit aan uw account koppelen), maar dat als ons normale domein om welke reden dan ook ontoegankelijk voor u wordt, er andere manieren zijn waarop u toegang kunt krijgen onze service. We hechten veel waarde aan uw privacy, $dont_ask_email.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbadvanced8722Sbrouting => 'geavanceerde functies voor onion routing';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbi2p8722Sblink => 'I2P-portaal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbno8722Sbemail => 'we vereisen niet eens dat u een e-mailadres opgeeft bij het registreren';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbtor8722Sblink => 'Tor-portaal';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbtitle => 'Privacy gericht, censuur bestendig';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsubtitle => 'We bieden dezelfde snelle en gemakkelijke Bitcoin-handelservaring die LocalBitcoins altijd bood, en meer.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbcontent => 'Ons ondersteuningsteam is snel, responsief en altijd enthousiast om te behagen. <strong> We hebben nog nooit een supportticket gehad dat niet binnen 24 uur werd beantwoord </strong>. We zijn altijd gemakkelijk bereikbaar via social media, luisteren aandachtig naar uw kritiek en voeren goede gebruikerssuggesties altijd in een recordtijd uit.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbtitle => 'Stellaire ondersteuning';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtitle => 'LocalBitcoins Alternatief';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbcontent => 'Net zoals LocalBitcoins, ondersteunen we <strong> elke betaalmethode, elke valuta, overal </strong>. We verwijderen geen betalingsmethoden, en <i>in tegenstelling tot </i> LocalBitcoins ondersteunen we <strong>volledige contante transacties </strong>. Al onze transacties worden beschermd door arbitrage obligatie. Dankzij het feit dat we eisen dat fondsen in arbitrage-obligatie worden gehouden voordat een transactie kan beginnen, zorgen we voor een soepele en snelle ervaring voor de koper, wat essentieel is voor de populariteit van het platform en de terugkerende klanten voor verkopers.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbtitle => 'Veilige en vlotte handel';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbcontent => 'LocalMonero is al meer dan twee jaar actief, heeft de Grote Cryptocurrency Market Crash van 2018 overleefd en is door zijn <strong>gemeenschap-georiënteerde, toegewijde service</strong> een van de meest <strong>vertrouwde</strong> namen in de <i>extreem sceptische </i> Monero-gemeenschap.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbtitle => 'Vertrouwd door de gemeenschap';

  @override
  String get agoradesk250Sbleft8722Sbmenu250Sbtrade => 'Handel';

  @override
  String get agoradesk250Sblink8722Sbfrom8722Sblocalmonero => 'Handel in BTC';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbbuy => 'Koop munten voor contant geld (lokaal)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbsell => 'Verkoop munten voor contant geld (lokaal)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbbuy => 'Munten online kopen';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbsell => 'Verkoop munten online';

  @override
  String agoradesk250Sbstart250Sbcoins(Object appName) {
    return '$appName gidsen voor het handelen van munten';
  }

  @override
  String get agoradesk250Sbtrade250Sbaction250Sberror8722Sbdialog250Sbcontent => 'Uw actie heeft een fout veroorzaakt, laad de pagina alstublieft opnieuw.';

  @override
  String agoradesk250Sbtrade250Sboption250Sbcall250Sbseller250Sbconfirm8722Sbpayment8722Sband8722Sbrelease(Object date) {
    return 'De koper heeft de betaling als voltooid gemarkeerd op $date. Controleer of u het geld heeft ontvangen en voltooi de transactie.';
  }

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbbuyer250Sbtitle => 'Betaal de verkoper';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbseller250Sbtitle => 'Wachten tot de koper betaalt';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbsix250Sbseller250Sbtitle => 'Betaling bevestigen';

  @override
  String get agoradesk250Sbtrade250Sboption250Sblast8722Sbstep250Sbtitle => 'Transactie voltooid';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayer8722Sbcancel8722Sbnotice => 'Heeft u een fout gemaakt of wilt u een andere handelaar proberen? Als u het geld al heeft overgemaakt en nu wilt annuleren, moet u zelf onderhandelen over de teruggave van uw betaling met uw handelspartner. <strong> Annuleer nooit tenzij u zeker weet dat u uw geld heeft teruggekregen. </strong>';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayment8722Sbreceiver8722Sbcancel8722Sbnotice => 'Voltooi nooit een transactie totdat u er 100% zeker van bent dat u het geld heeft ontvangen. Oplichters zullen proberen <strong> u te misleiden om eerder </strong> af te ronden.';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbbuyer => 'koper';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbseller => 'verkoper';

  @override
  String agoradesk250Sbwallet250Sbbtc250Sbsingle8722Sbuse8722Sbnotice(Object assetName) {
    return 'Dit adres verandert automatisch nadat het is gebruikt. Desondanks, als u uw $assetName naar een gebruikt stortingsadres stuurt, wordt deze bijgeschreven op uw account. Voor privacyredenen tonen we geen gebruikte stortingsadressen. U mag alleen munten naar dit adres sturen vanuit een portefeuille die u persoonlijk beheert.';
  }

  @override
  String get and => 'en';

  @override
  String get api8722Sbdocs250Sblabel => 'API-documenten';

  @override
  String get api250Sbvalidation8722Sberror250Sbaddress => 'Ongeldig adres!';

  @override
  String get appbar8722Sbbtn250Sblogin => 'Log in';

  @override
  String get appbar8722Sbbtn250Sbsignup => 'Meld u gratis aan';

  @override
  String get article250Sblast8722Sbupdated => 'Laatst bijgewerkt';

  @override
  String get article250Sbpublished => 'Gepubliceerd';

  @override
  String get as8722Sbseen8722Sbon => 'Zoals te zien op:';

  @override
  String get asset8722Sbprops250Sbname250Sbasset => 'munt';

  @override
  String get asset8722Sbprops250Sbname250Sbbtc => 'Bitcoin';

  @override
  String get asset8722Sbprops250Sbname250Sbxmr => 'Monero';

  @override
  String breadcrumbs250Sblocal8722Sbbuy(Object asset, Object currencyCode) {
    return 'Verkoop $asset voor $currencyCode';
  }

  @override
  String breadcrumbs250Sblocal8722Sbsell(Object asset, Object currencyCode) {
    return 'Koop $asset voor $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbbuy(Object asset, Object currencyCode) {
    return 'Verkoop $asset voor $currencyCode';
  }

  @override
  String breadcrumbs250Sbonline8722Sbsell(Object asset, Object currencyCode) {
    return 'Koop $asset voor $currencyCode';
  }

  @override
  String get button250Sbaccept => 'Accepteren';

  @override
  String get buy8722Sbmonero8722Sbin8722Sbany8722Sbcountry => 'elk land';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbcurrently => 'momenteel';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbdescription => '<strong> Kies een vergoedingsniveau dat moet worden gebruikt tijdens de handelsafwikkeling. </strong> De waarden die hier getoond worden zijn de huidige koersschattingen en kunnen verschillen van de waarden die werden toegepast tijdens de handelsafwikkeling. Als het bedrag van de transactie te laag is om de transactie met het geselecteerde vergoedingsniveau te verhandelen, wordt er automatisch een lager vergoedingsniveau geselecteerd tijdens de handeling.';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbtitle => 'Niveau van afwikkelingskosten';

  @override
  String get cancelled250Sbno8722Sbtrades => 'U heeft nog geen transacties geannuleerd';

  @override
  String get cancelled250Sbtitle => 'Uw geannuleerde transacties';

  @override
  String get captcha250Sbhelper8722Sbtext => 'Typ de tekst op de afbeelding hierboven';

  @override
  String get chat250Sbattach => 'Voeg een bestand toe';

  @override
  String get chat250Sbattachment => 'Bijlage';

  @override
  String get chat250Sbbtn => 'Bericht versturen';

  @override
  String get chat250Sbcash8722Sbdeposit8722Sbseller8722Sbwarning => '<strong>Waarschuwing:</strong> er zijn gevallen geweest waarin verkopers een cheque ontvangt hebben die later werd teruggedraaid. Zorg ervoor dat u elke aanbetaling die u ontvangt verifieert (bijvoorbeeld door de bank te bellen).';

  @override
  String get chat250Sbeu8722Sbfraud8722Sbwarning => 'Er lijkt momenteel een golf van fraude met bankrekeningen in onze Europese regio te zijn. <br /> We adviseren al onze handelaren in de Europese regio om uiterst voorzichtig te zijn bij het omgaan met nieuwe handelspartners, neem extra maatregelen zoals het vragen om een foto van zichzelf met een identiteitsbewijs en een stuk papier met handelsinformatie (zoals transactie-ID, bedrag, gebruikersnaam en datum). Houd er rekening mee dat fraudeurs mogelijk in het bezit zijn van gelekte of gestolen KYC-documenten. <br />';

  @override
  String chat250Sbinput8722Sbtip(Object appName) {
    return '<strong>Enter</strong> om een nieuwe regel te beginnen, <strong>Alt+Enter</strong> om een bericht te verzenden. Maximaal 65536 tekens. $appName versleutelt en bewaart chatberichten gedurende 180 dagen voor geschillenbeslechting.';
  }

  @override
  String chat250Sbinput8722Sbtip8722Sbshort(Object appName) {
    return '$appName versleutelt en bewaart chatberichten gedurende 180 dagen voor geschillenbeslechting.';
  }

  @override
  String get chat250Sbinput8722Sbtitle => 'Schrijf een bericht...';

  @override
  String get chat250Sbmitm8722Sbcryptocurency8722Sbwarning => 'Waarschuwing: krijg alleen het adres van de verkoper in deze handelschat of in het gedeelte met betalingsgegevens op deze handelspagina, en verzend geen betalingstransactie-ID\'s buiten deze handelschat! We raden u ook aan om alle communicatie in deze handelschat te houden.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb0 => '⚠️ Attentie: er is een nieuwe oplichter actief die optreedt als een tussenhandelaar. De oplichter neemt buiten het platform contact met u op, doet zich voor als een verkoper op het platform en biedt u aan om XMR van hen te kopen in ruil voor BTC tegen een gereduceerde prijs (b.v. betaal 8 XMR aan BTC om 10 XMR te kopen). Tegelijkertijd openen ze een transactie met de verkoper die ze op het platform nabootsen voor het gereduceerde bedrag.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb1 => '<p>De oplichter vertelt de koper vervolgens om de transactie voor het volledige bedrag te starten en het verlaagde bedrag te betalen, terwijl hij tegelijkertijd het ontvangstadres van de verkoper op de blockchain controleert en uitkijkt naar de transactie met verlaagd bedrag van de legitieme koper. De oplichter neemt vervolgens de txid van de legitieme koper en verstrekt deze aan de verkoper als betalingsbewijs. De verkoper geeft de munten vrij aan de oplichter, aangezien deze twee transacties open heeft staan, één voor het volledige bedrag van de legitieme koper en één voor het verlaagde bedrag van de oplichter, in de veronderstelling dat het de oplichter was die betaalde omdat het bedrag overeenkomt met zijn handelsbedrag. </p>\n\n<p> <strong> VOER GEEN HANDELEN UIT BUITEN HET PLATFORM. ALS IEMAND U BENADERT BUITEN HET PLATFORM, OPEN EEN HANDEL MET HEN OP HET PLATFORM EN CONTROLEER DAT ZE ZIJN WIE ZE ZEGGEN DAT ZE ZIJN EN ONDERHOUD ALLE COMMUNICATIE DAARBIJ. </strong> </p>\n\n<p> <strong> VERKOPERS DIE BETALINGEN ACCEPTEREN OP TRANSPARANTE CRYPTO-KETENS: ZORG ERVOOR DAT JE EEN ADEQUATE BETALINGSDIFFERENTIATIE DOET TUSSEN JE KLANTEN EN HANDELINGEN OM TE VOORKOMEN DAT JE HET SLACHTOFFER WORDT. </strong> </p>\n\n<p> Gebruik altijd verschillende adressen voor elke transactie op een openbaar doorzoekbare crypto zoals BTC. </p>';

  @override
  String get chat250Sbno8722Sbmessages => 'Nog geen berichten';

  @override
  String chat250Sbsecurity8722Sbwarning(Object appName) {
    return 'Open geen externe links die u in de chat ontvangt en download geen bestanden die u extern van andere gebruikers ontvangt. U gebruikt het beste een aparte browser voor al uw $appName-activiteiten.';
  }

  @override
  String get chat250Sbselect8722Sbfile => 'Selecteer bestand...';

  @override
  String get chat250Sbsend => 'Versturen';

  @override
  String get chat250Sbshortcuts => 'Enter: nieuwe regel, Alt+Enter: verzenden';

  @override
  String chat250Sbtitle(Object user) {
    return 'Stuur bericht naar $user';
  }

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtext => 'Bijgevoegde bestanden moeten .jpg of .png zijn en maximaal 5 MB.';

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtitle => 'Uploadfout';

  @override
  String get chat250Sbupload8722Sbfile => 'Uploaden';

  @override
  String get chat250Sbupload8722Sbtip => 'Geaccepteerde bestandstypen: .jpg, .png. Maximaal 5MB.';

  @override
  String get chat250Sbzoom8722Sbtip => 'Tip: druk drie keer op het bericht om in te zoomen';

  @override
  String get completed250Sbno8722Sbtrades => 'U heeft nog geen transacties voltooid';

  @override
  String get completed250Sbtitle => 'Uw voltooide transacties';

  @override
  String contact250Sble(Object lawEnforcementinquiries) {
    return 'Lees $lawEnforcementinquiries voor informatie over wetshandhaving.';
  }

  @override
  String get contact250Sble250Sbpolicy8722Sblink => 'ons beleid';

  @override
  String contact250Sbtext8722Sb0(Object openAticket, Object email) {
    return 'Om contact op te nemen met onze ondersteuning kunt u $openAticket of een e-mail sturen naar $email';
  }

  @override
  String get contact250Sbtext8722Sb08722Sbopen8722Sba8722Sbticket => 'een kaartje openen';

  @override
  String contact250Sbtext8722Sb1(Object email) {
    return 'Neem voor zakelijke, pers- en andere vragen contact met ons op via $email';
  }

  @override
  String contact250Sbtext8722Sb2(Object appName, Object here) {
    return 'U kunt het $appName-logo $here in hoge kwaliteit downloaden.';
  }

  @override
  String get contact250Sbtext8722Sb28722Sbhere => 'hier';

  @override
  String get contact250Sbtitle => 'Neem contact met ons op';

  @override
  String get coupons250Sbcode8722Sbinput250Sbplaceholder => 'Voeg hier uw code in...';

  @override
  String get coupons250Sbcoupon250Sbbutton250Sblabel => 'Inwisselen';

  @override
  String coupons250Sbcoupon250Sbdescription(Object percent, Object assets, Object types) {
    return '$percent% vergoedingskorting op $assets $types transacties.';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_buy => 'lokaal kopen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_sell => 'lokaal verkopen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_buy => 'online kopen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_sell => 'online verkopen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_buy => 'putoptie kopen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_sell => 'putoptie verkopen';

  @override
  String get coupons250Sbcoupon250Sbexpired => 'Verlopen';

  @override
  String get coupons250Sbcoupon250Sbexpires => 'Verloopt';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbactive => 'Actieve coupon';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbexpired => 'Verlopen coupon';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbredeem => 'Coupon inwisselen';

  @override
  String get coupons250Sberror250Sb175 => 'Ongeldige couponcode';

  @override
  String get coupons250Sberror250Sb176 => 'Coupon is al verlopen';

  @override
  String get coupons250Sberror250Sb177 => 'Deze coupon is niet op voorraad';

  @override
  String get coupons250Sberror250Sb179 => 'Ongeldige couponcode';

  @override
  String get coupons250Sberror250Sb180 => 'Coupon is al verlopen';

  @override
  String get coupons250Sberror250Sb181 => 'Deze coupon kan alleen tijdens de registratie worden ingewisseld';

  @override
  String get coupons250Sberror250Sb182 => 'U heeft deze coupon al ingewisseld';

  @override
  String get coupons250Sberror250Sb183 => 'Deze coupon is niet op voorraad';

  @override
  String get coupons250Sberror250Sb184 => 'U kunt slechts één actieve coupon tegelijk hebben';

  @override
  String get coupons250Sberror250Sbdialog250Sbtitle => 'Coupon inwisseling error';

  @override
  String coupons250Sberror250Sbgeneric(Object error_code) {
    return 'Er is iets misgegaan bij het inwisselen van een coupon. Als dat niet correct lijkt, neem dan contact op met de ondersteuning. Foutcode: $error_code.';
  }

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbhide => 'Verberg uw verlopen coupons';

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbshow => 'Toon uw verlopen coupons';

  @override
  String get coupons250Sbsignup250Sbshow8722Sbcoupon8722Sbinput8722Sbbtn => 'Ik heb een couponcode';

  @override
  String get coupons250Sbsubtitle => 'Uw actieve en verlopen coupons worden hier weergegeven. Als u een couponcode heeft, kunt u deze hier inwisselen.';

  @override
  String get coupons250Sbterms8722Sb0 => 'U kunt slechts één coupon tegelijk actief hebben.';

  @override
  String get coupons250Sbterms8722Sb1 => 'U kunt een coupon niet deactiveren nadat u deze heeft ingewisseld.';

  @override
  String get coupons250Sbterms8722Sb2 => 'Elke coupon is slechts één keer inwisselbaar per account.';

  @override
  String get coupons250Sbterms8722Sb3 => 'De kosten worden alleen terugbetaald aan de partij die oorspronkelijk de arbitrage beschermingsvergoeding voor de transactie heeft betaalt.';

  @override
  String get coupons250Sbterms8722Sb4 => 'De vergoedingskorting wordt toegepast wanneer de handel wordt gesloten.';

  @override
  String get coupons250Sbterms8722Sb5 => 'Als u partner commissies verdient, worden uw totale couponkortingen voor een bepaalde periode afgetrokken van uw aangesloten inkomsten voor dezelfde gegeven periode. Als uw totale kortingsbedrag voor een bepaalde periode groter is dan of gelijk is aan de affiliate-inkomsten voor dezelfde bepaalde periode, ontvangt u geen affiliate-inkomsten voor die periode.';

  @override
  String coupons250Sbterms8722Sb6(Object appName) {
    return '$appName behoudt zich het recht voor om uw coupon op elk moment te deactiveren zonder voorafgaande kennisgeving of compensatie.';
  }

  @override
  String get coupons250Sbterms250Sbtitle => 'Couponvoorwaarden';

  @override
  String get coupons250Sbtitle => 'Coupons';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbbtn => 'Advertentie verwijderen';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtext => 'Hiermee wordt de advertentie definitief verwijderd. Overweeg om de advertentie te verbergen door de zichtbaarheid in te stellen op false.';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtitle => 'Verwijdering bevestigen';

  @override
  String get dashboard250Sbad250Sbemail8722Sbverified => 'Deze advertentie is alleen bedoeld voor gebruikers met een geverifieerd e-mailadres';

  @override
  String get dashboard250Sbad250Sbfor8722Sbtrusted => 'Alleen voor vertrouwde gebruikers';

  @override
  String get dashboard250Sbad250Sbmethod250Sbcash => 'Contant geld';

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbnegative(Object percent) {
    return 'Markt $percent';
  }

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbpositive(Object percent) {
    return 'Markt +$percent';
  }

  @override
  String get dashboard250Sbad250Sbtable8722Sbcreated8722Sbat => 'Gemaakt';

  @override
  String get dashboard250Sbad250Sbtable8722Sbid => 'ID';

  @override
  String get dashboard250Sbad250Sbtable8722Sbmethod => 'Methode';

  @override
  String get dashboard250Sbad250Sbtable8722Sbprice => 'Prijs';

  @override
  String get dashboard250Sbad250Sbtable8722Sbtype => 'Type';

  @override
  String get dashboard250Sbad250Sbtable8722Sbvisible => 'Zichtbaar';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbdelete8722Sbwarning => 'Hiermee worden geselecteerde advertenties permanent verwijderd. Overweeg om ze te verbergen door de zichtbaarheid in te stellen op false.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbapply => 'Toepassen op de geselecteerden';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbfalse => 'Onjuist';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbtrue => 'Juist';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sberror => 'Er is iets misgegaan tijdens het updaten van meerdere advertenties. Sommige of alle advertenties zijn mogelijk niet bijgewerkt. U heeft waarschijnlijk te veel advertenties tegelijk geselecteerd. Ververs de pagina en probeer het alstublieft opnieuw.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbany => 'Elke advertenties';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbasset8722Sbbuys => 'Alleen advertenties voor aankopen van hetzelfde asset';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbcurrency => 'Alleen advertenties in dezelfde valuta';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsells => 'Allen verkoop advertenties';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbsetting8722Sbselect250Sblabel => 'Kies instelling';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbtitle => 'Beheer meerdere advertenties';

  @override
  String get dashboard250Sbads250Sbfilter250Sbapply8722Sbbtn => 'Pas filters toe';

  @override
  String get dashboard250Sbads250Sbfilter250Sbasset => 'Asset';

  @override
  String get dashboard250Sbads250Sbfilter250Sbdelete8722Sbselected => 'Verwijder geselecteerde';

  @override
  String get dashboard250Sbads250Sbfilter250Sbno8722Sbads => 'Geen advertenties hier';

  @override
  String get dashboard250Sbads250Sbfilter250Sbreset8722Sbbtn => 'Filters resetten';

  @override
  String get dashboard250Sbads250Sbfilter250Sbsort => 'Sorteer op';

  @override
  String get dashboard250Sbads250Sbfilter250Sbtype => 'Type';

  @override
  String get dashboard250Sbads250Sbfilter250Sbvisibility => 'Zichtbaarheid';

  @override
  String get dashboard250Sbads250Sbload8722Sball => 'Laad alle advertenties';

  @override
  String get dashboard250Sbads250Sbshowing8722Sball => 'Alle advertenties tonen';

  @override
  String get dashboard250Sbblocked => 'Geblokkeerd';

  @override
  String get dashboard250Sbfilter250Sball => 'Alle';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbboth => 'Kopen/Verkopen';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbbuying => 'Kopen';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbselling => 'Verkopen';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbhidden => 'Verborgen';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbvisible => 'Zichtbaar';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbno8722Sbads => 'U heeft momenteel geen advertenties';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbtitle => 'Uw advertenties';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbno8722Sbtrades => 'U heeft momenteel geen open transacties';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbtitle => 'Uw openstaande transacties';

  @override
  String get dashboard250Sbpost8722Sbad8722Sbbtn => 'Nieuwe advertentie maken';

  @override
  String get dashboard250Sbtitle => 'Dashboard';

  @override
  String get dashboard250Sbtrade250Sbcancelled8722Sbat => 'Geannuleerd om';

  @override
  String get dashboard250Sbtrade250Sbcompleted8722Sbat => 'Voltooid om';

  @override
  String get dashboard250Sbtrade250Sbcreated8722Sbat => 'Aanmaak tijd';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcancelled => 'Geannuleerd';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcompleted => 'Voltooid';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbdisputed => 'Betwist';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbfunded => 'Gefinancierd';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbnot8722Sbpaid => 'Wachten op betaling';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbpaid => 'Betaald, wachtend op afronding';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbunfunded => 'Niet gefinancierd';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbamount8722Sbfiat58Sb => 'Aantal (valuta)';

  @override
  String dashboard250Sbtrade250Sbtable8722Sbamount8722Sbxmr58Sb(Object assetSymbol) {
    return 'Aantal ($assetSymbol)';
  }

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbid58Sb => 'ID';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbmethod58Sb => 'Methode';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbpartner58Sb => 'Handelspartner';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbstatus58Sb => 'Status';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbtype58Sb => 'Type';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbview8722Sbbtn58Sb => 'Bekijk';

  @override
  String get dashboard250Sbtrade250Sbuser8722Sbdeleted => '[verwijderd]';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbno8722Sbtrades => 'Geen transacties hier';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbrole => 'Ik ben...';

  @override
  String get dashboard250Sbtrusted => 'Vertrouwd';

  @override
  String get dashboard250Sbtrusted8722Sbusers => 'Uw vertrouwde/geblokkeerde gebruikers';

  @override
  String get dashboard250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'DRINGENDE ACTIE VEREIST: voor een of meer van uw koopadvertenties is geen adres voor de afwikkelingsportefeuille ingesteld. Geef het zo snel mogelijk door om te voorkomen dat deze advertenties verborgen blijven. U kunt de filters en de functie voor het bewerken van massale advertenties gebruiken om deze voor alle relevante advertenties tegelijk in te stellen.';

  @override
  String get dashboards250Sbads250Sbfilter250Sbtitle => 'Advertenties filteren';

  @override
  String get dashboards250Sbtrades250Sbfilter250Sbtitle => 'Filter transacties';

  @override
  String get description => 'Gebruik Monero. Snel, gemakkelijk en veilig. Dichtbij jou.';

  @override
  String description250Sbaffiliate(Object appName) {
    return 'U verdient 20% van de handelskosten die worden gegenereerd door gebruikers die u heeft doorverwezen. Deze uitbetalingen worden dagelijks als Monero in uw $appName portefeuille gedaan. Uw doorverwezen gebruikers genereren commissie voor u gedurende een periode van 1 jaar vanaf hun registratiedatum.';
  }

  @override
  String description250Sbaffiliate57Sbagoradesk(Object appName) {
    return 'U verdient 20% van de handelskosten die worden gegenereerd door gebruikers die u heeft doorverwezen. Deze uitbetalingen worden dagelijks als relevante cryptocurrencies in uw $appName portefeuille gedaan. Uw doorverwezen gebruikers genereren commissie voor u gedurende een periode van 1 jaar vanaf hun registratiedatum.';
  }

  @override
  String description250Sbfaq(Object appName) {
    return 'Vind antwoorden op veelgestelde vragen over handelen in Monero en andere $appName-gerelateerde vragen.';
  }

  @override
  String description250Sbfaq57Sbagoradesk(Object appName) {
    return 'Vind antwoorden op veelgestelde vragen over handel in cryptocurrency en andere $appName-gerelateerde vragen.';
  }

  @override
  String description250Sbfee(Object appName) {
    return 'Registreren, kopen en verkopen van Monero is helemaal gratis. $appName-gebruikers die advertenties maken, betalen 1% arbitragebeschermingskosten voor elke voltooide transactie.';
  }

  @override
  String description250Sbfee57Sbagoradesk(Object appName) {
    return 'Het registreren, kopen en verkopen van cryptocurrencies is volledig gratis. $appName-gebruikers die advertenties maken, betalen 1% arbitragebeschermingskosten voor elke voltooide transactie.';
  }

  @override
  String description250Sbguide250Sb2fa(Object appName) {
    return 'Deze handleiding helpt u bij het instellen van twee-factor-authenticatie voor uw $appName-account.';
  }

  @override
  String get description250Sbguide250Sbbtc => 'Zijn de dagen dat u direct en zonder verificatie bitcoins met een creditcard kon kopen achter de rug? Niet helemaal. Hier presenteren we u een gemakkelijke, anonieme, privé en snelle manier om in slechts enkele stappen bitcoins met contant geld te verwerven.';

  @override
  String description250Sbguide250Sbbuy(Object appName) {
    return 'Deze handleiding helpt je te begrijpen hoe je Monero kunt kopen met populaire online betaalmethodes (zoals bankoverschrijving, PayPal, creditcard etc.). $appName is een veilige, snelle en gemakkelijke manier om Monero anoniem te kopen zonder ID-verificatie. ';
  }

  @override
  String description250Sbguide250Sbbuy57Sbagoradesk(Object appName) {
    return 'Deze handleiding helpt u te begrijpen hoe u cryptocurrency kunt kopen met populaire online betaalmethodes (zoals bankoverschrijving, PayPal, creditcard, enz.). $appName is een veilige, snelle en gemakkelijke manier om anoniem cryptocurrency te kopen zonder ID-verificatie. ';
  }

  @override
  String description250Sbguide250Sblocal(Object appName) {
    return 'Deze handleiding helpt je te begrijpen hoe je anoniem Monero kunt kopen of verkopen voor contant geld via een lokale bijeenkomst. $appName is een veilige, snelle en gemakkelijke manier om XMR te verhandelen zonder ID-verificatie. ';
  }

  @override
  String description250Sbguide250Sblocal57Sbagoradesk(Object appName) {
    return 'Deze handleiding helpt u te begrijpen hoe u anoniem cryptocurrencies kunt kopen of verkopen voor contant geld via een lokale bijeenkomst. Bij $appName kunt u cryptocurrencies verhandelen zonder ID-verificatie. ';
  }

  @override
  String description250Sbguide250Sbsell(Object appName) {
    return 'Deze handleiding helpt je te begrijpen hoe je Monero kunt verkopen met populaire online betaalmethoden (zoals bankoverschrijving, PayPal, creditcard etc.). $appName is een veilige, snelle en gemakkelijke manier om Monero te verkopen zonder ID-verificatie. ';
  }

  @override
  String description250Sbguide250Sbsell57Sbagoradesk(Object appName) {
    return 'Deze handleiding helpt u te begrijpen hoe u cryptocurrency kunt verkopen met populaire online betaalmethoden (zoals bankoverschrijving, PayPal, creditcard, enz.). $appName is een veilige, snelle en gemakkelijke manier om cryptocurrency te verkopen zonder ID-verificatie. ';
  }

  @override
  String description250Sbguide250Sbtelegram(Object appName) {
    return 'Deze handleiding helpt u bij het configureren van Telegram-meldingen voor $appName. ';
  }

  @override
  String description250Sbguide250Sbtrade(Object appName) {
    return 'Deze handleiding helpt u de basisprincipes van het handelen in Monero op een P2P-beurs $appName te begrijpen.';
  }

  @override
  String description250Sbguide250Sbtrade57Sbagoradesk(Object appName) {
    return 'Deze handleiding helpt u de basisprincipes van het verhandelen van cryptocurrency op een P2P OTC-desk $appName te begrijpen.';
  }

  @override
  String description250Sbguide250Sbxmr(Object appName) {
    return 'Hoe koopt u anoniem Monero zonder ID? $appName biedt een manier om XMR te kopen zonder KYC-verificatie, zodat u uw privacy kunt beschermen!';
  }

  @override
  String get description250Sbhomepage => 'Koop en verkoop Monero (XMR) online zonder identiteitsverificatie - gebruik PayPal, creditcard/betaalkaart of bankoverschrijving, cadeaubonnen, contant per post, Venmo, BTC of elke andere methode.';

  @override
  String get description250Sbhomepage57Sbagoradesk => 'Koop en verkoop Bitcoin online zonder ID-verificatie - gebruik PayPal, creditcard/betaalpas of bankoverschrijving, cadeaubonnen, contant per post, Venmo of elke andere methode.';

  @override
  String description250Sblogin(Object appName) {
    return 'Log in op uw $appName-account om nu te beginnen met handelen.';
  }

  @override
  String get description250Sbnew => 'Maak een nieuwe advertentie om Monero lokaal, voor contant geld, of online te kopen of verkopen.';

  @override
  String get description250Sbnew57Sbagoradesk => 'Maak een nieuwe advertentie om cryptocurrency te kopen of verkopen.';

  @override
  String description250Sbsignup(Object appName) {
    return 'Maak een $appName account aan — het is helemaal gratis — en begin met handelen in Monero!';
  }

  @override
  String description250Sbsignup57Sbagoradesk(Object appName) {
    return 'Maak een $appName account aan — het is helemaal gratis — en begin met handelen in cryptocurrencies!';
  }

  @override
  String description250Sbstart(Object appName) {
    return '$appName-handleidingen om u te helpen de basis- en geavanceerde principes van het kopen of verkopen van Monero te begrijpen.';
  }

  @override
  String description250Sbstart57Sbagoradesk(Object appName) {
    return '$appName-handleidingen om u te helpen de basis- en geavanceerde principes van het kopen of verkopen van Bitcoin en Monero te begrijpen.';
  }

  @override
  String description250Sbstatistics(Object appName) {
    return 'Krijg de gemiddelde $appName prijs op basis van alle transacties in de afgelopen 1, 6, 12 of 24 uur.';
  }

  @override
  String description250Sbuser(Object user, Object appName) {
    return 'Het $appName-profiel van $user.';
  }

  @override
  String description250Sbuser8722Sbads(Object user, Object appName) {
    return 'De $appName-advertenties van $user.';
  }

  @override
  String get distance250Sbkilometers => 'km';

  @override
  String get distance250Sbmeters => 'm';

  @override
  String get document8722Sbtitle250Sb404 => 'Pagina niet gevonden';

  @override
  String get document8722Sbtitle250Sbabout => 'Over ons';

  @override
  String get document8722Sbtitle250Sbad8722Sbdeleted => 'Verwijderd';

  @override
  String get document8722Sbtitle250Sbaffiliate => 'Partnerprogramma';

  @override
  String get document8722Sbtitle250Sbcancelled => 'Geannuleerde transacties';

  @override
  String get document8722Sbtitle250Sbcompleted => 'Voltooide transacties';

  @override
  String get document8722Sbtitle250Sbcontact => 'Contact opnemen';

  @override
  String get document8722Sbtitle250Sbdashboard => 'Dashboard';

  @override
  String get document8722Sbtitle250Sbedit => 'Bewerk een advertentie';

  @override
  String get document8722Sbtitle250Sberror => 'Fout';

  @override
  String get document8722Sbtitle250Sbfaq => 'FAQ';

  @override
  String get document8722Sbtitle250Sbfee => 'Kosten';

  @override
  String document8722Sbtitle250Sbfeedback(Object user) {
    return 'Feedback van $user.';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sb2fa => 'Hoe u 2FA inschakelt';

  @override
  String document8722Sbtitle250Sbguide250Sbbtc(Object year) {
    return 'Hoe u Bitcoins anoniem (zonder ID) koopt Handleiding - De meest privé manier in $year';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy => 'Hoe u Monero koopt';

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy57Sbagoradesk => 'Hoe u cryptocurrency koopt';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell => 'Hoe u Monero verkoopt';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell57Sbagoradesk => 'Hoe u cryptocurrency verkoopt';

  @override
  String document8722Sbtitle250Sbguide250Sbxmr(Object year) {
    return 'Hoe u Monero (XMR) anoniem koopt (zonder ID) Handleiding - De meest privé manier in $year';
  }

  @override
  String get document8722Sbtitle250Sbindex => 'Anoniem Monero Kopen of Verkopen, Snel en Gemakkelijk';

  @override
  String get document8722Sbtitle250Sbindex57Sbagoradesk => 'Anoniem Bitcoin Kopen of Verkopen, Snel en Gemakkelijk';

  @override
  String get document8722Sbtitle250Sblogin => 'Inloggen';

  @override
  String get document8722Sbtitle250Sbpost8722Sbad => 'Plaats een advertentie';

  @override
  String get document8722Sbtitle250Sbreset8722Sbpassword => 'Wachtwoord opnieuw instellen';

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry(Object assetName, Object country) {
    return 'Koop $assetName in $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'Koop $assetName in $country met $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcurrency(Object assetName, Object currency) {
    return 'Koop $assetName voor $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbmethod(Object assetName, Object method) {
    return 'Koop $assetName met $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell(Object assetName, Object country) {
    return 'Verkoop $assetName in $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry(Object assetName, Object country) {
    return 'Verkoop $assetName in $country';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return 'Verkoop $assetName in $country met $method';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcurrency(Object assetName, Object currency) {
    return 'Verkoop $assetName voor $currency';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbmethod(Object assetName, Object method) {
    return 'Verkoop $assetName met $method';
  }

  @override
  String get document8722Sbtitle250Sbsettings => 'Instellingen';

  @override
  String get document8722Sbtitle250Sbsignup => 'Aanmelden';

  @override
  String get document8722Sbtitle250Sbsignup8722Sbsuccess => 'Aanmelding succes';

  @override
  String document8722Sbtitle250Sbstart(Object appName) {
    return '$appName handleidingen: hoe u Monero kunt kopen of verkopen';
  }

  @override
  String document8722Sbtitle250Sbstart57Sbagoradesk(Object appName) {
    return '$appName handleidingen: hoe u cryptocurrencies kunt kopen of verkopen';
  }

  @override
  String document8722Sbtitle250Sbtrade(Object id) {
    return 'Handels $id.';
  }

  @override
  String document8722Sbtitle250Sbuser8722Sbads(Object user) {
    return 'Advertenties van $user.';
  }

  @override
  String get document8722Sbtitle250Sbverify8722Sbemail => 'Verifieer Email';

  @override
  String get document8722Sbtitle250Sbwallet => 'Portefeuille';

  @override
  String get done => 'Klaar';

  @override
  String get dropdown250Sbany8722Sbcountry => 'Elk';

  @override
  String get dropdown250Sbany8722Sbcurrency => 'Elk';

  @override
  String get edit8722Sbad250Sbcancel8722Sbbtn => 'Stop veranderingen';

  @override
  String get edit8722Sbad250Sbcurrent8722Sbprice => 'Huidige advertentieprijs: ';

  @override
  String get edit8722Sbad250Sbdelete8722Sbbtn => 'Advertentie verwijderen';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtext => 'Hiermee wordt de advertentie definitief verwijderd. Overweeg de advertentie te verbergen door de zichtbaarheid in te stellen op \'false\'.';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtitle => 'Advertentie verwijdering bevestigen.';

  @override
  String get edit8722Sbad250Sbsave8722Sbbtn => 'Wijzigingen opslaan';

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto(Object adType, Object createdAt, Object timeOfcreation, Object createAnewad) {
    return 'Deze advertentie is voor $adType $createdAt $timeOfcreation. Om het advertentietype te wijzigen, gelieve $createAnewad';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbbuy(Object assetName) {
    return 'koop $assetName voor contant geld (lokaal)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbsell(Object assetName) {
    return 'verkoop $assetName voor contant geld (lokaal)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbbuy(Object assetName) {
    return 'koop $assetName online';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbsell(Object assetName) {
    return 'verkoop $assetName online';
  }

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreate8722Sbnew => 'nieuwe advertentie maken';

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreated8722Sbat => 'gemaakt om';

  @override
  String get edit8722Sbad250Sbtitle => 'Bewerk een advertentie';

  @override
  String get edit8722Sbad250Sbupdated8722Sbprice => 'Bijgewerkte advertentieprijs: ';

  @override
  String get edit8722Sbad250Sbvisible => 'Zichtbaar';

  @override
  String get edit8722Sbad250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'DRINGENDE ACTIE VEREIST: voor deze advertentie is geen adres voor een schikkingsportefeuille ingesteld. Geef het zo snel mogelijk door om te voorkomen dat de advertentie wordt verborgen.';

  @override
  String get edit250Sberror250Sbinvalid8722Sbsettlement8722Sbaddress => 'Voer een geldig adres voor de afwikkelingsportefeuille in';

  @override
  String get error => 'Fout';

  @override
  String get error8722Sbpage => 'Oeps! Er is iets fout gegaan. Probeer het binnenkort nog eens. Klik waar dan ook op de pagina om opnieuw te laden.';

  @override
  String error8722Sbpage250Sbsubtext(Object open_a_ticket) {
    return 'Als dat niet helpt, probeer dan uw cookies te wissen of een andere browser te gebruiken. Als dat ook niet helpt, $open_a_ticket';
  }

  @override
  String get error8722Sbpage250Sbsubtext250Sbticket => 'een supportticket openen.';

  @override
  String get error250Sbcaptcha => 'Captcha is mislukt, probeer het opnieuw';

  @override
  String get error250Sbedit250Sb244 => 'Op voorwaarde dat het adres van de afwikkelingsportefeuille ongeldig is';

  @override
  String error250Sbedit250Sb245(Object appName, Object asset) {
    return 'Het interne $appName adres kan niet worden gebruikt voor handelsafwikkeling. Voer een extern, niet-$appName $asset adres in om door te gaan.';
  }

  @override
  String error250Sbedit250Sb245250Sbnojs(Object appName) {
    return 'Het interne $appName adres kan niet worden gebruikt voor handelsafwikkeling. Voer een extern, niet-$appName adres in om door te gaan.';
  }

  @override
  String get error250Sbedit250Sb249 => 'U moet een adres voor de afwikkelingsportefeuille instellen om door te gaan.';

  @override
  String get error250Sbpost8722Sbad250Sb107 => 'Kan de liquiditeit niet volgen zonder een maximumbedrag in te stellen';

  @override
  String get error250Sbpost8722Sbad250Sb108 => 'Het minimale transactiebedrag kan niet gelijk zijn aan of groter zijn dan het maximale transactiebedrag';

  @override
  String get error250Sbpost8722Sbad250Sb114 => 'Het betalingsvenster moet 15-90 minuten zijn';

  @override
  String error250Sbpost8722Sbad250Sb132(Object maximumNumberOfAds) {
    return 'Kan niet meer dan $maximumNumberOfAds advertenties maken. Verwijder alstublieft een van uw oude advertenties om deze te maken.';
  }

  @override
  String get error250Sbpost8722Sbad250Sb142 => 'Kan geen fiatlimiet instellen die lager is dan het minimumbedrag.';

  @override
  String get error250Sbpost8722Sbad250Sb143 => 'Kan geen fiat-limiet instellen die hoger is dan het maximale bedrag.';

  @override
  String get error250Sbpost8722Sbad250Sb173 => 'De valuta van uw advertentie kan niet hetzelfde zijn als de asset van uw advertentie';

  @override
  String get error250Sbpost8722Sbad250Sb80 => 'Breedte- of lengtegraad was niet ingesteld';

  @override
  String get error250Sbpost8722Sbad250Sb81 => 'Prijswaarde was niet correct ingesteld';

  @override
  String get error250Sbpost8722Sbad250Sb86 => 'Illegale combinaties van land, betalingsmethode en valuta';

  @override
  String get error250Sbpost8722Sbad250Sb87 => 'Deze betaalmethode is niet geldig voor het geselecteerde land';

  @override
  String get error250Sbpost8722Sbad250Sb88 => 'Deze valuta is niet geldig voor de geselecteerde betaalmethode';

  @override
  String get error250Sbpost8722Sbad250Sb89 => 'Locatie was niet goed ingesteld';

  @override
  String get error250Sbpost8722Sbad250Sbgeneric => 'Fouten in het formulier! Controleer nogmaals uw advertentie.';

  @override
  String get error250Sbsettings250Sb220 => 'Wegwerp e-mailadressen zijn niet toegestaan';

  @override
  String get error250Sbsignup250Sb219 => 'Wegwerp e-mailadressen zijn niet toegestaan';

  @override
  String get error250Sbsignup250Sb47 => 'Een gebruiker met die gebruikersnaam bestaat al.';

  @override
  String get error250Sbsignup250Sb48 => 'Een gebruiker met dat e-mailadres bestaat al';

  @override
  String error250Sbtrade8722Sbrequest250Sb100(Object min_asset_amount, Object assetSymbol) {
    return 'Kan niet minder dan $min_asset_amount $assetSymbol aanvragen voor het maken van transacties.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb101 => 'Aangevraagde bedrag is lager dan het minimale transactiebedrag van de advertentie';

  @override
  String get error250Sbtrade8722Sbrequest250Sb102 => 'Aangevraagde bedrag is meer dan de handelaar beschikbaar heeft voor deze advertentie';

  @override
  String get error250Sbtrade8722Sbrequest250Sb103 => 'Deze handelaar handelt momenteel niet. Bekijk andere advertenties of kom later terug.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb105 => 'Deze handelaar heeft onvoldoende saldo om voor dit bedrag een transactie te starten.';

  @override
  String error250Sbtrade8722Sbrequest250Sb106(Object appName) {
    return 'U heeft niet genoeg saldo in uw $appName-portefeuille om een transactie te starten!';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb109 => 'Aangevraagde bedrag is meer dan de handelaar beschikbaar heeft voor deze advertentie';

  @override
  String get error250Sbtrade8722Sbrequest250Sb110 => 'Deze handelaar heeft een hogere feedbackscore nodig om te handelen dan u op dit moment heeft. U kunt uw feedbackscore verhogen door transacties uit te voeren met handelaren die dergelijke eisen niet hebben.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb111 => 'Het gevraagde bedrag is niet een van de bedragen die door deze handelaar wordt geaccepteerd';

  @override
  String get error250Sbtrade8722Sbrequest250Sb112 => 'Kan geen transactie aanvragen voor een advertentie die u zelf heeft geplaatst';

  @override
  String get error250Sbtrade8722Sbrequest250Sb141 => 'Kan geen transactie maken voor een bedrag dat lager is dan het minimaal toegestaande bedrag';

  @override
  String get error250Sbtrade8722Sbrequest250Sb150 => 'U kunt geen transactie starten omdat deze handelaar u heeft geblokkeerd. Probeer alstublieft andere handelaren te zoeken.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb151 => 'Deze advertentie is alleen bedoeld voor gebruikers die worden vertrouwd door de adverteerder. Probeer alstublieft andere advertenties te zoeken.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb173 => 'U mag niet nog meer transacties openen';

  @override
  String get error250Sbtrade8722Sbrequest250Sb218 => 'Deze advertentie is alleen voor gebruikers met een geverifieerd e-mailadres. Ga naar uw account-instellingen, stel uw e-mailadres in (als u dat nog niet hebt gedaan) en verifieer het.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb232 => 'Het is deze gebruiker momenteel verboden om te handelen vanwege een beperking op hun account';

  @override
  String get error250Sbtrade8722Sbrequest250Sb237 => 'Deze gebruiker bestaat niet';

  @override
  String get error250Sbtrade8722Sbrequest250Sb240 => 'Het opgegeven adres van de afwikkelingsportefeuille is ongeldig';

  @override
  String error250Sbtrade8722Sbrequest250Sb241(Object appName, Object asset) {
    return 'Het interne $appName adres kan niet worden gebruikt voor handelsafwikkeling. Voer een extern, niet-$appName $asset adres in om door te gaan.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb246 => 'Kan geen transactie openen: deze handelaar heeft nog geen afwikkelingsadres opgegeven voor deze advertentie. Neem indien mogelijk contact op met de verkoper, probeer het later opnieuw of zoek naar een ander aanbod.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb99 => 'Deze handelaar heeft een lager transactiebedrag nodig voor de eerste transactie met hun. Controleer de handelsgegevens hieronder.';

  @override
  String get error250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform => 'Selecteer een van de geldige platforms: localbitcoins of paxful';

  @override
  String get error250Sbwithdraw250Sb170 => 'Bedrag dat is aangevraagd voor opname is minder dan het minimaal mogelijke bedrag';

  @override
  String get error250Sbwithdraw250Sb254 => 'U heeft dit bedrag in de afgelopen 10 minuten al naar dit adres gestuurd. Controleer uw transacties en als dit geen vergissing was, probeer dan later de opname te herhalen.';

  @override
  String get error250Sbwithdraw250Sb7338Sb140 => 'Onjuist wachtwoord/eenmalig wachtwoord';

  @override
  String get error250Sbwithdraw250Sb7438Sb77 => 'Onvoldoende saldo';

  @override
  String error250Sbwithdraw250Sb75(Object appName) {
    return 'Dit adres bestaat niet in de $appName-database';
  }

  @override
  String get error250Sbwithdraw250Sb76 => 'Proberen om de arbitragegarantie in te trekken op hetzelfde adres als het account dat de intrekking aanvraagt';

  @override
  String get error250Sbwithdraw250Sbclosed8722Sbconnection => 'Er is iets misgegaan bij de aanvraag, maar de transactie is mogelijk al verzonden. Laad de pagina opnieuw, controleer of de transactie is verzonden en herhaal deze indien nodig. Neem contact op met onze ondersteuning als de fout zich blijft voordoen.';

  @override
  String error250Sbwithdraw250Sbgeneric(Object assetName) {
    return 'Er is iets misgegaan, controleer alstublieft het ontvangende $assetName adres.';
  }

  @override
  String get faq8722Sbquestion8722Sb31 => 'Wat moet ik weten over risicovolle betaalmethoden?';

  @override
  String faq250Sbanswer8722Sb0(Object appName) {
    return '$appName is een peer-to-peer Monero-uitwisseling. We zijn een marktplaats waar gebruikers Monero van elkaar kunnen kopen en verkopen. Gebruikers, oftewel handelaren, maken advertenties met de prijs en de betaalmethode die ze willen aanbieden. U kunt op onze website zoeken naar handelsadvertenties en naar de betaalmethode van uw voorkeur. U zult handelaren kunnen vinden die Monero online kopen en verkopen voor meer dan 60 verschillende betaalmethoden. Als $appName nieuw voor u is en u Monero wilt kopen, bekijk dan onze koop-handleiding voor meer informatie over het kopen van Monero.';
  }

  @override
  String faq250Sbanswer8722Sb057Sbagoradesk(Object appName) {
    return '$appName is een peer-to-peer cryptocurrency OTC-desk. Wij zijn een marktplaats waar gebruikers cryptocurrencies van elkaar kunnen kopen en verkopen. Gebruikers, oftewel handelaren, maken advertenties met de prijs en de betaalmethode die ze willen aanbieden. U kunt op onze website zoeken naar handelsadvertenties en de betaalmethode van uw voorkeur. U zult merken dat handelaren online cryptocurrencies kunnen kopen en verkopen voor meer dan 60 verschillende betaalmethoden. Als u nieuw bent bij $appName en cryptocurrencies wilt kopen, bekijk dan onze handleidingen.';
  }

  @override
  String faq250Sbanswer8722Sb1(Object buying, Object selling) {
    return 'U kunt onze $buying- en $selling-handleidingen raadplegen om aan de slag te kunnen gaan met handelen in Monero.';
  }

  @override
  String get faq250Sbanswer8722Sb18722Sbbuying => 'koop';

  @override
  String get faq250Sbanswer8722Sb18722Sbselling => 'verkoop';

  @override
  String faq250Sbanswer8722Sb157Sbagoradesk(Object buying, Object selling) {
    return 'U kunt onze $buying- en $selling-handleidingen raadplegen om aan de slag te kunnen gaan met het handelen van cryptocurrencies.';
  }

  @override
  String faq250Sbanswer8722Sb10(Object appName) {
    return 'Als u Monero koopt met $appName, wordt de Monero naar de door u aangegeven Monero-afwikkelingsportefeuille verzonden. Van daaruit kunt u het verzenden naar waar u maar wilt. Als u Monero wilt verkopen, moet u eerst XMR in uw $appName Monero-portefeuille storten.';
  }

  @override
  String get faq250Sbanswer8722Sb108722Sbwallet8722Sbpage => 'portefeuille pagina';

  @override
  String faq250Sbanswer8722Sb1057Sbagoradesk(Object appName) {
    return 'Als u cryptocurrency koopt met $appName, worden de munten naar de door u aangegeven afwikkelingsportefeuille verzonden. Van daaruit kunt u het verzenden naar waar u maar wilt. Als u cryptocurrency wilt verkopen, moet u eerst cryptocurrency storten in uw relevante $appName-portefeuille.';
  }

  @override
  String faq250Sbanswer8722Sb11(Object appName, Object walletPage) {
    return 'Om Monero op $appName te verkopen, moet u eerst wat Monero voor de arbitragegarantie naar uw $appName-portefeuille sturen. Hiervoor heeft u een $appName-account nodig, toegang tot Monero in een andere Monero-portefeuille en moet u uw $appName-ontvangstadres weten. Om uw $appName ontvangstadres te vinden, moet u naar de $walletPage gaan. De bovenkant van de pagina is verdeeld in drie delen, zodat u zowel Monero kunt verzenden, ontvangen en uw transacties kunt bekijken. Op het tabblad \'Ontvangen\' vindt u uw ontvangstadres. Zodra u uw $appName ontvangstadres weet, kut u naar uw andere Monero-portemonnee gaan en dit adres gebruiken om Monero naar uw $appName-adres te sturen.';
  }

  @override
  String faq250Sbanswer8722Sb1157Sbagoradesk(Object appName, Object walletPage) {
    return 'Om cryptocurrencies op $appName te verkopen, moet u eerst wat munten voor de arbitragegarantie naar uw $appName-portefeuille sturen. Om dat te doen heeft u een $appName account nodig, toegang tot munten in een andere portefeuille en moet u uw $appName ontvangstadres weten. Om uw $appName ontvangstadres te vinden, moet u naar de $walletPage gaan. Selecteer de relevante cryptocurrency, de bovenkant van de portefeuille-pagina is verdeeld in drie delen zodat u zowel cryptocurrency kunt verzenden, ontvangen en uw transacties kunt bekijken. Op het tabblad \'Ontvangen\' vindt u uw ontvangstadres. Zodra u uw $appName ontvangstadres kent, kunt u naar uw andere portemonnee gaan en dit adres gebruiken om de munten naar uw $appName adres te sturen.';
  }

  @override
  String faq250Sbanswer8722Sb12(Object appName) {
    return 'Transacties duren tussen de 10-60 minuten wanneer u Monero naar uw $appName-portefeuille verzendt of wanneer u Monero verzendt vanuit uw $appName-portefeuille.';
  }

  @override
  String faq250Sbanswer8722Sb1257Sbagoradesk(Object appName) {
    return 'Transacties duren tussen de 10 en 60 minuten wanneer u munten naar uw $appName-portefeuille verzendt of wanneer u munten uit uw $appName-portefeuille verzendt.';
  }

  @override
  String faq250Sbanswer8722Sb13(Object wallet) {
    return 'Het Monero-netwerk kan congestie ervaren, in dit geval zullen transacties veel langer duren. Monero-transacties moeten worden bevestigd door het Monero-netwerk. Wanneer een transactie wordt gedaan, wordt deze naar een transactiepool gestuurd van waaruit deze wordt gebundeld in blokken die Monero-\'miners\' bevestigen door middel van mining. Blokken worden gemiddeld elke twee minuten gedolven. Zodra de transactie in een blok is opgenomen en is gemined, is deze eenmaal bevestigd. Wanneer het aantal bevestigingen van de transactie een bepaalde drempel bereikt, momenteel is dit 10 bevestigingen, verschijnt de transactie in de ontvangende portefeuilles. U kunt meer lezen over bevestigingen op de Monero-wikipedia en u kunt het huidige aantal onbevestigde transacties op het Monero-netwerk zien in uw $wallet.';
  }

  @override
  String get faq250Sbanswer8722Sb138722Sbwallet => 'portefeuille';

  @override
  String faq250Sbanswer8722Sb1357Sbagoradesk(Object wallet) {
    return 'Het relevante cryptocurrency-netwerk kan congestie ervaren, in dit geval zullen transacties veel langer duren. Cryptocurrency-transacties moeten worden bevestigd door het cryptocurrency-netwerk. Wanneer een transactie wordt gedaan, wordt deze naar een transactiepool gestuurd van waaruit deze wordt gebundeld in blokken die \'miners\' bevestigen door middel van mining. Zodra de transactie in een blok is opgenomen en is gemined, is deze eenmaal bevestigd. Wanneer het aantal bevestigingen van de transactie een bepaalde drempel bereikt, verschijnt de transactie in de ontvangende portefeuille. U kunt het huidige aantal onbevestigde transacties op het netwerk zien in uw $wallet.';
  }

  @override
  String faq250Sbanswer8722Sb17(Object appName) {
    return '$appName gebruikt een feedbacksysteem die een score op uw openbare profiel laat zien. Deze score, een percentage, geeft aan hoeveel positieve feedback een gebruiker heeft. U kunt slechts één keer feedback geven aan een gebruiker. De feedback kan een van drie soorten zijn: Positief, Neutraal en Negatief. Eenmaal gegeven, zal feedback zichtbaar zijn op het openbare profiel van een gebruiker als aan bepaalde voorwaarden is voldaan, anders blijft de feedback onbevestigd en heeft deze geen invloed op de feedbackscore.';
  }

  @override
  String get faq250Sbanswer8722Sb18 => 'Gegeven feedback kan zowel bevestigd als onbevestigd zijn. Bevestigde feedback wordt weergegeven op het openbare profiel van een gebruiker en is van invloed op de feedbackscore van de gebruiker. Om een onbevestigde feedback te bevestigen, moet het totale handelsvolume tussen de gebruiker die feedback geeft en ontvangt meer dan 100 USD bedragen.';

  @override
  String faq250Sbanswer8722Sb19(Object appName, Object enableWebnotificationsfromyourprofile) {
    return 'Met webmeldingen kunt u via uw browser pop-up meldingen krijgen wanneer u een nieuwe melding ontvangt op $appName. Als u handelt en direct wilt weten wanneer er iets gebeurt, $enableWebnotificationsfromyourprofile. Zet de schakelaar \'Webmeldingen inschakelen\' om en druk op accepteren wanneer uw browser u om toestemming vraagt om webmeldingen weer te geven. U bent nu helemaal klaar en zult webmeldingen ontvangen.';
  }

  @override
  String get faq250Sbanswer8722Sb198722Sbenable8722Sbweb8722Sbnotifications8722Sbfrom8722Sbyour8722Sbprofile => 'schakel webmeldingen in vanuit uw profiel';

  @override
  String faq250Sbanswer8722Sb2(Object guide) {
    return 'Bekijk onze $guide.';
  }

  @override
  String get faq250Sbanswer8722Sb28722Sbguide => 'handleiding voor tweefactorauthenticatie';

  @override
  String get faq250Sbanswer8722Sb20 => 'Soms vraagt een handelaar om uw ID. Als u voor het eerst met een handelaar handelt, kan deze u vragen om uzelf te identificeren. Dit komt omdat in bepaalde landen handelaren volgens lokale wetten verplicht zijn te weten wie hun klanten zijn. De meeste handelaren leggen in de handelsvoorwaarden uit of ze ID-verificatie nodig hebben of niet. Als u de handelaar uw ID niet wilt geven, kunt u altijd de transactie annuleren en zoeken naar een handelaar met minder strenge eisen. Stuur altijd uw ID naar de verkoper via de trade chat, onze trade chat berichten worden versleuteld bewaard op onze servers en worden na 180 dagen verwijderd. Alle foto\'s die naar de handelschat worden gestuurd, zijn ook gemarkeerd met een watermerk om misbruik van de afbeeldingen te voorkomen.';

  @override
  String faq250Sbanswer8722Sb21(Object appName) {
    return 'De verkopers ronden een transactie meestal af zodra ze uw betaling zien, wat soms een uur of twee kan duren. Als u heeft betaald maar nog steeds wacht, hoeft u zich nergens zorgen over te maken, want alle online transacties worden beschermd door de arbitragegarantie en de verkoper kan niet weglopen zonder de garantie te verliezen. Als er problemen zijn met een transactie en de verkoper wil deze niet afronden, kunt u de transactie betwisten om $appName-ondersteuning het probleem op te laten lossen. Als u Monero online koopt of verkoopt, kunt u de transactie betwisten nadat u de betaling als voltooid heeft gemarkeerd. Een geschil kan niet meer worden gestart als de transactie is afgerond of als het een lokale transactie is zonder ingeschakelde arbitragegarantiebescherming. Wanneer een transactie waarbij u betrokken bent betwist wordt, ontvangt u een e-mail. Een betwiste transactie wordt meestal binnen 24-48 uur opgelost.';
  }

  @override
  String faq250Sbanswer8722Sb2157Sbagoradesk(Object appName) {
    return 'De verkopers ronden een transactie meestal af zodra ze uw betaling zien, wat soms een uur of twee kan duren. Als u heeft betaald maar nog steeds wacht, hoeft u zich nergens zorgen over te maken, want alle online transacties worden beschermd door de arbitragegarantie en de verkoper kan niet weglopen zonder de garantie te verliezen. Als er problemen zijn met een transactie en de verkoper wil deze niet afronden, kunt u de transactie betwisten om $appName-ondersteuning het probleem op te laten lossen. Als u online cryptocurrency koopt of verkoopt, kunt u de transactie betwisten nadat u de betaling als voltooid heeft gemarkeerd. Een geschil kan niet meer worden gestart als de transactie is afgerond of als het een lokale transactie is zonder ingeschakelde arbitragegarantiebescherming. Wanneer een transactie waarbij u betrokken bent betwist wordt, ontvangt u een e-mail. Een betwiste transactie wordt meestal binnen 24-48 uur opgelost.';
  }

  @override
  String get faq250Sbanswer8722Sb22 => 'We reserveren een kleine hoeveelheid Monero van uw portefeuille-saldo om de Monero-transactiekosten aan het Monero-netwerk te betalen. Elke Monero-transactie moet een kleine vergoeding aan het netwerk betalen om te worden bevestigd, ongeacht waar deze wordt verzonden. We reserveren deze vergoeding vooraf om te voorkomen dat uw portefeuille-saldo negatief wordt.';

  @override
  String get faq250Sbanswer8722Sb2257Sbagoradesk => 'We reserveren een klein bedrag van uw portemonnee-saldo om de netwerktransactiekosten te betalen. Elke cryptocurrency-transactie moet een kleine vergoeding aan het netwerk betalen om te worden bevestigd, ongeacht waar deze wordt verzonden.';

  @override
  String faq250Sbanswer8722Sb24(Object dashboard, Object appName, Object supportRequestform) {
    return 'Dit antwoord betreft het geval wanneer u online Monero koopt. Nadat u een ruilverzoek naar de Monero verkoper heeft gestuurd, heeft u een tijdvenster om de betaling te voltooien voordat de verkoper de transactie kan annuleren (het betalingsvenster varieert afhankelijk van de betaalmethode van de transactie). Gedurende deze tijd moet u uw betaling voltooien en op de knop \'Ik heb betaald\' drukken. De verkoper krijgt bericht dat u de betaling heeft voltooid en de Monero wordt vastgehouden in de obligatie totdat de verkoper de transactie voor u voltooit wanneer ze de betaling op hun rekening zien. Als u voor de aankoop heeft betaald, maar de betaling niet als voltooid heeft gemarkeerd voordat de betalingstermijn is verstreken, neem dan via de transactie contact op met de verkoper. U kunt contact opnemen met de verkoper en uw andere bestaande handelscontacten vanuit het $dashboard op uw $appName gebruikersprofiel. Stuur een bericht naar de verkoper en leg de situatie uit en waarom u de betaling niet binnen het tijdsbestek kon voltooien. Als de verkoper niet op dit verzoek reageert, neem dan contact op met $appName-ondersteuning via de $supportRequestform en vermeld uw transactie-ID.';
  }

  @override
  String get faq250Sbanswer8722Sb248722Sbdashboard => 'Dashboard';

  @override
  String get faq250Sbanswer8722Sb248722Sbsupport8722Sbrequest8722Sbform => 'ondersteuning aanvraagformulier';

  @override
  String faq250Sbanswer8722Sb2457Sbagoradesk(Object dashboard, Object appName, Object supportRequestform) {
    return 'Nadat u een ruilverzoek heeft verzonden, heeft u een tijdvenster om de betaling te voltooien voordat de andere partij de ruil kan annuleren. Gedurende deze tijd moet u uw betaling voltooien en op de knop \'Ik heb betaald\' drukken. De andere partij wordt op de hoogte gebracht dat u de betaling heeft voltooid en de munten worden in de obligatie vastgehouden totdat de andere partij de transactie voor u voltooit na het zien van de betaling op hun rekening. Als u voor de aankoop heeft betaald, maar de betaling nog niet als voltooid heeft gemarkeerd voordat de betalingstermijn is verstreken, neem dan contact op met de andere partij via de handelschat. U kunt vanaf het $dashboard contact opnemen met de andere partij en uw andere bestaande handelscontacten. Stuur een bericht naar de andere partij en leg de situatie uit en waarom u de betaling niet binnen het tijdsbestek kon voltooien. Als de andere partij niet op dit verzoek reageert, neem dan contact op met $appName-medewerkers via de $supportRequestform en vermeld uw transactie-ID.';
  }

  @override
  String get faq250Sbanswer8722Sb25 => 'Wanneer de koper of verkoper een geschil start, stapt een beheerder in de handelschat en vraagt beide partijen om bewijs en houdt rekening met de chatgeschiedenis en reputatie om een zo eerlijk mogelijke beslissing te nemen.';

  @override
  String faq250Sbanswer8722Sb26(Object appName) {
    return 'Monero-transacties zijn onomkeerbaar. Als u eenmaal geld naar een ander Monero-adres heeft gestuurd, is het voor u of $appName niet meer mogelijk om dit ongedaan te maken.';
  }

  @override
  String faq250Sbanswer8722Sb2657Sbagoradesk(Object appName) {
    return 'Transacties met cryptovaluta zijn onomkeerbaar. Als u de munten eenmaal naar een ander adres heeft gestuurd, is het voor u of $appName niet meer mogelijk om dit terug te draaien.';
  }

  @override
  String faq250Sbanswer8722Sb27(Object appName) {
    return 'Advertentieprijzen zijn gebaseerd op Monero-wisselkoersen. De wisselkoers van Monero is volatiel en kan snel veranderen. $appName werkt zijn wisselkoersen en advertentieprijzen elke tien minuten bij. De prijzen die in de aanbiedingen en op de voorpagina worden weergegeven, worden in de cache opgeslagen en worden iets langzamer bijgewerkt. Soms, wanneer de Monero-prijs snel fluctueert, kunnen advertenties met dezelfde prijsvergelijking een andere prijs weergeven. Soms zijn voor sommige valuta\'s geen marktgegevens beschikbaar, wat leidt tot vertragingen bij het bijwerken van de advertentieprijzen. Wanneer u echter de advertentiepagina zelf opent, is de prijs actueler. De prijs van de aankoop wordt bepaald op het moment dat de Monero-koper het ruilverzoek indient.';
  }

  @override
  String faq250Sbanswer8722Sb2757Sbagoradesk(Object appName) {
    return 'Advertentieprijzen zijn gebaseerd op de wisselkoersen van cryptocurrency. De wisselkoersen zijn volatiel en kunnen snel veranderen. $appName werkt zijn wisselkoersen en advertentieprijzen elke twaalf minuten bij. De prijzen die in de aanbiedingen en op de voorpagina worden weergegeven, worden in de cache opgeslagen en worden iets langzamer bijgewerkt. Soms, wanneer de prijs snel fluctueert, kunnen advertenties met dezelfde prijsformule verschillende prijzen weergeven. Soms zijn voor sommige valuta\'s geen marktgegevens beschikbaar, wat leidt tot vertragingen bij het bijwerken van de advertentieprijzen. Wanneer u echter de advertentiepagina zelf opent, is de prijs actueler. De prijs wordt bepaald wanneer het ruilverzoek wordt verzonden.';
  }

  @override
  String get faq250Sbanswer8722Sb28 => 'Wanneer de prijs variabel is, fluctueert het gekochte Monero-bedrag met de Monero-wisselkoers. Het verhandelde Monero-bedrag wordt bepaald wanneer de transactie wordt gesloten, in plaats van wanneer de transactie wordt geopend. Dit vermindert het marktrisico bij lokale contante transacties waarbij de tijd tussen het openen van de transactie en het sluiten van de transactie meerdere dagen kan duren.';

  @override
  String get faq250Sbanswer8722Sb2857Sbagoradesk => 'Wanneer de prijs variabel is, fluctueert het gekochte cryptocurrency-bedrag met de wisselkoers. Het verhandelde bedrag wordt bepaald wanneer de transactie wordt gesloten, in plaats van wanneer de transactie wordt geopend. Dit vermindert het marktrisico bij lokale contante transacties waarbij de tijd tussen het openen van de transactie en het sluiten van de transactie meerdere dagen kan duren.';

  @override
  String faq250Sbanswer8722Sb29(Object feesPage) {
    return 'U kunt alle info over de huidige tarieven bekijken op onze $feesPage';
  }

  @override
  String get faq250Sbanswer8722Sb298722Sbfees8722Sbpage => 'kosten pagina';

  @override
  String faq250Sbanswer8722Sb30(Object telegram, Object thisGuide, Object appName) {
    return 'Op dit moment hebben we geen zelfstandige mobiele app. Maar u kunt mobiele meldingen ontvangen in $telegram! $thisGuide leidt u door het activeringsproces voor Telegram-meldingen (het is eenvoudig). Onze bot stuurt u dan meldingen over uw $appName-gebeurtenissen.';
  }

  @override
  String get faq250Sbanswer8722Sb308722Sbthis8722Sbguide => 'Deze handleiding';

  @override
  String get faq250Sbanswer8722Sb32 => 'De transactieprioriteit is een instelling die in Monero wordt gebruikt om uw betaling te onderscheiden van andere betalingen in het Monero-netwerk (als er concurrentie is). Transacties met een lage prioriteit kunnen meer tijd in beslag nemen.';

  @override
  String get faq250Sbanswer8722Sb32250Sb1 => 'In Bitcoin beïnvloeden de vergoedingsniveaus de snelheid waarmee uw transactie wordt bevestigd door \'miners\' te stimuleren om prioriteit te geven aan uw transactie voor een hogere vergoeding. Een transactie met hoge kosten wordt naar schatting binnen een paar blokken bevestigd; Een transactie met gemiddelde kosten wordt naar schatting binnen een dag bevestigd; Een transactie met lage kosten wordt naar schatting binnen een week bevestigd.';

  @override
  String faq250Sbanswer8722Sb33(Object appName) {
    return 'U kunt munten uit de $appName-portefeuille opnemen in uw persoonlijke portefeuille van een andere cryptocurrency dan de $appName-valuta. Om dit te doen, moet u eerst het selectievakje \"Ik wil een andere valuta ontvangen\" aanvinken. Selecteer daarna de gewenste ontvangende cryptocurrency en typ het adres in waar de munten naartoe moeten worden gestuurd. Kies vervolgens of u het bedrag wilt opgeven in munten die vanuit uw portefeuille zijn verzonden of in de geconverteerde munten die u in uw bestemmingsportefeuille heeft ontvangen en voer het aantal in. Druk op \"Doorgaan\" en krijg de relevante aanbiedingen te zien die aan uw eisen voldoen. Als de lijst leeg is, probeer dan het bedrag aan te passen. De omrekeningskoers wordt voor elke aanbieding weergegeven, en als deze acceptabel is, hoeft u alleen maar op \"Ruilen\" te drukken, akkoord te gaan met de voorwaarden en dan wordt er automatisch een transactie voor het relevante bedrag voor u gemaakt. Het bestemmingsadres wordt automatisch aan de koper verstrekt via de handelschat. De rest wordt afgehandeld net als elke andere transactie op $appName - de koper stuurt de gewenste valuta naar het adres dat u heeft opgegeven, en na ontvangst van de munten moet u een transactie afronden. Dat is het!';
  }

  @override
  String get faq250Sbanswer8722Sb338722Sbmorphtoken8722Sbfaq8722Sblink => 'Hier kunt u meer lezen over hoe ChangeNow werkt, hun service en netwerkkosten';

  @override
  String faq250Sbanswer8722Sb4(Object value) {
    return 'Als u uw back-upcode heeft, gebruikt u een QR-genererende service zoals $value om de QR te genereren op basis van uw back-upcode. Scan vervolgens de gegenereerde QR met uw mobiele 2FA-app. Als u uw back-upcode niet heeft, betekent dit dat u geen toegang meer heeft tot uw account. Helaas is het voor ons onmogelijk om onderscheid te maken tussen een hacker die zich voordoet als u of de werkelijke u.';
  }

  @override
  String get faq250Sbanswer8722Sb48722Sbthis => 'deze';

  @override
  String faq250Sbanswer8722Sb5(Object onionUrl, Object tor) {
    return 'Ja, dat doen we! Hier is het: $onionUrl (u heeft $tor nodig om deze link te openen).';
  }

  @override
  String faq250Sbanswer8722Sb6(Object b32I2purl, Object i2pUrl, Object i2p) {
    return 'Ja, we hebben er zelfs twee! Hier zijn ze: $b32I2purl of $i2pUrl (u heeft $i2p nodig om deze links te openen).';
  }

  @override
  String faq250Sbanswer8722Sb7(Object here) {
    return 'Yep! Bekijk het eens $here.';
  }

  @override
  String get faq250Sbanswer8722Sb78722Sbhere => 'hier';

  @override
  String faq250Sbanswer8722Sb8(Object appName) {
    return 'Alle online transacties worden beschermd door arbitrage-obligaties. Wanneer een transactie wordt gestart, wordt automatisch een bedrag aan Monero dat gelijk is aan het bedrag van de transactie als obligatie gereserveerd uit de portefeuille van de verkoper $appName. Dit betekent dat als de verkoper er met uw geld vandoor gaat en de transactie niet voltooit, $appName-ondersteuning de Monero in de arbitrageband naar u kunt sturen. Als u Monero verkoopt, voltooi dan nooit de transactie voordat u weet dat u uw geld heeft ontvangen van de Monero-koper. Houd er rekening mee dat voor lokale transacties standaard geen arbitrage-obligatiebescherming is ingeschakeld.';
  }

  @override
  String faq250Sbanswer8722Sb857Sbagoradesk(Object appName) {
    return 'Alle online transacties worden beschermd door arbitrage-obligaties. Wanneer een transactie wordt gestart, wordt automatisch een bedrag aan cryptovaluta dat gelijk is aan het bedrag van de transactie gereserveerd in de portemonnee van de verkoper $appName als obligatie. Dit betekent dat als de verkoper er met uw geld vandoor gaat en de transactie niet voltooit, $appName-ondersteuning de Monero die in de arbitragegarantie wordt vastgehouden, naar u kunt doorsturen. Als u cryptocurrency verkoopt, voltooi dan nooit de transactie voordat u weet dat u uw geld van de koper heeft ontvangen. Houd er rekening mee dat voor lokale transacties standaard geen arbitrage-obligatiebescherming is ingeschakeld.';
  }

  @override
  String faq250Sbanswer8722Sb9(Object appName) {
    return 'We hebben twee verschillende soorten transacties op $appName, lokale transacties en online transacties. Online transacties vinden volledig online plaats via ons handelsplatform zonder dat u uw handelspartner ooit ontmoet. Bescherming van arbitrage-obligaties wordt automatisch ingeschakeld en gefinancierd voor online transacties, wat betekent dat u als koper automatisch wordt beschermd door ons systeem voor bescherming van arbitrage-obligaties. De meeste transacties op $appName zijn online transacties. Lokale transacties zijn bedoeld om face-to-face te worden uitgevoerd en bescherming door arbitrage is niet automatisch ingeschakeld. Hierdoor is het niet veilig om de verkoper te betalen via een online betaalmethode in een lokale handel. Online betaalmethoden zijn bijvoorbeeld bankoverschrijvingen; PayPal; Cadeauboncodes enz.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent(Object appName) {
    return 'Als u munten wilt storten in de $appName-portefeuille vanuit een portefeuille van een andere cryptocurrency, moet u het vakje \'Ik wil een andere valuta storten\' aanvinken in het tabblad \'Ontvangen\' op de portefeuille-pagina. Selecteer in het weergegeven gedeelte de gewenste stortingsvaluta, het stortingsbedrag (let op de weergegeven limieten) en voer het respectieve terugbetalingsadres in dat zal worden gebruikt als er iets misgaat met de transactie. Nadat u dat heeft gedaan, klikt u op \'Laat me het stortingsadres zien!\' knop, waarmee een venster wordt geopend waarin u het stortingsadres ziet. Stuur de munten van uw portemonnee naar het opgegeven stortingsadres van ChangeNow. Op dit punt zal ChangeNow uw munten omzetten en overboeken naar uw $appName-portefeuille.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent57Sbagoradesk(Object appName) {
    return 'Als u munten wilt storten in de $appName-portefeuille vanuit een portefeuille van een andere cryptocurrency, moet u het vakje \'Ik wil een andere valuta storten\' aanvinken op het tabblad \'Ontvangen\' van de portemonnee-pagina. Selecteer in het weergegeven gedeelte de gewenste stortingsvaluta, het stortingsbedrag (let op de weergegeven limieten) en voer het respectieve terugbetalingsadres in dat zal worden gebruikt als er iets misgaat met de transactie. Nadat je dat hebt gedaan, klik je op \'Laat me het stortingsadres zien!\' knop, waarmee een venster wordt geopend waarin u het stortingsadres ziet. Stuur de munten van uw portefeuille naar het opgegeven stortingsadres van ChangeNow. Op dit punt zal ChangeNow uw munten omzetten en overboeken naar uw $appName-portefeuille.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbtitle(Object appName) {
    return 'Hoe kan ik andere cryptocurrencies in de $appName-portefeuille storten?';
  }

  @override
  String faq250Sbquestion8722Sb0(Object appName) {
    return 'Wat is $appName?';
  }

  @override
  String get faq250Sbquestion8722Sb1 => 'Hoe koop of verkoop ik Monero?';

  @override
  String get faq250Sbquestion8722Sb157Sbagoradesk => 'Hoe koop of verkoop ik cryptocurrencies?';

  @override
  String get faq250Sbquestion8722Sb10 => 'Hoe verstuur ik Monero en hoe kan ik met Monero betalen nadat ik ze heb gekocht?';

  @override
  String get faq250Sbquestion8722Sb1057Sbagoradesk => 'Hoe verstuur ik cryptocurrencies en hoe kan ik met cryptocurrencies betalen nadat ik ze heb gekocht?';

  @override
  String faq250Sbquestion8722Sb11(Object appName) {
    return 'Hoe ontvang ik Monero in mijn $appName-portefeuille?';
  }

  @override
  String faq250Sbquestion8722Sb1157Sbagoradesk(Object appName) {
    return 'Hoe ontvang ik cryptocurrency in mijn $appName-portefeuille?';
  }

  @override
  String faq250Sbquestion8722Sb12(Object appName) {
    return 'Hoe lang duurt het om Monero naar mijn $appName-portefeuille te sturen of te ontvangen?';
  }

  @override
  String faq250Sbquestion8722Sb1257Sbagoradesk(Object appName) {
    return 'Hoe lang duurt het om cryptocurrencies naar mijn $appName-portefeuille te sturen of te ontvangen?';
  }

  @override
  String get faq250Sbquestion8722Sb13 => 'Ik heb 60 minuten gewacht en mijn transactie is nog steeds in behandeling, wat nu?';

  @override
  String get faq250Sbquestion8722Sb17 => 'Hoe werkt het feedbacksysteem?';

  @override
  String get faq250Sbquestion8722Sb18 => 'Wat is het verschil tussen bevestigd en onbevestigd feedback?';

  @override
  String get faq250Sbquestion8722Sb19 => 'Hoe schakel ik webmeldingen in?';

  @override
  String get faq250Sbquestion8722Sb2 => 'Hoe word ik beschermd tegen oplichting?';

  @override
  String get faq250Sbquestion8722Sb20 => 'Een handelaar vraagt me om mijn ID en ik voel me niet op mijn gemak.';

  @override
  String get faq250Sbquestion8722Sb21 => 'Ik heb de verkoper betaald, maar ik heb mijn Monero nog niet ontvangen.';

  @override
  String get faq250Sbquestion8722Sb2157Sbagoradesk => 'Ik heb betaald, maar ik heb mijn munten nog niet ontvangen.';

  @override
  String get faq250Sbquestion8722Sb22 => 'Waarom kan ik niet alle Monero in mijn portefeuille verzenden?';

  @override
  String get faq250Sbquestion8722Sb2257Sbagoradesk => 'Waarom kan ik niet alle munten in mijn portefeuille verzenden?';

  @override
  String faq250Sbquestion8722Sb23(Object appName) {
    return 'Ik heb een transactie gemaakt van $appName en deze wordt niet weergegeven aan de ontvangende kant!';
  }

  @override
  String get faq250Sbquestion8722Sb24 => 'Ik heb betaald, maar ben vergeten op de knop \'Ik heb betaald\' te drukken of ik heb er niet op tijd op gedrukt';

  @override
  String get faq250Sbquestion8722Sb25 => 'Hoe gaan geschillen worden afgehandeld?';

  @override
  String get faq250Sbquestion8722Sb26 => 'Ik heb Monero naar het verkeerde adres gestuurd, kan ik ze terugkrijgen?';

  @override
  String get faq250Sbquestion8722Sb2657Sbagoradesk => 'Ik heb munten naar het verkeerde adres gestuurd, kan ik ze terugkrijgen?';

  @override
  String get faq250Sbquestion8722Sb27 => 'Hoe vaak worden advertentieprijzen bijgewerkt?';

  @override
  String get faq250Sbquestion8722Sb28 => 'Wat is een variabele prijs?';

  @override
  String get faq250Sbquestion8722Sb29 => 'Wat zijn de kosten?';

  @override
  String get faq250Sbquestion8722Sb3 => 'Hoe activeer ik tweefactorauthenticatie?';

  @override
  String get faq250Sbquestion8722Sb30 => 'Hebben jullie een mobiele app? / Hoe kan ik mobiele notificaties ontvangen?';

  @override
  String get faq250Sbquestion8722Sb32 => 'Wat is een transactieprioriteit?';

  @override
  String get faq250Sbquestion8722Sb32250Sb1 => 'Wat is een vergoedingsniveau?';

  @override
  String faq250Sbquestion8722Sb33(Object appName) {
    return 'Hoe kan ik Monero opnemen naar een andere Cryptocurrency-portefeuille vanuit mijn $appName-portefeuille?';
  }

  @override
  String faq250Sbquestion8722Sb3357Sbagoradesk(Object appName) {
    return 'Hoe kan ik andere cryptocurrencies uit mijn $appName-portefeuille halen?';
  }

  @override
  String get faq250Sbquestion8722Sb5 => 'Ik ben mijn tweede authenticatiefactor kwijt, wat moet ik doen?';

  @override
  String get faq250Sbquestion8722Sb6 => 'Hebben jullie een .onion-site / Tor-verborgen service?';

  @override
  String get faq250Sbquestion8722Sb7 => 'Hebben jullie een I2P-site?';

  @override
  String get faq250Sbquestion8722Sb8 => 'Hebben jullie een partnerprogramma?';

  @override
  String get faq250Sbquestion8722Sb9 => 'Wat is het verschil tussen een online handel en lokale handel?';

  @override
  String get faq250Sbtitle => 'Veel Gestelde Vragen';

  @override
  String get feedback250Sbnone => 'Nog geen feedback';

  @override
  String feedback250Sbtitle(Object user) {
    return 'Feedback op $user';
  }

  @override
  String fees250Sbtitle(Object appName) {
    return '$appName kosten';
  }

  @override
  String fees250Sbtrading250Sbtext(Object appName) {
    return 'Het registreren, kopen en verkopen van Monero is volledig <strong>gratis</strong>. <br/> $appName gebruikers die advertenties maken, betalen <strong> 1% arbitragebeschermingskosten </strong> voor elke voltooide transactie.';
  }

  @override
  String fees250Sbtrading250Sbtext57Sbagoradesk(Object appName) {
    return 'Het registreren, kopen en verkopen van cryptocurrencies is volledig <strong>gratis</strong>. <br/> $appName gebruikers die advertenties maken, betalen <strong> 1% arbitragebeschermingskosten </strong> voor elke voltooide transactie.';
  }

  @override
  String get fees250Sbtrading250Sbtitle => 'Monero-handel';

  @override
  String get fees250Sbtrading250Sbtitle57Sbagoradesk => 'Handel in cryptovaluta';

  @override
  String fees250Sbtx250Sbtext(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Transacties naar portefeuilles van andere $appName gebruikers zijn $free. $linebreak  Transacties naar andere Monero-portefeuilles zijn onderworpen aan de transactiekosten van het Monero-netwerk. Het huidige tarief is zichtbaar op de $walletPage onder het kopje $outgoingMonerofees. De transactiekosten worden uit uw $appName-portefeuille betaald wanneer u een transactie verzendt.';
  }

  @override
  String get fees250Sbtx250Sbtext8722Sbfree => 'gratis';

  @override
  String get fees250Sbtx250Sbtext8722Sbwallet8722Sbpage => 'portefeuille pagina';

  @override
  String fees250Sbtx250Sbtext57Sbagoradesk(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Transacties naar portefeuilles van andere $appName gebruikers zijn $free. $linebreak  Transacties naar externe Cryptocurrency-portefeuilles zijn onderhevig aan de relevante transactiekosten voor cryptocurrency-netwerken. Het huidige tarief is zichtbaar op de $walletPage onder het kopje $outgoingMonerofees. De transactiekosten worden uit uw $appName-portefeuille betaald wanneer u een transactie verzendt.';
  }

  @override
  String get fees250Sbtx250Sbtitle => 'Monero-transactiekosten';

  @override
  String get fees250Sbtx250Sbtitle57Sbagoradesk => 'Transactiekosten voor cryptocurrency';

  @override
  String get finish => 'Voltooien';

  @override
  String get footer250Sbabout => 'Over';

  @override
  String get footer250Sbaffiliate => 'Partner';

  @override
  String get footer250Sbblocks => 'Monero Block Explorer';

  @override
  String get footer250Sbbounty => 'Beveiligings bounty';

  @override
  String get footer250Sbcanary => 'Kanarie';

  @override
  String get footer250Sbcontact => 'Neem contact met ons op';

  @override
  String get footer250Sbfees => 'Kosten';

  @override
  String get footer250Sble => 'Rechtshandhaving Onderzoeken';

  @override
  String get footer250Sbpgp => 'PGP-sleutels';

  @override
  String get footer250Sbtor => 'Tor verborgen dienst';

  @override
  String get footer250Sbtos => 'Servicevoorwaarden';

  @override
  String get formula250Sbexamples8722Sbtitle => 'Voorbeelden';

  @override
  String get formula250Sbexamples250Sbbtc => '5% boven de gemiddelde BTC/EUR marktprijs: <strong>coingeckobtcusd*usdeur*1.05</strong>\n<br/> BTC/XMR marktprijs: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5% boven de Kraken BTC/EUR laatste prijs omgerekend naar GBP: <strong> krakenbtceurlast/usdeur*usdgbp*1.05 </strong>\n<br/> 5% onder de hoogste van de BTC/USD Bitfinex lage prijs en de BTC/USD Kraken laatste prijs: <strong>max(bitfinexbtcusdlow,krakenbtcusdlast)*0.95</strong>\n<br/> 0,1 LTC boven de marktprijs BTC/LTC: <strong>coingeckobtcltc+0,1</strong>';

  @override
  String get formula250Sbexamples250Sbxmr => '5% boven de gemiddelde XMR/EUR marktprijs: <strong>coingeckoxmrusd*usdeur*1.05</strong>\n<br/> ETH/XMR-marktprijs: <strong>coingeckoethbtc/coingeckoxmrbtc</strong>\n<br/> BTC/XMR marktprijs: <strong>1/coingeckoxmrbtc</strong>\n<br/> 5% boven de Kraken XMR/EUR laatste prijs omgerekend naar GBP: <strong> krakenxmreurlast/usdeur*usdgbp*1.05 </strong>\n<br/> 5% onder de hoogste van de XMR/USD Bitfinex lage prijs en de XMR/USD Kraken laatste prijs: <strong>max(bitfinexxmrusdlow,krakenxmrusdlast)*0.95</strong>\n<br/> 0,001 BTC boven de markt XMR/BTC-prijs: <strong>coingeckoxmrbtc+0,001</strong>';

  @override
  String get formula250Sbfiat8722Sbrates => 'Fiat-wisselkoersen';

  @override
  String get formula250Sbfiat8722Sbrates8722Sbtab => 'Fiat beurskoersen';

  @override
  String get formula250Sbfunctions => 'Functies';

  @override
  String get formula250Sbinput8722Sblabel => 'Prijs formule';

  @override
  String get formula250Sbinvalid8722Sbmessage => 'Ongeldige formule!';

  @override
  String get formula250Sbmarkets => 'Markten';

  @override
  String get formula250Sbmarkets8722Sbtab => 'Markten';

  @override
  String get formula250Sbno8722Sbformula8722Sbmessage => 'Voer een geldige formule in om de prijs te zien';

  @override
  String get formula250Sboperators => 'Exploitanten';

  @override
  String get formula250Sboperators8722Sband8722Sbfunctions8722Sbtab => 'Operaties & Funcs';

  @override
  String get formula250Sbpopular8722Sbfiat8722Sbpairs => 'Populaire fiat-ruilparen';

  @override
  String get formula250Sbunexpected8722Sberror => 'Fout! Ververs de pagina en probeer het opnieuw. Neem contact op met onze ondersteuning als het probleem zich blijft voordoen.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbfive8722Sbtext => 'Scan in uw authenticator-app de QR-code die op de pagina wordt weergegeven. Nadat je dat hebt gedaan, verschijnen er 6-cijferige eenmalige wachtwoorden in de app.';

  @override
  String guide250Sb2fa250Sbstep8722Sbfour8722Sbtext(Object chooseAnyapp, Object andotp) {
    return 'Installeer de authenticatie-app op je telefoon. U kunt $chooseAnyapp die TOTP ondersteunt. $andotp is bijvoorbeeld gratis en open source.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbfour8722Sbtext8722Sbchoose8722Sbany8722Sbapp => 'kies een app';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb0(Object appName) {
    return 'Tweefactorauthenticatie (2FA) wordt ingeschakeld via het tabblad \'Tweefactorauthenticatie\' op de instellingenpagina. Bij het activeren van tweefactorauthenticatie is het van groot belang dat u <strong> de back-upcode </strong> opschrijft en op een veilige plaats bewaart, bij voorkeur op papier. Als u de toegang tot uw tweefactorcodes kwijtraakt, kunt u zich niet aanmelden bij uw account en kan $appName u niet helpen. Dat is het punt van 2FA. <strong> Gebruik op eigen risico. </strong>';
  }

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb1(Object appName, Object totp, Object authMobileapp) {
    return '$appName biedt $totp 2FA. Zodra 2FA is ingeschakeld, wordt $authMobileapp gesynchroniseerd met $appName en worden eenmalige wachtwoorden van 6 cijfers geproduceerd. Dit wachtwoord wordt elke minuut gewijzigd. Om in te loggen of arbitragebinding in te trekken, moet u naast uw wachtwoord ook dit eenmalige wachtwoord invoeren voordat het verloopt.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbauth8722Sbmobile8722Sbapp => 'authenticatie mobiele app';

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbtotp => 'Op tijd gebaseerd eenmalig wachtwoordalgoritme (TOTP)';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb2(Object settingsPage) {
    return 'Om twee-factor-authenticatie te activeren, gaat u naar $settingsPage en kiest u het tabblad \'Twee-factor-authenticatie\'.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb28722Sbsettings8722Sbpage => 'instellingen pagina';

  @override
  String get guide250Sb2fa250Sbstep8722Sbsix8722Sbtext => 'Om de installatie te voltooien, voert u de code in die door uw mobiele app wordt gegeven in het vak onder de QR-code en drukt u op de knop \'Verify 2FA\'. <br/><br/> Gefeliciteerd! Tweefactorauthenticatie is ingeschakeld voor uw account. Gebruik de codes die de app u heeft gegeven samen met uw wachtwoord om in te loggen en uw arbitrageband in te trekken.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbthree8722Sbtext => '<strong>BELANGRIJK! Schrijf uw back-upcode op. </strong> We raden aan om het af te drukken of te schrijven op een stuk papier voor maximale veiligheid. Bewaar deze veilig, deze code is je enige kans om weer toegang tot je account te krijgen als je je telefoon kwijtraakt of de authenticator-app verwijdert.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbtwo8722Sbtext => 'Voer uw wachtwoord in en druk op de knop \'2FA inschakelen\'.';

  @override
  String get guide250Sb2fa250Sbtitle => 'Hoe u tweefactorauthenticatie inschakelt';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb1 => 'Helaas hebben <strong> munten zoals bitcoin geen privacy ingebed in hun protocol. </strong> Alle transacties en bedragen die tussen alle partijen worden verhandeld, zijn openbaar zichtbaar. Dit voorkomt dat bitcoin fungibel is en leidt tot fundamentele problemen met de levensvatbaarheid van bitcoin als wereldwijde monetaire basis.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb2 => 'Stel je het volgende scenario voor: bitcoin is de enige gebruikte valuta ter wereld geworden. Wat zouden enkele van de implicaties zijn van het gebrek aan privacy?';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3 => 'U reist door delen van een land met een gemiddeld tot hoog geweldsmisdrijfcijfer. U moet een deel van uw Bitcoin gebruiken om ergens voor te betalen.<strong> Als elke persoon met wie u transacties uitvoert precies weet hoeveel geld u heeft, vormt dit een bedreiging voor uw persoonlijke fysieke veiligheid. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3250Sbtitle => '1. Fysieke veiligheid';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4 => 'U bent een bedrijf dat een betaling doet aan een leverancier. Die leverancier kan zien hoeveel geld uw bedrijf heeft en kan daarom raden hoe prijsgevoelig u bent bij toekomstige onderhandelingen. Ze kunnen elke andere betaling zien die je ooit op dat Bitcoin-adres hebt ontvangen, en dus bepalen met welke andere leveranciers je te maken hebt en hoeveel je die leveranciers betaalt. Zij kunnen mogelijk grofweg bepalen hoeveel klanten u heeft en hoeveel u uw klanten in rekening brengt. <strong> Dit is commercieel gevoelige informatie die uw onderhandelingspositie zodanig schaadt dat u relatief financieel verlies lijdt. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4250Sbtitle => '2. Handelsgeheim';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5 => 'U bent een particulier die betaalt voor online goederen en diensten. U weet dat het voor bedrijven gebruikelijk is om <strong> algoritmen voor \'prijsdiscriminatie\'</strong> te gebruiken om te proberen de hoogste prijzen te bepalen waartegen ze u in de toekomst diensten kunnen aanbieden, en u zou liever hebben dat ze dat niet doen [X307X ] hebben het informatievoordeel dat u weet hoeveel u uitgeeft en waar u het uitgeeft.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5250Sbtitle => '3. Prijsdiscriminatie';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6 => 'Je verkoopt cupcakes en ontvangt bitcoin als betaling. Het blijkt dat <strong> iemand die die bitcoin bezat voordat jij betrokken was bij criminele activiteiten </strong>. Nu maak je je zorgen dat je <strong> verdachte bent geworden in een strafzaak </strong>, omdat het overmaken van geld naar jou een openbare zaak is. U maakt zich ook zorgen dat bepaalde bitcoins waarvan u dacht dat u ze bezat, als ‘besmet’ zullen worden beschouwd en dat <strong> anderen zullen weigeren ze als betaling te accepteren.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6250Sbtitle => '4. Bedorven fondsen';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7 => '<strong> Monero lost deze privacyproblemen op door automatisch privacytechnieken toe te passen op elke afzonderlijke transactie.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7250Sbtitle => 'Hoe Monero dit oplost';

  @override
  String guide250Sbbtc250Sbcard8722Sbfive8722Sb8(Object fungibility) {
    return 'Je kunt erop vertrouwen dat het niet mogelijk is om \'bedorven\' Monero te bezitten. Dit is een concept in de economie dat bekend staat als $fungibility en wordt historisch beschouwd als een belangrijk kenmerk voor elke valuta.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive250Sbtitle => 'Waarom financiële privacy belangrijk is';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb1 => 'Gebruik Tor';

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb2(Object tor) {
    return 'Volgens $tor is Tor gratis software en een open netwerk dat je helpt je te verdedigen tegen verkeersanalyse, een vorm van netwerkbewaking die een bedreiging vormt voor persoonlijke vrijheid en privacy, vertrouwelijke zakelijke activiteiten en relaties, en de staatsveiligheid.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb3(Object torBrowser, Object appName, Object torLink) {
    return 'Om het te gebruiken, downloadt en installeert u eenvoudig de $torBrowser van hun officiële website. Nadat je het hebt gestart, heb je toegang tot $appName via ons speciale Tor-portaal: $torLink';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb4(Object appName) {
    return 'Gebruik bij aankopen op $appName betalingsmethoden waarbij contant geld is betrokken';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb5 => 'Telkens wanneer u koopt via een bankoverschrijving, PayPal of andere dergelijke betalingsopties, zal er altijd een privacylek zijn vanwege de gegevens die worden bijgehouden door de bedrijven die uw betaling verwerken. Om dat privacylek te voorkomen, moet u zich houden aan methoden waarbij contant geld betrokken is.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb6 => 'Gebruik methoden zoals contant geld per post, contante stortingen bij geldautomaten, persoonlijke ontmoetingen of cadeaubonnen die met contant geld zijn gekocht. ';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour250Sbtitle => 'Geavanceerde technieken om anoniem te blijven bij het gebruik van deze methode om Bitcoins te kopen';

  @override
  String guide250Sbbtc250Sbcard8722Sbone8722Sb1(Object wikipedia) {
    return 'Volgens $wikipedia:';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb2 => 'Monero (XMR) is een open-source cryptocurrency die in april 2014 is gemaakt en zich richt op <strong> fungibiliteit, privacy en decentralisatie. </strong> Monero gebruikt een verborgen grootboek, wat betekent dat iedereen transacties kan uitzenden of verzenden, maar dat geen externe waarnemer het kan zien de bron, het bedrag of de bestemming. Monero gebruikt een Proof of Work-mechanisme om nieuwe munten uit te geven en mijnwerkers te stimuleren het netwerk te beveiligen en transacties te valideren.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb3 => 'Monero wordt actief aangemoedigd voor degenen die op zoek zijn naar financiële privacy, aangezien <strong> betalingen en accountsaldi volledig verborgen blijven </strong>, wat niet de standaard is voor de meeste cryptocurrencies.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone250Sbtitle => '1. Wat is Monero?';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb1(Object appName) {
    return 'Stap 6: Bitcoins opnemen van $appName';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb2 => 'Ga nu naar de portemonneepagina en vink het vakje \'Ik wil geld opnemen naar een BTC-, XMR-, ETH-, LTC-, BCH- of DASH-portemonnee\' aan op het tabblad \'Monero verzenden\' van de portemonneepagina. Selecteer in het verschenen gedeelte BTC en voer het respectieve ontvangende BTC-adres in. Vervolgens voer je het bedrag in XMR in, selecteer je de prioriteit en klik je op \'Doorgaan\'. Houd er rekening mee dat het ontvangen bedrag in XMR binnen de opgegeven ChangeNow-limieten moet vallen.';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb3(Object appName, Object morphtoken) {
    return 'Vervolgens, nadat u uw wachtwoord en (indien ingeschakeld) eenmalig wachtwoord heeft ingevoerd, stuurt $appName uw munten naar $morphtoken voor conversie.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb4(Object appName) {
    return 'U hoeft op dit moment niets te doen en een nieuw venster waarin u de transactiestatus kunt volgen, wordt geopend in uw browser (als het niet is geopend, klikt u op de verstrekte link en slaat u deze op zodat u de transactiestroom kunnen zien). Mocht er iets misgaan met de transactie, dan worden de munten teruggestort in je $appName portemonnee.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb5 => 'Stap 7';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb6(Object morphtoken) {
    return 'Wacht daarna tot de transactie is voltooid (ongeveer 15 minuten) en $morphtoken stuurt de bitcoins naar het door u opgegeven adres. Gedaan!';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree250Sbtitle => 'Bitcoin anoniem kopen met contant geld';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb1 => '<strong> Monero is de toonaangevende cryptocurrency met een focus op privé- en censuurbestendige transacties </strong>. De meeste bestaande cryptocurrencies, waaronder Bitcoin en Ethereum, hebben transparante blockchains, wat betekent dat transacties openlijk verifieerbaar en traceerbaar zijn voor iedereen ter wereld. Bovendien kunnen de verzend- en ontvangstadressen voor deze transacties mogelijk worden gekoppeld aan de echte identiteit van een persoon.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb2 => 'Monero gebruikt cryptografie om verzendende en ontvangende adressen en transacties af te schermen.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb3 => 'Monero-transacties zijn vertrouwelijk en onvindbaar.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb4 => 'Elke Monero-transactie vertroebelt standaard verzend- en ontvangstadressen, evenals transactiebedragen. Deze privacy die altijd actief is, betekent dat de activiteit van elke Monero-gebruiker de privacy van alle andere gebruikers verbetert, in tegenstelling tot selectief transparante cryptocurrencies (bijvoorbeeld Z-Cash). Monero is vervangbaar. Op grond van verduistering kan Monero niet besmet raken door deelname aan eerdere transacties. Dit betekent dat Monero altijd wordt geaccepteerd zonder het risico van censuur. Met Dandelion++ kunnen transacties worden gepropageerd zonder dat de herkomst zeker is. Dit versluiert het IP-adres van een transactie en biedt verdere bescherming tegen netwerkbewaking.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb5 => 'Monero is een basisgemeenschap die \'s werelds beste cryptocurrency-onderzoekers en technisch talent aantrekt.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb6 => 'Meer dan 420 ontwikkelaars hebben bijgedragen aan het Monero-project, waaronder 30 kernontwikkelaars. Forums en chatkanalen zijn gastvrij en actief.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb7 => 'Monero\'s Research Lab, Core Development Team en Community Developers verleggen voortdurend de grenzen van wat mogelijk is op het gebied van privacy en beveiliging van cryptocurrency.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb8 => '<strong> Monero is elektronisch geld dat snelle, goedkope betalingen van en naar waar ook ter wereld mogelijk maakt. </strong> Er zijn geen bewaarperiodes van meerdere dagen en er is geen risico op frauduleuze terugboekingen. Het is veilig voor \'kapitaalcontroles\' - dit zijn maatregelen die de stroom van traditionele valuta beperken, soms in extreme mate, in landen met economische instabiliteit.';

  @override
  String guide250Sbbtc250Sbcard8722Sbtwo250Sbtitle(Object getmonero) {
    return '2. Waarom Monero? (zoals uitgelegd door $getmonero)';
  }

  @override
  String get guide250Sbbtc250Sbconclusion8722Sb1 => 'Het wordt steeds moeilijker naarmate de tijd verstrijkt, maar het is nog steeds mogelijk om een anonieme aankoop van bitcoin te doen, zolang je bereid bent een extra stap te zetten om <strong> het van Monero om te zetten. </strong> Gelukkig dient Monero er alleen maar voor om je privacy en anonimiteit nog verder te vergroten. Terwijl in de meeste andere gidsen die online beschikbaar zijn methoden worden voorgesteld die stappen omvatten die verdere privacylekken creëren, biedt deze gids een manier die niet alleen privacylekken minimaliseert, maar zelfs uw privacyniveau verbetert in vergelijking met het rechtstreeks kopen van bitcoin met contant geld, aangezien <strong> je wordt beschermd door de privacyfuncties van Monero. </strong>';

  @override
  String get guide250Sbbtc250Sbconclusion250Sbtitle => 'Conclusie';

  @override
  String get guide250Sbbtc250Sbintro8722Sb1 => '<strong>Anoniem bitcoins kopen is een steeds moeilijkere taak geworden.</strong>';

  @override
  String guide250Sbbtc250Sbintro8722Sb2(Object ninetyNinebitcoins, Object coincentral, Object linebreak, Object gutter, Object localbitcoins, Object paypal) {
    return 'Met elke dag die voorbijgaat, lijkt het erop dat de meeste, zo niet alle, traditionele methoden voor het verkrijgen van bitcoin ID-verificatie vereisen, waardoor de meeste gidsen die vandaag online beschikbaar zijn, zoals die op $ninetyNinebitcoins of $coincentral, achterhaald zijn. $linebreak  $gutter De traditionele manier om bitcoins te kopen zonder ID is voornamelijk via het P2P Bitcoin-uitwisselingsplatform $localbitcoins geweest, een plek die vooral populair was om anoniem bitcoin te kopen met $paypal.';
  }

  @override
  String get guide250Sbbtc250Sbintro8722Sb3 => 'Maar helaas zijn zelfs <strong>LocalBitcoins begonnen met het eisen van ID-verificatie van al hun handelaren.</strong>';

  @override
  String get guide250Sbbtc250Sbintro8722Sb4 => 'Dus zijn de dagen dat je bitcoins met een creditcard direct en zonder verificatie kon kopen achter de rug? Niet helemaal. Hier presenteren we u een gemakkelijke, anonieme, privé en snelle manier om in slechts enkele stappen bitcoins met contant geld te verwerven... ';

  @override
  String get guide250Sbbtc250Sbtitle => 'Anoniem Bitcoins kopen';

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Als je de betaling hebt gedaan, klik je op de knop \'Ik heb betaald\'. Zodra de handelaar heeft geverifieerd dat uw betaling is ontvangen, wordt de transactie afgerond en binnenkort ziet u de $assetName in uw afwikkelingsportefeuille. En dat is alles, gefeliciteerd met uw eerste $assetName transactie!';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName portemonnee';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'Nadat je op de knop \'Kopen\' hebt gedrukt, zie je meer informatie over de advertentie, inclusief de voorwaarden van de transactie. Lees ze door voordat u het ruilverzoek indient, als u het er niet mee eens bent, kunt u teruggaan naar de vorige pagina en een andere advertentie kiezen. Om de transactie te starten, voert u in hoeveel $assetName u wilt kopen en klikt u op de knop \'Verstuur handelsverzoek\' om de transactie te starten. Zorg ervoor dat u klaar bent om te betalen wanneer u op de knop klikt. Als u niet betaalt voordat de betalingsperiode voorbij is, kan de verkoper de transactie annuleren.';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext(Object registerAnaccount, Object appName) {
    return '$registerAnaccount met $appName. Je krijgt een gratis en veilige online Monero-portemonnee. Er zijn geen extra apps nodig. Als je al een account hebt, ga dan naar de volgende stap.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbone8722Sbtext8722Sbregister8722Sban8722Sbaccount => 'Registreer een account';

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext57Sbagoradesk(Object registerAnaccount, Object appName) {
    return '$registerAnaccount met $appName. U krijgt een gratis en veilige online cryptocurrency-portemonnee. Er zijn geen extra apps nodig. Als je al een account hebt, ga dan naar de volgende stap.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbthree8722Sbtext => 'Kies uit de lijst met advertenties een handelaar met een goede reputatiescore en een groot aantal transacties. Een groene cirkel betekent dat de handelaar vandaag online is geweest, een gele cirkel betekent dat hij deze week de site heeft bezocht en een grijze cirkel betekent dat de handelaar hier al meer dan een week niet is geweest. U kunt op de knop \'Kopen\' klikken om meer informatie over een advertentie te bekijken.';

  @override
  String guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext(Object mainPage, Object assetName) {
    return 'Ga naar de $mainPage en vul in het zoekvak het formulier in met het bedrag dat u wilt kopen in uw valuta, uw locatie en een betaalmethode. Als je niet zeker weet hoe je wilt betalen, kies dan \'Alle online aanbiedingen\' als betaalmethode. De site vermeldt $assetName handelaren die beschikbaar zijn in uw regio.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext8722Sbmain8722Sbpage => 'hoofdpagina';

  @override
  String get guide250Sbbuy250Sbtitle => 'Monero online kopen';

  @override
  String get guide250Sbbuy250Sbtitle57Sbagoradesk => 'Hoe cryptocurrency online te kopen';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtext => 'Je kunt het geld thuis of in de auto in de envelop doen, en je kunt je telefoon met de video aan in je voorste borstzak stoppen en het hele proces opnemen zonder veel extra werk van jou, afgezien van ervoor zorgen dat je doet alles voor waar de camera op gericht is. Als je zoiets hebt als een GoPro of de nieuwste iPhone met een camera met een grotere kijkhoek, wordt het nog eenvoudiger.\n\nBewaar de beelden in geval van een geschil 180 dagen.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtitle => 'Je video moet in één take worden opgenomen, zonder cuts';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtext => 'Gebruik een soort aangepaste hak/stempel/zegel, of een handtekening of gewoon willekeurige bewegingen met een scherp voorwerp in de envelop, die alle oppervlakken bedekt. Dit zal helpen vaststellen of de verkoper de envelop die je hebt verzonden daadwerkelijk opent of een nep-envelop. Zorg ervoor dat de markering zichtbaar is op de video.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtitle => 'Plaats aangepaste markeringen in de envelop';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtext => 'Om een (mogelijk, maar zeer zeldzaam) geval van postdiefstal onderweg te voorkomen, probeert u te verbergen dat het pakket contant geld bevat. U kunt het geld in een tijdschrift, mylar tas of een andere container stoppen. Het vacuüm verzegelen van het geld werkt ook.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtitle => 'Probeer het geld te verbergen';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtext => 'Gebruik meerdere geneste enveloppen voor uw pakket in plaats van simpelweg het geld in de envelop te doen. Plaats het geld in de kleinste envelop (of vouw eenvoudig een grotere envelop indien nodig), sluit deze af en plaats deze in een andere envelop. Herhaal dit proces totdat u minimaal 3 geneste enveloppen heeft. Dit helpt ervoor te zorgen dat als de ontvangende partij probeert met uw pakket te knoeien, het veel moeilijker zal zijn om alles opnieuw te verzegelen op een manier die bij inspectie door de geschillenbemiddelaar niet kan worden opgespoord.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtitle => 'Plaats enveloppen in enveloppen';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtext => 'Pakketten die zonder tracking worden verzonden, kunnen verloren gaan en zonder tracking kan het bijna onmogelijk zijn om het te lokaliseren. Door tracking te hebben, kan de ontvangende kant er ook gerust op zijn dat het pakket onderweg is voor het geval het langer duurt dan verwacht.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtitle => 'Verzenden met tracking';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtext => 'Zoals we eerder hebben vermeld, is het risico voor een koper bij gevestigde handelaren erg laag. Zeer laag betekent echter niet nul, dus zorg ervoor dat u deze regels volgt om voorbereid te zijn op een geschilsituatie.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtitle => 'Conclusie';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbintro => 'Als u zich houdt aan verkopers met een hoge reputatie, is het zeer onwaarschijnlijk dat u problemen zult ondervinden bij het kopen met contant geld per post, maar de volgende tips zullen u helpen uw betaling te bewijzen in een geval van geschil. Het belangrijkste is om een video-opname te maken van uw betaling. Dit zijn de richtlijnen:';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbtitle => 'Als je koopt...';

  @override
  String get guide250Sbcbm250Sbdescription => 'De overgrote meerderheid van Cash by Mail-transacties verloopt probleemloos, maar u moet toch deze richtlijnen volgen om voorbereid te zijn op een geschil.';

  @override
  String get guide250Sbcbm250Sbinfocard => 'Zorg ervoor dat u onze gids leest over veilig omgaan met contant geld per post!';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtext => 'Noteer hoe u het pakket van de postbode ontvangt, de postbode weegt het, noteer het etiket, alle buitenzijden van het pakket; open het pakket tijdens het filmen met de camera erop gericht, laat het geld door een toonbank en een valsgeldscanner lopen. Zorg ervoor dat alles in één take wordt gefilmd. Houd het pakket altijd in het zicht van de camera. Bewaar de beelden in geval van een geschil 180 dagen.';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtitle => 'Maak een filmpje van het ontvangen en openen van het pakket';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtext => 'Het belangrijkste om te onthouden (en we plaatsen hierover bij elke stap disclaimers) is om NOOIT een transactie af te ronden TOTDAT u het geld heeft en er absoluut zeker van bent dat alles in orde is. Een legitieme koper zal u niet onder druk zetten om vroegtijdig af te ronden.';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtitle => 'Rond in geen geval een transactie vroegtijdig af';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtext => 'Dit zal u helpen pakketten van verschillende kopers te onderscheiden en verwarring te voorkomen. Dit zal ook helpen bij het voorkomen van man-in-the-middle-aanvallen, waarbij een oplichter zich tussen de koper en de verkoper plaatst, zich voordoet als de verkoper wanneer hij met de koper praat en doet alsof hij de koper is wanneer hij met de verkoper praat. .';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtitle => 'Laat een koper een briefje plaatsen met zijn gebruikersnaam en handels-ID';

  @override
  String get guide250Sbcbm250Sbseller250Sbtitle => 'Als je verkoopt...';

  @override
  String get guide250Sbcbm250Sbtitle => 'Veilig blijven met contant geld per post';

  @override
  String guide250Sblocal250Sbtext8722Sb0(Object appName, Object online) {
    return '$appName biedt twee hoofdtypen advertenties, $online en lokale advertenties. Via lokale advertenties ontmoet u uw handelspartner fysiek en handelt u face-to-face. Deze gids behandelt de basisprincipes voor het opzetten van lokale advertenties en het lokaal handelen.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb08722Sbonline => 'online';

  @override
  String get guide250Sblocal250Sbtext8722Sb1 => 'Is er een markt/vraag?';

  @override
  String guide250Sblocal250Sbtext8722Sb2(Object assetName) {
    return 'Het hangt ervan af waar je woont, in grotere steden zul je meer mensen vinden die geïnteresseerd zijn in het kopen van $assetName dan op het platteland. Omdat $assetName-transacties onomkeerbaar zijn, maar de meeste traditionele vormen van online betaling omkeerbaar zijn, maakt de verkoop van $assetName rechtstreeks voor contant geld het veel veiliger om betalingen te accepteren, aangezien contant geld net zo onomkeerbaar is als $assetName. Sommige mensen waarderen de privacy die cashtransacties bieden. Een kleine hoeveelheid $assetName kopen met contant geld is ook een geweldige manier om zonder al te veel gedoe aan de slag te gaan met $assetName.';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb3(Object assetName) {
    return 'Wat als ik geen $assetName meer heb?';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb4(Object assetName) {
    return 'Als je geen $assetName meer hebt, kun je sneller kopen bij een traditionele $assetName-uitwisseling, hoewel dat meestal een paar dagen duurt, omdat je moet kopen via een bankoverschrijving.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb5 => 'Zorg dat je goed bereikbaar bent! Vermeld in uw advertentie uw favoriete plek en tijd om af te spreken. U kunt uw mobiele telefoonnummer in de advertentie vermelden.';

  @override
  String get guide250Sblocal250Sbtext8722Sb58722Sbtitle => 'Reclame';

  @override
  String guide250Sblocal250Sbtext8722Sb6(Object assetName) {
    return 'Alle traditionele risico\'s die het wisselen van geld beheersen, houden ook verband met $assetName handel. Denk goed na over de risico\'s en gebruik het feedbacksysteem en andere maatregelen om uw veiligheid te waarborgen.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb68722Sbtitle => 'Risico\'s';

  @override
  String guide250Sblocal250Sbtext8722Sb7(Object assetName) {
    return 'Er kunnen gevallen zijn waarin vals geld wordt doorgegeven aan de $assetName-verkoper. Overweeg alstublieft om een valsgelddetector te gebruiken wanneer u handelt.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb78722Sbtitle => 'Vals geld';

  @override
  String get guide250Sblocal250Sbtext8722Sb8 => '<strong> Let op: </strong>Voordat u als bedrijf gaat handelen, onderzoekt u de wetgeving van uw land om te zien of u verplicht bent om licenties aan te vragen of dat er andere wettelijke vereisten zijn.';

  @override
  String get guide250Sblocal250Sbtext8722Sb9 => 'Veel handelsplezier!';

  @override
  String get guide250Sblocal250Sbtext8722Sbfour => 'Stuur links naar je vrienden, adverteer op sociale media en lokaal, wacht tot de bestellingen binnenkomen';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbone(Object signUp) {
    return '$signUp als je dat nog niet hebt gedaan';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbone8722Sbsign8722Sbup => 'Aanmelden';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree(Object loadMonero) {
    return '$loadMonero, als u verkoopt';
  }

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree8722Sbload8722Sbmonero(Object assetName) {
    return 'Laad $assetName in uw portemonnee';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbtwo => 'Plaats een handelsadvertentie';

  @override
  String get guide250Sblocal250Sbtext8722Sbsteps8722Sbtitle => 'Oké, dus wat zijn de eerste stappen?';

  @override
  String get guide250Sblocal250Sbtitle => 'Hoe u Monero kunt kopen of verkopen voor contant geld';

  @override
  String get guide250Sblocal250Sbtitle57Sbagoradesk => 'Hoe u cryptocurrency kunt kopen of verkopen voor contant geld';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbdescription(Object appName) {
    return 'In deze gids leer je hoe je je non-custodial $appName settlement-portemonnee kunt herstellen vanuit het geheugensteuntje dat wordt weergegeven op de handelspagina.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb1 => 'Download de nieuwste versie van de Electrum-portemonnee van <a target=\"_blank\" href=\"https://electrum.org/#download\" class=\"next-link\">electrum.org</a> en start deze.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb2 => 'Kies \"Nieuw/Herstellen\" in het menu \"Bestand\" (automatisch gekozen als u geen andere Electrum-portemonnees op uw apparaat heeft).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb3 => 'Kies de gewenste portefeuillenaam en modus (bijv. \"Standaard\").';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb4 => 'Selecteer \"Ik heb al een seed\" en druk op \"Next\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb5 => 'Plak het ezelsbruggetje van de handelspagina in de invoer. Druk vervolgens op \"Opties\" onder het mnemonic seed-invoerveld en vink zowel \"Deze seed uitbreiden met aangepaste woorden\" als \"BIP39 seed\" aan, druk op \"OK\" en vervolgens op \"Volgende\".';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb6(Object appName) {
    return 'Typ in de \"Seed extension\"-invoer het $appName-wachtwoord dat u hebt gebruikt bij het afronden van de transactie en druk op \"Next\".';
  }

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb7(Object formattedDerivationPath) {
    return 'Selecteer \"native segwit (p2wpkh)\" en schrijf in het onderstaande afleidingspad $formattedDerivationPath. Druk op \"Volgende\".';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb8 => 'Kies het gewenste wachtwoord voor uw portemonnee en druk op \"Volgende\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb9 => 'Dat is het! U ziet alle transacties onder het tabblad \"Geschiedenis\".';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbtitle => 'Elektrum gebruiken';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb1 => 'Download de nieuwste versie van de Monero CLI-portemonnee voor uw besturingssysteem van <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a>.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb2(Object formattedFlag) {
    return 'Start de portemonnee met de vlag $formattedFlag.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb3 => 'Voer de gewenste naam voor uw portemonnee in.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb4 => 'Wanneer je gevraagd wordt om <strong>\"Specify Electrum seed\"</strong>, plak dan de mnemonic seed van de ruilpagina.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb5(Object appName) {
    return 'Wanneer <strong> wordt gevraagd om \"Seed Offset Passphrase in te voeren\", typt </strong> het $appName wachtwoord dat u hebt gebruikt bij het afronden van de transactie.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb6 => 'Beantwoord de volgende vragen naar uw voorkeur.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb7(Object formattedCommand) {
    return 'Dat is het! Nadat de portemonnee is gesynchroniseerd, ziet u alle transacties met behulp van de opdracht $formattedCommand.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbtitle => 'Officiële CLI-portemonnee gebruiken';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb1 => 'Download de nieuwste versie van de Monero GUI-portemonnee voor uw besturingssysteem van <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> en start deze.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb2 => 'Kies de gewenste portemonnee-modus en selecteer vervolgens \"Portefeuille herstellen van sleutels of geheugensteuntje\".';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb3(Object appName) {
    return 'Kies \"Herstellen vanuit seed\" (standaard geselecteerd) en plak de mnemonic seed van de ruilpagina in de invoer hieronder. Selecteer vervolgens \"Seed offset passphrase\" en voer het $appName wachtwoord in dat je hebt gebruikt bij het afronden van de transactie. Druk op \"Volgende\". ';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb4 => 'Dat is het! Nadat de portemonnee is gesynchroniseerd, ziet u alle transacties onder het tabblad \"Transacties\".';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbtitle => 'Officiële GUI-portemonnee gebruiken';

  @override
  String get guide250Sbmnemonic250Sbtitle => 'Hoe kan ik mijn non-custodial settlement wallet herstellen van het geheugensteuntje?';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1 => 'Ga naar de <a target=\"_blank\" href=\"/\" class=\"next-link\">hoofdpagina</a> - u ziet de topaanbiedingen voor uw standaardregio. U kunt uw resultaten verfijnen door het gewenste bedrag in te voeren en de valuta, het land of de betaalmethode te wijzigen (selecteer \"Alle online aanbiedingen\" als u niet zeker weet welke betaalmethode u wilt gebruiken) in het zoekvak en op \"Zoeken\" te klikken.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1250Sb1 => 'Kies uit de lijst met advertenties een handelaar met een groot aantal transacties en een goede reputatiescore (respectievelijk weergegeven tussen haakjes naast de gebruikersnaam). Een groene cirkel betekent dat de handelaar vandaag online is geweest; een gele cirkel betekent dat ze de site deze week hebben bezocht; en een grijze cirkel betekent dat de handelaar hier al meer dan een week niet is geweest. U kunt op de knop \"Kopen\" klikken om meer informatie over een advertentie te bekijken.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb157Sbagoradesk => 'Ga naar de <a target=\"_blank\" href=\"/\" class=\"next-link\">hoofdpagina</a> - u ziet de topaanbiedingen voor uw standaardregio. Selecteer vervolgens de cryptocurrency die u wilt verhandelen door op het overeenkomstige tabblad in de rij boven de advertentietabel te drukken. Voor dit voorbeeld kiezen we BTC. Selecteer vervolgens in de linkerkolom het tabblad \"Kopen\". U kunt uw resultaten verfijnen door het gewenste bedrag in te voeren en de valuta, het land of de betaalmethode te wijzigen (selecteer \"Alle online aanbiedingen\" als u niet zeker weet welke betaalmethode u wilt gebruiken) in het zoekvak en op de blauwe knop met de \"Zoeken\" pictogram.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbbuy250Sb2(Object assetName) {
    return 'Nadat u op de knop \"Kopen\" hebt gedrukt, ziet u meer informatie over de advertentie, inclusief de voorwaarden van de transactie. Lees ze door voordat u het ruilverzoek indient, als u het er niet mee eens bent, kunt u teruggaan naar de vorige pagina en een andere advertentie kiezen. Om de ruil te starten, voert u in hoeveel $assetName u wilt kopen en klikt u op de knop \"Verstuur handelsverzoek\". U krijgt nogmaals de handelsvoorwaarden te zien, lees ze nog een keer aandachtig door en zorg ervoor dat u akkoord gaat, en druk vervolgens op \"Accepteer voorwaarden\".';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb3 => 'Vervolgens wordt u gevraagd om het adres van uw settlement wallet in te voeren. Dit is het adres waar de munten die je hebt gekocht naartoe worden gestuurd. Als je geen persoonlijke XMR-portemonnee hebt, kun je de <a target=\"_blank\" href=\"https://www.getmonero.org/downloads/\" class=\"next-link\">officiële Monero GUI- of CLI-portemonnee </a> of <a target=\"_blank\" href=\"https://featherwallet.org/\" class=\"next-link\">Feather-portemonnee </a> gebruiken. Kopieer uw adres uit uw portemonnee en plak het in de invoer \"Monero-adres ontvangen\" (zorg ervoor dat het geplakte adres hetzelfde is als het gekopieerde adres om te voorkomen dat u uw munten kwijtraakt). Houd er rekening mee dat de portemonnee die u gebruikt voor handelsafwikkeling uw eigen portemonnee moet zijn, door derden gehoste portemonnees zijn niet toegestaan. Als u klaar bent, drukt u op \"Beginnen met handelen\" om de transactie te starten.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb357Sbagoradesk => 'Vervolgens wordt u gevraagd om het adres van uw settlement wallet in te voeren. Dit is het adres waar de munten die je hebt gekocht naartoe worden gestuurd. Als u geen persoonlijke BTC-portemonnee heeft, kunt u de <a target=\"_blank\" href=\"https://electrum.org/#home\" class=\"next-link\">Electrum-portemonnee </a> gebruiken. Kopieer uw adres uit uw portemonnee en plak het in de invoer \"Bitcoin-adres ontvangen\" (zorg ervoor dat het geplakte adres hetzelfde is als het gekopieerde adres om te voorkomen dat u uw munten kwijtraakt). Houd er rekening mee dat de portemonnee die u gebruikt voor handelsafwikkeling uw eigen portemonnee moet zijn, door derden gehoste portemonnees zijn niet toegestaan. Als u klaar bent, drukt u op \"Beginnen met handelen\" om de transactie te starten.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb4 => 'Er wordt een handelspagina geopend in uw browser. Communiceer met de verkoper via de handelschat om er zeker van te zijn dat de verkoper klaar is om uw betaling te ontvangen en om eventuele vragen over het uitvoeren van de betaling te verduidelijken.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb5 => 'Voer de betaling uit volgens de instructies van de verkoper en druk onmiddellijk op \"Ik heb betaald\" - hierdoor wordt de verkoper geïnformeerd dat de betaling is voltooid en kan de verkoper de transactie niet annuleren.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb7 => 'Zodra de verkoper de ontvangst van uw betaling heeft bevestigd, start hij de handelsafwikkeling. U zult zien dat de handelsstatus is gewijzigd in \"Verwerken\". Op dit moment hoeft u verder niets te doen - de munten worden automatisch overgemaakt naar het adres van uw opgegeven settlement wallet. Dit zal enige tijd duren (meestal ongeveer 10-60 minuten), dus ontspan gewoon en wacht tot de binnenkomende transactie in uw persoonlijke portemonnee verschijnt. Houd er rekening mee dat de netwerktransactiekosten die verband houden met de transactieafwikkeling worden afgetrokken van het transactiebedrag, wat betekent dat u iets minder ontvangt dan wat op de handelspagina wordt weergegeven.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb8 => 'Dat is het! Zodra de handelsafwikkeling is voltooid en u uw munten heeft ontvangen, kunt u de afwikkelingsdetails bekijken door het gedeelte \'Transactiedetails\' op de handelspagina uit te vouwen. Vergeet niet om feedback achter te laten over uw ervaring met deze verkoper!';

  @override
  String guide250Sbnon8722Sbcustodial250Sbregister(Object appName) {
    return '<a target=\"_blank\" href=\"/signup\" class=\"next-link\">Registreer een account</a> bij $appName. Als je al een account hebt, ga dan naar de volgende stap.';
  }

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb1(Object appName) {
    return 'Stort de munten in uw <a target=\"_blank\" href=\"/account/wallet\" class=\"next-link\">$appName arbitration bond wallet</a>. U ziet uw $appName stortingsadres onder het tabblad \'Ontvangen\'.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2 => 'Ga naar de <a target=\"_blank\" href=\"/\" class=\"next-link\">hoofdpagina</a> en selecteer \"Verkopen\" in het zoekvak. U kunt uw resultaten verder verfijnen door het gewenste bedrag in te voeren en de valuta, het land of de betaalmethode te wijzigen (selecteer \"Alle online aanbiedingen\" als u niet zeker weet welke betaalmethode u wilt gebruiken) in het zoekvak. Druk op \"Zoeken\".';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb1 => 'Sommige betaalmethoden worden als <a target=\"_blank\" href=\"/faq#high-risk-methods\" class=\"next-link\">hoog risico</a> beschouwd. Transacties met cryptocurrency zijn volledig onomkeerbaar. Als de betaling door de koper wordt teruggedraaid, is het voor u niet meer mogelijk deze terug te vorderen zodra u uw cryptocurrency heeft verkocht. Daarom raden we aan om met een betaalmethode met een laag risico te verkopen aan ervaren gebruikers met een groot aantal eerdere transacties en een hoge reputatiescore.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb2 => 'Kies uit de lijst met advertenties een handelaar met een groot aantal transacties en een goede reputatiescore (respectievelijk weergegeven tussen haakjes naast de gebruikersnaam). Een groene cirkel betekent dat de handelaar vandaag online is geweest; een gele cirkel betekent dat ze de site deze week hebben bezocht; en een grijze cirkel betekent dat de handelaar hier al meer dan een week niet is geweest. U kunt op de knop \"Verkopen\" klikken om meer informatie over een advertentie te bekijken.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb257Sbagoradesk => 'Ga naar de <a target=\"_blank\" href=\"/\" class=\"next-link\">hoofdpagina</a> en selecteer in de linkerkolom het tabblad \"Verkopen\". Selecteer vervolgens de cryptocurrency die u wilt verhandelen door op het overeenkomstige tabblad in de rij boven de advertentietabel te drukken. Voor dit voorbeeld kiezen we BTC. U kunt uw resultaten verder verfijnen door het gewenste bedrag in te voeren en de valuta, het land of de betaalmethode te wijzigen (selecteer \"Alle online aanbiedingen\" als u niet zeker weet welke betaalmethode u wilt gebruiken) in het zoekvak. Druk op de blauwe knop met het pictogram \"Zoeken\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb3(Object assetName) {
    return 'Nadat u op de knop \"Verkopen\" hebt gedrukt, ziet u meer informatie over de advertentie, inclusief de voorwaarden van de transactie. Lees ze door voordat u het ruilverzoek indient, als u het er niet mee eens bent, kunt u teruggaan naar de vorige pagina en een andere advertentie kiezen. Om een ruil te starten, voert u in hoeveel $assetName u wilt verkopen en klikt u op de knop \"Verstuur handelsverzoek\". U krijgt nogmaals de handelsvoorwaarden te zien, lees ze nog een keer aandachtig door en zorg ervoor dat u akkoord gaat, en druk vervolgens op \"Akkoord met voorwaarden en begin met handelen\".';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb4 => 'Er wordt een handelspagina geopend in uw browser. Communiceer met de koper via de handelschat en geef hem uw betalingsgegevens.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb5 => 'Je krijgt bericht zodra de koper de betaling heeft gedaan. Zorg ervoor dat je de betaling hebt ontvangen en dat het het juiste bedrag is. Zodra u heeft geverifieerd dat de betaling 100% correct is, drukt u op \"Voltooien\".';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb6(Object appName) {
    return 'Op dit punt wordt u gevraagd uw huidige $appName wachtwoord in te voeren. Typ het in en druk op bevestigen. Door uw wachtwoord in te voeren, genereert u een vereffeningsportefeuille en ondertekent u de cryptocurrency-transactie, dus zorg ervoor dat u het wachtwoord niet vergeet of verliest, in ieder geval totdat de transactie is vereffend.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb7 => 'U zult zien dat de handelsstatus is gewijzigd in \"Verwerken\". Op dit moment hoef je verder niets te doen - de munten worden automatisch overgemaakt naar het adres van de wallet van de koper.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb8 => 'Dat is het! Zodra de handelsafwikkeling is voltooid, kunt u de afwikkelingsdetails bekijken door het gedeelte \'Transactiedetails\' op de handelspagina uit te vouwen. Vergeet niet om feedback achter te laten over uw ervaring met deze koper!';

  @override
  String guide250Sbsell250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Nadat u het ruilverzoek heeft verzonden, zal de koper u om uw betalingsgegevens vragen (als u bijvoorbeeld wilt verkopen voor een bankoverschrijving, zal de koper om uw bankrekeninggegevens vragen). Nadat de koper de betalingsinformatie heeft ontvangen, zal hij betalen voor de $assetName en deze aan u bevestigen. Zorg ervoor dat u het geld op uw rekening heeft ontvangen voordat u de transactie voltooit. Voltooi de transactie NOOIT voordat u de betaling heeft ontvangen. $assetName-transacties zijn onomkeerbaar, zodra u de $assetName naar de koper stuurt, is er geen manier om ze terug te krijgen, zelfs als de betaling van de koper niet verschijnt. Zodra je hebt bevestigd dat de betaling is gedaan, kun je naar beneden scrollen op de pagina en \'Voltooien\' selecteren. Hierdoor wordt de $assetName naar de afwikkelingsportefeuille van de koper gestuurd en wordt de transactie voltooid.';
  }

  @override
  String guide250Sbsell250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return 'Nadat je op de knop \'Verkopen\' hebt gedrukt, zie je meer informatie over de advertentie, inclusief de voorwaarden van de transactie. Lees ze door voordat u het ruilverzoek indient, als u het er niet mee eens bent, kunt u teruggaan naar de vorige pagina en een andere advertentie kiezen. Om de transactie te starten, voert u in hoeveel $assetName u wilt verkopen en klikt u op de knop \'Verstuur handelsverzoek\' om de transactie te starten. Zodra u de transactie start, wordt uw $assetName verplaatst van uw portemonnee naar de arbitrageband voor handelsbescherming.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbthree8722Sbtext => 'Kies uit de lijst met advertenties een handelaar met een goede reputatiescore en een groot aantal transacties. Een groene cirkel betekent dat de handelaar vandaag online is geweest, een gele cirkel betekent dat hij deze week de site heeft bezocht en een grijze cirkel betekent dat de handelaar hier al meer dan een week niet is geweest. U kunt op de knop \'Verkopen\' klikken om meer informatie over een advertentie te bekijken.';

  @override
  String guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object mainPage, Object assetName) {
    return 'Ga naar de $mainPage en selecteer in het zoekvak het tabblad \'Verkopen\', vul het formulier in met het bedrag dat u wilt verkopen in uw valuta, uw locatie en kies een betaalmethode. Als je niet zeker weet hoe je betaald wilt worden, kies dan \'Alle online aanbiedingen\' als betaalmethode. De site vermeldt $assetName handelaren die beschikbaar zijn in uw regio.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbmain8722Sbpage => 'hoofdpagina';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Sommige betaalmethoden worden als risicovol beschouwd. Monero-transacties zijn volledig onomkeerbaar. Als je je Monero eenmaal hebt verkocht, kun je ze niet meer terugkrijgen, zelfs niet als de betaling wordt teruggedraaid. Daarom raden we u aan om met een betaalmethode met een laag risico te verkopen aan ervaren gebruikers met een groot aantal eerdere transacties en 100% feedback.';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb157Sbagoradesk => 'Sommige betaalmethoden worden als risicovol beschouwd. Transacties met cryptocurrency zijn volledig onomkeerbaar. Als u uw cryptocurrency eenmaal heeft verkocht, kunt u deze niet meer terugkrijgen, zelfs niet als de betaling wordt teruggedraaid. Daarom raden we u aan om met een betaalmethode met een laag risico te verkopen aan ervaren gebruikers met een groot aantal eerdere transacties en 100% feedback.';

  @override
  String get guide250Sbsell250Sbtitle => 'Hoe Monero online te verkopen';

  @override
  String get guide250Sbsell250Sbtitle57Sbagoradesk => 'Hoe cryptovaluta online te verkopen';

  @override
  String get guide250Sbtelegram250Sbcard8722Sbtitle => 'Telegram mobiele meldingen';

  @override
  String get guide250Sbtelegram250Sbconclusion => 'Gefeliciteerd! Nu kunt u direct reageren op uw klanten!';

  @override
  String guide250Sbtelegram250Sbdisable8722Sbtext(Object accountSettings) {
    return 'Als u meldingen van onze bot wilt uitschakelen, navigeert u terug naar het tabblad \'Meldingen\' in uw $accountSettings en klikt u op de rode knop \'Telegrammeldingen uitschakelen\'.';
  }

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtext8722Sbaccount8722Sbsettings => 'account instellingen';

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtitle => 'Hoe meldingen uitschakelen?';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb0(Object telegram, Object appName) {
    return 'Met $telegram kunt u $appName meldingen ontvangen (zoals nieuwe transactie, nieuwe betaling, transactieafronding of nieuwe chatberichtmeldingen) in de vorm van Telegram-berichten van onze notificatiebot.';
  }

  @override
  String guide250Sbtelegram250Sbprologue8722Sb1(Object officialFaq) {
    return 'Telegram is een app voor mobiele berichten. U kunt meer lezen over wat Telegram is in de $officialFaq.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb18722Sbofficial8722Sbfaq => 'officiële veelgestelde vragen';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb2(Object installed) {
    return 'Om mobiele meldingen te activeren, moet u Telegram $installed hebben.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb28722Sbinstalled => 'geïnstalleerd op uw apparaat';

  @override
  String guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb0(Object pressThis, Object appName) {
    return '$pressThis of zoek naar \'$appName Notification Bot\' in het zoekveld van Telegram en selecteer $appName Notification Bot.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb08722Sbpress8722Sbthis => 'Druk op deze link';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb1 => 'Druk na het openen van het chatvenster op \'Start\' onderaan het scherm of verstuur handmatig het bericht \'/start\' (zonder aanhalingstekens).';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb2 => 'Onze bot geeft je je Telegram Notifications ID.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbthree8722Sbtext => 'Dat is het! Nu ontvang je meldingen van onze bot.';

  @override
  String guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object accountSettings) {
    return 'Ga naar je $accountSettings en selecteer het tabblad \'Meldingen\'.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbsettings => 'account instellingen';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Typ uw Telegram-meldingen-ID in het relevante veld in het gedeelte \'Telegram-meldingen\'.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Klik op het pictogram Opslaan om uw Telegram-meldingen-ID op te slaan.';

  @override
  String get guide250Sbtelegram250Sbtitle => 'Mobiele Telegram-meldingen inschakelen';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb0(Object appName, Object assetName, Object linebreak, Object localmoneroWallet, Object create, Object aSellmoneroad) {
    return 'Een typische transactie op $appName werkt als volgt, het voorbeeld is een online verkooptransactie waarbij u $assetName aan een koper verkoopt. Het proces is vergelijkbaar wanneer u $assetName online koopt, maar voor dit voorbeeld concentreren we ons op de verkoop van $assetName, aangezien dat de meest voorkomende vorm van handelen is. $linebreak  Eerst moet u $assetName storten op uw $localmoneroWallet. $linebreak  Vervolgens moet u $create $aSellmoneroad gebruiken (een online verkoopadvertentie genoemd). Bij het maken van de advertentie kiest u een betaalmethode, stelt u uw prijzen en limieten in en schrijft u uw handelsvoorwaarden als een gratis bericht. ';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sba8722Sbsell8722Sbmonero8722Sbad(Object assetName) {
    return 'een verkoop $assetName online advertentie';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbcreate => 'creëren';

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbfund => 'fonds';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName portemonnee';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb1(Object assetName, Object appName) {
    return 'U moet $assetName in uw $appName arbitrage-obligatieportemonnee hebben zodat klanten handelsverzoeken van uw advertenties kunnen openen. <br/><br/>Wanneer een <strong>koper een transactie met u opent</strong>, wordt $assetName voor het volledige bedrag van de transactie automatisch uit uw portemonnee gereserveerd. Geef de koper betalingsinstructies en begeleid de koper bij het betalen voor de transactie. U ontvangt e-mailmeldingen wanneer iemand op uw advertentie reageert. <br/><br/> Zodra de koper heeft betaald en op de knop <strong> Ik heb betaald </strong> gedrukt, ontvangt u een melding via e-mail en op de website dat er voor een transactie is betaald. <br/><br/> Wanneer je hebt bevestigd dat je de betaling hebt ontvangen, is het tijd om de transactie af te ronden. Nadat de transactie is afgerond en vereffend, heeft de koper de $assetName in zijn vereffeningsportefeuille. <br/><br/> De laatste stap is om <strong>feedback achter te laten</strong> voor de koper en de koper aan te moedigen hetzelfde voor jou te doen. Feedback is belangrijk om een goede reputatie op te bouwen en meer transacties te doen.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtitle => 'Overzicht van het handelsproces';

  @override
  String guide250Sbtrade250Sbblock8722Sb28722Sbtext(Object assetName) {
    return 'Voordat u begint met handelen, moet u overwegen welke betalingsmethoden u gaat aanbieden en de betalingsmethode onderzoeken, zodat u weet hoe deze werkt. Wanneer u voor het eerst begint met beleggen, raden we u aan geen risicovolle betaalmethode te kiezen. Overboeken met een specifieke bank kan een goede startbetaalmethode zijn, vooral als er weinig handelaren actief zijn in uw land. <br/><br/> <strong>Voordat u begint met handelen</strong> <br/><br/> Voordat u begint met handelen, zorg ervoor dat u<strong> bekend bent met uw lokale wetgeving </strong>en dat u voldoet aan alle relevante wetten en dat u over de benodigde zakelijke licenties beschikt voor het rechtsgebied waarin u handelt. <br/><br/> De wetgeving verschilt sterk van land tot land en of u nu als particulier of als bedrijf handelt. <br/><br/><strong>Onderzoek de betaalmethode</strong> die je gaat aanbieden. Lees de advertenties van andere handelaren met dezelfde betaalmethode en handel met hen. Probeer mogelijke problemen te identificeren voordat u begint met handelen. <br/><br/><strong>Gebruik betaalrekeningen alleen voor handel in $assetName.</strong> Sommige betalingsproviders sluiten uw rekening tijdelijk of permanent als u ongeautoriseerde betalingen ontvangt die verband houden met fraude. Accounts alleen gebruiken voor handel in $assetName beschermt uw persoonlijke financiën.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb28722Sbtitle => 'Aan de slag';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb0(Object advertisementCreationpage, Object linebreak, Object dashboard, Object requiredOptions, Object location, Object paymentMethod, Object currency, Object thisList) {
    return 'De $advertisementCreationpage is waar u nieuwe advertenties maakt. $linebreak  Er zijn enkele opties bij het maken van een advertentie die vereist zijn, en een heleboel extra opties die optioneel zijn, maar aanbevolen worden om in te stellen. Met behulp van de extra opties kunt u uw advertentie afstemmen op uw handelsstrategie. $linebreak  U kunt alle advertenties vinden die u met uw $dashboard heeft gemaakt. In het dashboard kunt u ook uw openstaande transacties vinden. $linebreak  $requiredOptions $linebreak  $location Voer het land in waar u uw advertentie wilt laten verschijnen. $linebreak  $paymentMethod Selecteer de betalingsmethode die u wilt aanbieden in het vervolgkeuzemenu. $linebreak  $currency Kies voor welke valuta u verkoopt. Als u bijvoorbeeld in Frankrijk verkoopt, moet u EUR selecteren. U kunt $thisList gebruiken om te vinden wat uw valuta-acroniem is.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbadvertisement8722Sbcreation8722Sbpage => 'pagina voor het maken van advertenties';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbcurrency => 'Munteenheid';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbdashboard => 'dashboard';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sblocation => 'Plaats';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbpayment8722Sbmethod => 'Betalingswijze';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbrequired8722Sboptions => 'Vereiste opties';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbthis8722Sblist => 'deze lijst';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb1(Object assetName, Object assetSymbol, Object appName) {
    return '<strong> Marktprijs of vaste prijs </strong><br/> Om uw advertentie te prijzen kunt u een gewenste marge invoeren boven de $assetName marktprijs. Om dat te doen, voert u een percentage in het margeveld in na het kiezen van de optie \"Marktprijs\". U kunt ook een vaste prijs opgeven die niet verandert totdat u deze handmatig wijzigt. Hiervoor moet u de optie \"Vaste prijs\" kiezen en de prijswaarde invoeren. <br/><br/> <strong> Min. / Max. transactielimiet </strong><br/> De minimale transactielimiet bepaalt het kleinste bedrag dat iemand kan kopen. Als u dit instelt op vijf, en u heeft uw valuta ingesteld op EUR, betekent dit dat het kleinste transactiebedrag waarvoor iemand een transactie met u kan openen, 5 EUR is. De maximale transactielimiet bepaalt wat het grootste handelsbedrag is dat u wilt accepteren. <br/><br/> <strong> Handelsvoorwaarden </strong><br/> Dit is de tekst die de koper ziet voordat hij een transactie met u opent. Het is een goed idee om instructies voor de koper te schrijven over hoe u de transactie wilt laten verlopen en of u specifieke instructies heeft. Als u bijvoorbeeld van de koper verlangt dat hij een betalingsbewijs overlegt voordat u een transactie voltooit, of als u de koper om een identiteitsbewijs vraagt, dan is dit de plaats om dit te vermelden. U kunt advertenties van andere handelaren bekijken voor de betaalmethode die u wilt gebruiken om een idee te krijgen van wat goede handelsvoorwaarden inhouden. <br/><br/> <strong> Extra opties </strong><br/><br/> <strong> Beperk bedragen tot </strong><br/> U kunt de advertentie beperken tot het alleen kunnen openen van transacties voor specifieke bedragen. Als u 20,30,60 in de box invoert, kan een potentiële handelspartner alleen een transactie openen voor 20, 30 of 60 EUR. <br/><br/> <strong> Betalingsgegevens </strong><br/> Voer hier specifieke informatie in over hoe de koper dient te betalen, dit kan uw bankrekeningnummer of e-mailadres zijn (bijvoorbeeld voor PayPal). <br/><br/> <strong> Vereiste minimale feedbackscore </strong><br/> Met het feedbackminimum kunt u een minimaal vereiste feedbackscore instellen om een transactie te openen met uw advertentie. <br/><br/> <strong> Eerste tijdslimiet ($assetSymbol) </strong><br/> Dit is een specifieke maximale transactielimiet voor nieuwe gebruikers. Als een koper zonder eerdere handelsgeschiedenis met u een transactie met u wil openen, is dit het grootste bedrag waarvoor ze een transactie kunnen openen. <br/><br/> <strong> Betalingsperiode </strong><br/> De hoeveelheid tijd die de koper heeft om de betaling te voltooien voordat de verkoper de transactie kan annuleren. <br/><br/> <strong> Maximale liquiditeit volgen </strong><br/> Als u liquiditeit volgen inschakelt, wordt de maximale limiet van de advertentie verlaagd met het bedrag dat momenteel wordt vastgehouden in open transacties. <br/><br/> <strong> Snelle tips voor het identificeren van oplichters </strong> <br/><br/><strong>Frauduleuze kopers hebben vaak haast.</strong> Hoe meer een klant je vraagt om te haasten, hoe verdachter dat zou je moeten zijn, echte klanten hebben altijd geduld. <br/><br/>Frauduleuze kopers stellen vaak <strong> voor om de transactie geheel of gedeeltelijk buiten het arbitragebeschermingssysteem </strong> te doen en voltooien vervolgens hun deel van de transactie niet. <br/><br/> Wees voorzichtig met <strong>gefotoshopt betalingsbewijs</strong>, rond een ruil niet af totdat u heeft bevestigd dat u het geld heeft ontvangen. U bent niet verplicht om een transactie af te ronden totdat u kunt verifiëren dat u de betaling van de koper heeft ontvangen. <br/><br/><strong>Open geen links die uw handelspartner naar u stuurt</strong>. Gebruik indien nodig een andere browser dan degene die u gebruikt. <br/><br/>Bezoek geen andere websites dan $appName met de browser die u gebruikt om te handelen. <strong>Gebruik een andere browser voor andere websites.</strong> <br/><br/> Bookmark $appName in je browser en gebruik altijd de bookmark als je de website bezoekt. Dit helpt u om te voorkomen dat u per ongeluk phishing-websites bezoekt, ze bestaan en kunnen zeer overtuigend zijn.';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb2(Object contactSupport) {
    return 'Als je niet zeker bent over een gebruiker, kun je altijd $contactSupport om hulp vragen.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb28722Sbcontact8722Sbsupport => 'contact opnemen met ondersteuning';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtitle => 'Opzetten van een advertentie';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb0(Object termsOfservice) {
    return 'Lees onze $termsOfservice.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'servicevoorwaarden';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb1(Object appName, Object assetName) {
    return '<br/><br/>$appName-ondersteuning behandelt geschillen op basis van bewijs geleverd door handelsdeelnemers en hun reputatie. <br/><br/>Geschillen kunnen worden gestart nadat de betaling als voltooid is gemarkeerd. <br/><br/>Nadat de ruil is afgerond, wordt de ruil door $appName als voltooid beschouwd en kan deze niet worden betwist. <br/><br/> Wanneer een $assetName verkoper niet reageert, zal $appName de transactie afronden als de koper een geldig betalingsbewijs kan overleggen. <br/><br/>Als de koper niet reageert na het starten van een transactie, wordt de arbitragegarantie teruggegeven aan de verkoper door de ondersteuning van $appName.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtitle => 'Geschillen';

  @override
  String guide250Sbtrade250Sbhappy8722Sbtrading(Object appName) {
    return '$appName wenst u veel handelsplezier!';
  }

  @override
  String get guide250Sbtrade250Sbtitle => 'Introductie over handelen in Monero';

  @override
  String get guide250Sbtrade250Sbtitle57Sbagoradesk => 'Inleiding over het verhandelen van cryptocurrency';

  @override
  String get guide250Sbxmr250Sbcard8722Sbfour250Sbtitle => '4. Geavanceerde technieken om anoniem te blijven bij het gebruik van deze methode om Monero te kopen';

  @override
  String get guide250Sbxmr250Sbcard8722Sbthree250Sbtitle => '3. Monero anoniem kopen met contant geld';

  @override
  String get guide250Sbxmr250Sbtitle => 'Anoniem Monero kopen';

  @override
  String get guides250Sbread8722Sbmore => 'Verder lezen';

  @override
  String get home250Sbgreeting250Sbanywhere => 'Overal.';

  @override
  String home250Sbgreeting250Sbbuy8722Sbmonero(Object assetName) {
    return 'Koop $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbcash8722Sbor8722Sbonline => 'Contant of online.';

  @override
  String home250Sbgreeting250Sbsell8722Sbmonero(Object assetName) {
    return 'Verkoop $assetName.';
  }

  @override
  String get home250Sbgreeting250Sbsignup8722Sbbtn => 'Schrijf je gratis in';

  @override
  String get home250Sbnewsfeed250Sbtitle => 'Laatste nieuws';

  @override
  String get homepage8722Sblocation250Sbchange8722Sbbtn => 'Wijziging';

  @override
  String get homepage8722Sblocation250Sbreset8722Sbbtn => 'Resetten';

  @override
  String get homepage8722Sblocation250Sbsave8722Sbbtn => 'Opslaan';

  @override
  String homepage8722Sblocation250Sbtitle(Object location) {
    return 'Advertenties tonen in $location';
  }

  @override
  String get homepage250Sbagora250Sbcoin8722Sbtrading8722Sbtitle => 'Handel in Bitcoins';

  @override
  String homepage250Sbno8722Sbresults8722Sb0(Object asset, Object country) {
    return 'Geen actieve $asset advertenties in $country... nog niet.';
  }

  @override
  String homepage250Sbno8722Sbresults8722Sb1(Object post_an_ad) {
    return 'U kunt als eerste $post_an_ad zijn in de volgende categorieën:';
  }

  @override
  String get homepage250Sbno8722Sbresults8722Sb18722Sbpost8722Sban8722Sbad => 'plaats een advertentie';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb0 => 'Als u de transactie in de blokverkenner kunt zien, betekent dit dat de transactie met succes is verzonden. Als u het niet ziet aan de ontvangende kant, ligt het probleem aan uw kant. Waarschijnlijk een probleem met synchroniseren of u gebruikt verouderde portefeuillesoftware.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb1 => 'Probeer deze suggesties om uw synchronisatie ongedaan te maken:';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb2 => 'U kunt ook een andere portemonnee-app of een andere internetverbinding proberen.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtitle => 'Waarom zie ik de XMR niet in mijn portemonnee?';

  @override
  String get keywords => 'koop monero xmr contant creditcard usd euro pond lokale bankoverschrijving verkoop anoniem cryptocurrency';

  @override
  String get keywords57Sbagoradesk => 'koop bitcoin btc monero xmr contant creditcard usd euro pond lokale bankoverschrijving verkoop anoniem cryptocurrency';

  @override
  String get knowledge250Sbatomic250Sb0250Sbtext => '<p>In het streven naar decentralisatie en een echt systeem zonder toestemming, zijn er maar weinig dingen zo begeerd in de cryptocurrency-ruimte als gedecentraliseerde uitwisselingen en atomaire swaps. Sinds de oprichting heeft Monero moeite gehad om atomic swaps te implementeren, omdat de privacyfuncties unieke problemen veroorzaken bij het ontwerpen van een protocol.</p>\n\n<p>Maar laten we eerst een back-up maken. Wat zijn atomaire swaps? Een atomic swap is een protocol waarmee twee verschillende cryptocurrencies, op verschillende blockchains, op een betrouwbare manier zonder tussenpersoon kunnen worden uitgewisseld. Dit betekent dat als iemand cryptocurrency A zou willen ruilen voor cryptocurrency B, ze dit zouden kunnen doen zonder een centrale of gedecentraliseerde uitwisseling. Zoals je je misschien kunt voorstellen, is er veel onderzoek voor nodig, en de volledige technische details die het mogelijk maken, worden behoorlijk gecompliceerd. Nogmaals, LocalMonero is hier om te helpen en een eenvoudige uitleg te geven voor de gewone persoon.</p>\n\n<p> Laten we om te beginnen eens kijken naar de eenvoudigste vorm van atomic swap, zoals geïmplementeerd door Bitcoin. Als iemand Bitcoin wil inwisselen voor een andere munt die dezelfde hash-tijdslotcontracttechnologie gebruikt, kan dat op de volgende manier. Alice heeft Bitcoin (BTC), maar wil Litecoin (LTC), en Bob heeft LTC, maar wil BTC. Ze besluiten een atomaire ruil uit te voeren, zodat ze allemaal de munt krijgen die ze willen. Alice stuurt haar BTC naar een speciaal adres, waarbij ze scripts gebruikt die het geld vergrendelen zodat zelfs zij er niet bij kan. Je kunt het zien alsof Alice haar BTC in een lockbox stopt. Als de lockbox is gemaakt, krijgt ze een sleutel en stuurt ze een hash van deze sleutel naar Bob. Nu heeft Bob niet de sleutel zelf, alleen de hasj, dus hij heeft nog geen toegang tot het geld.</p>\n\n<p>Bob gebruikt deze hash als seed waaruit hij zijn eigen lockbox genereert, en stuurt zijn LTC daarheen, waar hij ook wordt vergrendeld. Omdat de hash van Alice\'s sleutel werd gebruikt als het zaad waarmee Bob\'s lockbox is gemaakt, kan ze haar sleutel gebruiken om de LTC in Bob\'s lockbox te claimen. Haar sleutel past! Maar met behulp van wiskundige voodoo-magie, wanneer ze haar sleutel gebruikt om het LTC-slot te openen, onthult ze de sleutel aan Bob, die deze vervolgens kan gebruiken om de BTC te claimen die ze in haar lockbox heeft gestopt. Op deze manier hebben Alice en Bob zonder tussenpersoon met succes hun activa uitgewisseld.</p>\n\n<p>Maar er is een klein probleem. Wat als Alice naar haar lockbox stuurt en Bob besluit dat hij niet meer wil ruilen. Nu Alice geen toegang heeft tot haar BTC die ze heeft opgeborgen, en Bob zijn deel van de transactie niet wil voltooien, verliest Alice gewoon haar geld voor altijd. Gelukkig heeft Bitcoin een kleine technologie die terugbetalingstransacties wordt genoemd, en dus als de BTC na een bepaalde tijd niet door Bob wordt geclaimd, hebben de scripts een ingebouwde fail-safe, waarbij de BTC automatisch teruggaat naar Alice. Dit was de belangrijkste verkeersdrempel voor de implementatie van de atomic swaps van Monero. Vanwege de <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">privacytechnologie voor ringhandtekeningen </a> van Monero is de afzender van een transactie altijd onzeker. Hoe kan het protocol een terugbetalingstransactie doen als het niet weet waar de transactie vandaan komt? </p>\n\n<p>In 2017 schetste een kleine groep onderzoekers een andere methode waarmee atomic swaps zouden werken in Monero. Na een aantal jaren van verfijning hebben de onderzoekers een proces voltooid waarmee Monero atomic swaps met Bitcoin zou kunnen doen, zelfs zonder terugbetalingstransacties. </p>\n\n<p>Zoals met veel dingen van dit niveau van technische complexiteit, zal onze uitleg sommige dingen overdreven vereenvoudigen om het idee over te brengen, maar het zal nog steeds een solide idee geven van de mechanismen waarmee dit proces zou werken.</p>\n\n<p>Zowel Alice (die XMR heeft en BTC wil) als Bob (die BTC heeft en XMR wil) moeten een programma downloaden en uitvoeren dat de atomic swap ondersteunt. Dit kan worden geïmplementeerd in portefeuilles, gedecentraliseerde uitwisselingen of speciale, specifieke programma\'s, maar de software moet het atomic swap-protocol uitvoeren. In de eerste stap maken de klanten van Alice en Bob verbinding met elkaar en maken verschillende gedeelde geheimen en sleutels. In deze stap wordt een nieuw Monero-adres aangemaakt, waarbij Alice de ene helft van de sleutel heeft en Bob de andere. Er zit echter nog geen Monero in, dus er is niets te besteden. Een laatste ding om op te merken over dit adres, is dat ze allebei de sleutel tot deze portemonnee hebben, zodat ze allebei naar binnen kunnen kijken om te zien of en wanneer Monero arriveert. </p>\n\n<p>In de tweede stap stuurt Bob zijn BTC naar een speciaal adres, vergelijkbaar met het Bitcoin atomic swap-protocol dat we al hebben besproken. Nadat Alice de BTC op dit adres op de blockchain ziet aankomen, stuurt ze haar Monero naar het Monero-adres waar zij en Bob allebei een halve sleutel van hebben. Bob kan verifiëren dat de Monero is aangekomen, aangezien hij ook de kijksleutel heeft, en zodra hij ziet dat de Monero veilig in de portemonnee zit, stuurt hij Alice een stuk van een sleutel waarmee ze de Bitcoin kan opnemen. Net als bij het andere protocol, onthult het proces van het claimen van de Bitcoin haar de helft van de Monero-sleutel aan Bob. Nu heeft Bob beide helften, dus hij kan de Monero claimen, terwijl Alice alleen haar helft heeft, dus ze kan niet proberen om het te pakken voordat hij het doet.</p>\n\n<p>Dus als je dit allemaal hebt bekeken en nog steeds een beetje in de war bent over hoe Monero het probleem van terugbetalingstransacties kon omzeilen, is het antwoord vrij eenvoudig. Aangezien Monero zelf geen terugbetalingstransacties heeft, zou de lezer moeten opmerken dat de Bitcoin (die wel terugbetalingstransacties heeft) eerst wordt verzonden, en pas nadat is geverifieerd dat deze zich op de blockchain bevindt, wordt de Monero verzonden. Hierdoor kan Monero gebruikmaken van de mogelijkheid van Bitcoin om terugbetalingstransacties te scripten en hiervan te profiteren, zonder dat hij zelf over deze mogelijkheden hoeft te beschikken.</p>\n\n<p>De atomic swap is nu voltooid, maar vanaf hier heeft Bob een paar opties voor zijn nieuw geclaimde XMR. Hij kan deze Monero-portemonnee gebruiken zoals hij is, of de XMR verplaatsen naar een andere portemonnee die hij al bezit. Bob zal de Monero hoogstwaarschijnlijk naar een andere portemonnee verplaatsen, omdat Alice nog steeds de kijksleutel heeft en naar binnen kan kijken.</p>\n\n<p>Het mooie van dit protocol is dat het nog vrij nieuw is en dat er genoeg ruimte is voor optimalisaties. Het is ook vrij flexibel in zijn architectuur, dus implementatie in andere portefeuilles of gedecentraliseerde uitwisselingen zou eenvoudig moeten zijn en netjes moeten passen in hun bestaande architectuur.</p>';

  @override
  String get knowledge250Sbatomic250Sbdescription => 'Weinig dingen zijn zo begeerd in de crypto-ruimte als atomaire swaps. Onlangs hebben de onderzoekers een manier gevonden waarop XMR atomaire swaps met BTC zou kunnen uitvoeren.';

  @override
  String get knowledge250Sbatomic250Sbtitle => 'Hoe Atomic Swaps werken in Monero';

  @override
  String get knowledge250Sbblocks250Sb0250Sbtext => '<p><i><b>Opmerking:</b> Het wordt ten zeerste aanbevolen dat de lezer onze artikelen <a target=\"_blank\" href=\"/knowledge/monero-tail-emission\" class=\"next-link\">\"Why Monero Has A Tail Emission\"</a> en <a target=\"_blank\" href=\"/knowledge/monero-mining-randomx\" class=\"next-link\">“Monero Mining: What Makes RandomX heeft gelezen zo speciaal”</a>. Dit artikel bouwt voort op de concepten die daarin worden gepresenteerd.</i></p>\n\n<p>Telkens wanneer individuen de problemen met blockchain bespreken, is \'scaling\' een van de eerste woorden die opduikt. Het is geen geheim dat blockchains niet goed schalen, maar de meeste mensen weten niet waarom.</p>\n\n<p>De waarheid is dat schaling eigenlijk een overkoepelende term is die twee verschillende categorieën omvat: protocolondersteuning en technologische ondersteuning op een bepaald moment. In dit artikel gaan we onze aandacht richten op één: protocolondersteuning is in feite een maat voor het aantal transacties dat het protocol op een bepaald moment aankan. </p>\n\n<p>Bitcoin heeft een limiet voor de blokgrootte, wat betekent dat zodra er voldoende transacties in een blok zijn opgenomen, eventuele extra transacties in de rij moeten wachten op het volgende blok. Een nuttige analogie zou zijn om aan een trein te denken. Er stopt een trein naar het station, en degenen die in de rij staan, komen binnen. Als de trein eenmaal vol is, moet iedereen die buiten staat wachten op de volgende.</p>\n\n<p>Bitcoin gebruikt vergoedingen om te bepalen wie er in het blok komt of niet. Terugkomend op de treinanalogie, kan men zich voorstellen dat een potentiële passagier, die op het punt staat achter te blijven, de treinmachinist vijf dollar aanbiedt om hem een zitplaats te geven. Andere passagiers volgen, en uiteindelijk is er een biedingsoorlog om te zien wie welke stoelen krijgt. Het is aan de chauffeur om te beslissen of hij het \'wie het eerst komt, het eerst maalt\'-beleid wil honoreren, maar het is in zijn beste financiële belang om zijn inkomen te maximaliseren door de hoogste bieders aan boord te nemen.</p>\n\n<p>In deze analogie zijn mijnwerkers de treinbestuurders. Ze kunnen elke gewenste transactie in het blok opnemen, maar over het algemeen kiezen ze degene met de best betaalde kosten. </p>\n\n<p>Als alternatief, als blokken niet erg vol zijn, hebben mensen geen reden om hoge kosten te betalen omdat er voldoende vrije plaatsen over zijn.</p>\n\n<p>Op het hoogtepunt van de cryptocurrency-boom van 2017 werd Bitcoin overspoeld met transacties, en de vergoedingen schoten omhoog voor degenen die wilden worden opgenomen in het volgende blok, of welk blok dan ook in de nabije toekomst. Degenen die niet bereid waren hoge kosten te betalen, zagen hun transacties uren, dagen of zelfs helemaal uit de wachtrij vallen.</p>\n\n<p>Dit was een schrijnend inzicht in hoe het met Bitcoin zou gaan als de vaak genoemde \'massa-adoptie\' zou plaatsvinden. Als Bitcoin door de massa zou worden gebruikt, zou het nog erger zijn dan in 2017, en zou Bitcoin voor niemand toegankelijk zijn behalve voor de rijken, simpelweg omdat de doorvoer klein is vanwege een vaste blokgrootte, waardoor de fee-markt het overneemt .</p>\n\n<p>Monero voorzag dit en wilde iets anders doen. Daarom hebben de Monero-ontwikkelaars een dynamische blokgrootte geïmplementeerd.</p>\n\n<p>Kortom, Monero heeft ook een dop van blokformaat, maar het is een zachte dop. Wanneer de rij wachtende transacties te lang wordt, kunnen de mijnwerkers de blokken vergroten. Met onze treinanalogie kun je je voorstellen dat je meer treinwagons toevoegt om de extra passagiers te passen. Nadat de wachtrij leeg is, krimpen de blokken in de toekomst terug naar hun oorspronkelijke grootte.</p>\n\n<p>Als dit een goed idee lijkt, lijkt het redelijk om te vragen waarom Monero de enige cryptocurrency is die dit heeft geïmplementeerd. Waarom zou u het niet toevoegen aan Bitcoin om een einde te maken aan de doorvoerproblemen? </p>\n\n<p>Helaas is dit niet mogelijk. Er zijn verschillende redenen waarom, en we zullen ons best doen om het uit te leggen. </p>\n\n<p> Het is altijd in het belang van een mijnwerker om grote blokken te hebben. Met grote blokken kunnen ze in meer transacties passen en meer geld verdienen aan de vergoedingen, evenals aan de blokbeloningen. Dit kan leiden tot spamaanvallen, waarbij iemand veel kleine transacties tegen kleine vergoedingen verzendt om de keten op te blazen. Mijnwerkers zouden gewoon de blokgrootte verhogen, inclusief ze allemaal, omdat geld geld is, hoe klein ook. Dit zou leiden tot consistent grote blokken met weinig economisch voordeel. Bitcoin lost dit op door de blokgrootte kunstmatig te beperken en zo een fee-markt te genereren. Spamaanvallers zouden de andere gebruikers moeten betalen, en het is niet langer goedkoop. Maar dit betekent dat blokken vol raken, waardoor sommige transacties wachten, zoals hierboven vermeld. </p>\n\n<p>Dus hoe kan Monero dynamische blokgroottes hebben, maar spamaanvallen vermijden? Het antwoord is simpel, maar slim. Een straf op de blokbeloning wordt geïntroduceerd wanneer een blok groter is dan normaal. Als een mijnwerker de blokgrootte wil vergroten, zal de beloning die ze krijgen voor het vinden van dat blok lager zijn dan ze anders zouden ontvangen. Ze zullen de blokgrootte dus alleen vergroten wanneer de betaalde transactiekosten van de gebruikers opwegen tegen het verloren deel van de blokbeloning. Als de mijnwerker bijvoorbeeld 0,5 XMR zou verliezen door de blokbeloning te verhogen, en de som van de betaalde transactiekosten zou 0,4 XMR zijn, dan zou er een nettoverlies zijn van 0,1 XMR als ze de grootte zouden verhogen, dus ze zouden doe het niet. Omgekeerd, als de totale transactiekosten optellen tot 0,7 XMR, dan zou er een nettowinst zijn van 0,2 XMR, ook al verliezen ze de 0,5 XMR van de blokbeloningsboete, dus de mijnwerker zal groter worden.</p>\n\n<p>Deze dynamische blokkades zorgen ervoor dat het netwerk organisch kan groeien, zonder de blokkade aritificaal te beperken om een geforceerde vergoedingsmarkt te creëren, terwijl spamaanvallen toch worden vermeden. Er zijn nog meer invalshoeken van waaruit we dit idee kunnen bekijken, en meer redenen waarom het niet mogelijk zou zijn om iets toe te voegen aan Bitcoin, maar voor nu hopen we dat de lezer begrijpt hoe Monero verschillende problemen in Bitcoin omzeilt en zijn afgeleiden, en hoe het van plan is zijn doorvoer naar de toekomst te schalen. </p>';

  @override
  String get knowledge250Sbblocks250Sbdescription => 'Telkens wanneer individuen de problemen met blockchain bespreken, is een van de eerste woorden die opduikt \'scaling\'. Monero onderscheidt zich door dat probleem op te lossen.';

  @override
  String get knowledge250Sbblocks250Sbtitle => 'Hoe Monero het probleem met de blokgrootte oploste dat Bitcoin plaagt';

  @override
  String get knowledge250Sbbtc250Sb0250Sbtext => '<p>Monero is een cryptocurrency die privacy boven alles waardeert, maar wat de meeste mensen niet begrijpen, is dat de privacy die door het gebruik ervan wordt verleend, in bepaalde situaties noch kogelvrij noch absoluut is. Vergis je niet, Monero is zo privé als maar kan in het vertrouwenloze rijk, maar er zijn enkele overwegingen die gebruikers moeten nemen om ervoor te zorgen dat hun privacy sterk blijft. </p>\n\n<p> Hetzelfde geldt eigenlijk op andere gebieden van het leven. Je kunt bijvoorbeeld van alle sociale media afblijven in een poging je leven privé te houden, maar als je constant met vrienden bent die selfies met jou maken, zeg dan in de ondertitel dat ze bij je zijn en tag je locatie, kan veel van uw inspanning voor niets zijn. Het socialemediaconglomeraat kan nog steeds een profiel op je bouwen ondanks het feit dat je persoonlijk niet op hun platform zit.</p>\n\n<p>Een van de meest voorkomende situaties waarin mensen niet alle implicaties en mogelijk gelekte metadata in overweging nemen, is de kwestie van het verhandelen van Bitcoin voor Monero. In de gemeenschap wordt algemeen aangenomen dat het kopen van Monero met Bitcoin een volledige opschoning zal zijn en dat de gebruiker alle privacyvoordelen behoudt zodra hij Monero binnenkomt, ondanks dat hij afkomstig is van een transparante keten.</p>\n\n<p>Op dezelfde manier wordt het door sommigen als net zo privé beschouwd om Monero van niet-KYC- en KYC-bronnen te krijgen. De gedachte gaat dat het vergelijkbaar is met het krijgen van contant geld bij een bank. De bank kent in dat geval zelf uw gezicht en naam, weet hoeveel u in totaal op uw rekening heeft staan en hoeveel u contant heeft opgenomen, maar weet niet wat u daarna met het geld doet. Met de privacygaranties van Monero zou dat ook zo moeten zijn als je Monero van een KYC/AML-bron haalt, toch?</p>\n\n<p>Nou, niet helemaal.</p>\n\n<p>Laten we eerst een stap terug doen en definiëren wat we bedoelen met KYC/AML. Dit acroniem staat voor Know Your Customer (KYC) / Anti-Money Laundering (AML) wetten, die uitwisselingen en bedrijven verplichten om identificerende informatie over hun klanten te verzamelen. Hoe groter het uitgewisselde bedrag, hoe meer informatie er nodig is. Zoals de naam al aangeeft, wordt dit allemaal gedaan in naam van het minimaliseren van het risico dat mensen geld witwassen.</p>\n\n<p>Terug naar Monero. Om zeker te zijn, is het astronomisch beter voor de privacy om uw geld naar Monero te verplaatsen vanuit een KYC-bron dan een KYC-bron te gebruiken om iets als BTC of een andere transparantiemunt te kopen, maar er moeten nog steeds overwegingen worden gemaakt over wat wordt onthuld en wat dat onthulde informatie kan uw privacy en veiligheid in gevaar brengen.</p>\n\n<p>Zelfs als we vasthouden aan het cash- en bankscenario, als u een groot bedrag van de bank afhaalt, aangezien de bank uw gegevens kent (inclusief uw huisadres), kan de kassier zien hoeveel er op uw rekening staat, en kan hij mogelijk kwaadspreken plannen afhankelijk van uw vermogen. Dit komt zelden voor, en aangezien het geld op de bank staat in plaats van bij u thuis, is wat ze in dit scenario kunnen bereiken relatief klein. Hetzelfde geldt niet voor Monero, dat niet wordt beveiligd door een derde partij, maar door uzelf. Je eigen bank zijn is niet altijd gemakkelijk.</p>\n\n<p> Op dezelfde manier laat de overstap van BTC naar XMR, ongeacht hoe het wordt gedaan, sporen achter op de Bitcoin-blockchain. Hoewel dit inderdaad minder schadelijk is dan van BTC naar BTC gaan, omdat aan de andere kant van de uitwisseling de verplichte privacy van Monero is, moeten de implicaties van het achterlaten van een spoor worden overwogen. Deze sporen hebben nog meer effect als er ergens in het proces KYC betrokken was. </p>\n\n<p>Stel je een scenario voor waarin vuile Bitcoins werden ontvangen voor een goed of dienst, iets dat alleen mogelijk is vanwege de radicale transparantie van Bitcoin. Je weet niet dat deze Bitcoins vies zijn, omdat je niet de technologie hebt om elke Bitcoin te controleren, dus jij, een crypto-savvy persoon, voelt je niet op je gemak met dit feit, en je hebt het geld niet om een ketenanalysebedrijf te betalen om voor u te controleren. Dus besluit je voor de zekerheid te wisselen naar Monero.</p>\n\n<p>U stort uw Bitcoin op een beurs en wisselt ze uit voor Monero, die u vervolgens uittrekt naar uw lokale portemonnee. Dit scenario is al een beetje lang, omdat de uitwisseling uw vuile Bitcoins kan markeren en uw account kan vergrendelen, en u kunt ze al dan niet terugkrijgen, maar omwille van dit voorbeeld gaan we ervan uit dat ze de ruil gebeurt. </p>\n\n<p>Als de overheid op dit moment geïnteresseerd raakt in het volgen van het spoor van deze Bitcoins, zullen ze ze volgen naar de beurs, de KYC-informatie over de deposant dagvaarden, zien dat ze zijn geruild naar Monero (verdacht) en komen kloppen op je deur.</p>\n\n<p>Begrijp alsjeblieft dat dit niet betekent dat je moet vermijden om Bitcoin naar Monero te wisselen om te voorkomen dat je verdacht overkomt. Je was al achterdochtig omdat je vuile Bitcoin accepteerde, en als je niet ruilde, zouden ze nog steeds blockchain-analyse gebruiken en nog steeds kloppen. Dit voorbeeld benadrukt alleen maar dat er een aanzienlijk risico bestaat bij het gebruik van transparantiemunten, en dat het omwisselen naar een particuliere, vervangbare munt zoals Monero de voetafdrukken die zijn achtergelaten in de transparante blockchain niet wist. </p>\n\n<p>Voor het individu dat geïnteresseerd is in zijn eigen privacy, moet het gebruik van transparante blockchains tot een minimum worden beperkt, en met uiterste voorzichtigheid. KYC moet waar mogelijk worden vermeden, aangezien deze metadata nog steeds kunnen worden gebruikt om een zaak op te bouwen en vragen te stellen, en god verhoede dat deze KYC-info (naast handelsinformatie) door incompetentie uit uitwisselingen wordt gelekt. Zelfs als je alleen Monero hebt gekocht en uit de beurs hebt gehaald, zou deze gelekte informatie nog steeds onthullen hoeveel Monero je had en waar je je bevindt. Alle informatie waarvan we het allemaal eens kunnen zijn dat niemand die in cyberspace wil rondzweven.</p>\n\n<p>Samenvattend, hoewel het gebruik van Monero inderdaad vele, vele aanvallen tenietdoet en het lekken van metadata standaard minimaliseert, kan de gebruiker zelf veel dingen doen om uiteindelijk zijn eigen privacy te vernietigen. Een van de minst overwogen zijn de implicaties van het gebruik van ofwel een transparantieketen als een weg naar Monero, of een KYC-bron om het te verwerven, om nog maar te zwijgen van het gebruik van beide tegelijk. </p>\n\n<p>Dit artikel is niet bedoeld om angst te zaaien, maar eerder om gebruikers aan te moedigen kritisch na te denken over hun beslissingen en hen eraan te herinneren dat zelfs de beste privacy onder bepaalde omstandigheden kwetsbaar kan zijn. Gebruikers moeten waakzaam zijn om hun eigen privacy te beschermen door slimme beslissingen te nemen over wat ze kopen, waar en van wie.</p>';

  @override
  String get knowledge250Sbbtc250Sbdescription => 'Velen beschouwen het kopen van XMR met BTC als een volledige opschoning en dat de gebruiker alle privacy behoudt, ondanks dat hij uit een transparante keten komt. Maar is dat zo?';

  @override
  String get knowledge250Sbbtc250Sbtitle => 'Is het omzetten van Bitcoin naar Monero net zo privé als het rechtstreeks kopen van Monero?';

  @override
  String get knowledge250Sbclsag250Sb0250Sbtext => '<p>Als protocol bevindt Monero zich momenteel in een constante staat van innovatie. Gebruikmakend van onderzoek naar zowel on-chain als off-chain oplossingen, zoekt de Monero-gemeenschap naar verbeterpunten om Monero meer privé, schaalbaarder en toegankelijker voor iedereen te maken. Een van de meer recente innovaties is de vervanging van het koppelbare ringsignatuurschema, MLSAG, door een drop-in vervanging CLSAG, wat staat voor Concise Linkable Spontaneous Anonymous Group.</p>\n\n<p>Op het maaiveld zal de implementatie van CLSAG de meest voorkomende 2 input, 2 output transacties met 25% verminderen. We zien ook een afname van 10% in de verificatietijd.</p>\n\n<p>Maar wat is CLSAG precies? Wat doet het en hoe verschilt het van de oude versie, MLSAG? Laten we even de tijd nemen om onszelf te herinneren aan het waarom en hoe van ringhandtekeningen, zodat we dit concept beter kunnen begrijpen. Ring-handtekeningen maken niet-interactieve, getuige niet-onderscheidbare invoer mogelijk door gebruik te maken van door de ondertekenaar geselecteerde anonimiteitssets van eerdere uitvoer. In termen van leken stelt het een gebruiker in staat om zijn outputs die in een transactie worden gebruikt te verbergen naast niet-gerelateerde outputs, en ze kunnen dit allemaal doen zonder dat iemand anders eraan hoeft deel te nemen. Het enige wat je nodig hebt is een kopie van de blockchain. Elk van deze uitvoer lijkt meestal even waarschijnlijk de daadwerkelijke uitvoer te zijn die wordt verzonden, waardoor metagegevens over de afzender worden verborgen. </p>\n\n<p>Dit veroorzaakt echter een klein probleem. Wat als een gebruiker een ringhandtekening zou maken met alle lokoutputs? Hoe kan iemand weten dat de onbekende afzender niet bevoegd is om ze te verzenden? Zou deze gebruiker nepgeld kunnen uitgeven? Het antwoord is nee. De ringhandtekening bevat een methode om te bewijzen dat ten minste één van de uitgangen eigendom is van de onbekende afzender, zonder te onthullen welke het is. In feite zijn zowel CLSAG als MLSAG (hierna bekend als de SAG\'s) het deel van de ringsignatuur dat dit bewijst. Interessant genoeg bewijst het tegelijkertijd dat het bedrag van de transactie, hoewel verborgen achter vertrouwelijke transacties (RingCT), in evenwicht is. Dat de SAG\'s twee dingen bewijzen, dat één output eigendom is van iemand in de ring, en dat de transactie in evenwicht is, is belangrijk, en eigenlijk waar de omvang en verificatiebesparingen liggen. Als dit verwarrend wordt, maak je geen zorgen, we komen binnenkort bij een leuke en gemakkelijk te begrijpen analogie. </p>\n\n<p>Het oude handtekeningschema, MLSAG (Multilayered Linkable Spontaneous Anonymous Group) bewijst de bovengenoemde twee dingen in een ringhandtekening, maar het doet elk afzonderlijk. Het gebruik van afzonderlijke berekeningen voor ondertekenings- en toezeggingssleutels betekent tragere bewerkingen. Een moderne computer kan deze berekeningen in een kwestie van milliseconden doen, wat niet veel lijkt, en inderdaad, voor één transactie is het dat ook niet. Maar als we kijken naar het enorme aantal transacties op de Monero-blockchain, en dat een vanaf nul gesynchroniseerd knooppunt ze allemaal moet downloaden en verifiëren, beginnen de bytes en milliseconden zich snel op te stapelen.</p>\n\n<p>CLSAG combineert de wiskunde die nodig is om beide te bewijzen in één, en berekent beide tegelijkertijd, en doet dit op een veilige manier. Wat betekent dit op een veilige manier? Nou, om dit op te helderen en hopelijk de hele zaak logischer te maken, laten we die beloofde leuke analogie onderzoeken. </p>\n\n<p>Stel dat je zowel naar de supermarkt als naar de bouwmarkt moet om twee verschillende dingen op te halen: voedsel en giftige schoonmaakmiddelen. Je wilt niet dat ze zich vermengen, want als er een ongeluk gebeurt, zullen de chemicaliën op het voedsel morsen, waardoor ze oneetbaar worden. Je besluit superveilig te zijn en rijdt van je huis naar de supermarkt, koopt het eten en rijdt dan terug naar je huis. Pas nadat je het eten hebt uitgeladen, stap je weer in de auto, rijd je naar de bouwmarkt en terug naar je huis met de chemicaliën. Je hebt twee afzonderlijke reizen gemaakt om de veiligheid van alle aankopen te garanderen. Hoewel het inderdaad veilig is, is het inefficiënt. Dit vertegenwoordigt MLSAG, waar twee verschillende reeksen wiskunde worden opgeslagen en twee verschillende \'trips\' worden gemaakt om ze te berekenen. </p>\n\n<p>U besluit echter dat u een snellere manier wilt om dit te doen. Het is teveel verspilde tijd. Natuurlijk zal het een of twee keer doen je leven niet wegnemen, maar als je dit keer op keer moet doen, beginnen de uren op te tellen. Je begint je af te vragen of je in plaats daarvan één reis kunt maken. Van je huis, naar de supermarkt, naar de bouwmarkt en weer terug naar huis. Je kunt niet zomaar alles lukraak in je auto gooien. Het is niet veilig. In plaats daarvan wijs je verschillende plekken in je auto aan voor verschillende dingen en zorg je ervoor dat alles netjes op zijn plaats past. Door dit te doen, kunt u veilig één reis naar beide winkels maken en dingen uit elkaar houden. Dit vertegenwoordigt CLSAG. Er is nu slechts één set wiskunde opgeslagen in deze transactie om deze twee dingen te bewijzen, en het is zo gedaan dat ze elkaar niet hinderen. Er moet nog een reis worden gemaakt, maar je hebt het aantal behoorlijk drastisch teruggebracht.</p>\n\n<p>Dit klinkt allemaal best spannend. Is het mogelijk dat we andere snelkoppelingen kunnen vinden, of andere manieren om tijd en ruimte te besparen? Het antwoord is ja en nee. Volgens de huidige MRL-onderzoekers is het waarschijnlijk niet mogelijk om de constructies van het SAG-type verder aan te passen voor een betere afmeting of snelheid; andere constructies zoals Arcturus, Omniring, RCT3 of Triptych produceren echter veel betere schaalvergroting en verificatievoordelen met behulp van verschillende wiskundige methoden. Elk van deze \'next-gen\'-benaderingen van ondertekenaar-dubbelzinnige protocollen heeft echter zijn eigen compromissen in implementatiedetails en wordt actief onderzocht en onderzocht. </p>\n\n<p>Monero is tenslotte altijd aan het innoveren.</p>';

  @override
  String get knowledge250Sbclsag250Sbdescription => 'Laten we eens kijken naar een van de meer recente Monero-protocolinnovaties: de vervanging van het koppelbare ringsignatuurschema, MLSAG, door een drop-in vervangende CLSAG.';

  @override
  String get knowledge250Sbclsag250Sbtitle => 'Hoe CLSAG de efficiëntie van Monero zal verbeteren';

  @override
  String get knowledge250Sbcoinjoin250Sb0250Sbtext => '<p>Naarmate de privacytools van Bitcoin meer aandacht en gebruik hebben gekregen, komen ze onder meer regelgevend toezicht te staan. Dit onderzoek heeft geleid tot een <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://twitter.com/wasabiwallet/status/1503091503207432193\">recente aankondiging</a> door een Bitcoin-privacytool, Wasabi Wallet, dat ze zullen beginnen met het censureren en weigeren van inkomende invoer van mixen die ze als ongeoorloofd beschouwen of tegen hun ToS, en dat ze een kettinganalyse zullen betalen bedrijf om inkomende mixdeelnemers te \"doorlichten\". </p>\n<p>Het gebruik van CoinJoin-transacties om de bron van fondsen in Bitcoin te verdoezelen, is al vele jaren de kern van Bitcoin-privacy, en de problemen en risico\'s die inherent zijn aan het gebruik ervan zijn enkele van de kernproblemen die de ringhandtekeningen van Monero corrigeren en voorkomen .</p>\n<p>In deze blogpost gaan we kort in op een vergelijking van CoinJoin- en ringhandtekeningen, en waarom de benadering die in Monero wordt gehanteerd, leidt tot meer weerstand tegen censuur, meer privacy en minder gedoe voor gebruikers.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtext => '<p>Aangezien alle transacties in Bitcoin volledig transparant zijn - waarbij de afzender, ontvanger en bedragen worden onthuld - moeten gebruikers extra stappen ondernemen om hun privacy te beschermen tegen eerdere afzenders en toekomstige ontvangers van hun geld, anders riskeren ze censuur, toezicht of diefstal van geld via fysiek geweld.</p>\n<p>De beste oplossing vandaag voor privacy op Bitcoin is een tool genaamd <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">“CoinJoin”</a>, waar 2 of meer gebruikers samenwerken (meestal via een gecentraliseerde coördinator) om een speciale transactie te creëren die het moeilijk maakt voor buitenstaanders waarnemers om de ingangen met de uitgangen te verbinden. Elke deelnemer communiceert om gezamenlijk de transactie op te bouwen zonder de bewaring van hun geld uit handen te geven, en ontvangt aan het einde een uitvoer waarvan de voorgeschiedenis nu onduidelijk (of versluierd) is voor externe waarnemers. </p>\n<p>Dit doorbreekt de geschiedenis van specifieke UTXO\'s, waardoor Bitcoin-gebruikers een beetje voorwaartse geheimhouding kunnen krijgen bij transacties. CoinJoin (zoals geïmplementeerd in Wasabi Wallet en Samourai Wallet, de twee meest gebruikte CoinJoin-tools voor Bitcoin) heeft echter een paar grote nadelen:</p>\n<ul>\n<li> Aangezien CoinJoin-transacties volledig opt-in zijn en actieve deelname vereisen, laat elke deelnemer noodzakelijkerwijs zien dat hij meer privacy zoekt dan die van \"normale\" Bitcoin-gebruikers, waardoor ze mogelijk worden uitgekozen en problemen veroorzaken bij het uitgeven van geld bij veel gereguleerde beurzen of entiteiten. Elke gebruiker kan niet ontkennen dat ze hebben deelgenomen aan een CoinJoin-transactie.</li>\n<li>Om andere CoinJoin-partners te vinden, gebruiken de meeste benaderingen van CoinJoin (inclusief Wasabi Wallet) een gecentraliseerde coördinator die deelnemers met elkaar verbindt en hen helpt te communiceren en een goede CoinJoin-transactie op te bouwen. Deze gecentraliseerde coördinator heeft nooit de bewaring van het geld van de gebruiker, maar krijgt wel uitgebreid inzicht in de transacties die hij coördineert, kan binnenkomende invoer censureren (zoals in het geval van Wasabi Wallet) en kan onder druk worden gezet om informatie over CoinJoin-deelnemers te verzamelen of te delen.[X2068XX2068XX2068XX2068XX ]\n<li>Gebruikers met grote bedragen aan CoinJoin kunnen vaak uren (of zelfs dagen!) moeten wachten om genoeg deelnemers te vinden om mee te doen aan CoinJoin, wat leidt tot grote vertragingen vanaf het moment dat een gebruiker geld ontvangt tot wanneer ze deze privé kunnen uitgeven. </li>\n<li>De privacy die wordt geboden door een CoinJoin-transactie neemt in de loop van de tijd af naarmate andere deelnemers geld uitgeven of hun output koppelen aan hun identiteit via KYC-uitwisselingen, handelaars die een ID vereisen, enz. Dit betekent dat gebruikers idealiter hun geld constant in CoinJoin-transacties laten draaien om te behouden hun anonimiteit ingesteld (\"menigte om zich in te verstoppen\") zo vers mogelijk. </li>\n<li>Bij de meeste benaderingen van CoinJoin moeten deelnemers een UTXO van vaste grootte (d.w.z. 0,1 BTC) gebruiken om het moeilijker te maken om inputs en outputs van CoinJoin-transacties met elkaar te verbinden. Dit leidt tot hogere vergoedingen (meer afzonderlijke transacties nodig per grote invoer), meer \"toxische verandering\" (fondsen die niet kunnen worden besteed zonder ernstige risico\'s voor de privacy), en kan voorkomen dat kleinere gebruikers zich helemaal kunnen mengen als ze dat niet hebben het minimaal vereiste saldo. </li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtitle => 'Wat is een CoinJoin-transactie?';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtext => '<p>Omdat we <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\"> diep hebben gekeken naar wat ringhandtekeningen in het verleden zijn </a>, zal ik in dit blogbericht niet in detail ingaan op de technische aspecten van hoe ze werken. In plaats daarvan zullen we kijken hoe de aanpak van Monero de problemen met CoinJoin oplost die hierboven worden besproken.</p>\n<blockquote>\n<p>CoinJoin is opt-in en vereist deelname</p>\n</blockquote>\n<p>Monero\'s ringhandtekeningen zijn een kernkenmerk van het privacyprotocol en <em>elke </em> transactie op het netwerk gebruikt ze. Dit betekent dat de transacties van geen enkele gebruiker opvallen door het zoeken naar meer privacy dan \"normale\" Monero-gebruikers, en alle gebruikers krijgen aannemelijke ontkenning dat ze geld hebben uitgegeven aan een bepaalde transactie. Aangezien het geld dat een gebruiker uitgeeft niet coördineert of deelneemt aan de lokaasinvoer in een transactie, kunnen gebruikers die eigenaar zijn van invoer die toevallig als lokaas is geselecteerd, eerlijk zeggen dat ze niet hebben deelgenomen aan die transactie, waardoor hun privacy wordt versterkt. </p>\n<blockquote>\n<p>Gebruik van een gecentraliseerde coördinator</p>\n</blockquote>\n<p>Aangezien de ringhandtekeningen van Monero volledig niet-gecoördineerd zijn en alleen de echte gelduitgever nodig heeft om de transactie te creëren, is er geen centrale coördinator nodig in Monero. Dit zorgt ervoor dat <em>niemand</em> je toegang tot privacy in Monero kan ontzeggen, en er is geen gecentraliseerde entiteit die onder druk kan worden gezet, geen gemakkelijke Sybil-aanvallen op liquiditeit, enz. Zolang je transactie de juiste kosten betaalt, je krijgt ongecensureerde toegang tot privacy, veiligheid en anonimiteit in Monero.</p>\n<blockquote>\n<p>CoinJoin vereist liquiditeit</p>\n</blockquote>\n<p>De \"liquiditeit\" die beschikbaar is voor iedereen die Monero uitgeeft om als lokvogels te gebruiken, is altijd de totale set outputs in de keten, dus er is nooit een tekort aan lokvogels om je met Monero in te verstoppen. Iemand die Monero wil uitgeven, kan dit ongeveer 20 minuten na ontvangst van het geld doen en hoeft geen extra stappen te ondernemen om sterke privacy in Monero te verkrijgen.</p>\n<blockquote>\n<p>CoinJoin-privacy verslechtert na verloop van tijd</p>\n</blockquote>\n<p>Aangezien de uitvoer van Monero nooit door het netwerk wordt uitgegeven, is de privacy die wordt geboden door ringhandtekeningen veel minder vatbaar voor verslechtering in de loop van de tijd. Een gebruiker hoeft niet constant uitvoer te draaien in Monero, en buiten uiterst zeldzame omstandigheden verliest hij na verloop van tijd geen privacy.</p>\n<p>Als een gebruiker de lokvogels die met een uitvoer worden gebruikt echter wil \"verversen\", kan hij het geld gewoon naar zichzelf terugsturen en het zoals gewoonlijk ~ 20 minuten later uitgeven. </p>\n<blockquote>\n<p>CoinJoin vereist meestal invoer met een vaste grootte </p>\n</blockquote>\n<p>Aangezien bedragen in elke transactie worden verborgen met behulp van <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/monero-ringct\">\"Vertrouwelijke transacties\"</a> (een onderdeel van \"RingCT\"), kunnen de lokmiddelen die bij een bepaalde transactie worden gebruikt van elke grootte zijn. Er is geen reden om je zorgen te maken over op bedragen gebaseerde heuristieken in Monero, dus transacties zijn veel eenvoudiger te bouwen en kunnen lokvogels gebruiken vanaf elk moment en van elk bedrag op de Monero-blockchain.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtitle => 'Hoe lossen ringhandtekeningen deze problemen op?';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtext => '<p>Als je nieuwsgierig bent en ringhandtekeningen of CoinJoin-transacties beter wilt begrijpen, bekijk dan de onderstaande links voor geweldige plekken om aan de slag te gaan:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\">Hoe beltonen de output van Monero verdoezelen</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://www.getmonero.org/resources/moneropedia/ringsignatures.html\">Ringhandtekening - Moneropedia</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">Coinjoin Q+A</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://6102bitcoin.com/coinjoin-overview/\">CoinJoin-overzicht</a></li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtitle => 'Hoe kan ik meer leren?';

  @override
  String get knowledge250Sbcoinjoin250Sbdescription => 'CoinJoin is de kern van BTC-privacy, en de problemen die daaraan inherent zijn, zijn enkele van de problemen die worden opgelost door de ringhandtekeningen van Monero.';

  @override
  String get knowledge250Sbcoinjoin250Sbtitle => 'Monero\'s ringhandtekeningen versus CoinJoin zoals in Wasabi';

  @override
  String get knowledge250Sbcontributing250Sb0250Sbtext => '<p>Het Monero-project heeft (zoals veel andere open-sourceprojecten) geen centraal bedrijf, entiteit of financiering, die allemaal nodig zijn voor decentralisatie en veerkracht. Dit betekent echter dat het succes van het project volledig afhangt van de bijdragen van gepassioneerde individuen in de gemeenschap voor financiering, ontwikkeling en hulpverlening, net als jij.</p>\n<p>De overgrote meerderheid van de mensen in de Monero-community zijn niet noodzakelijkerwijs ontwikkelaars, dus we zullen ons concentreren op de vele manieren waarop wij, niet-ontwikkelaars, kunnen bijdragen aan zo\'n ongelooflijk project.</p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtext => '<p>Monero gebruikt een uniek systeem voor het financieren van werk, het <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/\">Community Crowdfunding System</a> (of \"CCS\"), waarmee iedereen in de gemeenschap een idee voor financiering kan indienen. Als ze worden goedgekeurd door de gemeenschap, worden deze voorstellen vervolgens opengesteld voor financiering door de gemeenschap.</p>\n<p>Het systeem bestaat uit twee fasen, die elk baat hebben bij meer betrokkenheid van mensen met alle achtergronden.</p>\n<h6 id=\"participating-in-ideas\">Deelnemen aan \"Ideeën\"</h6>\n<p>Alle CCS-voorstellen beginnen als \"Ideeën\" die openstaan voor commentaar aan de gemeenschap en die ook vaak worden besproken in gemeenschapsbijeenkomsten. Dit is een kans voor iedereen in de gemeenschap om het voorstel door te lezen en commentaar te geven op wat volgens hen zou kunnen worden veranderd of verbeterd, en of het voorstel al dan niet moet worden goedgekeurd voor financiering. Hierdoor kunt u niet alleen op de hoogte blijven van de lopende inspanningen van anderen in de gemeenschap, maar ook actief zeggenschap hebben over wie en wat door de gemeenschap wordt gefinancierd, voorstellen verbeteren vóór financiering en toezicht houden na financiering.</p>\n<p><em>U kunt alle voorstellen in de fase \"Ideeën\" zien op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/ideas/\">CCS Ideas</a>.</em></p>\n<h6 id=\"funding-proposals-in-funding-required\">Financieringsvoorstellen in \"Financiering vereist\"</h6>\n<p>De tweede fase van een goedgekeurd voorstel is de fase \'Financiering vereist\'. Hier kan iedereen in de gemeenschap die een voorstel leuk vindt en de waarde ervan inziet, eenvoudig, snel en privé zijn of haar Monero doneren aan het specifieke voorstel.</p>\n<p>Om te doneren aan een voorstel, ga je naar <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS Funding Required</a>, klik je op het voorstel waaraan je wilt doneren, scan je de QR-code of kopieer je het adres en stuur je hoeveel (of weinig!) je zou willen bijdragen. Alle beetjes helpen, hoe klein ook!</p>\n<p>Zodra een voorstel volledig is gefinancierd, kunt u het volgen terwijl het <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/work-in-progress/\"> bezig is</a> of de resultaten bekijken van <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/completed-proposals/\">voltooide voorstellen</a>.</p>\n<p><em>U kunt alle voorstellen in de fase \'Financiering vereist\' zien op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS-financiering vereist</a>.</em></p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtitle => 'Monero\'s Community Crowdfunding-systeem';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtext => '<p>Een andere geweldige manier waarop je betrokken kunt raken bij het Monero-project, is door te helpen nieuwe en bestaande communityleden op te leiden en te versterken. Dit kan vele vormen aannemen, maar kan zo simpel zijn als het delen van wat je leert over Monero op sociale media, een blog, enz. </p>\n<p>Hier zijn enkele concrete manieren waarop u kunt helpen in het onderwijs:</p>\n<ul>\n<li>Start een eigen blog</li>\n<li>Schrijf threads op Twitter of Reddit-berichten over dingen die je hebt geleerd over of hebt leren doen met Monero</li>\n<li>Maak video-\'how-to\'s\' van alledaagse dingen die je met Monero doet, zoals het versturen van Monero, het gebruik van een hardware wallet, het kopen en verkopen van Monero op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://localmonero.co\">LocalMonero.co</a>, etc.</li>\n</ul>';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtitle => 'Opleiding';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtext => '<p>Een eenvoudige manier waarop je kunt helpen, is door gewoon actief te zijn op de normale socialemediakanalen en door te praten over geweldige Monero-content, deze te onderwijzen en te delen.</p>\n<p>Hoe meer van ons delen hoe Monero ons heeft geholpen, wat we er zo leuk aan vinden, wat er verbeterd moet worden en waarom we ervoor kiezen om bij te dragen, hoe meer mensen de waarde kunnen inzien van een krachtig tool zoals Monero.</p>\n<h6 id=\"twitter\">Twitter</h6>\n<p>Twitter is een veelgebruikte plek voor gebruikers van cryptocurrency (onder andere) en is een plek die ik waardevol heb gevonden voor zowel leren als interactie met de Monero-gemeenschap. Hoewel het soms een giftige en harde plek kan zijn, zijn er een aantal geweldige mensen die regelmatig geweldige inhoud publiceren.</p>\n<p>Speel gerust mee en begin met het delen over Monero en ga in gesprek met anderen daar!</p>\n<p><em>U kunt LocalMonero vinden op Twitter <span class=\"citation\" data-cites=\"LocalMoneroCo\"> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://twitter.com/LocalMoneroCo\">@LocalMoneroCo</a></span>.</em></p>\n<h6 id=\"reddit\">Reddit</h6>\n<p>Reddit is een populaire manier om te communiceren met de Monero (en bredere cryptocurrency/privacy) menigte, en is een geweldige plek om langere inhoud, media, nieuws, etc. te delen.</p>\n<p>Er is daar een extreem actieve Monero-gemeenschap, met enkele van de meest populaire sub-reddits: </p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/Monero/\">r/Monero</a>\n<ul>\n<li>De plek voor de meeste Monero-discussies, nieuws en media</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monero-ondersteuning</a>\n<ul>\n<li>Een geweldige plek om ondersteuning te krijgen en mensen te helpen die ondersteuning nodig hebben met Monero-problemen</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroCommunity/\">r/MoneroCommunity</a>\n<ul>\n<li>Een algemene plek voor community-gerichte discussies</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroMining/\">r/MoneroMining</a>\n<ul>\n<li>Al uw mijnbehoeften en discussies</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/xmrtrader/\">r/xmrtrader</a>\n<ul>\n<li>De plek voor alle discussies over prijs/markt/speculatie over Monero. Prijs-/marktgerelateerde onderwerpen zijn over het algemeen verboden op alle andere Monero-subreddits om de community gefocust te houden. </li>\n</ul></li>\n</ul>\n<p>Zorg ervoor dat u meedoet en deelneemt aan discussies, interessant nieuws en berichten deelt en bijdraagt waar u maar wilt!</p>\n<p><em>Je kunt de LocalMonero-community vinden op Reddit op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/LocalMonero/\">r/LocalMonero</a>.</em></p>\n<h6 id=\"matrixirc\">Matrix/IRC</h6>\n<p>De overgrote meerderheid van de \"innerlijke werking\" van Monero gebeurt op Matrix en IRC, twee chatnetwerken die met elkaar verbonden zijn. Als je betrokken wilt blijven bij de dagelijkse discussies, deel wilt nemen aan vergaderingen of gewoon wilt chatten met andere Monero-gebruikers, moet je naar Matrix of IRC springen.</p>\n<p>Een lijst met de meest voorkomende Matrix/IRC-kanalen is beschikbaar op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/community/hangouts/\">getmonero.org</a>.</p>\n<p><em>Je kunt de LocalMonero-community op Matrix vinden in de kamer <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://matrix.to/#/#localmonero:agoradesk.com\">#localmonero:agoradesk.com</a>.</em></p>\n<h6 id=\"offline\">Offline</h6>\n<p>Vergeet niet om je vrienden, familie en anderen ook offline kennis te laten maken met Monero! Een goede manier is om de persoon een mobiele portemonnee te laten downloaden, zoals <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet (iOS/Android)</a>, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo (Android)</a> of <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://mymonero.com/\">MyMonero (iOS)</a>, stuur ze een beetje Monero en laat ze wat terugsturen.</p>\n<p>Het kan ook nuttig zijn om een transactie tussen zoiets als Bitcoin en Monero te vergelijken in een verkenner zoals <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.exploremonero.com/\">ExploreMonero</a> om ze te laten zien hoe weinig informatie openbaar wordt gemaakt bij transacties met Monero in vergelijking met andere transparante blockchains.[ X4596X]';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtitle => 'Bewustwording en betrokkenheid';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtext => '<p>Als je al een tijdje in de buurt bent van Monero of goed begrijpt hoe je het moet gebruiken en problemen kunt oplossen, kun je meedoen door naar de subreddit <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> te gaan en ondersteuning bieden aan gebruikers die daar posten.</p>\n<p>Er zijn constant gebruikers die hulp nodig hebben bij (normaal gesproken) basisproblemen, en er zijn er maar een paar van ons die actief zijn in de subreddit om hen te helpen. Het zou geweldig zijn als meer mensen zich inzetten en bijdragen om nieuwe en bestaande gebruikers te helpen hun problemen op te lossen!</p>';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtitle => 'r/monerosupport';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtext => '<p>Bijna alle communitydiscussies over specifieke onderwerpen vinden plaats in Matrix of IRC, dus als je geïnteresseerd bent in het leren van/het volgen van vergaderingen of als je actief wilt deelnemen, moet je een van die chats instellen op <a class=\"next-link\" href=\"#matrixirc\">. netwerken</a>.</p>\n<p>Als je dat eenmaal hebt gedaan, houd dan de onderwerpen in de gaten voor elke kamer waarin je je bevindt of op de <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">Monero-meta-opslagplaats</a> voor geplande vergaderingen.</p>\n<p>Als je ervoor kiest om deel te nemen, respecteer dan de volgorde van de onderwerpen, blijf bij het onderwerp en probeer je alleen uit te spreken wanneer nodig/opgeroepen.</p>';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtitle => 'Samenkomsten van de gemeenschap';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtext => '<p>Voor degenen die tweetalig of meertalig zijn, is een zeer belangrijke manier om bij te dragen, te helpen met vertalingen van het Engels naar andere talen. Er is altijd behoefte aan nieuwe talen die moeten worden vertaald en bestaande talen moeten worden bijgewerkt in het hele ecosysteem, en hoe meer talen we actief ondersteunen, hoe inclusiever en toegankelijker Monero zal worden.</p>\n<p>Je kunt vertaalbehoeften en informatie vinden op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://translate.getmonero.org/\">translate.getmonero.org</a> of <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-ecosystem/monero-translations\">op Github</a>.</p>';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtitle => 'Vertalingen';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtext => '<p>De laatste manier voor niet-ontwikkelaars om bij te dragen aan Monero is om <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">problemen in Github</a> te loggen wanneer je een probleem hebt dat niet kan worden opgelost op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> of in <a class=\"next-link\" href=\"#matrixirc\">Matrix/IRC</a> of zie een gebied voor verbetering van de software.</p>\n<p>Als je een probleem gaat openen:</p>\n<ul>\n<li>Zorg ervoor dat er geen bestaand probleem is dat verband houdt met het uwe\n<ul>\n<li>Zoek in <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">openstaande problemen in Github</a> naar trefwoorden die verband houden met die van jou</li>\n</ul></li>\n<li>Geef zoveel mogelijk informatie\n<ul>\n<li>Als u een probleem ondervindt dat niet kon worden opgelost met normale probleemoplossing, doet u het volgende:\n<ul>\n<li>Verzamel alle relevante logboeken wanneer u het probleem ondervindt</li>\n<li>Verzamel de versie van de Monero-software die je gebruikt<br />\n</li>\n<li>Verzamel het besturingssysteem en de versie van uw systeem</li>\n<li>Link naar relevante bestaande problemen, Reddit-threads, etc.</li>\n</ul></li>\n</ul></li>\n<li>Houd de antwoorden en meldingen van updates voor uw probleem in de gaten\n<ul>\n<li>Er is vaak meer informatie of verduidelijking nodig, dus zorg ervoor dat u op de hoogte bent van updates en opmerkingen over uw probleem waarvoor mogelijk uw input nodig is</li>\n</ul></li>\n</ul>\n<p>Hoe meer informatie u in de uitgave kunt geven, hoe beter!</p>';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtitle => 'Problemen met archiveren';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtext => '<p>Hopelijk heeft deze gids enkele ideeën aangewakkerd over hoe je iets terug kunt doen voor Monero met behulp van je unieke vaardigheden, achtergrond en ervaring. Hoe meer van de gemeenschap op deze manier teruggeeft, hoe groter en volwassener Monero zal zijn en hoe gemakkelijker we de doelen van privé, vervangbaar, zelf-soeverein, censuurbestendig geld kunnen vervullen.</p>';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtitle => 'Conclusie';

  @override
  String get knowledge250Sbcontributing250Sbdescription => 'Het succes van Monero hangt af van de bijdragen van de community. Vandaag gaan we kijken naar manieren waarop niet-ontwikkelaars iets kunnen terugdoen.';

  @override
  String get knowledge250Sbcontributing250Sbtitle => 'Bijdragen aan Monero';

  @override
  String get knowledge250Sbcritical250Sb0250Sbtext => '<p>Elk individu heeft zijn eigen verhaal over reizen door het wilde westen dat cryptocurrency is. Sommigen vinden een plek om te speculeren, sommigen vinden vrienden en weer anderen vinden technologie waarin ze geloven. Ondanks de verschillen zijn er vaak veel overeenkomsten, zelfs tussen verschillende crypto\'s en gemeenschappen. Een daarvan is de verontrustende gelijkenis met sekteachtig gedrag dat zich voordoet in veel van de cryptogemeenschappen. </p>\n\n<p>Dit gedrag is niet moeilijk te herkennen. Het onvermogen om kritiek te accepteren en het opzettelijk negeren van gebreken, zelfs ondanks bewijs, zijn slechts enkele voorbeelden. In sommige ruimtes wordt het cheerleaden zo flagrant dat elke vorm van negativiteit reden wordt voor disciplinaire maatregelen.</p>\n\n<p>Als cryptocurrency-reiziger die goede projecten probeert te ondersteunen en <a target=\"_blank\" href=\"/knowledge/monero-scams\" class=\"next-link\">niet al je geld wilt verliezen</a>, worden alle cryptocurrency-enthousiastelingen aangemoedigd om kritisch na te denken en projecten te evalueren op basis van hun werkelijke waarde, maar hoe zit het met het benaderen ervan? uit de andere richting? Moeten projecten zelf zelfkritisch en zelfbewust zijn? </p>\n\n<p>We beweren van wel. De gemeenschap zelf is een weerspiegeling van het project en de leiders daarin. Bovendien zal een slimme gemeenschap meer verwachten van hun ontwikkelaars en in staat zijn om voorgestelde oplossingen te bekritiseren in plaats van blindelings te vertrouwen en te accepteren dat ontwikkelaars werken in het voordeel van de gebruikers in plaats van zichzelf of externe belangen.</p>\n\n<p>Omgekeerd is een gemeenschap die alleen om de prijs geeft en niet in staat of bereid is om zichzelf kritisch te evalueren (of anderen te laten evalueren) gedoemd te zwelgen in middelmatigheid.</p>\n\n<p>Als project probeert Monero zijn ontwikkelaars, onderzoekers, leiders en gemeenschap zelf aan de hoogste normen te houden en het risico op groeiende zelfgenoegzaamheid en destructieve apathie te minimaliseren.</p>\n\n<p>Een van de manieren waarop Monero dit doet, is door een wekelijkse Scepticism Sunday te houden op de subreddit van de community. Dit is een plek waar mensen hun zorgen over Monero, het protocol, het leiderschap of andere zorgen kunnen uiten. Het is een plek waar vragen en zelfs wantrouwen ronduit worden aangemoedigd en noodzakelijk worden geacht voor de gezondheid van ons ecosysteem.</p>\n\n<p>Dit staat in schril contrast met veel andere gemeenschappen, die niet alleen kritiek uit de weg gaan, maar vaak apathie en afkerige geesten van hun gemeenschap aanmoedigen. Dit lijkt misschien hard om te zeggen, maar het is onmogelijk om te kijken naar het ecosysteembrede verbod op nee-zeggers, het beëindigen van gesprekken en het aanmoedigen van cheerleading dat wordt gezien op de ontmoetingsplaatsen van andere munten en niet tot deze conclusie te komen. </p>\n\n<p>Dat wil niet zeggen dat Monero zelf geen cheerleaders heeft, want dat heeft het wel. Het interessante is echter dat veel leden van de gemeenschap deze cheerleaders zullen oproepen en hen zullen oproepen tot een hogere gedragsnorm. Monero gaat zelfs zo ver dat het onnodig buitensporige cheerleading als spam beschouwt en zal proberen het om te leiden naar geschiktere plaatsen of het volledig te verwijderen.</p>\n\n<p>De dreiging van onvolgroeide geesten moet serieus worden genomen. Privacy is een wapenwedloop waar iedereen alert op moet zijn en kreten \"Monero is the best!\" en “Niets kan Monero verslaan! Het is onbreekbaar!” doen alleen maar afbreuk aan de urgentie van de strijd. Vanuit dit perspectief is een gebrek aan kritisch denken en gezond scepticisme in een gemeenschap niet alleen vervelend of sekteachtig, het kan ook leiden tot de ondergang van het protocol zelf.</p>\n\n<p>In veel opzichten kunnen we naar Bitcoin kijken voor voorbeelden van hoe dit in het echte leven uitpakt. Bitcoin-maximalisten zullen elkaar vaak uitschelden en deugdzame signalen geven over de verdiensten van Bitcoin, en wanneer kwesties van privacy, fungibiliteit of schaalvergroting aan de orde komen, worden de vragen met de hand weggewuifd en worden de overtreders uit de gemeenschap verdreven. Al te vaak zijn mensen met legitieme vragen verbannen, geblokkeerd of anderszins verbannen van deelname aan Bitcoin-gemeenschappen, alleen omdat ze zich niet aan de overeengekomen retoriek wilden houden en vragen durfden te stellen. </p>\n\n<p>Keer op keer vinden deze vermoeide reizigers hun weg naar Monero, en na enige tijd in de gemeenschap te hebben doorgebracht, hebben ze het project geprezen om zijn nuchtere discussies en gebrek aan angst voor ongemakkelijke vragen. Het is niet ongehoord dat deze reizigers zelfs maar over andere munten willen praten, niet omdat ze willen shillen, maar omdat ze de reden en logica van de gemeenschap gaan vertrouwen en eerlijke meningen over een andere munt willen, iets waar ze niet in kunnen komen de gemeenschap van de munt zelf.</p>\n\n<p>Zelfs het feit dat Monero in het verleden en het heden voortdurend hard forkt, heeft de nederigheid en kracht van het project aangetoond. Hoewel sommigen hard forks afkeuren als <a target=\"_blank\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" class=\"next-link\">centralisatie bij ontwikkelaars </a>, wat tot op zekere hoogte waar is, toont het aan dat de ontwikkelaars begrepen dat de kans klein is dat ze alles meteen 100% goed krijgen. Dingen zullen moeten worden verbeterd en misschien zelfs volledig moeten worden vervangen als Monero concurrerend wil blijven op het gebied van zowel privacy als cryptocurrency.</p>\n\n<p>Vaak breken deze veranderingen de achterwaartse compatibiliteit, een grote no-no in het Bitcoin-protocol, waar alles een soft fork en achterwaarts compatibel moet zijn. Maar dit betekent dat elke individuele wijziging die Bitcoin zelf aanbrengt, een zeer beperkt bereik heeft. Ze gaan gebukt onder hun verleden, en verbeteringen moeten het eren, vaak zinloos. Terwijl de wijzigingen van Monero ingrijpend kunnen zijn en het protocol en de privacy vaak met meerdere ordes van grootte zullen verbeteren. </p>\n\n<p>Dit is gemakkelijk te zien aan de opname van <a target=\"_blank\" href=\"/knowledge/monero-ringct\" class=\"next-link\">RingCT</a>. Voorheen bevatte Monero alleen <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">stealth-adressen</a> en <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">belhandtekeningen</a>, en de bedragen waren zichtbaar. Shen Noether, een MRL-onderzoeker, wijzigde een bestaand protocol dat bedragen voor Monero verbergt, maar de opname ervan zou achterwaartse compatibiliteit doorbreken, wat betekent dat ouderwetse transacties met transparante bedragen niet meer zijn toegestaan.</p>\n\n<p>Monero nam dit risico en het eindresultaat was een sterk verbeterde privacy die de positie van Monero als de koning van de privacymunten verstevigde. Maar dat is niet alles wat het liet zien. Deze afsplitsing, evenals de verschillende daaropvolgende, evenals alle volgende aanmoedigingen tot scepticisme, nederigheid en vragen binnen de gemeenschap, versterkten ook Monero als een van de scherpste, meest kritische verzameling geesten in de cryptospace. </p>';

  @override
  String get knowledge250Sbcritical250Sbdescription => 'Сrypto-enthousiastelingen worden aangemoedigd om kritisch na te denken en projecten te evalueren op basis van hun werkelijke waarde, maar moeten projecten zelf zelfkritisch en zelfbewust zijn?';

  @override
  String get knowledge250Sbcritical250Sbtitle => 'Waarom Monero de meest kritische denkgemeenschap heeft';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtext => '<p>Als cryptocurrency lijkt Monero met het blote oog misschien erg saai. Het heeft geen grote aanspraak op roem, zoals het zijn van een \'wereldcomputer\' of \'revolutionaire xyz-industrie\'. Het probeert gewoon privé, digitaal, vervangbaar geld te zijn, en elke upgrade en nieuwe technologie bevordert dit doel alleen maar. </p>\n<p>\nDegenen die dit doel als te smal of oninteressant beschouwen, begrijpen over het algemeen niet hoe moeilijk het is om zinvolle privacy te bereiken, vooral op een permanent, open grootboek zoals een blockchain. Elke mogelijkheid voor het lekken van metadata is een potentieel voor privacy-erosie.</p>\n<p>\nMonero neemt voorzorgsmaatregelen om on-chain-gegevens, zoals de ontvanger, afzender en bedragen, te verdoezelen via respectievelijk stealth-adressen, ringhandtekeningen en Pedersen-toezeggingen. Dit verkleint de kans dat een toevallige waarnemer kritieke informatie afleidt nadat transacties al zijn verzonden en nu slechts een onderdeel zijn van de geregistreerde geschiedenis. Er zijn echter enkele aanvallen die kunnen worden uitgevoerd op het moment dat een transactie plaatsvindt en die op geen enkel moment later kunnen worden uitgevoerd.</p>';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtitle => 'Privacy voorop';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtext => 'Bij deze aanvallen draait het om het identificeren van welk IP-adres een transactie afkomstig is. Als deze informatie wordt afgeleid, kan dit onthullen dat een persoon een Monero-transactie heeft verzonden. Het kan niet laten zien aan wie en hoeveel, maar in sommige gevallen is de kennis van iemand die Monero gebruikt voldoende om schade aan te richten.\n<br/><br/>\nHet goede nieuws is dat als deze informatie niet wordt verzameld op het moment dat de transactie wordt uitgevoerd, deze op een later tijdstip niet kan worden geleerd, aangezien IP-adressen niet op de blockchain worden opgeslagen. Het is ook geruststellend om te weten dat het onwaarschijnlijk is dat een dergelijke aanval in het wild wordt gezien, aangezien de aanvaller een grote meerderheid van knooppunten op het netwerk nodig heeft om deze uit te voeren. Als een persoon echter in staat zou zijn om deze grote meerderheid te beheersen, zou hij in staat zijn om de \"richting\" waar een transactie vandaan kwam te identificeren.\n<br/><br/>\nDit kan verwarrend zijn, dus we zullen hier wat achtergrondinformatie uitleggen. Elk knooppunt maakt verbinding met andere knooppunten op het netwerk, zodat ze hun blockchain up-to-date kunnen houden en wat ze weten met anderen kunnen delen. Dankzij deze verbindingen kunnen ze meer te weten komen over nieuwe transacties, deze verspreiden en hun eigen transacties verzenden. Aangezien een node zijn collega\'s alleen kan vertellen over transacties waarvan zij op de hoogte zijn, spreekt het voor zich dat de allereerste node die een transactie verspreidt, de node is die daadwerkelijk Monero verzendt.\n<br/><br/>\nAls een aanvaller een grote meerderheid van de knooppunten op het netwerk bezit, hoort elk knooppunt over een transactie van een van zijn collega\'s, en op basis van de timing waarin elk knooppunt deze informatie ontvangt, kunnen ze waarschijnlijke kandidaten afleiden voor waar de transactie is begonnen.\n<br/><br/>\nAls dit nog steeds verwarrend is, bieden we dit voorbeeld aan. Stel dat we allebei een gemeenschappelijke vriend hebben die zich voor onze visie verbergt. Deze vriend roept luid. Ik hoor zijn roep als eerste, en ik hoor het luider dan jij. Uit deze informatie kunnen we weten dat ik waarschijnlijk dichter bij onze vriend sta dan jij. Het feit dat je het geluid later hoort (al is het maar een fractie van een seconde) en het geluid zwakker is, betekent dat we onze zoektocht in mijn omgeving moeten beginnen, niet in die van jou.\n<br/><br/>\nAls een aanvaller met succes kan raden wie van zijn collega\'s de transactie heeft verzonden, aangezien hij het IP-adres heeft dat is verbonden met zijn node en het naar hem heeft doorgestuurd, kan hij zeker zijn van het IP-adres dat de transactie heeft verzonden. Dit is krachtige informatie, aangezien IP-adressen informatie bevatten over het land en de internetprovider (ISP) van de gebruiker, en de ISP zelf weet welke gebruiker is gekoppeld aan welk exact IP-adres, waardoor de Monero-gebruiker effectief wordt gedeanonimiseerd.';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtitle => 'Aanval om IP-adres te onthullen';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtext => 'Een mogelijke oplossing voor deze aanval is het gebruik van een overlay-netwerk zoals Tor of I2P. Dit zorgt ervoor dat zelfs als een aanvaller een bron-IP-adres kan afleiden, dit waarschijnlijk niet degene is die de transactie heeft uitgevoerd, maar eerder de outproxy (I2P) of exit node (Tor) van het overlay-netwerk. Dit is echter geen allesomvattende oplossing, aangezien overlay-netwerken, VPN\'s en soortgelijke software in veel landen verboden zijn en het onrealistisch is om te verwachten dat iedereen deze netwerken gebruikt, synchroniseert en verspreidt. Er moet een oplossing zijn waarvoor geen externe software en netwerken nodig zijn; een die beschikbaar is voor de gewone persoon.\n<br/><br/>\nDeze oplossing is Dandelion++ (DPP), een geüpgraded protocol voor het oorspronkelijke Dandelion-voorstel voor Bitcoin. In dit protocol zijn er twee fasen, de stamfase en de pluisfase; beiden samen zouden de vorm van een paardebloem moeten vertegenwoordigen.\n<br/><br/>\nIn de stamfase kiest het verzendende knooppunt om de paar minuten willekeurig twee peers uit alle knooppunten waarmee het is verbonden. Wanneer het verzendende knooppunt een transactie verzendt, hetzij namens zichzelf of door de transactie door te sturen vanaf een ander knooppunt in de stamfase, kiest het willekeurig een van deze twee geselecteerde peers en verzendt het de transactie ernaartoe.\n<br/><br/>\nDe fluff-fase is wanneer een knooppunt een transactie ontvangt en deze uitzendt naar elke uitgaande verbinding, in plaats van slechts naar één willekeurig gekozen verbinding, dit maakt echte transactiepropagatie mogelijk. Om de paar minuten definieert een node zichzelf als een node die zich willekeurig voortplant via stem of via fluff, dus een stamfase kan behoorlijk lang zijn als elk verbindingsknooppunt zichzelf heeft gedefinieerd als een stamknooppunt, maar zodra de transactie de fluff-fase bereikt, het blijft daar.\n<br/><br/>\nDit betekent dat een aanvaller niet meer eenvoudig kan luisteren naar de richting van een transactie, omdat deze, voordat deze aan iedereen werd doorgegeven, de stamfase onderging en het oorspronkelijke knooppunt van de fluff-fase niet het knooppunt is waarvan de transactie afkomstig is. , en het is niet bekend hoeveel sprongen langs de stam de transactie heeft ondergaan.\n<br/><br/>\nNatuurlijk geeft het combineren van bovenstaande oplossingen (DPP plus een overlay-netwerk) nog sterkere garanties van privacy en bescherming tegen IP-tracering. Er moet ook worden opgemerkt dat DPP geen verdediging biedt tegen een andere vorm van netwerkopsporingsaanval die met ISP\'s kan worden gedaan, maar dit valt buiten het bestek van dit artikel.\n<br/><br/>\nDandelion++ is ingesteld om live te gaan op het Monero-netwerk en standaard te worden gebruikt op de referentieclient, in release 0.16. Deze kleine wijziging zal de mogelijke aanvallen op het Monero-netwerk verder beperken en illustreert waarom Monero toonaangevend is op het gebied van praktische, toegepaste privacytechnologieën.';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtitle => 'De mitigatie(s)';

  @override
  String get knowledge250Sbdandelion250Sbdescription => 'Monero neemt voorzorgsmaatregelen om on-chain-gegevens te verdoezelen, maar er zijn enkele aanvallen die kunnen worden uitgevoerd op het moment dat er een transactie plaatsvindt die later niet kan worden uitgevoerd.';

  @override
  String get knowledge250Sbdandelion250Sbtitle => 'Hoe Dandelion++ de herkomst van de transacties van Monero privé houdt';

  @override
  String get knowledge250Sbdescription => 'Wat maakt Monero speciaal? Leer door de artikelen en handleidingen op onze Kennispagina te lezen.';

  @override
  String get knowledge250Sbeconomy250Sb0250Sbtext => '<p>Een van de belangrijkste aspecten in het voortbestaan en de groei van cryptocurrencies en hun bruikbaarheid is de vorming van circulaire economieën. We hebben deze op kleine schaal zien opduiken binnen Bitcoin en andere cryptocurrencies, maar Monero heeft meerdere kenmerken die ons op unieke wijze in staat stellen circulaire economieën op te bouwen en eraan deel te nemen.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtext => '<p> Hoewel ik zeker weet dat jullie allemaal enigszins bekend zijn met economieën als een breed onderwerp, is het idee van een \"circulaire economie\" er een dat zelden wordt besproken buiten de wereld van cryptocurrency. Wat circulaire economieën zo belangrijk en bijzonder maakt, is dat ze echt vrije markten creëren die de handel in diensten, producten en goederen <em>rechtstreeks voor Monero</em>.</p> mogelijk maken.\n<p>Deelnemers hoeven niet constant in en uit fiat te stappen, maar kunnen hun Monero binnen het systeem houden en rechtstreeks in Monero verdienen, sparen en uitgeven zonder de wrijving, toezicht of beperkingen van de normale economie.<p> X606X]\n<p>Circulaire economieën zijn over het algemeen volledig \"boven boord\" en legaal, maar functioneren meer als \"grijze markten\" in vergelijking met de normale \"witte markten\" in de fiat-wereld.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtitle => 'Wat zijn circulaire economieën?';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtext => '<h6 id=\"remove-the-reliance-on-the-states-approval-and-id-system\">1. Verwijder de afhankelijkheid van het goedkeurings- en ID-systeem van de staat </h6>\n<p> Dit punt valt de meeste westerlingen of mensen die in een stabiel land met het ID-systeem hebben geleefd misschien niet op, maar onze afhankelijkheid van door de staat uitgegeven identiteitsbewijzen en goedkeuring om zaken te doen, de kost te verdienen en te kopen wat we noodzaak om te overleven stelt de staat in staat om degenen die zij als \"niet-conform\" beschouwen, gemakkelijk af te sluiten </p>\n<p>Dit zijn <em>niet alleen </em> criminelen, en kunnen politieke dissidenten, religieuze minderheden, raciale minderheden, etc. zijn. Deze controle laat de staat bepalen wie wel en niet handel mag drijven, met wie ieder van ons zaken mag doen , en wat we kunnen kopen/verkopen – in wezen kiezen voor leven of dood voor elke burger op basis van naleving.</p>\n<p>Door deze afhankelijkheid weg te nemen door circulaire economieën op te bouwen, wordt de macht van de staat over ons vermogen om deel te nemen aan een economie weggenomen, waardoor we kunnen overleven en gedijen, ongeacht wat de staat van ons denkt.</p>\n<h6 id=\"reduce-the-governments-control-of-monero-and-monero-users-via-fiat-onoff-ramps\">2. Verminder de overheidscontrole van Monero en Monero-gebruikers via fiat op- en afritten</h6>\n<p>De ongelooflijk sterke privacygaranties en decentralisatie van Monero maken het extreem moeilijk (of zelfs onmogelijk) om te voorkomen dat mensen het naar eigen goeddunken gebruiken. Vanwege de sterke technische basis voor de macht van Monero als instrument voor vrijheid, realiseren regeringen zich snel dat hun beste kans om Monero-gebruikers te controleren of de effectiviteit van het netwerk te verminderen, is om te bepalen wie toegang kan krijgen tot Monero terwijl ze een mooie en opgeruimde lijst samenstellen van Monero-gebruikers via KYC-uitwisselingen (Know-Your-Customer).</p>\n<p>Als we circulaire economieën uitbouwen, hoeven we niet zo vaak (of zelfs maar helemaal!) fiat-op- en afritten te gebruiken, en kunnen we dus dat punt van overheidscontrole over onze acties verwijderen.</p>\n<p>We kunnen dit ook doen door te weigeren gecentraliseerde KYC-uitwisselingen te gebruiken en peer-to-peer hier op LocalMonero te handelen.</p>';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtitle => 'Waarom moeten we circulaire economieën bouwen?';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtext => '<p>Terwijl Monero enkele van de kernkenmerken van Bitcoin deelt die circulaire economieën op een nieuwe manier mogelijk maken (censuurbestendige betalingen, p2p-transacties, enz.), biedt het een absoluut unieke empowerment voor degenen die circulaire economieën willen opbouwen en eraan willen deelnemen. .</p>\n<h6 id=\"monero-enables-global-p2p-transactions-without-fear-of-surveillance-or-censorship\">1. Monero maakt wereldwijde p2p-transacties mogelijk zonder angst voor toezicht of censuur</h6>\n<p>Monero-gebruikers hoeven zich geen zorgen te maken over massasurveillance of zelfs maar gerichte censuur van hun transacties, wat zorgt voor een unieke gemoedsrust en voorkomt dat de handel wordt belast. Je kunt op elk moment en zonder toezicht met iedereen ter wereld transacties uitvoeren met de Monero-portemonnee van je keuze.</p>\n<h6 id=\"fungibility-removes-the-risk-of-tainted-coins-and-ensures-trust\">2. Vervangbaarheid neemt het risico van besmette munten weg en zorgt voor vertrouwen</h6>\n<p>Omdat Monero fungibel is (1 XMR is gelijk aan 1 XMR, wat er ook gebeurt), hoeven deelnemers aan de circulaire economie zich geen zorgen te maken over het geld dat ze verzenden of ontvangen. Elke Monero die ze verzenden, kan niet worden herleid tot hun andere transacties en heeft geen geschiedenis en kan dus niet worden gecensureerd op basis van geschiedenis, en ontvangen Monero kan altijd vrij worden besteed tegen de volledige marktwaarde. Deze fungibiliteit draagt bij aan de gemoedsrust van deelnemers, zorgt ervoor dat ketenanalysebedrijven hun weg naar circulaire economieën niet kunnen opdringen en voorkomt dat het vertrouwen in Monero als ruilmethode uiteenvalt.</p>\n<p>De huidige afbraak van vertrouwen in Bitcoin als ruilmethode leidt ertoe dat het snel grip verliest in circulaire economieën waar Monero aanwezig is. Mensen willen geen geld hoeven te controleren op smet, zich geen zorgen hoeven te maken of ze het wel vrij kunnen uitgeven, of de behoefte voelen om ketenanalysetools te gebruiken om zichzelf te beschermen tegen wettelijke of regelgevende problemen.</p>\n<h6 id=\"moneros-low-fees-ensure-a-free-flow-of-commerce\">3. De lage tarieven van Monero zorgen voor een vrije handelsstroom</h6>\n<p>Een van de eenvoudigste punten om te begrijpen over Monero-transacties is dat transactiekosten ongelooflijk laag zijn en op de lange termijn redelijk zullen blijven dankzij de <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/monero-tail-emission\">staartemissie</a> en <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/dynamic-block-size\">dynamische blokgrootte</a> .</p>\n<p>Deze lage tarieven zorgen ervoor dat de handel vrij kan stromen, ongeacht de hoeveelheid blockchain-congestie, waardoor de mentale belasting en stress voor deelnemers verder wordt verminderd om hun transacties te timen of uren/dagen te wachten om transacties met lage kosten te bevestigen. Met kosten van rond de 1 cent kunt u vrij transacties uitvoeren met transacties van elke omvang zonder dat u zich zorgen hoeft te maken over kosten in de toekomst.</p>';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtitle => 'Hoe maakt Monero deze circulaire economieën op unieke wijze mogelijk?';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtext => '<p>Uiteindelijk is Monero digitaal geld zoals het hoort. De gemoedsrust, fungibiliteit en privacy van transacties in contanten, maar met alle voordelen van digitale, wereldwijde en p2p-transacties los van de controle of bewaking van de staat. Dit vermogen om op te treden als digitaal geld maakt circulaire economieën vandaag op unieke wijze mogelijk en helpt hen om in de loop van de tijd te groeien en bloeien op manieren die andere cryptocurrencies zoals Bitcoin eenvoudigweg niet kunnen. </p>';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtitle => 'Conclusie';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtext => '<p>Als je nieuwsgierig bent en circulaire economieën beter wilt begrijpen of er vandaag nog aan wilt deelnemen, bekijk dan de onderstaande links voor geweldige plekken om aan de slag te gaan:</p>\n<u>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/kyc-free-bitcoin-circular-economies\">“KYC- gratis Bitcoin circulaire economieën: Bevrijd de markten, bevrijd de wereld” - Anarkio</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/its-time-to-join-the-bitcoin-circular- economy/\">“Het is tijd om deel te nemen aan de circulaire economie van Bitcoin” - Ragnar Lifthrasir</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monerica.com/\">“Monerica.com - Een gids voor een circulaire Monero-economie”< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cryptwerk.com/pay-with/xmr/\">Monero Merchants - Cryptwerk</a> </li>';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtitle => 'Hoe kan ik meer leren?';

  @override
  String get knowledge250Sbeconomy250Sbdescription => 'Vandaag bekijken we hoe het vermogen van Monero om op te treden als digitaal geld op unieke wijze de ontwikkeling van circulaire economieën mogelijk maakt.';

  @override
  String get knowledge250Sbeconomy250Sbtitle => 'Hoe Monero op unieke wijze circulaire economieën mogelijk maakt';

  @override
  String get knowledge250Sbemission250Sb0250Sbtext => '<p>Als de meeste mensen denken aan wat Monero onderscheidt, denken ze aan de privacytechnologie van Monero. De meesten zouden inderdaad de privacy en de fungibiliteit die het ontgrendelt beschouwen als de bepalende eigenschap van Monero en het belangrijkste wapen dat het in de ring brengt in vergelijking met andere munten. Wat de meeste mensen misschien niet weten, is dat Monero andere protocolverschillen bevat met Bitcoin en zijn derivaten waarvan sommigen beweren dat ze net zo belangrijk zijn als de privacytechnologieën van Monero. In dit artikel kijken we naar een daarvan: de staartemissie.</p>\n\n<p>Laten we eerst definiëren wat deze term betekent. Een tailemissie is een onophoudelijke subsidie van blokbeloningen, zelfs nadat de ‘laatste’ Monero is geslagen. Met andere woorden, de blokbeloning van Monero zal nooit naar nul dalen, maar eerder dalen tot het 0,6 XMR per blok bereikt, en daar voor altijd blijven. Miners worden altijd betaald om Monero te minen en zullen nooit alleen afhankelijk zijn van een fee-markt.</p>\n\n<p>Maar laten we even een stapje terug doen en mijnbouw op een zeer hoog niveau bekijken. Monero miners worden gestimuleerd om een netwerk te beveiligen door hashes te minen. De stimulans is de mogelijkheid om Monero te maken als ze een nieuw blok vinden. Deze Monero wordt op twee manieren toegekend. Ten eerste ontvangt de mijnwerker de betaalde vergoedingen van elke gebruiker die heeft betaald voor de opname van hun transactie in het blok. Dit zijn de transactiekosten die u betaalt als u een transactie verstuurt. Ten tweede ontvangt de miner een vooraf bepaalde hoeveelheid Monero van het protocol zelf. In de meeste gevallen is deze \'blokbeloning\' aanzienlijk hoger dan de transactiekosten van de gebruiker, en hier verdienen mijnwerkers het meeste geld. Deze blokbeloning dient om de mijnwerkers financieel te laten investeren in de beveiliging van de keten, maar ook om nieuwe munten in omloop te brengen.</p>\n\n<p>In de meeste cryptocurrency-protocollen wordt deze blokbeloning in de loop van de tijd afgebouwd. De meeste Bitcoin-derivaten hebben zogenaamde halveringen, vooraf bepaalde tijdstippen waarop de blokbeloning halveert (zoals van 20 BTC naar 10 BTC). Deze halveringen vinden om de paar jaar plaats en elke keer dat dit gebeurt, neemt de beveiliging van het netwerk af. Waarom? Welnu, we moedigen de lezer aan om ons artikel <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\"> over mijnbouw en RandomX </a> te lezen, en door dit te doen zullen ze leren dat mijnbouw een race is. Blokbeloningen worden alleen uitgedeeld aan degenen die een blok vinden, en er zijn veel entiteiten in competitie om dit te doen. Wanneer de beloningen hoger zijn, zijn meer mensen geïnteresseerd in het spelen van dit spel, terwijl wanneer de beloningen laag zijn, minder mensen, zelfs degenen met de uitrusting om dit te doen, bereid zullen zijn hun tijd en middelen te gebruiken om kans te maken op een miezerige prijs.</p>\n\n<p>We beginnen al aan de oppervlakte te komen van de reden voor Monero\'s staartemissie. Ook Monero heeft een afnemende blokbeloning, hoewel er in tegenstelling tot Bitcoin geen halveringen zijn. In plaats daarvan is elke blokbeloning een klein bedrag minder dan de vorige, dus de verlaging verloopt veel soepeler. Maar de vraag voor alle cryptocurrencies is: \"Wat gebeurt er als de blokbeloning nul bereikt?\" Dit is een vreemde situatie waarin we allebei het antwoord weten en niet weten. Het deel dat we weten is dat er geen blokbeloningssubsidie meer zal zijn, wat betekent dat mijnwerkers alleen moeten worden gestimuleerd door de gebruikerstransactiekosten. Wat we niet weten, is of deze bedragen voldoende zullen zijn om de mijnwerkers de ketting te laten beveiligen. </p>\n\n<p>Zoals eerder vermeld, weegt de blokbeloning op dit moment aanzienlijk zwaarder dan de transactiekosten, dus de hoop is dat naarmate meer gebruikers de keten gebruiken, de kosten zullen stijgen, en met hogere kosten zullen de mijnwerkers het de moeite waard vinden hun tijd om door te gaan met mijnen. Er is echter nog een andere kant aan dit scenario, de kant van de gebruikers. Als de kosten stijgen, wordt het voor iedereen veel duurder om transacties met cryptocurrency uit te voeren, waardoor het mogelijk wordt afgeschermd van degenen die niet over voldoende financiële middelen beschikken. Maar aan de andere kant, als de kosten laag blijven en de blokbeloning naar nul gaat, zullen maar heel weinig mijnwerkers het netwerk beveiligen, waardoor het kwetsbaar blijft voor 51% aanvallen en omgekeerde transacties.</p>\n\n<p>Niemand heeft goede antwoorden op dit scenario en er is nog geen enkele grote munt in deze fase van het leven van hun cryptocurrency gekomen, dus we hebben er ook geen praktijkervaring mee. Het is allemaal speculatie. Een gok. Bitcoin wedt dat de vergoedingen voldoende zullen zijn om de mijnwerkers te onderhouden, zelfs als dit betekent dat de armen worden uitgesloten. Monero maakt een andere weddenschap. Monero wedt dat de vergoedingen alleen niet voldoende zijn voor ketenbeveiliging, dus neemt het een staartemissie op als onderdeel van het protocol.</p>\n\n<p>We herinneren de lezer eraan dat de blokbeloning nooit lager zal zijn dan 0,6 XMR per blok. Zal dit genoeg zijn om mijnwerkers te stimuleren? We weten het niet, maar het is zeker beter dan 0, wat bijna elke andere valuta in hun protocol heeft ingebouwd.</p>\n\n<p>De belangrijkste kritiek op deze aanpak is dat dit betekent dat de voorraad van Monero in theorie oneindig is, wat na verloop van tijd inflatie veroorzaakt, terwijl munten die de blokbeloning beperken een eindige voorraad hebben, terwijl hun schaarste de waarde in de loop van de tijd verhoogt. We zijn van mening dat dit argument om verschillende redenen onvoldoende is.</p>\n\n<p>Ten eerste, wat heb je aan een schaarse munt van hoge waarde die gemakkelijk kan worden aangevallen, gecensureerd en ondermijnd vanwege de lage beveiliging? De lage beveiliging zou in ieder geval de waarde verlagen, meer dan compenseren voor de toename die de schaarste zou opleveren. Ten tweede, hoewel het aanbod van Monero theoretisch oneindig is, is de inflatie lineair en neigt het naar nul als een jaarlijks percentage, in tegenstelling tot fiat dat exponentieel is. </p>\n\n<p>De inflatie van Monero is van tevoren precies bekend en kan nauwkeurig worden geprojecteerd, in tegenstelling tot fiat dat in een bepaald jaar min of meer kan stijgen op basis van de grillen van de machthebbers. Dit behoudt nog steeds de cypherpunk-geest van het verwijderen van de mogelijkheid van menselijke corruptie door middel van protocol-afgedwongen technologie. Met het extra voordeel van de gemoedsrust dat de veiligheid van Monero\'s blockchain door middel van mijnbouw er zal zijn zolang de wereld het nodig heeft. </p>\n\n<p>Het laatste punt dat we willen bespreken is eerlijkheid. Geld wordt op verschillende manieren gebruikt: als waardeopslagmiddel, als ruilmiddel en als rekeneenheid. In een systeem waar het aanbod eindig is, stopt de inflatie, wat betekent dat degenen die het gebruiken als waardeopslag het systeem gratis gebruiken. Ze profiteren van de voortdurende zekerheid die de mijnwerkers bieden zonder er iets voor te betalen, want zonder inflatie verliest hun geld in de loop van de tijd niet langzaam aan waarde. Omgekeerd wordt iedereen die de valuta als ruilmiddel gebruikt, bestraft (via mogelijk hoge transactiekosten). Dit zal mensen aanmoedigen om te houden maar niet uit te geven, en vertekent de eerlijkheid van het systeem om houders te bevoordelen. Door een staartemissie te hebben, egaliseert dit de vergelijking. Nu betalen houders ook een kleine belasting, via inflatie, voor de veiligheid van het systeem. De staartemissie maakt het eerlijker voor iedereen.</p>';

  @override
  String get knowledge250Sbemission250Sbdescription => 'De privacytechnologie van Monero is niet het enige verschil dat het onderscheidt van BTC en zijn derivaten. In dit artikel kijken we naar een andere: de staartemissie.';

  @override
  String get knowledge250Sbemission250Sbtitle => 'Waarom Monero een staartemissie heeft';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtext => 'Een van de vaak bezongen doelen van blockchain is de macht weer in de handen van de mensen te leggen. Welke soorten macht, en hoeveel verschillen afhankelijk van wie je het vraagt, en het ontwerp van een blockchain zelf zal bepalen hoe deze herverdeling tot stand komt. Er zijn veel tools die bijdragen aan het corrigeren van de ongelijkheid, en we willen er graag een bespreken die een groot effect heeft op de manier waarop een project wordt uitgevoerd en het daadwerkelijke potentieel voor herverdeling van de macht dat het heeft: open source.';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtitle => 'De macht aan het volk';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtext => 'Een gratis, open source software (FOSS) project is een project waarin de code zodanig is gelicentieerd dat deze door iedereen kan worden bekeken, gewijzigd, gecontroleerd en gekopieerd. De code van propriëtaire software daarentegen is verborgen en wordt bewaard als een bedrijfsgeheim dat niet wordt gedeeld uit angst voor concurrentie die het harde werk kopieert waarvoor de maker heeft betaald of gemaakt. Alleen het aan het einde geproduceerde programma wordt vrijgegeven voor het publiek, niet de code.\n<br/><br/>\nFOSS-software heeft veel voordelen ten opzichte van eigen tegenhangers, zoals mogelijk minder bugs (aangezien iedereen vrij is om de code te controleren), innovatie (aangezien bijdragen overal en altijd vandaan kunnen komen) en empowerment van mensen die zich misschien niet kunnen veroorloven of anderszins gebruik maken van het eigen aanbod.\n<br/><br/>\nDit geldt voor standaard FOSS-projecten en blockchain is daarop geen uitzondering. De ruimte gonst van de gesprekken over open source software, en het aanbod van eigen portefeuilles stuit op argwaan en kritiek van veteranen op het gebied van cryptocurrency. Ondanks dat de meeste referentie-implementaties van de meeste grote blockchains open source zijn, zijn er enkele - zoals Monero - die verder gaan en zich onderscheiden van de massa.';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtitle => 'Open source software';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtext => 'Hoewel het waar is dat de meeste projecten open source-code hebben, zou het de geest van het concept een slechte dienst bewijzen als we niet wat dieper zouden graven om de echte redenen te zien waarom open source zo krachtig is. De realiteit is dat open source-licenties open samenwerking bevorderen door mensen van alle rangen en standen en levensfasen, met de bedoeling tools te creëren die nodig, nuttig en heilzaam zijn voor de mensheid.\n<br/><br/>\nSommige cryptocurrencies, terwijl de code uiteindelijk wordt vrijgegeven, hebben de ontwikkeling in het geheim gedaan om concurrerende projecten voor te blijven. Hoewel deze projecten kwalificeren als \"open source-projecten\", aangezien hun code uiteindelijk voor het publiek wordt vrijgegeven, wordt de initiële ontwikkeling nog steeds gedaan door een select aantal, wat leidt tot een verlies van veel van de voordelen die open source anders zou kunnen bieden.\n<br/><br/>\nDe geest van een open source-project is open samenwerking in het voordeel van iedereen, in plaats van in het voordeel van enkelen, en op deze manier overtreft Monero de meeste van zijn collega\'s. Niet alleen wordt de ontwikkeling van Monero op een open manier gedaan, met frequente bijeenkomsten die iedereen kan bijwonen en waar iedereen kan inspreken, maar dat geldt ook voor het onderzoek en de implementatie ervan. Veel van de grootste doorbraken van Monero zijn inderdaad afkomstig van externe bronnen via samenwerking, of door een schijnbaar willekeurige persoon die op de onderzoeksplatforms kwam met een nieuw idee, zoals bulletproofing en privacy-optimalisaties.';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtitle => 'De blockchain-verbinding';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtext => 'Bij het evalueren van een blockchain-project wordt aanbevolen dat de gebruiker niet alleen kijkt of de code beschikbaar is om te bekijken, maar ook of andere aspecten van het project op een open, transparante manier worden uitgevoerd. Hoe meer gesloten deuren er zijn voor betrokkenheid van de gemeenschap, hoe ongemakkelijker men zich zou moeten voelen. Hierin ligt echter een struikelblok voor velen, aangezien velen van ons uit de propriëtaire wereld komen, waar transparantie niet gebruikelijk is en we geen referentiepunt hebben voor wat \"open genoeg\" is, niet alleen in code, maar in de geest en andere gebieden van een project.\n<br/><br/>\nInderdaad, de meeste projecten prijzen hun openheid op sociale media, maar als je kijkt naar hoeveel mensen daadwerkelijk bijdragen aan de software, ontwikkeling of onderzoek naast degenen die daarvoor in dienst zijn of anderszins worden gecompenseerd, kan de realiteit verbazingwekkend anders zijn dan wat is beweerde. Het is mogelijk dat machthebbers (formeel of informeel) afwijzend of ronduit vijandig zijn als het gaat om de ideeën van andere mensen.\n<br/><br/>\nMonero probeert dit probleem volledig te omzeilen door geen formele rollen van het project te hebben, waarbij zelfs het kernteam van Monero voornamelijk alleen de infrastructuur beheert en weinig te maken heeft met de daadwerkelijke ontwikkeling of het onderzoek van het project. Dat gezegd hebbende, informele machtsstructuren vormen zich in alle sociale kringen, en Monero is geen uitzondering, dus daar moet rekening mee worden gehouden.';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtitle => 'Voorbij code';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtext => 'Hoewel deze sociale delen van open source-software waardevol zijn om te verkennen en te bespreken, en het gebrek daaraan inderdaad heeft geleid tot de ondergang van menig project, kan het gesprek behoorlijk ingewikkeld worden en valt het over het algemeen buiten het bestek van dit artikel, hoewel de lezer wordt aangemoedigd om te blijven leren over dit kritieke deel van FOSS-beheer.\n<br/><br/>\nHet Monero-project zoekt voortdurend naar manieren om de open samenwerking te bevorderen die zo cruciaal is voor de geest van open source. Als sommige mensen het ene chatplatform verkiezen boven het andere, worden bruggen ingezet met bestaande platforms om de communicatie te vergroten. Als een groep mensen het gevoel heeft dat ze niet over de tools of infrastructuur beschikken om hun ideeën te implementeren om Monero beter te maken, dan kijkt de community welke soorten (FOSS) tools er beschikbaar zijn.\n<br/><br/>\nDit betekent dat er niet alleen meer aandacht is voor de code, die slechts één aspect van het project is, maar ook voor de ontwerpen, het onderzoek, de digitale infrastructuur en de gesprekken.\n<br/><br/>\nDe geest van open source software is niet alleen om open code te hebben, maar om mensen in staat te stellen, een stem te geven en de wereld te veranderen door wereldwijde samenwerking. De lezer wordt aangemoedigd om te kijken of een project waarin hij geïnteresseerd is naar deze kernwaarden gaat, of alleen stopt bij het licentiëren van de code.\n<br/><br/>\nWe nodigen ze ook uit om dezelfde rubriek op Monero uit te voeren. We weten dat je alleen de reden zult ontdekken waarom Monero een van de veiligste en meest samenwerkende gemeenschappen in de cryptocurrency-wereld is.';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtitle => 'Een middel of een doel?';

  @override
  String get knowledge250Sbfoss250Sbdescription => 'Ontdek waarom het open source en gedecentraliseerd zijn Monero een enorm voordeel geeft ten opzichte van concurrerende cryptocurrencies.';

  @override
  String get knowledge250Sbfoss250Sbtitle => 'Waarom Monero open source en gedecentraliseerd is';

  @override
  String get knowledge250Sbhistory250Sb0250Sbtext => '<p>Er zijn maar weinig cryptocurrency-projecten waarvan de oorsprong in mysterie gehuld is. De meeste hebben een identificeerbare oprichter en velen hebben hun projecten vóór de lancering gehyped om de winst van een ICO te maximaliseren. Bitcoin leek op zichzelf te staan door een whitepaper te hebben dat uit het niets op de cryptografiegemeenschap werd gedropt, en hun oprichter, Satoshi Nakamoto, te laten verdwijnen. </p>\n\n<p>Tot Monero.</p>\n\n<p>Maar voordat we zelfs maar beginnen te praten over de lancering van Monero in 2014, moeten we nog verder teruggaan.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtext => '<p>In september 2013 bracht een voorheen ongehoorde groep, Cryptonote, een whitepaper uit over een nieuw protocol onder dezelfde naam. Dit protocol probeerde een Bitcoin-achtige cryptocurrency te maken, hoewel het gebruik maakte van optionele ringhandtekeningen en stealth-adressen om de privacy te versterken. Niet lang daarna, in november 2013, werd de eerste code naar GitHub gepusht voor een nieuwe munt genaamd Bytecoin. Deze munt implementeerde het protocol dat in het artikel wordt beschreven, op een geheel nieuwe codebase (d.w.z. niet gevorkt van Bitcoin zoals de meeste andere munten in die tijd). </p>\n\n<p>Het Bytecoin-team nam de tijd om de rest van de code in hun repository te plaatsen, maar leek klaar te zijn in maart 2014, toen het project vervolgens werd \'ontdekt\' door een \'willekeurige\' persoon op de BitcoinTalk-forums, hoewel het wordt nu algemeen vermoed dat dit een plant was om interesse te wekken. Nadat de sokpop oogballen had verzameld, ontdekten die nieuwe geïnteresseerden iets vreemds: meer dan 80% van de munten was al gedolven. </p>\n\n<p>Dit was een astronomisch bedrag en velen waren bereid het af te schrijven als oplichterij en verder te gaan; dat is totdat het Bytecoin-team verscheen. Ze beweerden dat de reden dat zoveel van de munt op dit punt was gedolven, was omdat Bytecoin eigenlijk geen nieuwe munt was met een enorme premine, maar eigenlijk al twee jaar op het deep web bestond, sinds 2012. </p>\n\n<p> Om een lang verhaal kort te maken, deze claims werden niet goed ontvangen, aangezien niemand eerder van Bytecoin had gehoord, en het duurde niet lang voordat mensen hun interesse verloren. Niet iedereen was echter bereid om volledig op te geven. Sommigen begonnen het Cryptonote-protocol te bekijken waarop Bytecoin was gebaseerd en concludeerden dat het protocol zelf solide en innovatief leek, ook al was de eerste implementatie dat niet. </p>\n\n<p>Op dat moment was het een race om te zien wie Bytecoin kon splitsen, de code kon opschonen en de eerste \'niet-zwendel\'-versie op de markt kon brengen, om een first mover-voordeel te behalen.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtitle => 'Bytecoin';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtext => '<p>Op 9 april 2014 plaatste een andere, voorheen ongehoorde, entiteit genaamdThanks_for_today een bericht op de BitcoinTalk-forums, waarin de lancering werd aangekondigd van de eerste Bytecoin-vork, genaamd Bitmonero. Omdat het de eerste fork was, kreeg Bitmonero snel aandacht en vormde zich er een kleine gemeenschap omheen toen het op 18 april werd gelanceerd, enthousiast om door te gaan waar Bytecoin was gebleven, maar het duurde niet lang voordat er ook iets vreemds aan Bitmonero begon te ruiken. </p>\n\n<p>De oprichter, thanks_for_today, bleek moeilijk om mee samen te werken. Verdwijnt vaak dagen achtereen (erg vreemd voor een gloednieuwe munt in de eerste dagen van ontwikkeling), en ging vaak tegen de gemeenschap in door te proberen mijn Monero samen te voegen met Bytecoin, het uitgifteschema aan te passen en in het algemeen te weigeren samen te werken met de consistente kerngroep die rond de munt was gebouwd en zo ver ging dat hij zijn eigen website, BitcoinTalk-post en repositories had. </p>\n\n<p>Het werd al snel duidelijk dat de kerngroep die zich rond Monero had opgebouwd veel actiever en competenter was dan dankbaar voor vandaag, en ondanks dat hij meerdere keren was uitgenodigd om deel te nemen, verdween hij uiteindelijk en werd hij een voetnoot in de geschiedenis van Monero. Vele jaren later wordt vermoed dat hij ook in het geheim deel uitmaakte van het Bytecoin-team. Waarom? Nou, tijdens dit alles had Bytecoin zelf niet stilgezeten.</p>';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtitle => 'Bitmonero';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtext => '<p>Het Bytecoin-team was niet blij. Hun plan om rijk te worden van hun leugen van hun massaal voorgedolven munt was mislukt. Ze hadden al het werk gestoken in de ontwikkeling van het protocol (er zijn sterke aanwijzingen dat de CryptoNote-ontwikkelaars en Bytecoin-ontwikkelaars zeer nauw verwant waren), en hadden er niets voor te bewijzen. </p>\n\n<p>Maar ze waren nog niet klaar. Ze lanceerden een nieuwe munt, Bitmonero, onder een nieuw pseudoniem, thanks_for_today. Waarom zou je daar eigenlijk stoppen? Omdat zij het meest bekend waren met de code, konden ze verschillende nieuwe munten lanceren met iets andere emissieschema\'s en namen, met nieuwe rekeningen en niemand zou weten dat zij het al die tijd waren. Dus dat deden ze. Fantomcoin, Monte Verde, Dashcoin (niet te verwarren met Dash) en meer vorken verschenen niet lang nadat Bitmonero was gelanceerd en probeerden een deel van het marktaandeel te veroveren.</p>\n\n<p>Deze pogingen mislukten uiteindelijk, omdat Monero de concurrentie snel ontgroeide en er weinig twijfel over bestond over de winnaar van de CryptoNote-munten.</p>\n\n<p>Maar toch stopte de zwendel daar niet. Bytecoin had nog een laatste truc in petto. Toen Thankful_for_today Bitmonero uitbracht, bracht hij ernaast een opzettelijk gedeoptimiseerde mijnwerker uit. Hij behield de geoptimaliseerde versie en hoopte een grote voorraad voor zichzelf te vergaren, maar deze deoptimalisaties werden snel opgepikt door het kernteam, evenals door andere, onafhankelijke groepen, en zelfs dit werd in korte tijd opgelost. Met deze, hun laatste zwendel, verslagen, trok Bytecoin zich terug in het duister en kwam alleen naar buiten om nep-rebrands en aankondigingen te doen in het hoogtepunt van de hausse op de cryptocurrency-markt in 2017 om te proberen de laatste winst uit hun zwendel te persen ten koste van hun kleine , nietsvermoedende gemeenschap.</p>';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtitle => 'Verschroeide aarde';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtext => '<p>Niet veel munten kunnen opscheppen over het hebben van een oprichter die er niet meer is. Inderdaad, Bitcoin en Monero zijn waarschijnlijk de twee grootste voorbeelden. Hoewel een vergelijking Bitcoin in een meer liefdadig licht kan laten zien, zijn er ook lessen te trekken uit het begin van de oplichterij van Monero. </p>\n\n<p>Bitcoin liet zien wat er kan gebeuren als één persoon het huidige systeem beu is en durft te innoveren om de status-quo uit te dagen. Monero toont de kracht van een gemeenschap die weigert zich te laten voeden met leugens, de waarheid voor zichzelf vindt en de middelen herovert waarmee ze hun vrijheid kunnen opbouwen. Monero is misschien begonnen als oplichterij, maar het is echt uitgegroeid tot een krachtig wapen om onze financiële privacy terug te nemen.</p>';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtitle => 'Conclusie';

  @override
  String get knowledge250Sbhistory250Sbdescription => 'Bitcoin leek op zichzelf te staan in het hebben van een whitepaper die uit het niets werd neergezet en hun oprichter liet verdwijnen. Tot Monero.';

  @override
  String get knowledge250Sbhistory250Sbtitle => 'Een korte geschiedenis van Monero';

  @override
  String get knowledge250Sbkeys250Sb0250Sbtext => '<p>Heb je de uitdrukking \"niet je sleutels, niet je munten\" eerder gehoord?\nDit is een alomtegenwoordige uitdrukking geworden in de cryptocurrency-gemeenschap, maar\nondanks dat de meeste mensen het de overgrote meerderheid van cryptocurrency hebben gehoord\ngebruikers hebben niet hun eigen sleutels.</p>\n<p>De voordelen van cryptocurrency die het echt onderscheiden van de\nhet traditionele financiële systeem wordt pas gerealiseerd als je het compleet hebt\nbewaring van uw geld - het bewaren van de privésleutels van uw munten.</p>\n<p>In dit korte bericht gaan we dieper in op waarom u uw eigen sleutels zou moeten hebben\nen geef een paar eenvoudige manieren om je Monero <em>vandaag</em>.</p> zelf in bewaring te geven';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtext => '<h6 id=\"it-preserves-the-privacy-that-monero-affords-users\">Het bewaart\nde privacy die Monero gebruikers biedt</h6>\n<p>Een van de meest verkeerd begrepen aspecten van zelfbewaring in\nMonero is dat als je je eigen sleutels niet in handen hebt, je weinig tot geen winst krijgt\nprofiteren van de privacy die Monero biedt. Als afzender van een transactie\nheeft volledig inzicht in de werkelijke uitgaven, het bedrag en het adres van de ontvanger,\nals u niet degene bent die de transactie verzendt en laat dat in plaats daarvan over\neen beurs of bewaarder, ze hebben <em>volledig</em> inzicht in de\nmanieren waarop je je Monero uitgeeft.</p>\n<p>Gelukkig, nadat ze het geld hebben overgemaakt, garandeert Monero de privacy\ntrap in en zorg voor sterke \"voorwaartse geheimhouding\", maar het zal duidelijk zijn\nde beurs of bewaarder waar u het geld naartoe heeft gestuurd en hoeveel u heeft verzonden\naanvankelijk.</p>\n<h6 id=\"it-enables-the-incredible-censorship-resistance-of-monero\">Het\nmaakt de ongelooflijke censuurweerstand van Monero mogelijk </h6>\n<p>Een van de fundamentele aspecten van Monero is mogelijk maken\ncensuurbestendige transacties – waardoor u transacties kunt doen\ndie al dan niet door \"hen\" worden goedgekeurd, wat ze ook proberen\ndoen om je tegen te houden. Terwijl de behoefte aan censuur-weerstand misschien wat is\nverloren op degenen onder ons in \"vrije\" landen, de snelle afglijden naar\nautoritarisme en politiek verval in veel delen van de wereld\nwaardoor het met de dag duidelijker wordt dat we een manier nodig hebben om transacties mee uit te voeren\nof zonder toestemming van de overheid.</p>\n<p>Als u niet in het bezit bent van uw eigen sleutels, dan wel een overheid of toezichthouder\nkan gemakkelijk een beurs of bewaarder dwingen om uw geld op de zwarte lijst te zetten, beslag te leggen\nhen, of censureer transacties naar specifieke adressen. Dit is al\nvandaag algemeen gebeurt als gevolg van sancties op staatsniveau, en zal een\ntoenemend thema naarmate overheden en regelgevers zich realiseren dat uitwisselingen\nen bewaarders zijn de gemakkelijkste weg naar controle over Monero\'s\ngebruik.</p>\n<p>Er zou ook een dag kunnen komen waarop een regering zelfbewaring zal verbieden\nvan Monero, en als je je Monero nog niet uit een ruil hebt gehaald\nof bewaarder die u misschien nooit zult kunnen.</p>\n<h6 id=\"it-prevents-simple-theft-or-confiscation-of-your-monero\">Het\nvoorkomt eenvoudige diefstal of inbeslagname van je Monero</h6>\n<p>Een hypothetisch, maar mogelijk scenario zou het slechtste geval kunnen zijn\ndegenen die ervoor kiezen hun eigen sleutels niet vast te houden – hun Monero krijgen\ngestolen door een hacker of in beslag genomen door een overheid met een <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://en.wikipedia.org/wiki/Executive_Order_6102\">6102-achtige\nbestelling</a>.</p>\n<p><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://blog.chainalysis.com/reports/2022-crypto-crime-report-introduction/\">Bijna\n\$ 500 miljoen </a> aan cryptocurrency werd gestolen van gecentraliseerde beurzen\nin 2021, en in totaal \$ 3,2 miljard gestolen van gebruikers die de voogdij over hebben opgegeven\nfondsen om de een of andere reden. Dit is een van de grootste risico\'s voor\ncryptocurrency-gebruikers, en blijft groeien in zowel het aantal gevallen als\nvolume naarmate cryptocurrency aan populariteit wint. Als een centrale de sleutels bezit\nnaar uw geld, kan dat geld worden gestolen door een hacker (of de exchange\nzichzelf!) op elk moment.</p>\n<p>Als u uw eigen sleutels bezit, is het enige echte risico op diefstal of\nconfiscatie zijn oplichting en fysieke aanvallen, iets dat veel minder is\nwaarschijnlijk en gebeurt meestal alleen met spraakmakende individuen of die\nschade door diefstal of verlies van ken-uw-klant (KYC)-gegevens van\ngecentraliseerde uitwisselingen die hun ID en adres koppelen\neigendom van cryptocurrency.</p>\n<h6\nid=\"it-prevents-exchanges-leveraging-fractional-reserve-lending-and-trading\">Het\nvoorkomt dat uitwisselingen gebruikmaken van fractionele reserveleningen en\nhandelen</h6>\n<p>Een ander belangrijk aspect van het bezit van uw eigen sleutels is er een die minder is\npersoonlijk en meer gemeenschappelijk. Wanneer de overgrote meerderheid van de gebruikers in Monero\nhouden hun eigen sleutels, beurzen kunnen minder goed liegen over de hoeveelheid\nMonero bewaren en verhandelen ze \"papieren Monero\", aangezien gebruikers niet houden\nhun Monero in ruil.</p>\n<p>Hoewel dit soort activiteiten niet vaak publiekelijk wordt bevestigd, is het er wel\ner zijn velen in de gemeenschap die zich zorgen maken over uitwisselingen zoals Binance\nmaken gebruik van de Monero die zijn gebruikers op de beurs hebben om te handelen\ntegen Monero, waardoor het aantal Monero-shorts wordt opgeblazen en de prijs wordt veroorzaakt\nonderdrukking na verloop van tijd.</p>\n<p>Dit gedrag kan ook leiden tot liquiditeitscrises waar gebruikers die\n<em>willen </em> hun eigen sleutels behouden, kunnen zich niet terugtrekken uit de\nuitwisseling omdat de uitwisseling meer Monero aan zijn gebruikers heeft beloofd dan het\ndaadwerkelijk beschikbaar heeft. Hoe meer Monero-gebruikers hun eigen sleutels hebben en\nhun Monero van uitwisselingen houden, hoe gezonder en natuurlijker de\nmarkt in theorie zal zijn, en hoe minder risico kwaadaardig of hebzuchtig is\nbeurzen kunnen een rol spelen bij de stabiliteit van de prijs van Monero.</p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtitle => 'Waarom is het belangrijk om je eigen sleutels te hebben?';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtext => '<p>Als je je eigen sleutels begint te dragen, is dat het allerbelangrijkste\nvergeet niet om <em>je seed-zin op te slaan en veilig te houden</em>! Dit is de\nset van 14 of 25 willekeurige woorden die elke Monero-portemonnee je zal geven wanneer\nu maakt een portemonnee aan en is alles wat u nodig heeft om uw geld terug te krijgen als\nje verliest je telefoon, je desktop, je laptop, of je vergeet een\nwachtwoord.</p>\n<p>Behandel deze seed-zin alsof het alle Monero in je waard is\nportemonnee, aangezien iedereen die het krijgt volledige toegang heeft tot het geld erin\nuw portemonnee. Het is ideaal om het op een veilige of geheime locatie te bewaren,\nbewaar meerdere kopieën in geval van brand of natuurrampen, en nooit\nlaat het aan iedereen zien.</p>\n<p>Zie voor meer informatie over seed-zinnen <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://web.getmonero.org/resources/moneropedia/mnemonicseed.html\">Mnemonic\nZaad | Moneropedia</a>.</p>\n<h6 id=\"using-free-and-open-source-wallets\">Gratis en open-source gebruiken\nportefeuilles</h6>\n<h5 id=\"for-desktop\">Voor desktop</h4>\n<p>Als je voornamelijk een desktopgebruiker bent en geen Monero uitgeeft/ontvangt\nvaak onderweg, zijn er een paar solide keuzes om je mannetje te staan\nsleutels zonder afhankelijk te zijn van derden.</p>\n<u>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://getmonero.org/downloads\">De officiële Monero\nportemonnee</a>\n<u>\n<li>Dit is de officiële Monero-portemonneesoftware en heeft constant gezien\nverbeteringen en aanvullingen. Het bevat een geïntegreerde Monero-daemon (if\nje wilt), is zeer gebruiksvriendelijk en ondersteunt binnenkort <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://localmonero.co/knowledge/p2pool-decentralizing-monero-mining\">mijnbouw\nvia p2pool rechtstreeks vanuit uw portemonnee</a>.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://featherwallet.org/\">Feather Wallet</a>\n<u>\n<li>Dit is een uitstekende portemonnee in de stijl van <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://electrum.org/\">Electrum voor Bitcoin</a>, en biedt beide\neenvoudige bruikbaarheid en extreem krachtige functies in één\nportemonnee.</li>\n</ul></li>\n</ul>\n<h5 id=\"for-mobile\">Voor mobiel</h4>\n<p>Voor degenen onder ons die onze Monero graag onderweg of onderweg willen gebruiken\nregelmatig uitgeven, met een solide mobiele Monero-portemonnee die nog steeds goed blijft\nonze sleutels in eigen handen is enorm belangrijk.</p>\n<u>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet</a>\n<u>\n<li>Cake Wallet is een gratis en open-source (FOSS) portemonnee voor Android en\niOS dat Monero, Bitcoin en Litecoin native ondersteunt.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo</a>\n<u>\n<li>Monerujo is een FOSS-portemonnee voor Android waaraan iets geweldigs is toegevoegd\nfuncties en afbeeldingen, ondersteuning voor native Tor-knooppunten en nog veel meer.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtitle => 'Hoe houd ik mijn eigen sleutels bij Monero?';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtext => '<p>Hopelijk heeft dit bericht geholpen om de noodzaak om je vast te houden te versterken\neigen sleutels, en wees u op enkele van de uitstekende portefeuilles in de\nspatie.</p>\n<p>Hoe meer je Monero in eigen handen neemt en het daadwerkelijk gebruikt, hoe meer\nmeer voordeel dat u nu en in de toekomst kunt krijgen. Monero is niet zomaar\neen speculatief bezit - het is een krachtig hulpmiddel voor vrijheid en financiën\nprivacy die hard nodig is in de wereld van vandaag en de toekomst\nvan ons.</p>\n<p>Ga nu die munten van een beurs halen en duik in wat Monero was\ngebouwd voor.</p>';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtitle => 'Conclusie';

  @override
  String get knowledge250Sbkeys250Sbdescription => '\"Not your keys, not your coins\" - een alomtegenwoordige uitdrukking, maar de meeste cryptogebruikers hebben nog steeds geen eigen sleutels.';

  @override
  String get knowledge250Sbkeys250Sbtitle => 'Waarom (en hoe!) je je eigen sleutels moet houden';

  @override
  String get knowledge250Sbmining250Sb0250Sbtext => 'Op 30 november 2019 had Monero zijn halfjaarlijkse hard fork, met als meest verwachte verandering een overstap van het oude PoW-algoritme, cryptonight, naar het volledig nieuwe, intern ontwikkelde algoritme, RandomX. De Monero-gemeenschap gelooft dat RandomX een grote stap is in de richting van egalitaire mijnbouw, maar laten we dieper graven om te zien of dat het geval is.';

  @override
  String get knowledge250Sbmining250Sb1250Sbtext => 'Om te beoordelen of RandomX een verbetering is, moeten we eerst begrijpen wat het doel van mining is. Mijnbouw beveiligt een blockchain tegen dubbele uitgaven via Nakamoto Consensus. De exacte fijne kneepjes van hoe het dit doet, vallen buiten het bestek van dit artikel, maar ze kunnen uit veel verschillende bronnen op internet worden geleerd. Waar het om gaat is dat de beveiliging afkomstig is van hashes die worden gegenereerd door computers (mijnwerkers), die met elkaar concurreren om de wiskundige oplossing te vinden die nodig is om nog een blok te maken. Terwijl ze dit doen, voegen ze nieuwe transacties toe aan de blockchain. In ruil voor hun werk (hashes) worden ze gecompenseerd met nieuw geslagen munten.\n<br/><br/>\nEr zijn een aantal problemen die kunnen optreden bij deze opstelling, en ze hebben de juiste prikkels nodig om correct te werken, maar we gaan ons concentreren op een bepaald probleem dat zich zou kunnen voordoen. Als mijnbouw een wedstrijd zou moeten zijn, wat gebeurt er dan als een mijnwerker een voordeel behaalt?';

  @override
  String get knowledge250Sbmining250Sb1250Sbtitle => 'Doel';

  @override
  String get knowledge250Sbmining250Sb2250Sbtext => 'Laten we het voor de context even hebben over mining-hardware. Mijnwerkers gebruiken computers om het werk te doen, maar we weten allemaal dat niet elke computer gelijk is gemaakt. Sommige computers zijn krachtig genoeg om AI-netwerken of intense games uit te voeren, terwijl andere worstelen met zelfs eenvoudige taken. Deze verschillen in rekenkracht zijn ook van invloed op de hash-snelheid van de snelheid, of de snelheid waarmee ze naar blokoplossingen zoeken. <br/><br/>\nMaar zelfs deze verschillen tussen computers verbleken in vergelijking met de hash-snelheden van gespecialiseerde hardware, ook wel bekend als Application Specific Integrated Circuits (ASIC\'s), die reguliere computers vele malen overtreffen.<br/><br/>\nLaten we even de tijd nemen om te onderzoeken wat ASIC\'s zo krachtig maakt. Stel je voor dat alle computers ergens in een spectrum vallen, dat varieert van veel dingen kunnen doen, maar niets goed, tot slechts één ding doen, maar het heel goed doen. CPU\'s en ASIC\'s bevinden zich aan weerszijden van dit spectrum.<br/><br/>\nCPU\'s die zich in alle standaardcomputers bevinden, bevinden zich aan het eerste uiteinde. Ze kunnen veel dingen, zoals surfen op het web, games spelen of video renderen, maar ze kunnen geen van deze dingen bijzonder goed. Maar deze flexibiliteit gaat ten koste van efficiëntie.<br/><br/>\nASIC\'s zijn aan de andere kant, waar ze maar één ding kunnen, maar doen het met een ongelooflijke snelheid. Ze kunnen maar één wiskundige functie uitvoeren, maar omdat ze al het andere kunnen negeren, zijn de prestatiewinsten astronomisch. Deze efficiëntie gaat echter ten koste van flexibiliteit, dus als de functie ook maar een klein beetje verandert – een voorbeeld is x + y = z verandert in 2x + y = z – dan zal de ASIC helemaal niet meer functioneren. <br/><br/>\nNiet iedereen bezit een ASIC, maar iedereen bezit computers. Dit kan leiden tot een oneerlijk voordeel.';

  @override
  String get knowledge250Sbmining250Sb2250Sbtitle => 'Achtergrond';

  @override
  String get knowledge250Sbmining250Sb3250Sbtext => 'Als dit nog steeds verwarrend is, kan de volgende analogie misschien helpen. Stel je een loterij voor waar elk uur duizend dollar wordt toegekend, en met deze loterij kun je je eigen loten printen! U begint zoveel mogelijk tickets af te drukken op uw thuisprinter, die één ticket per seconde kan afdrukken. Na aftrek van elektriciteits- en inktkosten, zie je dat je nog steeds winst kunt maken, zelfs als je maar eens in de zoveel weken de loterij wint.<br/><br/>\nNa verloop van tijd breidt u uw bedrijf uit totdat u een hele ruimte voor printers heeft. 20 in totaal. Alles is in orde...tot op een noodlottige dag.<br/><br/>\nEr is groot nieuws. Iemand heeft een nieuw soort printer uitgevonden. Het kan alleen loten printen. Het kan geen foto\'s of kantoordocumenten afdrukken of dubbelzijdig afdrukken. Alleen loten. Maar het kan ze afdrukken met een snelheid van 1000 tickets per seconde. Je kijkt in je kleine printerkamer. 20 drukkers. Je hebt 980 extra printers nodig om EEN van deze monsterprinters bij te houden, en als iemand er twee heeft...?<br/><br/>\nJe verlaat helaas het loterijspel omdat je de elektriciteits- en inktkosten niet langer kunt rechtvaardigen.<br/><br/>\nMaar wacht! Een paar weken later is er meer nieuws! Het ontwerp van het ticket is gewijzigd. Nu staan de cijfers, die vroeger bovenaan stonden, nu onderaan. De nieuwe monsterprinters zijn zo inflexibel dat ze het niet kunnen. Ze konden alleen het vorige ontwerp maken. Het duurt niet lang voordat je weer vrolijk aan het printen bent. Tenminste totdat iemand een nieuwe monsterprinter maakt voor het nieuwe ontwerp.';

  @override
  String get knowledge250Sbmining250Sb3250Sbtitle => 'Een leuke analogie';

  @override
  String get knowledge250Sbmining250Sb4250Sbtext => 'Waar past RandomX in dit alles? Het probeert het voordeel van ASIC\'s te egaliseren door ASIC\'s erg moeilijk te maken. Het doet dit door mijnwerkers te verplichten willekeurige code te maken en uit te voeren in plaats van hashing op basis van een algoritme.<br/><br/>\nHet kan verwarrend zijn hoe dit eigenlijk iets helpt, dus laten we teruggaan naar onze printeranalogie. Weet je nog wat er gebeurde toen het ontwerp veranderde? De oude monsterprinters raken elke nacht verouderd en er moesten nieuwe worden ontwikkeld met het nieuwe ontwerp in gedachten. Wat zou er gebeuren als elk nieuw loterijprijskaartje voor elke nieuwe jackpot aan een nieuwe ontwerpstandaard zou moeten voldoen? <br/><br/>\nHet maken van een nieuwe monsterprinter zou ongelooflijk moeilijk worden. Je kunt niet meer op één ticketontwerp plannen. Aangezien het ontwerp willekeurig is, zouden de makers van monsterprinters kleurmogelijkheden moeten toevoegen, manieren om verschillende letters en randen en vormen af te drukken en meer. Kortom, de machine die ze uiteindelijk uitvonden, zou een standaard, gewone printer zijn. Net als iedereen.<br/><br/>\nDoor simpelweg deze willekeur in het ticketontwerp te implementeren, hebben we het grote voordeel van gespecialiseerde hardware aanzienlijk verminderd. RandomX doet hetzelfde, maar dan met mining.<br/><br/>\nOp deze manier worden de voordelen van een select aantal welvarende mensen geminimaliseerd, alsof ze investeren in het creëren van \"ASIC\'s\" voor het minen van RandomX, ze in feite alleen maar sterkere, betere CPU\'s zullen uitvinden, wat de hele wereld ten goede komt. <br/><br/><br/><br/>[ X1455X]\nDit betekent dat de kleine man met zijn 20 ticketprinters weer terug is in het spel. Hij heeft het misschien nog steeds moeilijker omdat deze rijke individuen nog steeds meer printers kunnen kopen dan hij, maar nu wordt hij tenminste niet overklast door simpelweg één machine. Hij is competitief op zijn kleine manier.<br/><br/>\nWetende dat zelfs de kleine man competitief kan zijn in het minen van Monero, moedigen we iedereen aan om het eens te proberen, hetzij in de Monero GUI-portemonnee, die ondersteuning biedt voor solo-mining, of door door de gemeenschap onderhouden software te downloaden. Het is gemakkelijk, competitief en voor iedereen toegankelijk.';

  @override
  String get knowledge250Sbmining250Sb4250Sbtitle => 'WillekeurigX';

  @override
  String get knowledge250Sbmining250Sbdescription => 'Op 30 november 2019 had Monero zijn halfjaarlijkse hard fork, met als meest verwachte verandering een overstap van het oude PoW-algoritme, cryptonight, naar het volledig nieuwe, intern ontwikkelde algoritme, RandomX. De Monero-gemeenschap gelooft dat RandomX een grote stap is in de richting van egalitaire mijnbouw, maar laten we dieper graven om te zien of dat het geval is.';

  @override
  String get knowledge250Sbmining250Sbtitle => 'Monero-mijnbouw: wat maakt RandomX zo speciaal';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtext => '<p>Geen enkele cryptocurrency is zonder zijn tekortkomingen, en Monero is daarop geen uitzondering. De community heeft zelfs <a class=\"next-link\" href=\"https://www.youtube.com/playlist?list=PLsSYUeVwrHBnAUre2G_LYDsdo-tD0ov-y\" target=\"_blank\">een YouTube-serie gemaakt</a> waarin de privacyzwakheden van Monero vanuit een technologisch standpunt worden behandeld.</p>\n\n<p> Dat gezegd hebbende, zijn er enkele algemene kritieken op Monero die achterhaald of onjuist zijn, terwijl andere een zeer beperkt beeld geven van het probleem in kwestie. In dit artikel hopen we deze kritiek recht te zetten. </p>';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtitle => 'Invoering';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtext => '<p>Dit is een veelgehoorde kritiek op Monero, waardoor velen er een grote boog omheen geven, en het is verreweg de kritiek van de community die niet zo kortzichtig is als het corrigeren van een onjuiste aanname.<p> X217X]\n\n<p>De realiteit is dat we als gemeenschap nog niet weten wat de regelgevende reactie zal zijn op zoiets als Monero. We weten dat cryptocurrencies in het algemeen op de radar staan van veel overheidsinstanties, en we hebben reden om aan te nemen dat Monero, meer dan andere, om de bovengenoemde redenen is, maar tot nu toe zijn er weinig stappen gezet door de regeringen van welke dan ook. land met betrekking tot het volledig verbieden van Monero.</p>\n\n<p>Toch zet de Monero-gemeenschap zich in om de goede strijd te voeren. Wij geloven dat financiële privacy iets is dat essentieel is voor vrijheid, en dat iedereen de mogelijkheid moet hebben om privé transacties uit te voeren zonder dat regeringen, bedrijven of wie dan ook je bespioneert.</p>\n\n<p>Een geruststelling die we echter kunnen geven, is dat Bitcoin op een gegeven moment exact dezelfde reputatie had als Monero nu. Men dacht dat het de munt van de crimineel was, en volledig privé en anoniem, maar langzaamaan, na verloop van tijd, begon het publiek Bitcoin toch te accepteren. </p>\n\n<p>Nu zou je kunnen beweren dat de reputatie van Bitcoin veranderde toen mensen zich realiseerden dat het niet echt privé of anoniem was, maar dit is niet waar, aangezien het idee dat Bitcoin volledig privé is en niet kan worden getraceerd nog steeds alomtegenwoordig is, niet alleen bij het grote publiek, maar bij degenen die de industrie reguleren. Deze mensen geloven nog steeds dat het privé is, dus ze geloven in feite dat het is wat Monero eigenlijk is, en toch gaan we snel naar een wereld waar het steeds meer geaccepteerd wordt door het publiek, bedrijven en bestuursorganen. Dit suggereert dat Monero, na voldoende tijd, dezelfde acceptatie zou kunnen zien.</p>';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtitle => 'Monero zal veel verder gaan dan andere cryptocurrencies vanwege zijn toewijding aan privacy en anonimiteit in zijn transacties.';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtext => '<p>Een veelgehoorde klacht over de meeste munten die kleiner zijn dan Bitcoin is hoe gemakkelijk het is om theoretisch 51% ze aan te vallen. Inderdaad, verschillende kleine munten, zoals Vertcoin, werden met succes 51% meerdere keren aangevallen. </p>\n\n<p>De meeste van deze zorgen komen voort uit de website https://www.crypto51.app/ die laat zien hoeveel het zou kosten om de hashrate te huren van NiceHash, een platform dat mining-hardware verhuurt voor cloud mining. Op een bepaald moment vermeldde deze website een aanval op Monero die ongeveer \$ 6.300 voor een uur zou kosten. Hoewel deze prijs velen van ons misschien doet gapen, ligt het niet buiten het bereik van de mogelijkheden voor een vermogend bedrijf of individu om een aanhoudende aanval op het netwerk uit te voeren.</p>\n\n<p>Dit is gelukkig niet langer het geval. Een lezer met een scherp oog zal zien dat de website Monero daadwerkelijk van hun applicatie heeft gehaald vanwege de opname van RandomX. Nogmaals, de lezer wordt aangemoedigd om <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">ons artikel over RandomX te lezen voor details</a>, maar vanwege de CPU-vriendelijke aard van het algoritme kunnen bedrijven zoals NiceHash niet langer gewoon ASIC\'s kopen voor Monero om te verhuren aan wie dan ook is bereid deze te huren. Nu moeten ze concurreren met CPU\'s, die veel vaker voorkomen en gemakkelijker te verkrijgen zijn. </p>\n\n<p>De exacte kosten van hardware om 51% het Monero-netwerk aan te vallen, zijn niet berekend en zijn inderdaad niet zo eenvoudig te berekenen als andere munten met ASIC-periode. </p>';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtitle => 'Wordt Monero niet gemakkelijk 51% aangevallen?';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtext => '<p>De twee boogeymen van de mijnruimte zijn ASIC\'s en botnets, en weggaan van de ene betekent noodzakelijkerwijs dichter bij de andere komen. Als iemand een CPU nodig heeft om Monero te minen, dan kunnen hackers in theorie de controle over vele honderden, zo niet duizenden kwetsbare computers overnemen en ze dwingen om namens hen Monero te minen, wat hen niets kost en degenen met slechts een paar computers in hun huishouden te slim af is .</p>\n\n<p>De eerste weerlegging van dit argument gaat over de eigenaren van botnets zelf. Hoewel we het hacken van andermans computers niet goedkeuren, is de toetredingsdrempel voor het bezitten en exploiteren van een botnet veel lager dan die voor het bezitten van ASIC\'s. Je hebt software nodig - vaak vrij beschikbaar en open source - en de tijd en het inzicht om kwetsbare computers op te sporen. De andere vereist ongelooflijke hoeveelheden kapitaal en toegang tot productie. De ene kan worden gedaan door een kind in een kelder, en de andere alleen door de extreem rijken. Dit brengt ons tot de conclusie dat, als de ergste angsten van miners zouden uitkomen, de botnets zelf meer gedecentraliseerd zouden zijn dan ASIC\'s. </p>\n\n<p> Dat gezegd hebbende, is de Monero-gemeenschap ervan overtuigd dat dit probleem overdreven is. De ingenieurs van RandomX hebben het protocol opzettelijk zo ontworpen dat 2 GB RAM-geheugen nodig is om te werken. Met andere woorden, veel kleine, kwetsbare virtual private servers (VPS) zullen eenvoudigweg niet over de capaciteit beschikken, en als ze dat wel zouden doen, zou de toename in gebruikte bronnen zeer merkbaar zijn voor een systeembeheerder, wat zou leiden tot onmiddellijk onderzoek. Met andere woorden, het kan niet geruisloos op de achtergrond draaien, zoals gecompromitteerde computers die deelnemen aan een DDOS-aanval, of geruisloos wachtwoorden opsnuiven. Als de mijnwerker aan staat, weet iedereen het.</p>\n\n<p>Dit vermindert het aantal computers dat een botnet met succes zou kunnen compromitteren met die van de technologisch zeer onhandige, of die nooit worden gecontroleerd, in plaats van de overvloed aan kwetsbare computers waarvan de voorstanders van dit argument aannemen dat ze gevaar lopen .</p>';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtitle => 'CPU-vriendelijk algoritme? Wordt Monero-mijnbouw niet zomaar overgenomen door botnets?';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtext => '<p>Deze kritiek komt uit de praktijk. Een groep individuen, niet bekend bij de community, hebben Monero gevorkt en hun eigen munt gemaakt: MoneroV. Omdat het een kettingvork was, konden individuen een gelijke hoeveelheid MoneroV claimen als in Monero, d.w.z. als je 100 Monero had, kon je dezelfde seed op een MoneroV-portemonnee gebruiken om 100 MoneroV te krijgen.</p>\n\n<p>Dit leidde tot een verrassend en onverwacht gevolg: verlies van privacy. Om het uit te leggen, zullen we een voorbeeld geven. Als ik een getal bedenk dat jij moet raden, maar ik geef je drie getallen waarvan er maar één goed is, dan weet je niet wat het juiste antwoord is. Laten we zeggen dat ik je de nummers 88, 25 en 19 vertel. Je bent echter slim en vraagt me om nog een set van drie nummers, maar een daarvan moet nog steeds het juiste nummer zijn. Ik geef je 54, 88 en 92. Je ziet dat het nummer 88 in beide sets voorkomt, dus het moet het juiste nummer zijn, en je zou gelijk hebben.</p>\n\n<p>De aanval op de privacy van Monero werkt op dezelfde manier. Monero vertrouwt op ringhandtekeningen, die op de lokale portemonnee worden verzameld om transactie-outputs te verdoezelen. Als ik een output zou uitgeven aan de Monero-ketting, met één geassembleerde ring, en dezelfde output zou uitgeven aan de MoneroV-ketting, aan een andere geassembleerde ring, zonder ervoor te zorgen dat de ring uit dezelfde lokvogels bestaat, dan is de echte output wordt duidelijk, net zoals het nummer 88 duidelijk werd als het juiste nummer. </p>\n\n<p>Er werden verschillende oplossingen geopperd, waaronder het creëren van tools waarmee mensen op verantwoorde wijze van Monero kunnen forken, een blackball-database met besmette outputs en het vergroten van de ringmaat, maar uiteindelijk was geen van deze nodig. MoneroV heeft nooit grip gekregen en het aantal mensen dat hun munten claimde en hun privacy in gevaar bracht, was zeer gering.</p>\n\n<p>Opgemerkt moet worden dat dit gevaar voor de privacy NIET afkomstig is van een codevork van Monero, maar eerder van een kettingvork. Dit betekent dat elke munt die de code van Monero gebruikt en helemaal opnieuw begint met zijn eigen ontstaansblok, geen van beide kettingen in gevaar brengt. Alleen als een munt de eigenlijke blockchain afsplitst van de huidige Monero-blockchain vanwege een meningsverschil, vergelijkbaar met het Bitcoin/Bitcoin Cash-debacle, zouden de kettingen in gevaar komen. Dit zou betekenen dat de vork zou vechten tegen de gevestigde gemeenschap, en degenen die ervoor kiezen om niet deel te nemen en hun munten van de andere keten op te eisen, zouden geen gevaar lopen.</p>\n\n<p> Dat gezegd hebbende, vinden we het naïef om te denken dat er nooit een aanval op Monero op deze manier zal plaatsvinden. waarvan er veel werden genoemd in de sectie \'hoge transactiekosten\'.</p>';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtitle => 'Monero-vorken schaden niet alleen de economische levensvatbaarheid van Monero, maar ook de privacy!';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtext => '<p>De geschiedenis van Monero is interessant en het zal velen misschien verbazen te horen dat het inderdaad begon als oplichterij. De maker,Thanks_for_today, werkte waarschijnlijk samen met een cryptocurrency-groep die het CryptoNote-protocol maakte, maar had slinkse bedoelingen om mensen hun geld afhandig te maken door het te gebruiken.</p>\n\n<p>Hun aanvankelijke muntpogingen mislukten, dus creëerden ze Monero als een manier om het opnieuw te proberen. Dit mislukte opnieuw omdat de gemeenschap snel besefte dat er iets niet klopte en de munt in handen nam. Toch hadden de sluwe makers nog een laatste truc in petto. Ze hebben opzettelijk gedeoptimaliseerde mining-software vrijgegeven aan het publiek, waarbij ze de geoptimaliseerde versie voor zichzelf hielden om anderen te overtreffen en veel geld te verdienen met de blokbeloningen.</p>\n\n<p>Dit lukte een tijdje, maar werd ook snel opgemerkt door de Monero-gemeenschap, opgelost en de geoptimaliseerde mijnwerker werd vrijgegeven voor iedereen. De gemeenschap, die zich realiseerde wat er was gebeurd, koos ervoor om de munt niet opnieuw te lanceren, omdat het moeilijk was om in te schatten hoeveel de oplichters hadden verdiend en hoeveel tijd en moeite het zou kosten om helemaal opnieuw op te bouwen. Ondanks de moeilijkheid om vast te stellen hoeveel munten de oplichters hebben ontvangen, is het ook bekend dat in deze periode veel mijnwerkers te goeder trouw de code zelf opnieuw hadden geoptimaliseerd en hun winst hadden verkocht, waardoor een eerlijkere verdeling was gegarandeerd, en dat de oplichters waren niet de enigen die in deze tijd een groot aantal munten bemachtigden. <a class=\"next-link\" href=\"https://da-data.blogspot.com/2014/08/minting-money-with-monero-and-cpu.html\" target=\"_blank\">Een zo\'n account kan hier worden gelezen</a>.\n\n<p>Achteraf gezien kunnen sommigen kritiek hebben op de beslissing om de munt niet opnieuw te lanceren, en als deze scammy-oorsprong voldoende is om iemand weg te duwen van het goede werk dat Monero heeft gedaan, dan is er geen argument om ze te beïnvloeden. Ongeacht de aanvankelijke frustraties die de makers van de oplichter veroorzaakten, heeft Monero het goed gedaan en zijn gecombineerde intellect en passie van de gemeenschap gebruikt om een krachtige technologie te maken. Ons huidige kernteam, evenals de voormalige leden, werden niet verrijkt door de kreupele mijn, en voor zover wij weten, duurde niemand die bij de eerste zwendel betrokken was in de Monero-gemeenschap langer dan de eerste paar weken van het bestaan van de munt.</p >';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtitle => 'Had Monero in het begin geen kreupele mijnwerker die werd gebruikt om de oprichters te verrijken?';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtext => '<p>Dit is een moeilijke vraag om te beantwoorden. Een vaak gegeven antwoord is dat we de coinbase-transacties kunnen optellen (wanneer nieuwe Monero wordt beloond aan een mijnwerker voor het oplossen van een blok). Deze transacties zijn transparant en als we ze optellen, zouden we het totale aantal Monero in omloop moeten krijgen.</p>\n\n<p>Het is echter belangrijk op te merken dat als er shenanigans zouden plaatsvinden die de hoeveelheid Monero verhogen boven wat we verwachten van de coinbase-transacties, dit niet zou gebeuren op de coinbase-transacties zelf, maar in een normale transactie tussen portemonnees. Dit kan alleen op drie manieren gebeuren.</p>\n\n<p>Ten eerste, als de cryptografie die bewijst dat er geen Monero is gemaakt of vernietigd in een transactie, fundamenteel gebrekkig is. Twee, als de implementatie (code) van de solide cryptografie gebrekkig is. Drie, als geen van beide gebrekkig is, maar computers krachtig genoeg worden om onze huidige cryptografische schema\'s te doorbreken en valse bewijzen te creëren. </p>';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtitle => 'Als Monero zo privé is, hoe kunnen we dan het aanbod controleren om er zeker van te zijn dat niemand gratis Monero onder onze neus drukt?';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtext => '<p>Deze is het moeilijkst te beantwoorden vanwege de constante fluctuatie van mining in het algemeen. Sterker nog, het kan zijn dat dit na publicatie van dit artikel niet meer het geval is, en de volgende dag weer het geval kan zijn. Technologie in het algemeen is moeilijk om definitief over te schrijven vanwege de snel veranderende aard van de industrie, en dit geldt met name voor mijnbouw en hashrate.</p>\n\n<p>We gaan de zorg niet uit de weg, maak je geen zorgen. Laten we het aanpakken door te kijken naar het verschil tussen hardwarecentralisatie en poolcentralisatie.</p>\n\n<p>Het feit dat mijnbouw op Bitcoin alleen kan worden gedaan op zeer specifieke hardware die niet gemakkelijk toegankelijk is, betekent dat de beste hardware gecentraliseerd is rond de fabrikanten. Aangezien het opzetten van een mijnbouwpool triviaal is, verwachten we dat deze fabrikanten hun eigen mijnbouwpools zullen inzetten, waarop hun ASIC\'s mijnen, en we zien inderdaad dat dit het geval is met de grote ASIC-productiebedrijven van vandaag.<p>\n\n<p>Dit is geen oplosbaar probleem. De gecentraliseerde mining-pools zijn eigenaar van de hardware, de pool en de hashes, en niemand kan er iets aan doen.</p>\n\n<p>Poolcentralisatie, hoewel het eindresultaat vergelijkbaar is, heeft een heel andere en veel meer veranderlijke onderbouwing. Omdat Monero egalitaire mijnbouw heeft, kan elke mijnwerker kiezen waar hij zijn hashes naartoe wil sturen. Mensen kiezen er vaak voor om naar een groter zwembad te wijzen, simpelweg omdat dit betekent dat ze vaker blokken zullen zien dan een kleiner zwembad. </p>\n\n<p>Hoewel er moet worden opgemerkt dat hun individuele deel van de blokbeloning kleiner zal zijn, omdat ze deze met veel meer mensen delen. Kleinere pools vinden blokken minder vaak, maar elke mijnwerker krijgt een groter deel van de blokbeloning, en het eindresultaat is dat een mijnwerker eigenlijk evenveel geld verdient, of ze nu in een kleinere of grotere pool zitten, dus we moedigen mijnwerkers aan om te wijzen hun hasj naar kleinere pools om de mijnbouw verder te decentraliseren.</p>\n\n<p>Maar we dwalen af.</p>\n\n<p>U zult merken in onze aanmoediging voor decentralisatie hierboven, het feit dat de miner de macht heeft om van pool te wisselen. Op elk moment, of het nu gaat om beter onderwijs, een oproep tot decentralisatie of meer concurrentie tussen pools, de hasjdistributie kan veranderen op basis van individuele miners die veranderen waar ze hun hashes naartoe richten. Hetzelfde kan niet gezegd worden voor mijnbouw die gecentraliseerd is op hardwareniveau, aangezien de ASIC-fabrikanten geen reden hebben om naar een andere pool dan hun eigen pool te verwijzen, en dat zullen ze ook niet doen.</p>\n\n<p>Dus het feit dat het grootste deel van de hashrate van Monero geconcentreerd is in een paar pools, is niet iets waar we aan vastzitten, en kan zelfs te wijten zijn aan een gebrek aan kennis over mijnbouw in het algemeen. Het is iets dat kan worden opgelost omdat het probleem niet op rootniveau ligt, in tegenstelling tot de hardwarecentralisatie van Bitcoin.</p>';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtitle => 'Het grootste deel van de huidige hashrate van Monero is afkomstig van slechts twee pools.';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtext => '<p>Monero heeft inderdaad minder portemonnee-opties dan veel bestaande munten. Dit komt omdat Monero vanaf de grond af is ontwikkeld. Het is op een heel andere codebase dan Bitcoin. Dit betekent dat Monero niet zomaar de Bitcoin-core-portemonnee kan forken, of andere wallets die voor Bitcoin bestaan, zoals de meeste munten doen, en profiteren van de bestaande infrastructuur. Het betekent ook dat Monero niet zo gemakkelijk kan worden toegevoegd aan wallets van derden, zoals Exodus.</p>\n\n<p>En toch beginnen langzaam maar zeker allerlei soorten portemonnees voor Monero te verschijnen. Het was jarenlang een meme dat Monero geen GUI had en geen ondersteuning voor mobiele portemonnees, maar nu is niets minder waar. Er zijn portemonnees die specifiek op Monero zijn gericht, zoals Monerujo voor Android en Cake Wallet voor zowel iOS als Android, evenals nieuwe zoals Wookey, Exa Wallet en meer. Bovendien beginnen wallets van derden Monero toe te voegen, zij het in een langzamer tempo, waaronder Exodus en Guarda, en we verwachten dat deze trend zich alleen maar zal voortzetten naarmate de tijd verstrijkt en de codebase van Monero volwassen wordt. </p>';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtitle => 'Monero heeft minder portemonnee-opties.';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtext => '<p>Deze kritiek is ook een beetje lastig. Toegegeven, op sommige gebieden is Monero inderdaad moeilijker te gebruiken dan Bitcoin. Voorbeelden hiervan zijn het langere adres en het synchroniseren duurt lang, zelfs op een lichte portemonnee, omdat een portemonnee niet eenvoudigweg de blockchain kan controleren zonder elke uitvoer te scannen om te zien of deze bij het betreffende account hoort. </p>\n\n<p> Dat gezegd hebbende, bouwt Monero in veel opzichten voort op de gebruikerservaring van cryptocurrency, zo niet ronduit verbetert, vooral als het om privacy gaat. </p>\n\n<p>We nodigen de lezer uit om artikelen te lezen over de stappen die Bitcoiners aanbevelen om de privacy te behouden. De lijst is lang, verwarrend en moeilijk perfect te krijgen, met vaak als gevolg dat een fout de privacy in het gedrang brengt. Een voorbeeld hiervan is de suggestie om uw Bitcoin te tuimelen of te mixen, maar als de resulterende outputs na het mixproces worden samengevoegd of anderszins naar dezelfde portemonnee gaan, zou het mixen voor niets zijn geweest, omdat het traceren van de outputs een hoge koppelbaarheid biedt. Een ander voorbeeld is het feit dat velen aanbevelen om je eigen Bitcoin te minen als je wilt dat het volledig onduidelijk blijft over hoe de Bitcoin-outputs zijn verkregen, een idee dat lachwekkend is in het huidige mining-ecosysteem.</p>\n\n<p>Met Monero is deze waslijst aan details zo goed als verdwenen. Elke Monero-transactie behoudt elke keer een hoog niveau van privacy, zonder dat de gebruiker iets hoeft te doen of externe software hoeft te gebruiken. Terwijl Bitcoin het moeilijk maakt om privacy goed te krijgen voor iedereen behalve de meest ervaren gebruiker, maakt Monero het moeilijk om het altijd fout te doen, voor iedereen. Wat de afwegingen betreft, denken we dat de langere adressen en synchronisatietijd het meer dan waard zijn.</p>\n\n<p>En zelfs nadat we alles hierboven hebben besproken, blijft het een feit dat de gebruikerservaring in de loop van de tijd vaak beter wordt, en Monero is daarop geen uitzondering. De UX van een munt kan na een paar jaar drastisch worden verbeterd, maar de basis ervan is veel moeilijker te veranderen.</p>';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtitle => 'Monero heeft een slechte gebruikerservaring.';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtext => '<p>Deze kritiek wordt meestal gegeven met Bitcoin in gedachten. Wat als Bitcoin privacytechnologieën gebruikt die voldoende privacy mogelijk maken. Wat zou het nut zijn van Monero? </p>\n\n<p>De realiteit is dat we niet zien dat Bitcoin ooit privacy op de eerste laag zet. In het beste geval zou het op tweede lagen zijn, of via bepaalde portemonnees, zoals Samourai en Wasabi. Dit betekent dat de privacy opt-in is, wat volgens onderzoek altijd inferieur is aan privacy die standaard is ingeschakeld. Zelfs als deze technologie zou worden overgenomen door een behoorlijk percentage Bitcoin-gebruikers (wat op zich al een verbeelding is), zou de privacy inferieur zijn.</p>\n\n<p>Hoewel de redenen voor opt-in privacy-inferieuriteit groot genoeg zouden zijn om er een eigen artikel van te maken, willen we hier een grof voorbeeld geven. Privacy, vanuit technologisch oogpunt, gaat over verstoppen in een menigte. Hoe groter en homogener de menigte, hoe beter de privacy van het individu. Omgekeerd, als de menigte klein of groot is, maar iedereen andere, unieke kleding draagt, zou het gemakkelijker zijn om een persoon te identificeren.</p>\n\n<p>Dit betekent dat, aangezien Bitcoin mensen dwingt om extra stappen te nemen om deel uit te maken van deze menigte, velen het niet zullen doen, en degenen die dat wel doen, doen het misschien slecht. Het eindresultaat wordt uiteindelijk een kleine menigte en het identificeren van individuele outputs is veel eenvoudiger. Maar het wordt erger. Behalve dat de menigte klein is, is elk individu min of meer uniek van elkaar, afhankelijk van het privacyprotocol dat ze hebben gekozen om te gebruiken. Sommigen kiezen misschien voor Samourai, die een manier van mixen heeft, terwijl anderen misschien voor Wasabi kiezen, die een andere heeft, en de lijst gaat maar door. Dit leidt uiteindelijk tot unieke kenmerken over elke transactie. In combinatie met de kleine menigte is de privacy vrij zwak. </p>\n\n<p>We vergelijken het bovenstaande met Monero, dat privacy op protocolniveau afdwingt. Dit betekent dat iedereen standaard deel uitmaakt van de menigte en iedereen dezelfde privacy gebruikt (degene die wordt voorgeschreven door het protocol). De menigte is zowel groot als homogeen, wat resulteert in veel meer privacy.</p>\n\n<p> Maar laten we een stap terug doen en een hypothetische theorie volgen, waar Bitcoin op de een of andere manier inderdaad privacy op de basislaag plaatst. Het is robuust, standaard ingeschakeld en verplicht. Waar zou Monero voor nodig zijn?</p>\n\n<p>Nou, voor sommigen zou er geen zijn, en het is misschien verrassend om te horen, maar velen van ons Monero-mensen zouden er niets om geven. Het enige wat we willen is dat er een privacybehoudende, vervangbare manier is voor individuen om met elkaar over de hele wereld transacties uit te voeren, en als Bitcoin het op wonderbaarlijke wijze doet op een manier die de privacy daadwerkelijk beschermt door middel van verplichte basislaagtechnologie, dan zullen velen van ons graag overstappen. Veel succes om dit te laten gebeuren.</p>\n\n<p> Dat gezegd hebbende, biedt Monero veel functies die verder gaan dan privacy die Bitcoin niet biedt. De dynamische blokgrootte mogelijk gemaakt door een staartemissie, een andere codebasis, een beleid van lage kosten, een andere elliptische curve en meer. Met name de dynamische blokgrootte moet hier worden benadrukt, omdat het een theoretisch onbeperkte transactiedoorvoer mogelijk maakt, waarbij alleen opslag en bandbreedte de knelpunten zijn. Kortom, een theoretische Bitcoin met privacy biedt gewoon niet alles wat Monero biedt.</p>\n\n<p> Nog een laatste keer schakelen voor deze vraag, dit argument is minder vaak van toepassing op technologie zoals een ethereum smart contract met behulp van zk-SNARKS, die wederom geen verplichte privacy heeft op de basislaag van de hoofdketen, dus de anonimiteitssets zullen vrij klein zijn en van twijfelachtig vermogen om privacy adequaat te beschermen. Zie voor andere vergelijkingen ons <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">artikel waarin Monero wordt vergeleken met de andere grote privacymunten </a>.</p>';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtitle => 'Monero zal achterhaald raken als een meer populaire blockchain krachtige privacytechnologie toepast.';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtext => '<p>Niet meer! Dankzij de wonderbaarlijke technologie van bulletproofs, toegevoegd in oktober 2018, worden de transactieomvang drastisch verminderd (met meer dan 80%), wat leidt tot een vergelijkbare daling van de transactiekosten. Op het moment van schrijven is Monero zelfs goedkoper per byte dan Bitcoin, en verdere optimalisaties van de technologie brengen deze zelfs nog lager.</p>\n\n<p>Deze optimalisaties zijn gevarieerd en komen vaak voor. Een voorbeeld zijn slimme optimalisaties in de bulletproofs zelf, waardoor de wiskunde die nodig is voor zowel berekening als verificatie soms met wel 25% wordt verkleind.</p>\n\n<p>Bovendien zijn er nieuwe, opwindende ringsignatuurschema\'s in de maak, zoals CLSAG, dat het huidige MLSAG-schema zal vervangen en de omvang van de gehele transactie verder zal verkleinen met 25-35%. Daarnaast zijn er nog nieuwere, geavanceerdere technologieën met totaal verschillende testsystemen die het potentieel hebben om de huidige transactiegroottes te behouden, maar ringgroottes hebben van meer dan honderd, zoals Triptych, Arcturus en Lelantus, die allemaal kleiner en kleiner zijn. efficiënter dan de huidige schema\'s. </p>';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtitle => 'Heeft Monero geen erg hoge transactiekosten?';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtext => 'Opnieuw. Bulletproofs hebben dit drastisch verminderd. Monero-transacties zijn nog steeds groter dan Bitcoin-transacties, maar nu slechts ongeveer acht keer, in plaats van ongeveer vijftig keer eerder. Maar er is ook een andere manier om hiernaar te kijken. Bitcoin heeft een manier om privacy te bereiken, meestal via mixers en gespecialiseerde portefeuilles zoals Wasabi, Samourai en andere CoinJoin-gerelateerde schema\'s. Wanneer je de kosten vergelijkt van het mixen met andere Bitcoin-outputs, adreshopping en het handhaven van een juiste outputdistributie, zijn de totale kosten, zowel qua omvang als qua kosten, groter dan wanneer een gebruiker alleen Monero zou gebruiken. Dus ja, naakte Bitcoin-transacties zijn kleiner, maar om enige vorm van privacy te bereiken (die hoe dan ook veel zwakker is dan die van Monero) zou meer ruimte in beslag nemen op Bitcoin dan op Monero.';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtitle => 'Een Monero transactie is vele malen groter dan een Bitcoin transactie.';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtext => '<p>In het tijdperk 2017-2018 deed de Monero-gemeenschap een toezegging om ASIC\'s van het netwerk te weren. Dit werd gedaan door elke zes maanden continu hard te forken naar een nieuw proof-of-work-algoritme, dat zou voorkomen dat ASIC\'s het netwerk zouden overnemen. De printeranalogie in ons <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">artikel over mining in Monero</a> legt uit hoe dit werkt.</p>\n\n<p>Wat de meeste mensen niet weten, is dat de harde vorken van Monero niet zijn begonnen om de reden van het wijzigen van de proof-of-work. Monero was hiervoor ook elke zes maanden aan het hard forken geweest, tot 2015. Waarom deze hard forks in de eerste plaats? Vraag het aan iedereen die werkt aan privacy en zij zullen je vertellen dat privacy een wapenwedloop is. De ene kant maakt goede privacy, de andere ontwikkelt tools die die privacy kunnen doorbreken, waardoor de eerste kant sterkere technologie ontwikkelt, en de cyclus gaat maar door en door.</p>\n\n<p>Een belangrijk voorbeeld van pre-PoW change hard forks is de opname van RingCT in 2017, misschien wel de grootste veranderingen in Monero ooit die de privacy van Monero met vele ordes van grootte hebben vergroot. We denken gewoon dat het te vroeg is om het protocol te verstarren, vooral met opwindende nieuwe privacytechnologieën in de maak, zoals Triptych en Lelantus. Dat gezegd hebbende, werken we er hard aan om ervoor te zorgen dat onze ontwikkeling, onderzoek en meer zo gedecentraliseerd mogelijk zijn. We hebben <a class=\"next-link\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" target=\"_blank\">een artikel over dat onderwerp</a>, dus zorg ervoor dat je het leest.</p>\n\n<p> Dit alles om te zeggen dat het gedecentraliseerde ontwikkelingsteam het te moeilijk en vermoeiend vindt om dit schema bij te houden en elke negen maanden of zelfs elk jaar wil overstappen op een hard fork. Dit komt omdat de gemeenschap het gevoel heeft dat we, met vorderingen als Triptych en Arcturus, in de buurt komen van wat we hopen dat een echt robuuste privacy zal zijn met weinig zwakke punten, wat leidt tot het ontbreken van de noodzaak voor duurzame, protocolveranderende ontwikkeling. En op het gebied van proof-of-work hebben verschillende leden van de gemeenschap RandomX gemaakt als een laatste poging om ASIC\'s van het netwerk af te houden. Op het moment van schrijven zitten we nog midden in dit experiment en we moeten nog zien of het op de lange termijn succesvol zal zijn, maar een van de gewenste resultaten is bereikt, een andere reden voor snelle forking is verwijderd, waardoor een langzamer vorkschema.</p>';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtitle => 'Monero heeft vrij vaak harde vorken. Betekent dit niet dat het gecentraliseerd is?';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtext => '<p>Dit is niet, en was nooit, de munt van Riccardo \'fluffypony\' Spagni. Hij heeft het niet eens gehaald. Het is gestart door een pseudoniem persoon die bekend staat als dankbaar_voor_vandaag, en daar is een heel interessant verhaal over voor een andere keer. Fluffypony verwierf bekendheid als zowel een kernteamlid/hoofdbeheerder, omdat hij veel tijd en middelen gaf om de munt te laten groeien, als door zijn reizen en spreken op conferenties. Met deze twee dingen gecombineerd, werd hij een soort onofficieel gezicht voor Monero en was hij meestal de toegangspoort waardoor mensen ons vonden. Vanwege de vreselijke CEO-cultuur die alomtegenwoordig was in de cryptocurrency-scene, gingen ze ervan uit dat hij de oprichter en leider van Monero was, wat beide niet waar is. </p>\n\n<p> Tegenwoordig maakt fluffypony nog steeds deel uit van het kernteam, maar is hij niet langer de hoofdbeheerder van de codebase, en is hij teruggegaan om aan zijn eigen persoonlijke projecten te werken. Monero gaat prima verder.</p>';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtitle => 'Dit is de persoonlijke munt van fluffypony!';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtext => '<p>Dit is een onbetwistbaar feit en er valt niet over te twisten. moneromooo is een bekend lid van de Monero-gemeenschap. Zozeer zelfs dat de community geld inzamelde via ons crowdfundingplatform, het Community Crowdfunding System (CCS), zodat ze fulltime aan Monero konden werken. Elk kwartaal worden er nieuwe werkvoorstellen ingediend, dus als de gemeenschap ooit ontevreden is over het geleverde werk, hoeven ze zijn volgende voorstel gewoon niet te crowdfunden. </p>\n\n<p> Zoals je je kunt voorstellen, zal fulltime werken aan Monero in plaats van op vrijwillige basis resulteren in grote hoeveelheden geaccumuleerd werk. Aangezien Monero geen premine, ICO, had en geen oprichtersbeloning in ontvangst nam, hebben we anders geen fulltime ingenieurs die aan het project werken, en mensen dragen bij wat ze kunnen, wanneer ze kunnen, en het is gewoon niet haalbaar om te verwachten dat deze bijdragen aan zwaarder wegen dan een fulltime werknemer.</p>\n\n<p>Dat gezegd hebbende, er wordt nog steeds veel moeite gedaan om checks and balances te hebben. Een lid van het kernteam voegt de code nog steeds samen na beoordeling, dus het is niet zo dat een individu zowel de code maakt als integreert, waardoor het toezicht wordt omzeild dat nodig is om een flagrante fout of kwaadwillende bedoeling op te sporen.</p>';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtitle => 'De meeste commits sinds 2017 zijn afkomstig van een persoon die bekend staat als moneromooo-monero';

  @override
  String get knowledge250Sbmyths250Sbdescription => 'Er wordt veel kritiek geuit op Monero die achterhaald of onjuist is, terwijl andere een zeer beperkt beeld geven van het probleem in kwestie. In dit artikel hopen we deze kritiek recht te zetten.';

  @override
  String get knowledge250Sbmyths250Sbtitle => 'Top 15 Monero-mythen en zorgen ontkracht';

  @override
  String get knowledge250SbnetworkEffect250Sb0250Sbtext => '<p>Blockchain is een groot aantal disciplines die allemaal in één zijn samengeperst. Het brengt elementen van technologie, economie en speltheorie in zijn beveiligingsmodellen. Dit betekent dat het een van de meest ingewikkelde en ingewikkelde stukjes technologie tot nu toe is, maar betekent ook dat een diep en grondig begrip onmogelijk is zonder de grondbeginselen te leren van elk puzzelstukje waaruit het bestaat.</p>\n\n<p>Een onderdeel van blockchain dat niet vaak wordt besproken, is concurrentie. Elke cryptocurrency wordt vaak beoordeeld op zijn eigen verdiensten, en zelfs tegen de cryptocurrencies die er het meest op lijken, maar slechts weinigen worden beoordeeld op basis van wat ze de markt als geheel bieden en hoeveel mensen er gebruik van maken. Verder genomen moet een cryptocurrency analyseren hoeveel mensen het gebruiken, ervan weten of er op een andere manier mee communiceren. Dit concept staat bekend als een netwerkeffect.</p>\n\n<p>Een niet-blockchain voorbeeld van een netwerkeffect is sociale media. Als al je vrienden op Facebook zitten en je kiest bij welke sociale media je nauw betrokken wilt zijn, spelen de keuzes van je vrienden ook een rol bij deze beslissing. Het feit dat de meesten van hen op Facebook zitten, kan je beïnvloeden om er ook lid van te worden. En wanneer je beslist of je het platform al dan niet wilt verlaten, zal het feit dat je het contact met sommige van deze vrienden zou kunnen verliezen, ook van invloed zijn op deze beslissing. Dit is het netwerkeffect in actie. Nadat de acceptatie een kritieke massa heeft bereikt, wordt verdere acceptatie eenvoudiger en wordt deze vaak aangewakkerd door de huidige deelnemers aan het netwerk.</p>\n\n<p>Als we dit bekijken in de context van blockchain, en commercie in het algemeen, wordt de kracht van netwerkeffecten snel duidelijk. Als Bitcoin de crypto is die de meeste mensen kennen en degene is die de meeste mensen kopen, dan zullen meer verkopers het accepteren. Als meer verkopers het accepteren, zijn er meer plaatsen om het te gebruiken, dus zullen meer mensen het kopen en zullen meer mensen ervan weten. Het wordt een grote positieve feedbacklus die sneeuwt. Op dit punt kan een handelaar worden benaderd over het gebruik van een andere cryptocurrency, maar hij zal zich afvragen waarom het nodig is, aangezien ze al Bitcoin accepteren en het is wat iedereen gebruikt en accepteert. </p>\n\n<p> Hoewel het onbetwist is dat Bitcoin verreweg de grootste cryptocurrency is, zijn er andere die als top in hun niche worden beschouwd. Monero is zo\'n munt, die door velen wordt beschouwd als de eerste privacymunt, hoewel verschillende mensen verschillende meningen hebben over de vraag of Monero al dan niet in dezelfde ruimte concurreert als Bitcoin. Dit komt omdat Bitcoin al zijn kaarten op zijn transparantie heeft geplaatst om het totale bedrag te verifiëren (hoewel dit ook mogelijk is in Monero, zij het op een veel meer omslachtige manier). </p>\n\n<p>Dus waar staat Monero momenteel in dit spel van netwerkeffecten? Waar zijn we begonnen? Wat brengt de toekomst? Laten we bij het begin beginnen.</p>\n\n<p>Het is interessant om op te merken dat het in de begindagen van <a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">Monero</a> een van de drie manieren was om aan privacy te doen. Coinjoin, CryptoNote en Dash\'s masternode/coinjoin-hybride. De opties waren beperkt en zeker niet door vakgenoten beoordeeld, maar dat weerhield mensen er niet van om een kant te kiezen. In dit oudere tijdperk was het ieders spel, en sommigen besloten achterover te leunen en de room naar boven te laten rijzen. De tijd bleek uiteindelijk aan de kant van <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">Monero</a> te staan, terwijl andere privacy-cryptocurrencies kwamen en gingen.</p>\n\n<p>Hierdoor werd het netwerkeffect van Monero gevestigd als de munt die de weg vrijmaakte voor anderen in privacy. Zelfs toen nieuwere technologie op de markt kwam, zoals Zcash\'s zk-SNARKs en MimbleWimble, keek de massa naar Monero voor leiderschap en een gezonde discussie over deze nieuwe protocollen. </p>\n\n<p>Momenteel is Monero een van de weinige universeel gerespecteerde projecten in de ruimte. Van crypto-noobies tot Bitcoin-maximalisten, ze bekijken Monero allemaal met op zijn minst een schoorvoetend respect, hoewel het vaker met hogere erkenningen is. Wanneer veteranen van de ruimte praten over de munten die de grootste kans hebben om een verschil te maken in de wereld, en die met vallen en opstaan stand zullen houden, faalt Monero altijd om aanwezig te zijn.</p>\n\n<p>Deze laatste paar paragrafen zijn niet alleen zelfgenoegzaam, maar een eerlijke kijk op hoe het cryptolandschap eruit ziet op het moment van schrijven. De netwerkeffecten van Monero worden elke dag duidelijker en verschijnen op onverwachte plaatsen.</p>\n\n<p>Mensen zijn nogal verdeeld over de toekomst van Monero, maar alle meningen wijzen erop dat Monero zijn werk goed doet. Het grootste voorbeeld hiervan zijn zorgen over regelgeving. Sommigen zijn bang dat Monero te privé is, wat een onvermijdelijke botsing met de regeringen van de wereld zal veroorzaken, terwijl anderen enthousiast zijn over hoe deze privacy de vrijheid terugbrengt naar de gewone persoon. Aan de basis van beide opvattingen ligt het idee dat Monero zijn belofte van privacy en fungibiliteit volledig waarmaakt, en dat het vaak de enige munt is in dergelijke gesprekken, terwijl de meeste andere \'privacymunten\' dat niet doen. </p>\n\n<p>Omdat de gemeenschap van Monero erg haar best doet om <a target=\"_blank\" href=\"/knowledge/critical-thinking\" class=\"next-link\">rationeel en sceptisch te zijn</a>, is ze niet bang voor nieuwe technologie. Andere munten, die meer om de competitieve kant geven, spreken constant over het \'onttronen\' van Monero, en hoe Monero bang zou moeten zijn voor hun nieuwe technologie die de privacywereld zal overnemen. Met andere woorden, ze denken dat hun nieuwe technologie de gevestigde netwerkeffecten van Monero in de privacykringen zal overwinnen.</p>\n\n<p>In tegenstelling tot Bitcoin, dat voornamelijk vertrouwt op zijn netwerkeffecten om relevant te blijven zonder veel onderliggende innovatie, heeft Monero besloten om beide te omarmen. Er is nieuwe, doorgelichte technologie toegevoegd om Monero meer privé en veiliger te maken, zodat de netwerkeffecten van Monero nooit het enige doel van zijn status zijn, maar eerder het resultaat van innovatie en hard werken.</p>\n\n<p>In die zin moet men zich afvragen hoe lang een technologie als Bitcoin alleen kan vertrouwen op de bestaande netwerkeffecten om relevant te blijven. De zaak is momenteel sterk, met geen enkele munt die zelfs maar in de buurt komt van de merkherkenning en collectieve hersenruimte van Bitcoin, maar we moeten niet vergeten dat veel andere molochs in andere industrieën zichzelf onaantastbaar achtten, alleen om hun eigen ondergang tegemoet te treden vanwege een gebrek aan innovatie. X6322X]';

  @override
  String get knowledge250SbnetworkEffect250Sbdescription => 'Hoewel het onbetwist is dat Bitcoin verreweg de grootste cryptovaluta is, vragen we ons af of het alleen kan vertrouwen op zijn bestaande netwerkeffecten om relevant te blijven.';

  @override
  String get knowledge250SbnetworkEffect250Sbtitle => 'Hoe Monero de netwerkeffecten van Bitcoin kan overwinnen';

  @override
  String get knowledge250Sbnetworking250Sb0250Sbtext => '<p>Het zou voor niemand als een verrassing moeten komen dat Monero, en inderdaad alle cryptocurrency, op internet draait. En toch, ook al lijkt deze verklaring basaal en voor de hand liggend, velen staan niet stil bij de implicaties van wat dit betekent met betrekking tot hun privacy. Met andere woorden, er zijn dingen waar Monero wel en niet tegen kan beschermen, gewoon door de aard van het internetten. Sommige van deze overwegingen zijn slechts ongemakken, terwijl andere veel ernstiger zijn in een scenario waarin absolute privacy vereist is. Laten we de tijd nemen om vertrouwd te raken met hoe Monero-gebruikers met elkaar omgaan op het netwerk en wat dit betekent voor hun privacy.</p>\n\n<p>Om te beginnen: als een gebruiker geen toegang tot internet heeft, kan hij geen nieuwe blokken downloaden, geen transacties namens anderen verspreiden of zelf transacties verzenden. Een interessant ding om op te merken is dat een gebruiker met een volledig knooppunt, zonder internettoegang, offline een transactie kan opzetten die later kan worden verzonden. Dit komt omdat een ringhandtekening alleen output van de blockchain nodig heeft om mee te verbergen. Een korte herinnering aan <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\"> hoe ringhandtekeningen werken </a>, het verbergt de echte output die een gebruiker verzendt tussen een verzameling niet-gelieerde outputs die uit het verleden zijn gekozen. Als de gebruiker toegang heeft tot deze outputs in de vorm van een volledig gedownloade blockchain (volledig knooppunt), dan kunnen ze de ringhandtekening maken van de eerdere outputs, en zodra de internetverbinding is hervat, de transactie doorgeven aan het netwerk.</p>\n\n<p>Een gebruiker die een extern knooppunt gebruikt, kan dit niet doen, omdat hij bij het samenstellen van zijn ringhandtekening contact opneemt met het externe volledige knooppunt om uitvoer op te nemen in de ringhandtekening. Geen internet betekent dat ze dit knooppunt niet kunnen bereiken, dus ze hebben geen mogelijkheden om offline transacties te maken.</p>\n\n<p>Voordat we ingaan op enkele privacyoverwegingen, laten we een korte inleiding geven over hoe het internet als geheel werkt. Het hele internet is niets meer dan computers die verbinding maken met andere computers. Dat is het. De blog die je graag leest? Slechts enkele bestanden die op de computer van iemand anders worden gehost. Op welke website lees je dit artikel (LocalMonero)? Bestanden en code ergens op een computer gehost. Zelfs grote gekke sites werken op deze manier. Neem bijvoorbeeld YouTube. Alleen videobestanden die worden gehost op de gigantische computersystemen van Google, en u maakt er verbinding mee om de video naar uw eigen computer te downloaden, zodat u deze kunt bekijken.</p>\n\n<p>Deze computers kunnen elkaar onderscheiden omdat elke computer die met internet is verbonden een uniek identificatienummer krijgt, een IP-adres genaamd. Dit zijn doorgaans vier reeksen getallen gescheiden door punten, bijvoorbeeld: 172.66.35.7. Het is belangrijk om dit in gedachten te houden als we bedenken hoe Monero-informatie over het internet wordt verspreid. Monero is een peer-to-peer netwerk (P2P), wat inhoudt dat computers rechtstreeks met elkaar verbonden zijn in plaats van een tussenpersoon te gebruiken. Dus wanneer het volledige knooppunt van een gebruiker een nieuw ontdekt blok downloadt, downloaden ze het niet van een centrale server, maar van hun collega\'s. Het nadeel hiervan is dat, omdat gebruikers rechtstreeks met elkaar verbinden, ze elkaars IP-adressen kennen.</p>\n\n<p>Nou? Wat is het probleem? Het is maar een getal toch? Niet precies. IP-adressen bevatten zelf informatie over de gebruiker, zoals het land van herkomst en netwerkprovider, maar erger nog, internetserviceproviders (ISP\'s) kennen het IP-adres van elke persoon die hun diensten gebruikt. Dit betekent dat deze ISP\'s en degenen waarmee ze werken het internetverkeer van een gebruiker kunnen bekijken en, met behulp van een aantal slimme tactieken, kunnen ontdekken dat ze Monero gebruiken. Let voordat je bang wordt op de bewoordingen daar. Het enige wat deze snoopers kunnen doen, is zien dat een persoon verbinding maakt met andere knooppunten op het Monero-netwerk. Vanwege de privacytechnologie van Monero wordt er verder niets gelekt over het individu. Niet of ze al dan niet een node draaien, of/wanneer ze transacties verzenden, en of er een transactie wordt verzonden, geen van de informatie is bekend. Al deze ISP\'s kunnen zien dat een van hun gebruikers verbinding maakt met het Monero-netwerk.</p>\n\n<p>Nu, voor sommige mensen, op sommige locaties, kan deze informatie alleen genoeg zijn om reputatieschade of vrijheid te schaden. Of misschien is het idee dat iemand inbreuk maakt op uw privacy en wat u op internet doet, om welke reden dan ook, niet acceptabel voor u. Deze personen worden aangemoedigd om alleen verbinding te maken met het Monero-netwerk via VPN\'s, Tor of I2P, dit zijn allemaal services die het IP-adres van een gebruiker verbergen voor anderen en verbergen wat een gebruiker doet voor zijn ISP. De verschillen tussen deze services vallen buiten het bestek van dit artikel, maar er zijn tal van artikelen van hoge kwaliteit over het onderwerp geschreven, dus bezorgde gebruikers worden aangemoedigd om te studeren! </p>\n\n<p>Voor de rest van ons denken we misschien dat het niet zo\'n groot probleem is als anderen weten dat we verbonden zijn met het Monero-netwerk. De daadwerkelijke inhoud van onze transacties, of als we er al een verzenden, is tenslotte verborgen voor het publiek, dus wat is het kwaad? Hoewel dit waar kan zijn, worden gebruikers aangemoedigd om te overwegen dat de belangrijkste aantrekkingskracht van cryptocurrencies hun eigen bank is. Wanneer u uw privésleutel bezit en er iets mee gebeurt, kan niemand u helpen uw verloren geld terug te vorderen.</p>\n\n<p>Uw eigen bank zijn betekent niet alleen nadenken over uw digitale veiligheid, maar ook over uw fysieke veiligheid. Het zou heel goed kunnen dat de kennis van een persoon die verbinding maakt met het Monero-netwerk ongewenste aandacht kan trekken, niet noodzakelijkerwijs van grootschalige actoren zoals natiestaten, maar kleinere actoren met egoïstische belangen, zoals hackers die gemakkelijk geld willen verdienen. Er zijn inderdaad talloze verhalen over de hele crypto-ruimte van dergelijke scenario\'s die daadwerkelijk plaatsvinden. </p>\n\n<p>Dit artikel is niet bedoeld om angst aan te jagen of bang te maken, maar gebruikers aan te moedigen om wat onderzoek te doen naar welke methoden voor bescherming van internetsurfen voor hen geschikt zijn. Het goede nieuws is dat deze vaardigheden ook zullen worden overgedragen op algemeen internetgebruik, niet alleen op Monero-gebruik, en als zodanig kan een slimme gebruiker in onze steeds meer met internet verbonden wereld niet fout gaan door de juiste kennis en vaardigheden te verzamelen om veilig te blijven. en echt hun eigen bank zijn. </p>';

  @override
  String get knowledge250Sbnetworking250Sbdescription => 'Laten we de tijd nemen om vertrouwd te raken met hoe Monero-gebruikers met elkaar omgaan op het netwerk en wat dit betekent voor hun privacy.';

  @override
  String get knowledge250Sbnetworking250Sbtitle => 'Wat elke Monero-gebruiker moet weten als het om netwerken gaat';

  @override
  String get knowledge250Sbnodes250Sb0250Sbtext => '<p>Een van de grootste voordelen die Monero heeft ten opzichte van andere cryptocurrencies, is de on-chain privacy, maar heb je je ooit afgevraagd hoe de privacy van Monero standhoudt wanneer je een extern knooppunt gebruikt? Hoe zit het als je een \"light wallet\"-server zoals MyMonero gebruikt?</p>\n<p>In dit bericht gaan we dieper in op enkele details achter hoe Monero uitzonderlijke on-chain privacy biedt, zelfs bij gebruik van een externe node, en waar je op moet letten bij het gebruik van externe nodes.</p>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtext => '<p>Voor degenen die minder bekend zijn met hoe Monero werkt: de knooppunten (of servers) in het Monero-netwerk kunnen door iedereen worden beheerd en de eigenaar van het knooppunt toestaan - of anderen waarmee ze het willen delen! – om een kopie van de blockchain te synchroniseren en die kopie aan anderen op het netwerk te verstrekken. Deze knooppunten verifiëren ook alle transacties die op het netwerk plaatsvinden, evenals alle blokken die worden gepubliceerd, en zorgen ervoor dat ze allemaal de regels volgen zoals vastgesteld door consensus.</p>\n<p>De andere functie die nodes in Monero hebben, is een manier om alle gegevens te verstrekken die je favoriete Monero-portemonnee nodig heeft om correct te controleren op transacties die van jou zijn en om nieuwe transacties te doen. Deze gegevens worden op twee manieren door knooppunten geleverd: </p>\n<ul>\n<li>De gegevens van elk blok op de blockchain worden door de portemonnee opgevraagd, gescand op transacties die van u zijn en vervolgens weggegooid zodra ze door de portemonnee zijn gecontroleerd.\n<ul>\n<li>Deze stap wordt binnenkort drastisch verbeterd, dankzij <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/view-tags-reduce-monero-sync-time\">view tags</a>.</li>\n</ul></li>\n<li>Bij het verzenden van transacties biedt het knooppunt dat je gebruikt een lijst met mogelijke lokvogels (of nepinvoer) die je kunt gebruiken bij het bouwen van de transactie, zodat je een goede menigte hebt om je in te verstoppen elke keer dat je Monero uitgeeft.\n<ul>\n<li>Deze lokvogels maken deel uit van <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/ring-signatures\">ringhandtekeningen</a>, een belangrijk onderdeel van Monero\'s benadering van privacy on-chain.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtitle => 'Welke functie hebben nodes in Monero?';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtext => '<p>Het beste wat u kunt doen, zelfs met de sterke on-chain privacy die door Monero wordt geboden bij het gebruik van externe knooppunten, is uw eigen Monero-knooppunt te gebruiken om ervoor te zorgen dat u een ongerepte kopie van de Monero-blockchain bij de hand hebt en dat uw IP-adres wordt goed beschermd. Het andere voordeel bij het runnen van uw eigen node is dat u kunt bijdragen aan het netwerk, andere nodes kunt laten synchroniseren vanaf uw node of zelfs andere gebruikers met hun portemonnee verbinding kunt laten maken met uw node.</p>\n<p> Dat gezegd hebbende, biedt Monero nog steeds uitstekende privacy bij gebruik van een extern knooppunt. Als je geïnteresseerd bent in het runnen van je eigen Monero-node, is hier een eenvoudig te volgen gids om dit te doen:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/guides/run-a-monero-node/\">Een Monero-knooppunt uitvoeren</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtitle => 'Wat is de meest persoonlijke en veilige manier om Monero te gebruiken?';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtext => '<p>Bij gebruik van een extern knooppunt zijn er enkele belangrijke stukjes informatie die worden blootgesteld aan een extern knooppunt en een aantal belangrijke manieren waarop het knooppunt u kan aanvallen, voorkomen dat u transacties uitvoert en meer.</p>\n<p>Het eerste dat een extern knooppunt over u te weten kan komen, is uw openbare IP-adres. Hoewel dit hopelijk wordt verborgen via een VPN of Tor, kan het externe knooppunt uw openbare IP-adres aan de transactie koppelen, waardoor ze kunnen bepalen waar u vandaan komt. Het externe knooppunt kan ook het laatste blok leren dat uw portemonnee heeft gesynchroniseerd en dit gebruiken om gefundeerde gissingen over u te maken, bijvoorbeeld wanneer u normaal gesproken Monero gebruikt en wanneer u voor het laatst Monero heeft uitgegeven. Dit is vooral het geval als u altijd vanaf hetzelfde IP-adres komt (zoals uw huis). Het laatste belangrijke dat een extern knooppunt over u kan leren, is basisinformatie over de transacties die u er doorheen verzendt. Hoewel dit de meest voor de hand liggende gegevens zijn die de externe node-operator over u krijgt, is het belangrijk om te begrijpen dat dit kan worden gebruikt om de afzender van de transactie op te sporen bij het combineren van die informatie met andere off-chain-gegevens. Dit kan met name gevaarlijk zijn als het externe knooppunt wordt beheerd door een kwaadwillende entiteit, een blockchain-analysebedrijf of een onderdrukkende natiestaat.</p>\n<p>Een extern knooppunt kan ook proberen u problemen te bezorgen door blokken voor u te verbergen, waardoor uw portemonnee denkt dat het is gesynchroniseerd terwijl dit niet het geval is. Dit kan u doen denken dat er geld verloren is of u ervan weerhouden geld uit te geven totdat u verbinding maakt met een ander knooppunt. Het laatste belangrijke dat een extern knooppunt kan doen, is uw portemonnee een gemanipuleerde lijst met lokvogels geven. Dit kan ertoe leiden dat uw portemonnee ofwel volledig faalt om transacties op te bouwen (waardoor u geen geld kunt uitgeven), of dat het externe knooppunt kan proberen lokvogels aan te bieden waarvan het weet dat ze zijn uitgegeven om de anonimiteit die u bij elke transactie ontvangt te verminderen. </p>';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtitle => 'Wat kan een extern knooppunt over mij te weten komen?';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtext => '<p>Hoewel dit artikel je misschien een beetje heeft doen schrikken, is het belangrijk om te beseffen dat de privacy die door Monero wordt geboden uitstekend is, zelfs bij gebruik van een extern knooppunt, en elke andere cryptocurrency ver overtreft wanneer deze op deze manier wordt gebruikt. Je krijgt nog steeds de sterke on-chain privacy die door Monero wordt geboden, omdat het externe knooppunt nooit de echte invoer weet (welke munten je uitgeeft), het bedrag aan Monero dat aan de transactie is uitgegeven of het adres van de ontvanger van de transactie. Externe waarnemers kunnen ook de werkelijke invoer, hoeveelheid of adressen niet zien (ongeacht het type knooppunt dat u kiest om te gebruiken!), Ervoor zorgend dat buiten het externe knooppunt zelfs uw IP-adres, portemonnee-synchronisatie-informatie en transacties sterke privacygaranties hebben .</p>\n<p>De externe node heeft ook nooit toegang tot de eerdere transacties die je hebt verzonden of ontvangen of de hoeveelheid Monero die momenteel in je portemonnee zit, en verliest alle zichtbaarheid in je transacties op het moment dat je een andere node gaat gebruiken. Er worden nooit privésleutels (uitgave- of weergavesleutels) aan het externe knooppunt verstrekt, en dus blijft uw portemonnee privé, veilig en bruikbaar. Ongeacht het externe knooppunt, je loopt ook nooit het risico Monero te verliezen of gestolen te worden, aangezien het knooppunt het adres van de ontvanger niet kan bewerken, nooit toegang heeft tot de privésleutels van je portemonnee en je Monero op geen enkele manier in beslag kan nemen.</p>';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtitle => 'Welke privacygaranties zijn er nog bij het gebruik van een remote node?';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtext => '<p>Hoewel het onderwerp een beetje buiten het bestek van dit artikel valt, wilde ik het toch hebben over een uniek type portemonnee in Monero: lichte portemonnees. De naam light wallet komt van het feit dat uw portemonnee (op uw telefoon of computer) geen blockchain-synchronisatie hoeft uit te voeren, waardoor de ervaring sneller en vloeiender wordt.</p>\n<p>Voor dit soort portemonnees is er echter een serieuze privacyafweging: je portemonnee stuurt de privéweergavesleutel naar de externe server die je gebruikt (zoals de standaard in MyMonero), waardoor de externe server volledig inzicht krijgt in eventueel ontvangen geld sinds de creatie van uw portemonnee (en totdat u stopt met het gebruik van die portemonnee of seed). Dit vermindert de privacy die u ontvangt van de node-operator drastisch en moet met de nodige voorzichtigheid worden benaderd. </p>\n<p>Gelukkig werkt de Monero-community aan het verbeteren van de software die je kunt gebruiken om je eigen light wallet-server (LWS) te hosten, waardoor je snel kunt synchroniseren zonder dat je een derde partij vertrouwt met je privésleutels. zal de software uitvoeren waar uw portemonnee de privéweergavesleutels naartoe stuurt! </p>\n<p>Voor meer informatie over de aangepaste light wallet-server, zie de onderstaande Github-repository:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/vtnerd/monero-lws\">monero-lws</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtitle => 'Hoe zit het met \"lichte portemonnees\" zoals MyMonero?';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtext => '<p>Als je nieuwsgierig bent en nodes in Monero beter wilt begrijpen en wilt kijken of je een node op afstand kunt gebruiken of je eigen node kunt gebruiken, bekijk dan de onderstaande links voor geweldige plekken om aan de slag te gaan:</p>\n<u>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://moneroworld.com/#nodes\">Monero World, een lijst met door de gemeenschap beheerde externe nodes die kan worden gebruikt</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/about/#high-performance-monero-nodes\">Monero-knooppunten beheerd door Seth For Privacy, de auteur van dit artikel</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monero.fail/\">monero.fail, een lijst met externe nodes met een regelmatig gecontroleerde status< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/user-guides/remote_node_gui.html\">Hoe verbinding te maken naar een extern knooppunt binnen de GUI-portemonnee</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/moneropedia/remote-node.html\">Moneropedia - op afstand Knooppunt</a></li>';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtitle => 'Hoe kan ik meer leren?';

  @override
  String get knowledge250Sbnodes250Sbdescription => 'Vandaag bekijken we hoe Monero on-chain privacy biedt, zelfs bij gebruik van een extern knooppunt, evenals de voorbehouden.';

  @override
  String get knowledge250Sbnodes250Sbtitle => 'Hoe externe nodes de privacy van Monero beïnvloeden';

  @override
  String get knowledge250Sboutputs250Sb0250Sbtext => '<p>Monero gebruikt, net als andere cryptocurrencies, outputs als een middel om fondsen te verantwoorden. Veel crypto-savvy gebruikers hebben deze term waarschijnlijk al eerder gehoord, maar niet iedereen begrijpt wat ze bedoelen en hoe ze werken. Zoals onderzocht in ons <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">artikel over ringhandtekeningen </a>, zijn outputs de daadwerkelijke eenheden die op de blockchain worden uitgewisseld tussen partijen die transacties uitvoeren. Vergelijkbaar met een dollarbiljet, maar het bedrag is niet in een vaste coupure.</p>\n\n<p>Als u \$ 16 krijgt voor een baan, ontvangt u mogelijk een biljet van één dollar, een biljet van vijf dollar en een biljet van tien dollar. Je hebt \$ 16, maar je hebt ook drie verschillende rekeningen in je portemonnee. Als je iemand 6 dollar wilt betalen, kun je de 5 en de 1 gebruiken, maar als je iemand \$ 8 wilt betalen, kun je alleen de \$ 10 gebruiken en krijg je \$ 2 terug als wisselgeld. Ten slotte, als je iemand \$ 14 zou willen betalen, zou je alle drie de biljetten moeten gebruiken en zou je \$ 2 als wisselgeld terugkrijgen, maar even, als je alle drie de rekeningen overhandigt, heb je geen geld in je portemonnee totdat je de verander terug.</p>\n\n<p>Monero werkt op dezelfde manier. Stel dat u een winkel runt en drie verschillende artikelen verkoopt. Je ontvangt misschien 1,5 XMR, 2,25 XMR en 5,25 XMR voor een totaal van 9 XMR, maar je hebt ook drie verschillende outputs in je portemonnee met de eerder vermelde coupures. Net als met de dollars, wil je misschien iemand 3 XMR betalen. U kunt alleen de 5,25 XMR-uitvoer gebruiken en 2,25 XMR terugkrijgen als wisselgeld, of u kunt de 1,5 en 2,25 XMR-uitvoer combineren en 0,75 XMR terugkrijgen als wisselgeld.</p>\n\n<p>Maar zodra u de transactie verzendt, worden de uitgangen die u wel gebruikt in een \"vergrendelde\" toestand gezet, wat betekent dat ze ontoegankelijk zijn totdat u het wisselgeld terugkrijgt. Het protocol ontgrendelt het geld (d.w.z. geeft u het wisselgeld terug) na 10 bevestigingen, of ongeveer 20 minuten. Net zoals wanneer je de dollarbiljetten uit je portemonnee overhandigt, je het geld niet meer kunt gebruiken totdat je het wisselgeld terugkrijgt van de kassier, je Monero is ontoegankelijk totdat je het wisselgeld terugkrijgt.</p>\n\n<p>Laten we teruggaan naar het voorbeeld van het sturen van 3 XMR naar iemand, en je gebruikt de 5,25 XMR-uitvoer. Nu, terwijl je wacht op je 1,75 XMR terug in wisselgeld, kun je het niet gebruiken. Deze 1.75 XMR is niet toegankelijk voor jou. Maar u kunt nog steeds de 1,5 XMR- en 2,25 XMR-uitgangen gebruiken, aangezien deze niet zijn uitgegeven. Om terug te gaan naar het voorbeeld van de dollar: als je iemand \$ 8 hebt betaald, zoals in het vorige voorbeeld, zou je de \$ 2 die je terug verwacht niet in wisselgeld kunnen gebruiken totdat het aan jou wordt gegeven, maar in dit voorbeeld heb je nog steeds een Rekening van \$ 10 die ongebruikt in uw portemonnee zit. Dit kan nog steeds worden gebruikt om te kopen wat je maar wilt terwijl je wacht op de verandering. Hetzelfde met Monero.</p>\n\n<p>Dit is vaak een punt van verwarring voor nieuwe Monero-gebruikers. Vaak heeft een gebruiker slechts één uitvoer in zijn portemonnee, ontvangen van een uitwisseling of een vriend. Laten we zeggen dat deze uitvoer 20 XMR is. Ze hebben geen andere output in hun portemonnee. Ze willen nu een donatie doen aan twee van hun favoriete goede doelen. Ze sturen 5 XMR naar het eerste goede doel en zijn dan in de war, want hoewel ze nog 15 XMR over zouden moeten hebben, kunnen ze niet meteen de volgende donatie naar het tweede goede doel sturen. Zoals je misschien al geraden hebt, komt dit omdat de 15 XMR is vergrendeld. Het kan pas worden uitgegeven als het als wisselgeld is teruggegeven (10 bevestigingen of ongeveer 20 minuten). Nadat hun geld is ontgrendeld, kunnen ze hun tweede donatie sturen.</p>\n\n<p>Om het punt nog eens te herhalen, ze zouden dit probleem niet hebben gehad als ze in plaats daarvan meerdere uitgangen hadden gehad, zoals twee 10 XMR-uitgangen of iets dergelijks. Ze zouden beide donaties direct na elkaar kunnen verzenden, omdat de eerste donatie een van de 10 XMR-uitvoer zou gebruiken (en 10 bevestigingen zou wachten om 5 XMR als wisselgeld terug te ontvangen), en de tweede donatie zou de andere 10 XMR gebruiken uitvoer.</p>\n\n<p>Sommige cryptovaluta-wallets hebben een functie die \'outputbeheer\' wordt genoemd, waarmee een gebruiker eenvoudig kan zien welke output hij momenteel heeft (naast zijn totale som), en stelt hem in staat om te kiezen welke hij wil gebruiken wanneer hij geld uitgeeft hun cryptocurrency.</p>\n\n<p>Vanaf nu doet de GUI van Monero automatisch uitvoerselectie voor gebruikers, aangezien gebruikers die hun eigen uitvoer selecteren vaak leidt tot verwarring of, in sommige gevallen, schending van de privacy. Er zijn echter portefeuilles in aanbouw, zoals het nieuwe Feather-portemonneeproject, die deze functies voor uitvoerbeheer zullen bevatten.</p>\n\n<p>We hebben veel gesproken over het verzendende gedeelte, maar er gebeurt iets fascinerends aan de ontvangende kant. Terugkomend op ons voorbeeld van het sturen van 3 XMR naar iemand en het gebruik van uw 1,5 XMR- en 2,25 XMR-outputs in de transactie (terwijl u 0,75 XMR als wisselgeld verwacht), ontvangt de ontvanger GEEN twee outputs van 1,5 XMR en 2,25 XMR. In plaats daarvan ontvangen ze EEN 3 XMR-uitvoer.</p>\n\n<p>Op de achtergrond combineert het protocol alle outputs die gebruikt worden voor uitgaven, en geeft de ontvanger één output van het betaalde bedrag, en stuurt één wisselgeldoutput terug naar de afzender. De afzender krijgt dus ook één output als wisselgeld terug, ongeacht of hij twee, drie of tien outputs heeft gebruikt om de transactie te verzenden.</p>\n\n<p>We hopen dat dit wat verwarring heeft weggenomen over outputs en hoe de interne boekhouding van het protocol werkt, evenals het veelvoorkomende probleem van verwarring bij geblokkeerde fondsen. In een ander artikel zullen we onderzoeken hoe u uw uitvoer kunt beheren om de kans te minimaliseren dat u moet wachten op ontgrendeld geld voordat u toekomstige transacties verzendt.</p>';

  @override
  String get knowledge250Sboutputs250Sbdescription => 'Veel crypto-savvy gebruikers hebben waarschijnlijk al eerder de term \"outputs\" gehoord, maar niet iedereen begrijpt wat ze betekenen en hoe ze werken.';

  @override
  String get knowledge250Sboutputs250Sbtitle => 'Monero-uitvoer uitgelegd';

  @override
  String get knowledge250Sbp2pool250Sb0250Sbtext => '<p>Een van de kerndoelen van het Monero-project is om een eerlijk, gedecentraliseerd en veilig netwerk mogelijk te maken door middel van nieuwe en innovatieve benaderingen van proof-of-work (PoW) mining, de belangrijkste manier waarop cryptocurrency-netwerken tegenwoordig worden beveiligd.[ X230X]\n\n<p> Hoewel een uniek mining-algoritme <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/monero-mining-randomx\"> zoals RandomX </a> uiterst belangrijk is voor dit doel, omdat het ervoor zorgt dat iedereen met een computer een behoorlijke bijdrage kan leveren aan de beveiliging van het netwerk, lost RandomX de problemen niet op die kunnen optreden als gevolg van poolmining. Pool-mining is tegenwoordig verreweg de meest gebruikelijke manier om cryptocurrencies te minen, waaronder Monero, maar gelukkig brengt de opkomst van p2pool-mining daar snel verandering in.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtext => '<p>Pool mining is een manier voor mijnwerkers om de taak te delen om een blok op het netwerk op te lossen en vervolgens de beloningen gelijkmatig te verdelen voor alle blokken die de pool vindt. Hoewel dit enorm helpt om de frequentie waarmee mijnwerkers worden betaald te verdelen in vergelijking met alleen Monero, is het niet zonder ernstige centralisatieproblemen.</p>\n\n<p>Terwijl elke mijnwerker werk bijdraagt aan de pool, geven ze de controle over al het werk dat ze doen op en blokkeren ze dat naar de pool zelf, in het vertrouwen dat de pool de beloningen eerlijk en eerlijk zal verdelen onder alle mijnwerkers op basis van de hoeveelheid werk dat ieder heeft gedaan. Als alles goed gaat, verzamelt de poolbeheerder het werk van alle mijnwerkers, legt het voor aan het netwerk en verdeelt de beloningen gelijkelijk.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtitle => 'Wat is poolmining?';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtext => '<p>Helaas berust dit volledig op vertrouwen en stelt het de poolbeheerder in staat om snode dingen te doen met het werk dat door mijnwerkers wordt gedaan. De poolbeheerder kan het werk dat wordt gedaan gebruiken om het netwerk aan te vallen, proberen om geld dubbel uit te geven (als de pool groot genoeg is), of gewoon het werk van de mijnwerkers gebruiken om zichzelf te betalen en mijnwerkers nooit correct te belonen voor hun werk .</p>\n\n<p>Het grootste risico voor het netwerk is dat een pool (of meerdere pools die samenwerken) meer dan 51% van de hashrate van het netwerk onder hun controle heeft, omdat ze dit zouden kunnen gebruiken om vals te spelen en twee keer geld uit te geven (een dubbele uitgave aanval) of probeer de regels van het netwerk te wijzigen.</p>';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtitle => 'Wat is het probleem met poolmining?';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtext => '<p>p2pool is een concept dat oorspronkelijk in 2011 is gemaakt voor het minen van Bitcoin, maar dat nooit breed is geaccepteerd en praktisch ongebruikt blijft op Bitcoin. Gelukkig bracht een van de belangrijkste ontwikkelaars achter RandomX, SCHernykh, zijn vakantie door met het bedenken van oplossingen voor enkele problemen met de Bitcoin-implementatie van p2pool en het herschrijven van alle software vanaf nul. </p>\n\n<p> p2pool in Monero biedt miners een volledig vertrouwenloze manier om samen te werken om blokken op te lossen en het Monero-netwerk te beveiligen door speciale node-software voor p2pool te gebruiken om het werk te delen. </p>\n\n<p>Dit wordt gedaan met behulp van een nieuwe blockchain (een \"side-chain\") die bijhoudt hoeveel werk elke mijnwerker doet, wat het adres van hun portemonnee is en hoeveel Monero ze hebben verdiend, en vervolgens wordt de beloning uitbetaald in een trust -minder en gedecentraliseerde manier. Omdat deze zijketen veel minder mijnwerkers heeft, is het veel gemakkelijker om blokken te vinden en in te dienen dan op het hoofdnetwerk van Monero, waardoor het voor mijnwerkers gemakkelijker wordt om consistente uitbetalingen te krijgen in vergelijking met het mijnen van alleen Monero.</p>';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtitle => 'Wat is p2pool?';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtext => '<p>In p2pool is er geen gecentraliseerde pool, gecentraliseerde pooloperator of enkele persoon die fondsen vasthoudt en uitbetalingen verdeelt. Al het werk dat collectief wordt gedaan door degenen die via p2pool mijnen, wordt gecontroleerd door de p2pool-blockchain en andere node-operators om ervoor te zorgen dat het legitiem is, en alle mijnwerkers worden uitbetaald op basis van het werk dat ze onmiddellijk hebben gedaan wanneer een blok rechtstreeks wordt gevonden van de beloningen in dat gevonden blok.</p>\n\n<p>Wanneer mijnwerkers ervoor kiezen om p2pool te gebruiken in plaats van een gecentraliseerde pool, verwijderen ze alle macht en vertrouwen van pooloperators en zorgen ze ervoor dat hun werk bijdraagt aan het welzijn van het netwerk en aan hun eigen beloningen, verminderen ze het risico op netwerkaanvallen, misbruik van hun werk, of diefstal van beloningen die ze verschuldigd zijn. </p>\n\n<p>Dit helpt hen niet alleen hun eigen belangen te beschermen, het vermindert ook het risico dat gecentraliseerde pools kunnen vormen voor het Monero-netwerk als geheel. Het gebruik van p2pool helpt ook enorm om het risico te verminderen dat natiestaten of regelgevers kunnen vormen voor de gezondheid van het netwerk, aangezien er geen gecentraliseerde poolbeheerders zijn die onder druk kunnen worden gezet, geen geografische concentratie van pools om op te leunen of enig ander gemakkelijk punt van druk. die ze tegen Monero kunnen gebruiken.</p>';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtitle => 'Hoe lost p2pool de problemen van poolmining op?';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtext => '<p>Gelukkig is p2pool in Monero goed ontworpen en gebouwd, en functioneert het buitengewoon goed! Het belangrijkste nadeel van p2pool-mijnbouw is echter dat elke mijnwerker die p2pool wil gebruiken, zijn eigen Monero-knooppunt moet gebruiken, waardoor het proces om op gang te komen wat ingewikkelder is. Dit knooppunt wordt dan echter gebruikt om alle informatie te berekenen die nodig is voor het bouwen en controleren van blokken, en zorgt ervoor dat de mijnwerker de volledige controle heeft over zijn werk. Het knooppunt kan ook fungeren als een knooppunt op afstand voor de eigen portemonnee van de miner, draagt bij aan het netwerk en nog veel meer. </p>\n\n<p> Het andere belangrijke verschil met gecentraliseerde mijnbouw is dat kleine mijnwerkers die p2pool gebruiken iets meer &quot; variantie &quot; hebben, of tijd tussen uitbetalingen, dan een grote gecentraliseerde pool -- maar het &#39; is <em> extreem </em> belangrijk om op te merken dat dit er niet toe zal leiden dat je na verloop van tijd minder Monero verdient! p2pool zal in de loop van de tijd net zo winstgevend zijn voor zelfs kleine miners als gecentraliseerde pools. Een deel van deze variantie wordt ook gecompenseerd doordat p2pool native 0% kosten heeft, aangezien er geen gecentraliseerde pooloperator is om voor hun diensten te betalen! </p>';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtitle => 'Wat zijn de nadelen?';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtext => '<p>Dankzij het uitstekende ontwerp van Monero&#39;s p2pool-implementatie en de vele mensen in de gemeenschap die tijd hebben gestoken om het proces van minen via p2pool te helpen vereenvoudigen, wordt aan de slag gaan in de loop van de tijd eenvoudiger. Er zijn verschillende manieren om te beginnen met minen met p2pool, maar aangezien de technische details buiten het bestek van dit artikel vallen, voel je vrij om naar een onderstaande link te gaan, afhankelijk van je besturingssysteem:</p>\n<ul>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://www.youtube.com/watch?v=yfbvTksF9ic\">Windows</a></li>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://sethforprivacy.com/guides/run-a-p2pool-node/\">Linux</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtitle => 'Hoe kan ik aan de slag?';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtext => '<p>Als dit je nieuwsgierigheid naar p2pool-mining heeft gewekt, kijk dan hieronder voor enkele extra links en uitleg over p2pool, hoe het werkt en wat het betekent voor Monero:</p>\n<ul>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool\">De officiële Github voor p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool#how-to-mine-on-p2pool\">De officiële documenten over het gebruik van p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.getmonero.org/2021/10/05/p2pool-released.html\">Monero P2Pool is nu live</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://p2pool.observer/\">p2pool.observer, een soort &quot;blokverkenner&quot; voor p2pool</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/WeebDataHoarder/p2pool-compose\">Monero p2pool docker-samenstellen</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.monerotalk.live/sergei-chernykh-on-his-development-of-p2pool-a-decentralized-xmr-mining-pool\">Sergei Chernykh: over zijn ontwikkeling van P2Pool, een gedecentraliseerde XMR-mijnpool</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtitle => 'Hoe kan ik meer leren?';

  @override
  String get knowledge250Sbp2pool250Sbdescription => 'Pool mining is tegenwoordig de meest gebruikelijke manier om Monero te minen, maar gelukkig brengt de opkomst van p2pool mining daar snel verandering in.';

  @override
  String get knowledge250Sbp2pool250Sbtitle => 'P2Pool en zijn rol bij het decentraliseren van Monero Mining';

  @override
  String get knowledge250Sbpractices250Sb0250Sbtext => '<p>Veel gebruikers zullen geschokt zijn als ze horen dat experts denken dat het mogelijk is om een cryptocurrency verkeerd te gebruiken. Afhankelijk van waartegen een gebruiker zich verdedigt, zijn er bepaalde stappen en voorzorgsmaatregelen die moeten worden genomen om de privacy te behouden, oplichting te omzeilen en de juiste en tijdige levering van transacties te garanderen. Gelukkig hebben de Monero-ontwikkelaars er alles aan gedaan om op deze gebieden gezonde standaardwaarden in te stellen, zodat gebruikers die de wallet-software gebruiken zoals ze zijn, het grootste deel van de tijd veilig zullen zijn. Dat gezegd hebbende, willen we graag even de tijd nemen om naar een paar gevallen te kijken waarin het nuttig kan zijn om wat bedachtzamer te zijn met uw uitgaven.</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtext => '<p>De eerste en grootste manier om uw cryptocurrency veilig te houden, is door uw Monero mnemonic seed op te schrijven. Dit is een korte woordenlijst die wordt weergegeven wanneer u voor het eerst uw portemonnee aanmaakt. Als je deze seed hebt, maar je computer/telefoon sterft, dan kun je je Monero herstellen. Als je deze seed niet hebt en je verliest je portemonnee, dan is je Monero verloren en kan niemand je helpen deze terug te krijgen. Deel dit zaad op dezelfde manier met niemand. Als ze deze woordenlijst hebben, hebben ze volledige toegang tot en bestedingsrechten voor je Monero. Velen zijn onzorgvuldig geweest met het veiligstellen van hun zaad en komen tot de angstaanjagende realiteit van verloren geld omdat iemand ze heeft ingenomen. We raden aan om het op te schrijven. Fysiek. Niet digitaal opslaan en zorgen dat je meerdere exemplaren op verschillende plekken hebt. Dit is het belangrijkste wat je kunt doen om je Monero veilig te stellen. SCHRIJF JE ZAAD OP!</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtitle => 'SCHRIJF JE ZAAD OP!';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtext => '<p>Sommige scams maken gebruik van malware op uw computer die de kopieer-/plakfunctionaliteit wijzigt om het adres van de maker van de malware te plaatsen in plaats van de beoogde ontvanger. Omdat Monero-adressen lang en log zijn, kan het verleidelijk zijn om alleen de eerste paar cijfers en letters te verifiëren en het goed te noemen, of misschien helemaal niet dubbel te controleren. Hoewel het waarschijnlijk niet nodig is om het volledige adres te verifiëren, is het controleren van de eerste dozijn en laatste dozijn tekens van een adres in de meeste gevallen meer dan voldoende. Voor adressen waar u vaak naar verzendt, hebben veel portefeuilles een adresboekfunctie, die het gekozen opgeslagen adres automatisch invoert. Het is echter nog steeds het beste om een snelle controle uit te voeren.</p>';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtitle => 'Dubbelcheck je adressen';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtext => '<p>Hot en cold wallets zijn veelgebruikte terminologie in de wereld van cryptocurrency, en het concept is eigenlijk vrij eenvoudig. Een hete portemonnee is er een die u vaak gebruikt en gebruikt. Het is \'heet\' om in je achterzak te zitten. Cold wallets zijn portemonnees die niet vaak worden aangeraakt, vergelijkbaar met geld op een bank. Net zoals het niet aan te raden is om honderden dollars in je fysieke portemonnee te hebben, maar het over het algemeen acceptabel is om dit op een bankrekening te doen, moeten gebruikers overwegen hoeveel Monero verstandig is om in hun hete, mobiele portemonnee te dragen en hoeveel ze het beste over kunnen houden thuis in een tweede, koude. Op deze manier leidt verlies van een telefoon, diefstal of andere ongelukken niet tot totaal verlies van geld.</p>';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtitle => 'Leer het verschil tussen warme en koude portefeuilles';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtext => '<p>Als het idee om je digitale omgeving volledig vrij te houden van virussen en malware om je Monero te beschermen je eng vindt, dan zou je een hardware wallet kunnen overwegen. In principe houdt de hardware wallet uw privésleutels op het apparaat, weg van uw computer. Dus zelfs als uw computer wordt gecompromitteerd, hebben de hackers geen toegang tot uw seed. U kunt het geld alleen uitgeven als de hardware wallet is aangesloten op de computer en de transactie ondertekent. Dit verplaatst de beveiliging van de sleutels van je computer, die voor veel dingen wordt gebruikt en een groot aanvalsoppervlak heeft, naar de hardware wallet, die maar voor één ding wordt gebruikt, en een veel kleiner aanvalsoppervlak heeft. Voor de gewone persoon die de ins en outs van computerbeveiliging niet kent, is het een haalbare optie om uw geld veilig te houden.</p>';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtitle => 'Zijn hardware wallets geschikt voor u?';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtext => '<p>Op het gebied van privacy is het vaak veel te gemakkelijk om per ongeluk gegevens over uzelf te lekken of te onthullen die kunnen worden gebruikt om u te identificeren. Een oud voorbeeld dat niet meer van toepassing is op Monero zijn aangepaste ringmaten. Als de standaardwaarde 11 is en iedereen gebruikt 11, maar u gebruikt consequent 54, ja, het aantal is hoger, dus uw anonimiteitsinstelling is hoger, maar nu onderscheidt u zich van de massa en zijn uw transacties gemakkelijker te identificeren. Monero heeft sindsdien een update gemaakt om de ringmaat op 11 te zetten, dus nu ziet iedereen er hetzelfde uit. </p>\n\n<p>Er zijn verschillende dingen die men kan doen om per ongeluk hun privacy in andere cryptocurrencies zoals Bitcoin te schaden. Het kiezen van een gerenommeerde mixer, het verkrijgen van niet-KYC/AML-munten, het niet hergebruiken van adressen en het juiste beheer van de muntuitvoer zijn allemaal dingen waar een individu rekening mee moet houden bij het proberen het lekken van metadata te minimaliseren. Monero omzeilt veel van deze problemen door de privacyfuncties verplicht te stellen en goede standaardinstellingen in te stellen voor de gemiddelde gebruiker. Bovenstaand voorbeeld van het gebruik van een vaste ringmaat betekent dat eindgebruikers niet hoeven te puzzelen hoe ze de best mogelijke privacy op dit gebied kunnen bereiken. De portemonnee doet het automatisch voor ze.</p>\n\n<p>Dit lijkt misschien vreemd om over te praten. Het kan de meeste gebruikers worden vergeven dat ze denken dat alle software automatisch voor hen werkt, en niet tegen hen. Helaas is niets minder waar, en als het om privacy gaat, schieten bijna alle cryptocurrencies ernstig tekort. De hoeveelheid moeite die men moet doen om enig niveau van privacy te bereiken, is meestal te veel en te moeilijk voor een gemiddelde gebruiker. Dit is vaak het geval, zelfs bij andere cryptocurrencies die zich richten op privacy! Monero zorgt ervoor dat privacy automatisch gebeurt, zonder na te denken van gebruikers, waar mogelijk op protocolniveau, en met gezonde standaardinstellingen voor de portemonnee als dat niet het geval is. Gebruik bij twijfel gewoon de standaardinstellingen van de portemonnee en wees niet bang om vragen te stellen.</p>';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtitle => 'Gebruik bij twijfel de standaardinstellingen (bij Monero)';

  @override
  String get knowledge250Sbpractices250Sbdescription => 'Laten we eens kijken naar de stappen en voorzorgsmaatregelen die moeten worden genomen om de privacy te behouden, oplichting te omzeilen en ervoor te zorgen dat transacties correct worden uitgevoerd tijdens het gebruik van Monero.';

  @override
  String get knowledge250Sbpractices250Sbtitle => 'Praktische tips van Monero voor beginners';

  @override
  String get knowledge250Sbringct250Sb0250Sbtext => '<p>De privacy van Monero is niet afhankelijk van één enkel mechanisme dat, als het wordt verbroken, alle transacties zou onthullen, maar eerder van drie verschillende technologieën die samenwerken om holistische privacy te bieden en tegelijkertijd de zwakke punten van de andere onderdelen te compenseren. Deze benadering met drie punten bestaat uit <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">ringhandtekeningen</a>, RingCT en <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">stealth-adressen</a>. Deze drie technologieën verbergen respectievelijk de werkelijke output (afzender), hoeveelheid en ontvanger. Vandaag hebben we het over RingCT.</p>\n\n<p>RingCT is misschien wel de meest technische van de drie, en kan moeilijk te begrijpen zijn, dus we zullen niet bespreken hoe het precies werkt, maar laten zien hoe het mogelijk is om een bedrag niet te weten en er toch dingen over te bevestigen . En maak je geen zorgen, we zullen zoals altijd genoeg voorbeelden gebruiken.</p>\n\n<p>Laten we eerst eens kijken waarom het belangrijk is om iets over de bedragen te verifiëren. Waarom kunnen we ze niet gewoon volledig geheim houden? Het antwoord is dat er slimme manieren zijn waarop mensen uit het niets geld kunnen creëren als ze de kans krijgen. Hoe zou zoiets kunnen werken? Laten we naar een voorbeeld kijken.</p>\n\n<p>Als je een item van je vriend wilt kopen, en hij wil er tien dollar voor, dan begin jij met tien dollar en begint hij met nul. Nadat je hem de tien dollar hebt gegeven, heeft hij tien dollar en jij hebt nul. Je begon met tien, en nu heeft hij er tien. Bij deze transactie is geen geld gecreëerd of vernietigd.</p>\n\n<p>Met cryptocurrencies kan een slimme persoon tien dollar geven voor het item en in plaats van nul dollar wisselgeld te krijgen, kan hij twee dollar terugkrijgen. In plaats van dat 0 en 10 leiden tot 10 en 0 (of 10=10), is het nu 0 en 10 leidt tot 10 en 2 (of 10=12). Two Monero is zojuist uit het niets ontstaan. Je kunt je voorstellen dat als het individu zichzelf dit meerdere keren zou aandoen, ze in korte tijd een gigantisch fortuin zouden kunnen vergaren.</p>\n\n<p>Met Bitcoin en anderen zou dit gemakkelijk te zien zijn. Je kijkt naar de input die in een transactie gaat en de output die eruit komt en zorgt ervoor dat wat wordt verzonden gelijk is aan wat wordt ontvangen. Als deze bedragen zijn versleuteld en niet zichtbaar zijn, kan een gebruiker niet controleren of wat wordt verzonden en wat wordt ontvangen hetzelfde is.</p>\n\n<p>In een poging om de privacy van Bitcoin te vergroten, creëerde Gregory Maxwell Confidential Transactions (CT), een nieuwe technologie die versleutelde bedragen mogelijk maakt, terwijl hij bewijst dat er tijdens het proces niets is gemaakt of vernietigd. Zoals met de meeste privacytechnologie, heeft het Bitcoin niet gehaald, maar Monero wilde het graag gebruiken. Er was slechts één probleem. De reeds geïmplementeerde technologie van ringhandtekeningen was onverenigbaar met het voorgestelde idee. Een van de toenmalige MRL-onderzoekers, Shen Noether, veranderde CT in RingCT, een versie van CT die compatibel was met ringhandtekeningen.</p>\n\n<p>Nogmaals, de manier waarop dit werkt is vrij technisch en zou moeilijk uit te leggen zijn in een inleidend artikel. Voor de liefhebber van cryptografie die het gewoon moet weten, zijn er tal van diepgaande artikelen op internet geschreven over de innerlijke werking van CT. Voor de rest van ons laat dit artikel zien hoe het mogelijk is om de bedragen te verbergen, maar toch te bewijzen dat er niets is gemaakt of vernietigd.</p>\n\n<p>Stel dat Alice Bob geld wilde sturen. Alice stuurt 10 XMR naar Bob, die 10 XMR ontvangt. 10=10 dus hier is niets aan de hand. Maar Alice wil niet dat iemand weet hoeveel ze stuurt. Dus creëren zij en Bob een gedeeld geheim. Eigenlijk een nummer dat alleen zij twee kennen. Laten we zeggen dat dat getal 22 is. Nu vermenigvuldigt Alice 10 (wat ze werkelijk verzendt) met 22 om 220 te krijgen. Dit is het getal dat ze deelt met het netwerk.</p>\n\n<p>De miners zelf kennen het geheime nummer niet. Als ze dat wel deden, zouden ze het nummer dat ze zien, kunnen delen door het geheime nummer en het echte bedrag ontvangen. Maar aangezien ze dat niet doen, kunnen ze dat niet. Wel zien ze dat Bob 220 krijgt. 220 verzonden. 220 ontvangen. 220 = 220. Op deze manier kan het netwerk verifiëren dat er geen Monero is gemaakt of vernietigd, en dat allemaal zonder het werkelijke bedrag te kennen dat Alice Bob heeft gestuurd.</p>\n\n<p>Aangezien Bob het gedeelde geheime nummer kent, deelt hij het geld gewoon door 22 om het werkelijke bedrag te krijgen dat Alice heeft gestuurd, 10. Alice en Bob weten allebei hoeveel er is verzonden en hoeveel er is ontvangen, terwijl alle anderen krijgen een vals nummer.</p>\n\n<p>Nogmaals, dit is niet de feitelijke manier waarop CT werkt, maar het geeft een idee van hoe zoiets mogelijk zou kunnen zijn. De echte manier omvat zaken als Pedersen-toezeggingen, twee verzonden bedragen (één gecodeerd bedrag naar de ontvanger en één toezeggingsbedrag naar het netwerk), en ... ja, het is al gemakkelijk in te zien hoe je daarin kunt verdwalen. </p>\n\n<p>Een ding om op te merken is echter dat hoewel RingCT het bedrag verbergt dat tussen twee partijen in een transactie is afgehandeld, het niet twee andere reeksen getallen verbergt.</p>\n\n<p>De eerste zijn de coinbase-transacties. Als deze term u niet bekend is, betekent dit in feite de beloning die mijnwerkers krijgen voor het vinden van het volgende blok. Dit nummer is niet verborgen. Iedereen kan zien hoeveel het protocol een mijnwerker heeft toegekend voor hun service. Op deze manier kan de huidige hoeveelheid bestaande Monero worden bepaald door alle coinbase-transacties bij elkaar op te tellen. Hun som is gelijk aan de huidige Monero die in omloop is.</p>\n\n<p>Het tweede niet-verborgen getal is de vergoeding die aan de mijnwerkers wordt betaald wanneer een gebruiker een transactie verzendt. De vergoedingen moeten duidelijk zijn, zodat miners kunnen weten aan wie ze prioriteit moeten geven. Dit is echter een manier waarop gebruikers hun privacy kunnen schaden, alsof iemand een unieke mijnwerkersvergoeding gebruikt elke keer dat ze een transactie verzenden (zoals 0,12345), dan kunnen hun transacties worden gekoppeld.</p>\n\n<p>Afgezien van deze gevallen verbergt RingCT sinds 2017 Monero-bedragen, en onze collectieve privacy is daardoor des te sterker.</p>';

  @override
  String get knowledge250Sbringct250Sbdescription => 'RingCT verbergt Monero-bedragen sinds 2017, en onze collectieve privacy is er des te sterker door. Maar hoe wordt dat bereikt?';

  @override
  String get knowledge250Sbringct250Sbtitle => 'Hoe RingCT Monero-transactiebedragen verbergt';

  @override
  String get knowledge250Sbrings250Sb0250Sbtext => '<p>Monero staat wijd en zijd bekend in de cryptowereld als de koning van de privacymunten. Hoewel iedereen weet dat Monero goede privacy biedt, begrijpen niet zo veel mensen precies hoe de privacy werkt.</p>\n\n<p>Veel andere privacymunten publiceren vergelijkingsgrafiek-infographics, die de namen van de privacytechnologie van elke munt vermelden, en in de meeste bestempelen ze de technologie van Monero als RingCT, maar dit is slechts gedeeltelijk waar. Monero heeft eigenlijk een drieledige benadering van privacy. Eén technologie om de ontvanger van een transactie te verbergen, één om het verzonden bedrag te verbergen en één om de gebruikte uitvoer te verbergen. Dit zijn respectievelijk stealth-adressen, RingCT en ringhandtekeningen.</p>\n\n<p>Deze drieledige aanpak houdt in dat als een van de technologieën niet werkt, de andere niet noodzakelijkerwijs hetzelfde lot ondergaan. Ringhandtekeningen zijn de zwakste schakel in het privacyschema; het woord zwak betekent hier het meest vatbaar voor heuristische aanvallen. Laten we even de tijd nemen om ze te verkennen, goed?</p>\n\n<p>Zoals hierboven vermeld, is het doel van ringhandtekeningen om een uitvoer die in een transactie wordt gebruikt, te verbergen. Maak je geen zorgen als de \'input/output\'-terminologie van cryptocurrency verwarrend voor je is. Het is eigenlijk niet zo ingewikkeld. Als je \'output\' hoort, denk dan even na. Een van die dingen, niet meer zo gewoon, waarmee mensen vroeger betaalden. Net als een cheque kan het in elk bedrag worden genoteerd - \$ 10, \$ 32,50, enz. - en wordt het uitgewisseld tussen partijen die transacties uitvoeren. Voor cryptocurrencies hebben uitvoer deze functies.</p>\n\n<p>Als iemand je 10 Monero betaalt, ontvang je 10 XMR-uitvoer. Deze uitvoer heeft een waarde (10) en is wat uit de portemonnee van de afzender wordt gehaald, net zoals wanneer u voor een dienst betaalt, een rekening uw fysieke portemonnee verlaat en wordt gegeven aan de persoon van wie u koopt.</p >\n\n<p>De manier waarop de uitvoer wordt verborgen, is door een ring (vandaar de naam) van lokuitgangen te construeren. Maar deze lokvogels zijn geen \'nep\'-uitvoer\'. Het zijn echte outputs uit het verleden van de blockchain die niets te maken hebben met de huidige transactie, maar voor een externe waarnemer kan elk van deze outputs er even waarschijnlijk uitzien als de echte. De grootte van de set lokoutputs, plus de echte, wordt de ringmaat genoemd, en die van Monero is momenteel elf. Er zijn dus tien lokaasuitgangen en één echte.</p>\n\n<p>Waarom verhogen we dit aantal niet gewoon tot 100 of zelfs 1000? Hoe meer hoe beter, toch? Welnu, vanuit het oogpunt van privacy, ja, maar er zijn andere dingen waarmee u rekening moet houden. Laten we teruggaan naar een fysiek voorbeeld om te zien wat ik bedoel. Als je een van je dollarbiljetten tussen tien lokvogels zou willen verstoppen, zou je ongeveer elf dollar in je portemonnee moeten hebben voor elke dollar die je wilt uitgeven. Een echte dollar en tien neppe. Dit wordt al behoorlijk omslachtig als je zelfs maar een paar dollar wilt uitgeven. Stel je nu voor dat we het lokaasbedrag hebben verhoogd naar 1000. Voor elke dollar die je wilt uitgeven, zou je ongeveer 1001 dollar bij je moeten hebben. Je zou een koffer moeten meenemen om één reep snoep te kopen! Het is belangrijk op te merken dat ringhandtekeningen niet helemaal op deze manier werken, de lokvogels zelf maken bijvoorbeeld geen deel uit van de handtekening, maar zijn alleen verwijzingen ernaar, maar we hopen dat deze analogie enigszins nuttig kan zijn bij het weergeven van de basisconcepten.< /p>\n\n<p>De lokvogels op de blockchain werken op dezelfde manier. Elke toegevoegde lokvogel verhoogt de tijd en verificatiekosten van de transactie. Elk knooppunt moet de volledige ringhandtekening voor elke transactie downloaden en elke ringhandtekening bevat de echte uitvoer, evenals de lokvogels. Niet alleen dat, maar het moet de wiskunde verifiëren dat ten minste één van deze uitgangen echt is, en de wiskundige verificatietijd neemt ook toe met elke lokvogel. Dit betekent dat we een goede middenweg moeten vinden, waarbij de ringmaat groot genoeg is om de werkelijke output adequaat te verdoezelen, zelfs tegen vele heuristische aanvallen, maar klein genoeg om de blockchain niet enorm te laten toenemen. Het is niet genoeg om een willekeurig nummer te kiezen, of om alleen de ringmaat te vergroten als we de handtekening kleiner maken (zoals bij CLSAG). De Monero-gemeenschap wil concreet, wiskundig bewijs voor welke ringmaat de beste afwegingen zijn. Een aantal te klein en de privacy zal niet sterk genoeg zijn tegen heuristische aanvallen. Te groot, en we krijgen misschien slechts marginale voordelen op het gebied van privacy, en onnodig lijden met betrekking tot schaalvergroting.</p>\n\n<p>Nog een laatste ding om te vermelden. Sommige Monero-literatuur vereenvoudigt en zegt dat ringhandtekeningen de afzender verbergen, maar dit is niet helemaal waar, en het verschil is niet alleen belerend. Het verschil tussen de afzender (een mens) en een output (een factuur) is groot als het gaat om het behoud van privacy. Hoewel een uitvoer banden kan hebben met een afzender, is een uitvoer zelf niet gelijk aan een afzender. Dus zelfs als een ringhandtekening zou worden verbroken, hoeft deze niet noodzakelijkerwijs te worden gekoppeld aan de identiteit van een persoon, en zowel het bedrag als de ontvanger zijn nog steeds verborgen, waardoor de schade aan de privacy van alle partijen tot een minimum wordt beperkt.</p>\n\n<p>Dat wil niet zeggen dat een gebroken ringhandtekening onbelangrijk is. Alle gelekte metadata zijn slecht en hebben het potentieel om meer informatie te onthullen dan we denken, vooral wanneer ze worden gebruikt in combinatie met andere metadata. Daarom doen we ons best om ervoor te zorgen dat de gekozen ringmaat academisch streng is voor de beslissing, dat het lekken van andere metadata tot een minimum wordt beperkt en dat de gebruiker standaard de best mogelijke acties ervaart.</p>\n\n<p>Maar als de kans op een gebroken handtekening u nog steeds zorgen baart, dan is er ongelooflijk nieuws aan de horizon. De volgende generatie privacyprotocollen waaraan wordt gewerkt, zoals Triptych, Arcturus en Lelantus, hebben hele mooie mogelijkheden. In deze protocollen schaalt de grootte logaritmisch, niet lineair, naarmate de ringmaat toeneemt. Dit betekent dat we 100 lokvogels kunnen plaatsen, maar de gebruikte ruimte is dichter bij ringmaat 10 in de oude technologie. Dat is nogal een verschil en zal de privacy rondom aanzienlijk verbeteren.</p>\n\n<p>In het kat-en-muisspel dat privacy heet, innoveert Monero continu om de concurrentie voor te blijven en de beste praktische privacy voor iedereen te garanderen.<p>';

  @override
  String get knowledge250Sbrings250Sbdescription => 'Ringhandtekeningen zijn de zwakste schakel in het privacyschema; het woord zwak betekent hier het meest vatbaar voor heuristische aanvallen. Laten we ze verkennen, zullen we?';

  @override
  String get knowledge250Sbrings250Sbtitle => 'Hoe Ring-handtekeningen de resultaten van Monero verdoezelen';

  @override
  String get knowledge250Sbscams250Sb0250Sbtext => '<p>Zolang er geld is, zijn er oplichting geweest om mensen ertoe te brengen er afstand van te doen, en de cryptocurrency-ruimte is niet anders. De finaliteit van transacties in cryptocurrency, in combinatie met het feit dat er geen centrale organisatie is om ze te helpen herstellen, heeft geleid tot nieuwe en innovatieve manieren waarop oplichters kunnen stelen van nietsvermoedende gebruikers en met hun geld in de digitale leegte kunnen verdwijnen. In dit artikel nemen we de tijd om nieuwe gebruikers te informeren over enkele van de meest voorkomende zwendelpraktijken in de ruimte, maar deze lijst is zeker niet volledig en gebruikers worden aangemoedigd om op de hoogte te blijven van recente zwendeltrends en constant op de hoogte te blijven bewust en sceptisch over hun digitale omgeving.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtext => '<p>Een van de oudste scams in het boek, en een die kan plaatsvinden op elk bestaand discussieplatform. Bij deze zwendel doet de oplichter zich voor als een vertrouwd persoon van de gemeenschap of een hooggeplaatste functionaris van een gerelateerd bedrijf. Zodra het vertrouwen van het slachtoffer is verdiend door deze gevestigde reputatie, kan de oplichter een gebruiker naar een kwaadwillende site sturen, hem een programma laten downloaden dat is ontworpen om zijn geld te stelen, of de gebruiker zelfs zover krijgen dat hij hem rechtstreeks geld stuurt. Controleer altijd drie keer of de persoon met wie u praat inderdaad de juiste persoon is. Bedrijven hebben e-mails om contact mee op te nemen om hun identiteit te verifiëren (d.w.z. \"Heeft de CEO van uw bedrijf zojuist contact met mij opgenomen via Telegram?\") En andere gemeenschapsleiders kunnen meestal op andere manieren worden gecontacteerd. Controleer voordat u actie onderneemt. VOORAL als ze het gesprek met jou begonnen in plaats van jij met hen. </p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtitle => 'De bedriegerzwendel';

  @override
  String get knowledge250Sbscams250Sb2250Sbtext => '<p>Net als bij de bedriegerszwendel proberen de oplichters hier een website of app te hebben die qua uiterlijk identiek is aan bestaande en vertrouwde bedrijven, maar met code en infrastructuur die is ontworpen om uw Monero te stelen. Vaak heeft een kwaadwillende website een bijna identieke domeinnaam als de originele, en het is zelfs bekend dat deze de beste resultaten van zoekopdrachten op internet naar de site haalt door advertentieruimte te kopen. Als een voorbeeld van een vertrouwde website themonerowallet.com is, kan een scammersite the-monero-wallet.com zijn of, nog sinister, themonerȯwallet.com. Heb je het probleem met de laatste opgevangen? Boven de o staat een punt. Kijk eens: ȯ. Maar op het eerste gezicht is het misschien niet zichtbaar, en als de domeinnaam er correct uitziet en de website identiek lijkt aan wat je zou verwachten, is het maar al te gemakkelijk om in de val te trappen en je Monero-zaadje weg te geven. vind je Monero vermist voordat je weet wat je overkomt.</p>\n\n<p>Maar zoals gezegd in het begin van dit gedeelte, geldt dit niet alleen voor websites. Er zijn gevallen geweest waarin oplichters een kwaadaardige app die er identiek uitziet als bestaande portemonnees via de Google Play Store of App Store kunnen sluipen, waar deze onopgemerkt blijft totdat deze wordt gerapporteerd (wat behoorlijk wat tijd kan duren). In deze tijd denken gebruikers dat ze de juiste app downloaden, maar verliezen ze in werkelijkheid hun geld aan oplichters.</p>\n\n<p>De oplossing voor dit soort oplichting is waakzaamheid. Controleer altijd voordat u de services van een website of app gebruikt. Typ indien mogelijk de naam van een bekende website rechtstreeks in de url-balk in plaats van zoekmachines te gebruiken, en wees extra grondig wanneer er iets wordt gedownload of uw seed op enigerlei wijze wordt gebruikt. </p>';

  @override
  String get knowledge250Sbscams250Sb2250Sbtitle => 'De Business Look Alike-zwendel';

  @override
  String get knowledge250Sbscams250Sb3250Sbtext => '<p>Soms proberen oplichters niet eens subtiel te zijn. Ze maken enorme, grootse beweringen en weten dat er altijd dwazen zullen zijn die ze zullen geloven uit wanhoop, hebzucht of onwetendheid. Deze oplichting kan vele vormen aannemen, van muntprojecten die belachelijke rendementen op investeringen beloven waarbij u ze eerst geld geeft (zoals Bitconnect), tot speciale, geheime groepen die beloven u alle marktbewegingen van tevoren te vertellen, zodat u geld kunt verdienen. .voor een bedrag. Herinneren. Als iets te mooi klinkt om waar te zijn, dan is dat waarschijnlijk ook zo. Dit advies geldt vooral in de cryptocurrency-ruimte, aangezien het inzetten van een munt of een slim contract tegenwoordig triviaal is en het online plaatsen van uw duistere claims gratis is. Onthoud, als iemand echt een manier heeft gevonden om de markt te timen of een manier ontdekt om oneindig veel geld te verdienen, waarom zouden ze het je dan vertellen? Ze zouden het gewoon zelf gebruiken om rijk te worden. Waarom zouden ze het delen? Wees slim. Gebruik je hersens. Vertrouw niemand.</p>';

  @override
  String get knowledge250Sbscams250Sb3250Sbtitle => 'De regelrechte zwendel';

  @override
  String get knowledge250Sbscams250Sb4250Sbtext => '<p>Je Monero-sead IS je Monero. Je moet het opschrijven als je voor het eerst een portemonnee maakt, want als je je seed verliest, ben je je Monero kwijt en kan niemand je helpen. MAAR OOK moet je dit zaad veilig houden voor anderen. Als iemand je zaad steelt, kunnen ze de Monero uit de portemonnee sturen alsof ze jou zijn, en nogmaals, niemand kan dit geld voor je terugkrijgen. Het is weg.</p>\n\n<p>Veel te vaak heeft iemand een cold wallet van Monero bewaard, was hij nieuwsgierig naar zijn geld en wilde hij het controleren. Maar in plaats van het gedoe te doorlopen of de hele portemonnee-applicatie opnieuw te installeren, besluiten ze gewoon een webportemonnee te gebruiken om snel hun seed te herstellen en naar hun geld te kijken. Als ze het slachtoffer worden van de Business Look Alike-zwendel, geeft het invoeren van hun zaad het aan de oplichters, die het geld vervolgens naar een andere portemonnee kunnen verplaatsen die ze naar eigen goeddunken beheren. </p>\n\n<p>ALS een site, applicatie of portemonnee een \'restore with seed\'-optie heeft, moet u er goed op letten dat de applicatie die u gebruikt een legitieme applicatie is. Controleer de hashes van het programma (op de Monero-website staan instructies hoe je dit moet doen) om er zeker van te zijn dat er niet met het programma is geknoeid door krachten van buitenaf, en wees je er constant van bewust waar en hoe je je seed blootlegt. De dubbele controle kan vervelend zijn, maar het verlies van geld door onzorgvuldigheid zou nog erger zijn.</p>';

  @override
  String get knowledge250Sbscams250Sb4250Sbtitle => 'De rol van uw Monero Seed bij oplichting';

  @override
  String get knowledge250Sbscams250Sbdescription => 'Zolang er geld is, zijn er oplichting geweest om mensen ertoe te brengen er afstand van te doen - laten we de tijd nemen om enkele van de meest doordringende oplichting in de ruimte te bekijken.';

  @override
  String get knowledge250Sbscams250Sbtitle => 'Oplichting om op te letten bij het gebruik van Monero';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtext => '<p>Dit bericht beschrijft <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/Seraphis\">Seraphis</a>, een reeks transactieprotocolstructuren en abstracties ontwikkeld door pseudonieme onderzoeksmedewerker <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB\"><code>koe</code></a> voor het Monero-ecosysteem, en met voortdurende beveiligingsanalyse door pseudonieme bijdrager <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/coinstudent2048\"><code>coinstudent2048</code></a>.<br/>\nWe maken enkele vereenvoudigingen en laten bepaalde technische details weg voor de duidelijkheid; om deze reden, en omdat het ontwerp van Seraphis nog in volle gang is, dienen geïnteresseerde lezers de documentatie van Seraphis te raadplegen voor de meest up-to-date informatie.</p>';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtitle => 'Seraphis: een modulaire ontwerpupgrade voor Monero-transacties';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtext => '<p>Protocollen zoals Bitcoin en Monero en andere vertrouwen op een zogenaamd \"outputmodel\" van de werking, waarbij een <em>output</em> een representatie is van waarde die kan worden overgedragen.<br/>\nTransacties verbruiken een of meer outputs gecontroleerd door een afzender, en genereren nieuwe outputs gericht op ontvangers (of terug naar de afzender als wisselgeld); de transactie moet in evenwicht zijn doordat verbruikte outputs een totale waarde moeten bevatten die exact gelijk is aan de waarde in nieuwe outputs (plus een door het netwerk opgelegde vergoeding). <br/>\nIn veel protocollen, zoals Bitcoin, wordt de waarde in een uitvoer duidelijk geschreven, net als de ontvanger.<br/>\nBovendien is het, door naar de blockchain te kijken, triviaal om te zien of en wanneer een output is uitgegeven (dat wil zeggen, of het is verbruikt in een latere transactie, en door welke transactie het is uitgegeven). </p>\n<p>Daarentegen introduceren protocollen zoals Monero een ander ontwerp:</p>\n\n<ul>\n<li>Uitvoerwaarden zijn verborgen en niet zichtbaar op de blockchain</li>\n<li>Ontvangeradressen worden verborgen door het gebruik van een eenmalig adresseringsprotocol</li>\n<li>Of een output al dan niet is uitgegeven, wordt verdoezeld door het gebruik van dubbelzinnige handtekeningen</li>\n</ul>\n\n<p>Het resultaat is dat het bij afwezigheid van externe informatie moeilijk is om te bepalen of een bepaalde output is uitgegeven, wat de waarde ervan is en wie de ontvanger is.</p>\n\n<p>Het huidige Monero-transactieprotocol heet <em>RingCT</em> en gebruikt verschillende cryptografische bouwstenen om deze ontwerpdoelen te bereiken.</p>\n\n<ul>\n<li><em>Verplichtingen</em> verbergen bedragen op een wiskundig handige manier</li>\n<li><em>Bereikbewijzen</em> voorkomen overloop waardoor de toevoer kan worden opgeblazen</li>\n<li><em>Koppelbare ringhandtekeningen</em> zorgen voor dubbelzinnigheid bij de ondertekenaar en voorkomen dubbele uitgaven</li>\n<li><em>Commitment offsets</em> stellen dat transacties in evenwicht zijn</li>\n</ul>\n\n<p>Deze bouwstenen zijn zorgvuldig met elkaar verweven om het RingCT-protocol te bouwen.</p>\n\n<p>Een handige eigenschap van het RingCT-protocol is dat sommige bouwstenen zodanig kunnen worden gewijzigd of geüpgraded dat het algehele ontwerp en de eigenschappen intact blijven, maar dat efficiëntie- of beveiligingsverbeteringen kan opleveren.\nIn de geschiedenis van Monero zijn dit soort upgrades zelfs meerdere keren voorgekomen (of zijn gepland).\nBereikbewijzen in het oorspronkelijke RingCT-protocol waren omvangrijk en traag; ze werden later geüpdatet naar een constructie genaamd <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2017/1066\">Bulletproofs</a> die transacties kleiner en sneller maakte met betere beveiligingsanalyse, en het is de bedoeling dat ze worden geüpdatet naar een nieuwere constructie genaamd <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/735\">Bulletproofs+</a> voor nog grotere efficiëntievoordelen. </p>\n\n<p>Een soortgelijk proces werd ondergaan met de bouwsteen van de koppelbare ringsignatuur.\nIn het oorspronkelijke protocol werd een constructie met de naam <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ledger.pitt.edu/ojs/ledger/article/view/34\">MLSAG</a> gebruikt.\nDit werd later geüpdatet naar een nieuwere constructie genaamd <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/654\">CLSAG</a> die sneller is, resulteert in kleinere transacties en een betere beveiligingsanalyse heeft.\nEr werd een nog nieuwere, koppelbare ringsignatuurconstructie voorgesteld, gebaseerd op <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/018\">Triptych</a>, maar deze werd niet geselecteerd voor implementatie vanwege de gevolgen voor operaties met meerdere handtekeningen.</p>';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtitle => 'Transacties in Monero';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtext => '<p>Seraphis gaat nog een stap verder met dit idee.<br/>\nIn plaats van individuele bouwstenen van het bestaande RingCT-transactieprotocol bij te werken, introduceert het een ander protocol dat kan profiteren van verschillende bouwstenen en verbeterde functionaliteit biedt.</p>';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtitle => 'Seraphis';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtext => '<p>Seraphis gebruikt een andere set cryptografische bouwstenen om zijn ontwerpdoelen te bereiken.</p>\n\n<ul>\n<li><em>Toezeggingen</em> verbergen nog steeds bedragen</li>\n<li><em>Bereikbewijzen</em> voorkomen nog steeds overloop en voorraadinflatie</li>\n<li><em>Lidmaatschapsbewijzen</em> zorgen voor dubbelzinnigheid van de ondertekenaar</li>\n<li><em>Commitment offsets</em> behouden nog steeds saldo</li>\n<li><em>Bewijzen autoriseren</em> voorkomen dat dubbele uitgaven worden gedaan</li>\n</ul>\n\n<p>Let op de verandering hier: koppelbare ringhandtekeningen worden vervangen door een combinatie van lidmaatschapsbewijzen en machtigingsbewijzen.\nGrofweg laten lidmaatschapsbewijzen zien dat een verbruikte output deel uitmaakt van een grotere set, vergelijkbaar met wat er gebeurt in RingCT.\nMaar in tegenstelling tot RingCT, hebben lidmaatschapsbewijzen helemaal geen linktag nodig!\nAutorisatiebewijzen tonen aan dat de linking tag geldig is en worden gebruikt om de uiteindelijke transactie te ondertekenen.</p>\n\n<p>Omdat RingCT de koppelingstag in de dubbelzinnige handtekening bakt, zijn ondertekenings- (en multisignatuur-) bewerkingen meer rekenintensief en wordt het een grotere uitdaging om andere taggerelateerde functionaliteit te bouwen.\nMaar in Seraphis kan het samenstellen van lidmaatschapsbewijzen veilig worden gedelegeerd van zeer vertrouwde apparaten (die mogelijk beperkte rekenkracht hebben, zoals een hardware wallet) naar een minder vertrouwd apparaat, en ondertekenings- (en meervoudige handtekeningen) bewerkingen zijn veel eenvoudiger met behulp van het veel eenvoudigere autorisatiebewijs .</p>\n\n<p>Gelukkig bestaan sommige van de bouwstenen die Seraphis nodig heeft al elders en hoeven ze niet vanaf nul te worden ontworpen.\nZowel de Bulletproofs als de Bulletproofs+ constructies kunnen gebruikt worden als range proofs.\nWijzigingen aan testsystemen van het Schnorr-type kunnen worden gebruikt voor het autoriseren van proeven.\nEn een efficiënt <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2015/643\">testsysteem</a> dat al wordt gebruikt als basis voor Triptych, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/373\">Lelantus</a> en <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2021/1173\">Spark</a><sup>*</sup> kan worden aangepast voor lidmaatschapsbewijzen.[ X2127X]\n\n<p><sup>*</sup> Cypher Stack ontvangt financiering voor Spark-ontwikkeling.</p>';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtitle => 'Bouw blokken';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtext => '<p>Helaas zijn de momenteel in gebruik zijnde Monero-adressen niet compatibel met Seraphis.\nGebruikers zouden nieuwe adressen moeten genereren uit hun portemonneesleutels om Monero te ontvangen als Seraphis zou zijn geïmplementeerd.\nDeze ecosysteemkosten brengen echter tal van voordelen met zich mee.</p>\n\n<p>Afgezien van de hierboven besproken structurele voordelen, is het Seraphis-ontwerp vatbaar voor veel verschillende adresconstructiemogelijkheden, die allemaal gepaard gaan met compromissen.\nHoewel de definitieve adresconstructie die in Seraphis zal worden gebruikt <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/92\">nog wordt besloten</a> (een schema dat veel aandacht krijgt, heet <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://gist.github.com/tevador/50160d160d24cfc6c52ae02eb3d17024\">JAMTIS</a>), kunnen we enkele algemene en nuttige functies beschrijven.</p> ]\n\n<p>Je weet misschien dat Monero-adressen <em>weergavesleutel</em>-functionaliteit bieden, waarmee je een apparaat of een derde partij een weergavesleutel kunt geven en deze namens jou naar inkomende uitvoer kunt laten kijken, maar zonder de uitgaven op te geven Gezag.\nDit is handig voor portefeuilles, die up-to-date kunnen blijven terwijl uw uitgavensleutel veilig wordt opgeborgen.\nHet is ook handig voor gevallen waarin u toegang wilt tot externe weergaven, zoals een openbare liefdadigheidsinstelling die transparantie biedt of een bedrijf met een boekhoudafdeling.</p>\n\n<p>Het nadeel van Monero-weergavetoetsen is dat ze geen volledige of fijnmazige weergavetoegang bieden.\nHet is niet mogelijk om op betrouwbare wijze te detecteren wanneer een portemonnee geld uitgeeft, wat het moeilijk maakt om het saldo van de portemonnee correct te berekenen wanneer de bestedingssleutel niet beschikbaar is.\nHet is momenteel ook niet mogelijk om inkomende outputs te detecteren zonder ook de waarde in die outputs te leren (wat betekent dat derden die verantwoordelijk zijn voor het vinden van inkomende outputs precies weten hoeveel Monero je verwerft).</p>\n\n<p>Seraphis adresseringsconstructies kunnen dit oplossen.\nMet Seraphis is je adres uitgerust met verschillende sleutels die verschillende dingen kunnen doen:</p>\n\n<ul>\n<li>Let op inkomende uitvoer, maar verberg de waarde ervan</li>\n<li>Let op inkomende outputs, maar toon hun waarde</li>\n<li>Let op uitgaande uitvoer</li>\n<li>Help u om transacties te genereren, maar niet om ze te ondertekenen</li>\n<li>Genereer nieuwe adressen (handig voor winkeliers of uitwisselingen met veel klanten)</li>\n</ul>\n\n<p>Als adreshouder mag u beslissen hoeveel bevoegdheid u delegeert aan andere apparaten of derden.</p>';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtitle => 'Adressering';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtext => '<p>Seraphis is een grote verandering in het Monero-ecosysteem.\nHoewel het aanpassingen aan adressen en transactiebouwstenen met zich meebrengt, biedt het ontwerp flexibiliteit en handige functionaliteit die niet mogelijk is met het huidige RingCT-protocol.\nTerwijl een groot deel van het ontwerp is voltooid en wordt ontwikkeld tot <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/monero/tree/seraphis_lib\">een implementatie</a>, zijn adresontwerp en beveiligingsanalyse aan de gang.\nSeraphis biedt een uitstekende mogelijkheid om het Monero-ecosysteem vooruit te helpen! </p>';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtitle => 'De grote afbeelding';

  @override
  String get knowledge250Sbseraphis250Sbdescription => 'Vandaag hebben we het over Seraphis, een aanstaande reeks transactieprotocolstructuren en abstracties voor het Monero-ecosysteem.';

  @override
  String get knowledge250Sbseraphis250Sbtitle => 'Seraphis: wat het zal doen voor Monero';

  @override
  String get knowledge250Sbsov250Sb0250Sbtext => '<p> Het is een veelgehoord punt (en we zijn er volledig van overtuigd) dat Monero een beter ruilmiddel is dan transparantiemunten, waaronder Bitcoin. Dit komt omdat de inherente privacy van Monero het onmogelijk maakt om te volgen, waardoor veel gevaren worden omzeild die voortvloeien uit het beschikbaar hebben van uw geldstroom voor alle geïnteresseerde partijen. Bovendien maakt de privacy fungibiliteit mogelijk, zodat gebruikers er zeker van kunnen zijn dat elke Monero die wordt ingewisseld voor een goed of dienst gelijk is aan een ander, aangezien er geen gekoppeld verleden is.</p>\n\n<p>Hoe gewoon dit gespreksonderwerp ook is, er is er nog een dat er meestal naast opduikt; dat hoewel Monero misschien wel het betere ruilmiddel is, Bitcoin de betere waardeopslag is. Het is niet ongebruikelijk om dit te horen, zelfs binnen de Monero-gemeenschap. Gebruik Monero als een uitgavenrekening en gebruik Bitcoin als een spaarrekening. Wanneer ze worden aangespoord om te redeneren, denken deze gebruikers niet eens dat het noodzakelijk is omdat de prijs van Bitcoin sneller stijgt dan die van Monero, maar omdat Bitcoin \'eigenschappen\' heeft die het als digitaal goud maken. </p>\n\n<p>We zijn het van harte oneens met dit idee en willen in dit artikel uitleggen waarom. De radicale transparantie van Bitcoin doet meer afbreuk aan zijn eigenschappen als waardeopslag dan mensen zich realiseren. Het eerste en meest voor de hand liggende voorbeeld hiervan is het voorstellen van een andere algemeen aanvaarde waardeopslag, goud, met de transparantie die Bitcoin heeft. </p>\n\n<p>Wat zou er gebeuren met het vertrouwen in goud als het (onbeduidend vaak) mogelijk zou zijn om een hoeveelheid goud te koppelen aan een individu of groep? Zou het nog steeds worden gebruikt zoals het is als elke keer dat er goud wordt overgedragen, bekend is dat er een overdracht heeft plaatsgevonden, wie de afzender en ontvanger waren en hoeveel goud er is overgedragen? Wij denken van niet.</p>\n\n<p>Een van de eigenschappen van goud, die inherent is aan het feit dat het een object uit de echte wereld is, is dat het van nature privé is. Men kan het kunstmatig een geschiedenis geven door vorige eigenaren in een goudstaaf te brandmerken, maar deze kunnen eenvoudig worden verwijderd door de staaf om te smelten en opnieuw te maken, een optie die niet aanwezig is in Bitcoin.</p>\n\n<p>Deze transparantie in beweging, hoewel destructief genoeg op zichzelf, is niet de enige fout die goud zou hebben als alle informatie over zijn beweging voor iedereen beschikbaar zou zijn. Door de aard van de goudstroom te kennen, zouden we kunnen identificeren welke entiteiten in de echte wereld er grote voorraden van hebben. Sommige hiervan zijn misschien geen instellingen, maar individuen zonder grootschalige beveiligingsinstellingen. Het is niet ongehoord dat de gewone persoon goud koopt als bescherming tegen een catastrofe, en we weten nu dat Joe Schmoe verderop in de straat 10.000 dollar ergens in zijn huis heeft liggen. Geen informatie waarvan Joe waarschijnlijk wil dat de wereld het weet.</p>\n\n<p>Een goede waardeopslag betekent niet alleen dat de prijs stabiel is of mogelijk zal stijgen, het betekent dat de houder zich op zijn gemak voelt en vertrouwen heeft in de veiligheid van de plek waar hij zijn geld heeft neergezet. Dus, met radicale transparantie, wordt goud ongemakkelijk in beweging en potentieel gevaarlijk in rust. Het is dan goed om te weten dat dit slechts een gedachte-experiment was en dat goud deze eigenschappen niet heeft. Goudbeleggers kunnen opgelucht ademhalen.</p>\n\n<p>Maar hetzelfde kan niet gezegd worden van Bitcoin.</p>\n\n<p>De privacy van Monero biedt inderdaad veel betere beveiliging, zowel in beweging als in rust, voor iedereen die het wil gebruiken als lopende rekening of als spaarrekening.</p>\n\n<p>Voorstanders van Bitcoin zullen echter beweren dat Bitcoin veiliger is als waardeopslag omdat er een grotere hashrate achter zit, waardoor de kans veel kleiner is dat de keten wordt herschreven (d.w.z. uw opgeslagen munten kunnen worden ingenomen) , en hoewel dit momenteel waar is, is het een sociaal probleem dat in de loop van de tijd kan worden veranderd in plaats van een fundamenteel technologisch probleem dat waarschijnlijk nooit zal worden verholpen. </p>\n\n<p>Een tweede argument voor Bitcoin is dat het een vaste voorraad heeft, terwijl Monero een staartemissie heeft. Dit wordt geëxtrapoleerd om te betekenen dat Monero een oneindige voorraad heeft, dus het is net zo ongeschikt om waarde op te slaan als fiat. Op het eerste gezicht is dit absoluut het meest overtuigende argument van de twee, dus we willen dit graag in detail bespreken. </p>\n\n<p>Hoewel Monero een staartemissie heeft, is dit om de veiligheid van Monero op de lange termijn te garanderen. Zodra de laatste Bitcoin is geslagen, zal er geen blokbeloning meer zijn, waardoor de vergoedingsmarkt alleen overblijft om mijnwerkers te stimuleren om de keten veilig te stellen. Er is al voorlopig onderzoek dat suggereert dat dit niet genoeg zal zijn en dat de beveiliging van de keten drastisch zal dalen, waardoor de keten kwetsbaar wordt voor 51% aanvallen.</p>\n\n<p>Uiteindelijk betekent dit dat je een waardeopslag hebt verzameld die je nooit kunt verplaatsen uit angst voor een aanval. Terugkomend op goud: zou goud überhaupt nuttig zijn als waardeopslag als het onmogelijk of onbetaalbaar gevaarlijk was om te verplaatsen, te verkopen of te ruilen? Wat heb je aan ontoegankelijke waarde? Wat heb je aan opgeslagen waarde van miljoenen dollars als het alleen maar voor eeuwig in een bodemloze put kan blijven zitten? </p>\n\n<p>Laten we het andere deel van deze kritiek behandelen in plaats van het Monero-gedeelte van het probleem met de hand weg te wuiven. De staartemissie. Hoewel het waar is dat het een doel heeft, zouden sommigen het loutere bestaan van de staartemissie kunnen zien als bewijs dat Monero niet schaars kan zijn en net als fiat werkt. Dit is ook niet waar. Fiat heeft een op percentages gebaseerd inflatiemodel, en zelfs dit is niet in steen gebeiteld, maar eerder onderworpen aan een ondoorzichtig lichaam van corrupte mensen. Dit in tegenstelling tot Monero, dat lineair wordt opgeblazen, wat betekent dat de inflatie in de loop van de tijd richting nul evolueert. Het betekent ook dat, in tegenstelling tot fiat, inflatie eenvoudig met zekerheid kan worden berekend en gepland. </p>';

  @override
  String get knowledge250Sbsov250Sbdescription => 'XMR is het betere ruilmiddel, maar BTC is de betere waardeopslag? We zijn het oneens. De transparantie van BTC doet meer afbreuk aan zijn eigenschappen als waardeopslag dan mensen zich realiseren.';

  @override
  String get knowledge250Sbsov250Sbtitle => 'Waarom Monero een betere waardeopslag is dan Bitcoin';

  @override
  String get knowledge250Sbstealth250Sb0250Sbtext => '<p>Monero heeft een drieledige benadering van privacy geïmplementeerd. Deze technologieën zijn <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">ringhandtekeningen</a>, die de werkelijke output (afzender) verbergen, RingCT die de bedragen verbergt, en stealth-adressen, die de ontvanger verbergt. Vandaag bespreken we de laatste van deze genoemde technologieën: stealth-adressen.</p>\n\n<p>Er zijn veel redenen waarom een persoon zou willen verbergen naar wie ze verzenden. We mogen ons nooit door iemand laten proberen te overtuigen dat alle voorbeelden hiervan onsmakelijk gedrag zijn. Dingen zoals het sturen naar een impopulaire politieke partij, het doneren aan liefdadigheidsinstellingen of het steunen van degenen die volgens de cultuur \'geannuleerd\' zijn, zijn allemaal voorbeelden van waar men hun bestedingsgedrag zou willen verbergen uit angst voor repercussies, maar ze zijn volkomen legitiem van aard.[X840XX840XX840X ]\n\n<p>Op een transparante blockchain zijn de adressen waar iemand zijn transacties naartoe stuurt voor iedereen zichtbaar. Het is belangrijk om te bedenken dat als mijnwerkers het zelf niet eens zijn met waar het geld naartoe gaat, ze ervoor kunnen kiezen om het niet in een blok te minen, waardoor deze transactie effectief wordt gecensureerd op een schijnbaar censuurbestendig platform. De enige manier om deze, weliswaar onwaarschijnlijke, censuur niet mogelijk te maken, is als mijnwerkers geen onderscheid kunnen maken tussen transacties, omdat alle metagegevens op de keten op verschillende manieren worden verdoezeld. Iets waar Monero bekend om staat.</p>\n\n<p>Monero lost dit probleem van transparante adressen op door stealth-adressen te implementeren, een technologie die oorspronkelijk in 2011 voor Bitcoin werd gemaakt door Bitcoin Talk-forumgebruiker ByteCoin (de relatie met Bytecoin, die later stealth-adressen zou integreren, is onbekend). De huidige vorm van stealth-adressen heeft echter verschillende verbeteringen ten opzichte van het oorspronkelijke idee. Maar laten we het eerst over toetsen hebben om te zien hoe ze werken.</p>\n\n<p>Het is moeilijk om in de cryptocurrency-ruimte te zijn en niets over sleutels te horen. Zinnen als \'back-up van uw privésleutel\' komen vaak voor, maar wanneer een gemiddelde Joe de woorden \'publieke sleutel\' en \'privésleutel\' hoort, worden ze bang en denken ze dat het te technisch en verwarrend zal zijn om te begrijpen. Maar maak je geen zorgen. We doen het rustig aan en gebruiken veel voorbeelden.</p>\n\n<p>De twee soorten sleutels die in cryptocurrencies worden gebruikt, zijn, zoals zojuist vermeld, openbaar en privé. Deze twee sleutels komen meestal in een paar, wat betekent dat een bepaalde publieke en private sleutel aan elkaar gekoppeld zijn. In feite is de openbare sleutel meestal afgeleid van de privésleutel, wat betekent dat als u de privésleutel kent, uw portemonnee handig kan rekenen en elke keer de juiste openbare sleutel kan vinden. </p>\n\n<p>Nu, zoals de namen impliceren, kan de openbare sleutel openbaar zijn zonder consequenties. Meestal is het een deel van het adres dat u deelt om geld in uw cryptocurrency-portemonnee te ontvangen. Ook in navolging van zijn naamgenoot is de privésleutel er een die niet mag worden gedeeld. Het is het ding waarmee je een transactie kunt ondertekenen en uitgeven, dus als het wordt gestolen of gedeeld, kan de lafhartige derde partij je geld uitgeven, meestal aan zichzelf.</p>\n\n<p>Een gemakkelijke analogie hiervan is een hangslot en de sleutel die nodig is om het te ontgrendelen. Het open hangslot kan vrij worden gedeeld, en inderdaad kan alles worden afgesloten met dit hangslot, maar alleen de persoon met de sleutel kan alles openen waarop het hangslot is gesloten. Het hangslot kan worden gekopieerd en gedeeld, de sleutel niet.</p>\n\n<p>Deze sleutels worden meestal geabstraheerd weg van de gebruiker, dus je ziet ze nooit echt. In Monero verschijnen ze helemaal niet als een enge alfanumerieke string. In Monero kent de gewone gebruiker de privésleutel als zijn seed. De seed (die je zou moeten opschrijven als je die niet hebt), is eigenlijk gewoon een door mensen leesbare privésleutel. </p>\n\n<p>Zie? Toch niet zo eng. Terug naar geheime adressen.</p>\n\n<p>Zoals eerder vermeld, zijn stealth-adressen oorspronkelijk niet gemaakt voor Monero, maar voor Bitcoin. Zoals met de meeste nieuwe ideeën, had deze eerste iteratie echter problemen. De volgende poging kwam toen CryptoNote werd gemaakt door Nicholas van Saberhagan voor Bytecoin, de voorloper van Monero (<a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">bekijk hier onze geschiedenis van Monero en Bytecoin</a>), en hoewel het een duidelijke verbetering was ten opzichte van het origineel, had het zelfs enkele subtiele gebreken.</p>\n\n<p>Uiteindelijk kwam er een laatste iteratie tot stand door een ontwikkelaar voor een andere inmiddels ter ziele gegane privacy-cryptocurrency, die de openstaande privacy- en beveiligingsproblemen met het idee oploste. Dit vond uiteindelijk zijn weg naar Monero en is wat tegenwoordig wordt gebruikt. </p>\n\n<p> Hoewel deze privacy- en beveiligingsproblemen waren opgelost, voegden stealth-adressen zelf een ander soort eigenaardigheid toe aan blockchain-technologieën, een die voorheen niet bestond. De noodzaak om te scannen. Aangezien ontvangende adressen niet openbaar worden weergegeven op de blockchain, weet de ontvanger nooit of een bepaalde transactie van hen is, dus moeten ze elke inkomende transactie met hun privésleutel scannen om te zien of deze van hen is.</p>\n\n<p>Met transparantiemunten hoeven ze alleen maar te controleren of er een transactie naar uw adres wordt verzonden. Een makkelijke ja of nee vraag. Maar met stealth-adressen kan elke transactie mogelijk naar u worden verzonden, dus u moet elke transactie proberen te ontgrendelen met uw privésleutel om te zien of deze wordt geopend. </p>\n\n<p>Dit is een extra stap die Bitcoin en zijn derivaten niet hebben, en maakt de eerste setup van de portemonnee, samen met het synchroniseren van een portemonnee wanneer u deze een tijdje niet hebt geopend, veel langer dan Bitcoin. De afweging is echter nodig om de privacygaranties te ontgrendelen die het heeft. Opgemerkt moet worden dat, in tegenstelling tot het zwakste punt van de privacytrifecta, ringhandtekeningen, stealth-adressen niet vatbaar zijn voor heuristiek. Het vertrouwt op beproefde elliptische curve-cryptografie, waar het hele internet op vertrouwt, dus het breken ervan zou een einde betekenen aan de computerbeveiliging in het algemeen, niet alleen aan Monero.</p> ';

  @override
  String get knowledge250Sbstealth250Sbdescription => 'Op een transparante blockchain zijn de adressen waar men zijn transacties naartoe stuurt voor iedereen zichtbaar. Monero lost dit probleem op door stealth-adressen te implementeren.';

  @override
  String get knowledge250Sbstealth250Sbtitle => 'Hoe Monero Stealth-adressen je identiteit beschermen';

  @override
  String get knowledge250Sbsubaddresses250Sb0250Sbtext => '<p>Monero heeft altijd innovatieve manieren gevonden om lastige privacyproblemen op te lossen. Vaak leiden deze innovaties tot andere innovaties, en soms kunnen deze resulterende technologieën zelfs worden gebruikt voor use-cases die nog niet eerder waren overwogen. Nergens wordt dit beter geïllustreerd dan in het geval van de subadrestechnologie van Monero. </p>\n\n<p>Beschouw een hypothetisch privacyprobleem, waarbij het gebruik van één adres op meerdere platforms van ogenschijnlijk niet-verwante mensen kan leiden tot koppeling en deanonimisering van die mensen. Simpel gezegd, als u een persoon was die Billy Joe Bob heette en u appels verkocht voor Bitcoin, zou u uw Bitcoin-adres op een openbare plaats kunnen plaatsen zodat klanten u kunnen betalen. Laten we zeggen dat het adres begint met de alfanumerieke reeks 7XybV3... Maar afgezien van het voor de hand liggende privacyrisico dat iemand je Bitcoin-saldo kan controleren en zien hoeveel je hebt verkocht, is er een tweede, niet vaak besproken privacyrisico. Laten we zeggen dat je ook een ondergrondse hacker was met de naam l33tz0r. Je doet klokkenluiderswerk, vertelt een nietsvermoedende bevolking over corruptie bij de overheid, en het is absoluut noodzakelijk dat je je identiteit geheim houdt. U accepteert Bitcoin-donaties voor uw werk en plaatst het adres op een openbaar forum. Het is hetzelfde adres waarop u geld accepteert van uw Apple-klanten. De 7XybV3... een.</p>\n\n<p>Een eenvoudige, maar verwoestende deanonimiseringsaanval zou zijn om een internetzoekmachine te gebruiken om naar uw Bitcoin-adres te zoeken. Als u het adres van 7XybV3... in de engine invoert, krijgt u twee verschillende resultaten. De appelhandel, en l33tz0r. Dit is genoeg om de twee identiteiten te koppelen en l33tz0r te deanonimiseren, met mogelijk angstaanjagende gevolgen van de heersende machten.</p>\n\n<p>Het is belangrijk op te merken dat deze aanval OOK mogelijk is met Monero. Hoewel Monero de meeste on-chain-gegevens verbergt, gebruikt deze aanval er geen. Het gebruikt alleen het adres, dat moet worden gedeeld om de betaling te ontvangen. Openbaar in het geval van anonieme donaties. Dit is een mogelijke manier waarop Monero-gebruikers onbewust hun privacy kunnen schaden, en het is ook een voorbeeld van hoe, hoewel Monero het beste is wat betreft privacybehoud, het niet waterdicht is.</p>\n\n<p>De gebruikelijke manier om dit probleem te omzeilen was het bezit van meerdere portefeuilles. Omdat er voor elke identiteit (of usecase) verschillende adressen zijn gepost, kunnen ze niet worden gekoppeld. Maar deze privacy geldt alleen als de gebruiker ze nooit door elkaar haalt. Het per ongeluk posten van het onjuiste adres zou dezelfde koppelingseffecten hebben. Ook moet de seed van elk adres veilig worden bewaard, waardoor het infosec-werk dat nodig is bij elke nieuwe portemonnee die wordt gemaakt, toeneemt. </p>\n\n<p>Monero\'s oplossing was subadressen. De mogelijkheid om een absoluut enorm aantal adressen onder het hoofdadres aan te maken en dit als een soort zaadje te gebruiken. Elk gegenereerd subadres kan Monero accepteren en alles gaat naar dezelfde portemonnee. Met deze methode is het aantal identiteiten dat onder één adres kan worden beheerd enorm, terwijl het infosec-werk tot een minimum wordt beperkt. Deze adressen zijn ook niet wiskundig koppelbaar, dus tenzij de gebruiker hun verbinding met de wereld roept, zal een externe waarnemer grote moeite hebben om ze te koppelen.</p>\n\n<p>Maar een andere interessante usecase kwam voort uit subadressen; als vervangingsoptie van de universeel gehate betalings-ID\'s. </p>\n\n<p>Betalings-ID\'s waren een manier voor verkopers om te identificeren welke klant welke betaling heeft verzonden. Omdat Monero-informatie op de ketting verborgen is, kan de ontvanger van een transactie niet zien welk adres het heeft verzonden. Dit betekent dat als er artikelen met een vergelijkbare prijs en meerdere bestellingen zijn, het onmogelijk kan worden om te identificeren wie wat heeft verzonden. Betalings-ID\'s zijn een unieke, willekeurige reeks die door de handelaar wordt gegenereerd en aan de klant wordt gegeven. De klant voegt dit als een apart veld toe bij het versturen van de transactie. Deze willekeurige reeks wordt op de blockchain geplaatst als onderdeel van de transactie, en op deze manier kan de handelaar inkomende transacties identificeren en sorteren.</p>\n\n<p>Deze methode was op verschillende manieren gebrekkig. Ten eerste doet het afbreuk aan de uniformiteit van on-chain data. Aanvullende, unieke metadata kunnen ervoor zorgen dat sommige transacties zich onderscheiden van de massa, waardoor heuristische analyse mogelijk wordt. Dit is met name het geval wanneer deze metadata niet voor iedereen als verplicht wordt afgedwongen. Dit verplicht stellen voor iedereen zou echter onnodige ruimte aan de blockchain toevoegen en werd niet nagestreefd. En als een betalings-ID ooit om welke reden dan ook opnieuw zou worden gebruikt, zou het triviaal zijn om twee transacties als verbonden te koppelen. Dit gebeurde meestal met wisseldeposito\'s, en iedereen kon gemakkelijk transacties koppelen als zowel een storting op een beurs als van een bepaalde persoon. </p>\n\n<p>Ten tweede, vanuit een UX-perspectief creëren betalings-ID\'s een tweede stap waaraan cryptocurrency-gebruikers die van andere munten komen niet gewend zijn, en als ze worden vergeten, veroorzaakt dit een enorme hoofdpijn voor de handelaar die deze transacties op een andere manier moet identificeren . Dit werd meestal gedaan door rechtstreeks met elke klant te spreken die was vergeten de betalings-ID in te voeren en andere identificerende informatie te bevestigen die alleen zij konden weten, zoals een combinatie van het bedrag, de verzenddatum en de transactie-ID.</p>\n\n<p>Deze extra stap werd door velen over het hoofd gezien en het kwam op het punt dat sommige exchanges klanten geld in rekening brachten als hun geld handmatig moest worden opgehaald omdat ze een betalings-ID waren vergeten. Anderen knarsetandden en aten de extra ondersteuningskosten, maar niemand was er blij mee.</p>\n\n<p>Er was één oplossing hiervoor, geïntegreerde adressen, die het adres en de betalings-ID samenvoegden tot één string, zodat het niet vergeten kon worden, maar de acceptatie was tamelijk zwak, ondanks de voordelen die verkopers zouden hebben gehad als ze het zouden opnemen. </p>\n\n<p>In een interessante gang van zaken kwamen subadressen binnen om de dag te redden. De mogelijkheid om grote hoeveelheden subadressen per hoofdadres te genereren en te identificeren welke transacties op welke subadressen binnenkwamen, stelde verkopers in staat om zich op een elegante manier te ontdoen van betalings-ID\'s, terwijl ze de volgende generatie Monero-technologie adopteerden. Sindsdien zijn de meeste exchanges en merchant tools overgeschakeld naar subadressen als primaire manier van transactie-identificatie.</p>\n\n<p>Wat begon als een oplossing voor een privacyprobleem, veranderde in iets veel meer, dat een groot UX-probleem oploste voor zowel verkopers als klanten. Innovatie brengt meer innovatie voort, wat vaak kan leiden tot onverwachte overwinningen voor iedereen. Monero heeft dit keer op keer gezien en steekt veel energie in het innoveren van wat mogelijk is op de blockchain. Wie weet welke andere dingen we samen kunnen ontgrendelen?</p>';

  @override
  String get knowledge250Sbsubaddresses250Sbdescription => 'Monero heeft altijd innovatieve manieren gevonden om lastige privacyproblemen op te lossen. Nergens wordt dit beter geïllustreerd dan in het geval van de subadrestechnologie van Monero.';

  @override
  String get knowledge250Sbsubaddresses250Sbtitle => 'Hoe Monero-subadressen identiteitskoppeling voorkomen';

  @override
  String get knowledge250Sbtitle => 'Kennis';

  @override
  String get knowledge250Sbtrust250Sb0250Sbtext => '<p>Er zijn maar weinig ideeën op het gebied van cryptocurrency die zoveel aandacht en discussie krijgen als het concept van vertrouwen, en niet zonder reden. Het hele doel van een blockchain is immers om het vertrouwen in derden weg te nemen.</p>\n\n<p>Voor degenen die het idee niet helemaal begrijpen, hier is een lichte inleiding. In het traditionele financiële systeem worden derden over het algemeen voor verschillende taken ingeschakeld. Banken worden gebruikt om namens u geld te beveiligen tegen diefstal, arbiters. Escrows worden gebruikt zodat zakelijke deals kunnen worden gesloten tussen twee partijen die elkaar niet vertrouwen. Creditcardmaatschappijen betalen namens jou geld uit voor goederen en diensten, waarbij ze het risico lopen dat je ze niet terugbetaalt.</p>\n\n<p>Elk van deze instanties vereist vertrouwen. Voor de banken en escrow-agenten vertrouwt u erop dat zij er zelf niet met uw geld vandoor gaan, en voor creditcardmaatschappijen vertrouwt u erop dat ze zonder uw toestemming geen geld op uw naam zullen uitbetalen, wat allemaal heel goed mogelijk is. We doen wat we kunnen om ervoor te zorgen dat deze dingen niet gebeuren. We werken alleen met vertrouwde bedrijven en individuen, en we stellen wetten op om de bovenstaande scenario\'s onwettig te maken en proberen de gevolgen voor overtreders te garanderen, maar dat weerhoudt ze er niet altijd van.</p>\n\n<p>Bovendien zijn deze diensten niet gratis. Escrow-agenten en banken kunnen kosten in rekening brengen voor hun diensten, en creditcards rekenen rente op geleend geld.</p>\n\n<p>Blockchain is gemaakt om deze tussenpersonen te elimineren, en het vertrouwen en de vergoedingen die daarmee gepaard gaan. Door de kracht van consensus kunnen gebruikers zelf de staat van het grootboek afdwingen, zonder iemand te vertrouwen om hen te vertellen hoeveel geld ze hebben, en zonder vertrouwde derde partijen die mogelijk met uw geld aan de haal gaan.</p>\n\n<p>Er wordt zoveel nadruk gelegd op deze betrouwbaarheid, dat elke verandering of technologische toevoeging die een element van vertrouwen toevoegt aan de blockchain, met grote scepsis en kritiek wordt onthaald, en sommige projecten verwerpen al dergelijke ideeën ronduit. Het is dan ook interessant dat er niet dezelfde aandacht wordt besteed aan privacy.</p>\n\n<p>Wederom kijken we naar de rest van de wereld en zien we dat onze privacy maar al te vaak is overgeleverd aan \'vertrouwde\' derden. Wanneer we onze fysieke adressen geven voor een item dat we naar ons willen laten verzenden, vertrouwen we erop dat de winkel in kwestie deze informatie niet voor snode doeleinden zal gebruiken of aan anderen zal verkopen. Hetzelfde geldt voor onze persoonlijke gedachten of foto\'s die we op sociale media plaatsen. Het is zelfs van toepassing op onze financiën, zoals verschillende hacks binnen de boekhoudsector, of financiële apps die ronduit posten op een interne openbare raad waar mensen geld aan uitgeven (d.w.z. Venmo). </p>\n\n<p>Monero ziet deze toewijding aan betrouwbaarheid op de blockchain en past een vergelijkbare standaard toe op hoe we privacy benaderen. Onze privacy zou niet afhankelijk moeten zijn van een derde partij die belooft om het veilig te houden, net zomin als onze financiën afhankelijk zouden moeten zijn van anderen die ons beloven dat ze er niet mee vandoor zullen gaan. Hiertoe zorgt Monero ervoor dat alle geïmplementeerde privacytechnologieën betrouwbaar zijn.</p>\n\n<p>Er zijn andere privacytechnologieën in omloop. Vertrouwen, en toegegeven, ze zijn niet zonder hun sterke punten. Zcash gebruikt bepaalde soorten bewijssystemen als bouwstenen in zijn vertrouwelijke transactieprotocol die zeer sterke privacygaranties hebben, met grote anonimiteitssets en, correct gebruikt, een krachtige manier kunnen zijn om uw privacy te waarborgen. Het nadeel van deze aanpak is echter dat er als onderdeel van de initiële opzet van deze technologie een parameterset moet zijn die moet worden gekozen en vervolgens moet worden vergeten. Als iemand deze parameter behoudt, zou hij de mogelijkheid hebben om valse SNARK-bewijzen te maken, waardoor effectief geld kan worden gedrukt zonder dat iemand wijzer is omdat het verborgen is. Maar heeft dit invloed op de privacy? Sommigen theoretiseren van wel, anderen van niet, en uiteindelijk moet er meer onderzoek worden gedaan om tot een definitief antwoord te komen.</p>\n\n<p> Hoe dan ook, dit proces van het minimaliseren van vertrouwen klinkt net als de scenario\'s die we aan het begin van dit artikel hebben besproken. De traditionele wereld. Degene waar we vandaan proberen te komen. Blockchain zelf vermindert het vertrouwen in derden niet, maar elimineert het eerder. De Monero-gemeenschap vindt dat dezelfde standaard van eliminatie in plaats van reductie ook moet worden toegepast op onze privacytechnologieën. Alleen omdat het niet definitief is bewezen dat vertrouwde instellingen de privacy wel of niet in gevaar kunnen brengen, wil nog niet zeggen dat we in dit opzicht laks moeten zijn met het teruggeven van vertrouwen aan het systeem.</p>\n\n<p>Natuurlijk is elke vooruitgang op het gebied van privacy een verbetering, en vaak is vertrouwde privacy slechts een opstap naar onbetrouwbare privacy, en in deze gevallen zijn we blij dat de ruimte vooruitgaat. En toch kan de Monero-gemeenschap tegelijkertijd niet met een goed geweten privacytechnologie op onze blockchain inzetten die het doel van onze revolutie zou verzwakken.</p>\n\n<p>We krijgen vaak de vraag wanneer Monero deze of gene nieuwe privacytechnologie gaat implementeren. Deze vragen komen vaak van ongeïnformeerden, die de afwegingen niet begrijpen, en zijn slechts een nabootsing van de nieuwe modewoorden op het gebied van privacy van de dag. Het antwoord op deze vragen is simpel. Monero bekijkt, beoordeelt en onderzoekt voortdurend nieuwe privacyprotocollen die de privacygaranties in de Monero-keten zouden versterken, maar we zijn niet bereid om ons te verdiepen in de wereld van vertrouwde privacy om dit doel te bereiken, zelfs als de garanties theoretisch sterker zijn.[ X5461X]\n\n<p>Sommigen zeggen dat deze benadering achterhaald zal blijken te zijn, maar we denken dat zulke mensen het verhaal zijn kwijtgeraakt van waarom we hier zijn om mee te beginnen.</p>';

  @override
  String get knowledge250Sbtrust250Sbdescription => 'Het concept van vertrouwen is een van de meest besproken in de cryptocurrency-ruimte. Het hele punt van een blockchain is immers om het vertrouwen in derden weg te nemen.';

  @override
  String get knowledge250Sbtrust250Sbtitle => 'Waarom Monero een Trustless Setup gebruikt in tegenstelling tot Zcash';

  @override
  String get knowledge250Sbupgrades250Sb0250Sbtext => '<p>Een van de meest verkeerd begrepen onderdelen van Monero\'s benadering van het bouwen van een gedecentraliseerde, privacybehoudende en veilige cryptocurrency is de rol die hard-forks (of netwerkupgrades) spelen.</p>\n<p>In deze post bespreken we wat hard-forks zijn, waarom ze belangrijk zijn voor Monero, en welke rol je hierin kunt spelen in de toekomst.</p>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtext => '<p>De Monero-gemeenschap heeft zich ertoe verbonden het project in de loop van de tijd te herhalen en te verbeteren, en het lijkt erop dat toewijding neerkomt op twee belangrijke aspecten van het ethos van de gemeenschap:</p>\n<ol type=\"1\">\n<li><p>Het Monero-project is uiteindelijk software – code – geschreven door mensen. Dit kan leiden tot de noodzaak om bugs op te lossen, verbeteringen toe te voegen die in de loop van de tijd zijn ontdekt of uitgevonden, moderniseringen van het protocol door te voeren of gewoon het project te onderhouden. Dit is in veel opzichten vergelijkbaar met de andere stukjes software die je gebruikt (zoals de browser waarin je dit leest!), die voortdurend moeten worden bijgewerkt om nieuwe functies toe te voegen en bugs te repareren.</p></li>\n<li><p>Het Monero-project is een privacytool en privacy is een steeds voortschrijdende wapenwedloop. De mensen en groepen die niets liever willen dan de wereld van privacy ontdoen (zowel financieel als persoonlijk) zijn voortdurend bezig met het verbeteren, ontwikkelen en bedenken van nieuwe manieren om moderne benaderingen van privacybescherming, zoals die in Monero worden gebruikt, aan te vallen. Terwijl de vijanden van privacy deze nieuwe benaderingen vinden, moet het Monero-netwerk zich kunnen aanpassen en verbeteren om terug te vechten en ons recht op financiële privacy te verdedigen.</p></li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtitle => 'Waarom moet Monero het netwerk blijven upgraden?';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtext => '<p>De complexiteit van het upgraden van Monero wordt van kracht zodra je begrijpt hoe anders het upgraden van een cryptocurrency is dan het eenvoudigweg pushen van een software-update naar zoiets als een browser.</p>\n<p>In cryptocurrencies moeten de regels van het netwerk (zaken zoals hoe transacties eruit moeten zien, hoe mijnbouw werkt en hoe elk blok moet worden geverifieerd) worden overeengekomen door het netwerk, iets dat \"consensus\" wordt genoemd. Wanneer een van deze regels moet worden gewijzigd of geüpgraded, moet het netwerk het eens worden over de nieuwe regels, waardoor een \"hard-fork\" ontstaat - een situatie waarin het netwerk feitelijk in twee ketens van blokken splitst - een op de oude regels, en een over de nieuwe regels.</p>\n<p>Wanneer iedereen in de gemeenschap het eens is over de regelwijzigingen, wordt dit een \"niet-controversiële hard-fork\" genoemd, en de keten die nog steeds de oude regels heeft, sterft af en wordt niet gedolven na de hard-fork. Dit is het geval geweest voor bijna elke Monero hard-fork, en de enige voortzetting van oude regels was door projecten die probeerden te profiteren van de hard-fork.</p>\n<p>Hoewel niet-omstreden hard-forks de enige manier zijn om belangrijke aspecten van het Monero-netwerk correct te upgraden, hebben ze ook een frustrerend neveneffect: oude software, uitgebracht voordat de hard-fork was gepland, kan de nieuwe niet begrijpen regels van het netwerk en werkt dus niet na de hard-fork! Dit kan ertoe leiden dat gebruikers denken dat er geld verloren is, dat ze denken dat de Monero-blockchain is gestopt en dat ze niet in staat zijn om geld te verplaatsen totdat ze hun portemonnee hebben geüpgraded.</p>';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtitle => 'Wat is een hardfork?';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtext => '<p>Aangezien er geen centrale autoriteit, CEO of president van Monero is, ligt het werk rond het beslissen wanneer het netwerk moet worden geüpgraded, wat er moet worden toegevoegd en hoe het moet worden aangepakt, bij <em>ons</em>, die mensen in de Monero-gemeenschap die ervoor kiest om deel te nemen en te communiceren! Dit is zowel een uiterst belangrijk onderdeel van een gedecentraliseerd project als de planning en besluitvorming voor het project uiteindelijk gedecentraliseerd en crowd-sourced van de gemeenschap. </p>\n<p>De planning van timing en functies die bij elke netwerkupgrade in Monero zijn inbegrepen, gebeurt op twee belangrijke plaatsen:</p>\n<ol type=\"1\">\n<li><p>Op IRC en Matrix, de meest gebruikte chatplatforms in de Monero-gemeenschap (die met elkaar verbonden zijn). Deze platforms maken grote groepschats mogelijk en hier worden alle geplande Monero-communitybijeenkomsten, ontwikkelaarsbijeenkomsten en onderzoekslabbijeenkomsten gehouden. Deze vergaderingen zijn de beste manier om mee te luisteren (of bij te dragen!) aan de planning en discussie rond netwerkupgrades in Monero.</p></li>\n<li><p>Op Github, het belangrijkste communicatieplatform voor langer lopende Monero-discussies, planning en organisatie. De Monero-gemeenschap gebruikt Github om vergaderingen te organiseren, nieuwe functies en ideeën te bespreken en de planning van netwerkupgrades te coördineren, naast het opslaan van de code voor het Monero-project.</p></li>\n</ol>\n<p>Als je een belangrijk idee hebt voor een netwerkupgrade, een bepaalde aanpak niet prettig vindt, of twijfels hebt over de timing van een upgrade, is het belangrijk dat je je stem uitspreekt en je zaak duidelijk presenteert aan de gemeenschap![X1521X ]';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtitle => 'Wie beslist wanneer het Monero-netwerk wordt geüpgraded en wat is inbegrepen?';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtext => '<p>Omdat upgrades van het Monero-netwerk gemeenschapscoördinatie en goedkeuring vereisen, samen met software-updates, is het uiterst belangrijk dat zoveel mogelijk mensen worden betrokken bij het plannings-, test- en communicatieproces van netwerkupgrades.</p>\n<p>Hier zijn een paar eenvoudige manieren om een netwerkupgrade soepel te laten verlopen:</p>\n<ol type=\"1\">\n<li>Neem deel aan de planningsvergaderingen <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">gepost op Github</a>, luister mee en draag bij als je iets relevants te melden hebt.</li>\n<li>Geef de details rond de timing van de netwerkupgrade (zodra besloten is!) door aan uw favoriete exchange, portemonnee of miningpool. Het kan lastig zijn om alle Monero-gebruikers correct op de hoogte te stellen van een upgrade, dus het is belangrijk dat we allemaal helpen waar we kunnen om het bekend te maken.</li>\n<li>Test de software vóór de netwerkupgrade. Voorafgaand aan de netwerkupgrade zal er een oproep worden gedaan aan testers, zowel op testnet als stagenet, om ervoor te zorgen dat elk aspect van de upgrade goed is gepland en geïmplementeerd in de software. Hoe meer mensen betrokken raken en de nieuwe versies grondig testen, hoe groter de kans dat de netwerkupgrade soepel verloopt!</li>\n<li>Zodra releases die compatibel zijn met de netwerkupgrade zijn gepubliceerd, moet u onmiddellijk upgraden! Hoe meer mensen zijn geüpgraded en klaar zijn voor de netwerkupgrade, hoe soepeler het netwerk hiermee omgaat en hoe minder hoofdpijn gebruikers zullen ervaren.</li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtitle => 'Hoe kan ik helpen met netwerkupgrades?';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtext => '<p>Hoewel er nog geen datum in steen gebeiteld is, komt er binnenkort een netwerkupgrade om een paar belangrijke upgrades en functies in Monero te implementeren:</p>\n<ol type=\"1\">\n<li>Een verhoging van de ringgrootte van 11 naar 16, waardoor de basisanonimiteitsset (lees: plausibele ontkenning of basisprivacy) van elke transactie op het netwerk wordt verhoogd</li>\n<li><a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/view-tags-reduce-monero-sync-time\">Tags bekijken, een briljante manier om synchronisatietijden van portefeuilles met 30-40% te verminderen</a></li>\n<li>Vergoedingswijzigingen, waardoor de beveiliging en weerbaarheid van het netwerk worden verbeterd voor snelle veranderingen in de vergoedingenmarkt of aanvallen door kwaadwillende entiteiten</li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/2020/12/24/Bulletproofs+-in-Monero.html\">Bulletproofs+, een verdere verbetering van de efficiëntie van Monero-transacties</a></li>\n</ol>\n<p>Deze veranderingen zullen een grote bijdrage leveren aan het verbeteren van de privacy, efficiëntie en beveiliging van het netwerk, terwijl ze tegelijkertijd de weg vrijmaken voor <a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/seraphis-for-monero\">Seraphis</a>, het transactieprotocol van de volgende generatie voor Monero.</p>';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtitle => 'Wat kan ik verwachten in de volgende Monero-netwerkupgrade?';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtext => '<p> Het onderwerp hard-forks en netwerkupgrades is veelomvattend en er is een lange en legendarische geschiedenis van hen in Monero, dus zorg ervoor dat je een aantal van de volgende links verdiept als je meer wilt weten over de geschiedenis, proces of planning die aan de gang is voor de aanstaande netwerkupgrade! </p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">Monero v15 hard-fork planning</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero#scheduled-software-upgrades\">Geplande software-upgrades (in Monero)</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://web.getmonero.org/2020/09/01/note-scheduled-upgrades.html\">Een opmerking over geplande protocolupgrades</a></li>\n</ul>';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtitle => 'Hoe kan ik meer leren?';

  @override
  String get knowledge250Sbupgrades250Sbdescription => 'De rol van XMR hard-forks wordt vaak verkeerd begrepen - vandaag zullen we doornemen wat ze zijn en waarom ze belangrijk zijn.';

  @override
  String get knowledge250Sbupgrades250Sbtitle => 'Hoe Monero hard-forks gebruikt om het netwerk te upgraden';

  @override
  String get knowledge250SbviewTags250Sb0250Sbtext => '<p>Een van de meest voorkomende klachten over het dagelijkse gebruik van Monero is de tijd die het kan kosten om een portemonnee te synchroniseren voordat je Monero kunt verzenden. Gelukkig hebben ontwikkelaars en onderzoekers in de Monero-gemeenschap een briljante manier gevonden om de tijd die je nodig hebt om je portemonnee te synchroniseren met meer dan 40% te verminderen zonder extra blockchain-bloat, kosten, enz. </p>\n\n<p>Voer \"view tags\" in, een toevoeging van één byte aan de gegevens van elke transactie - komt naar Monero in de volgende netwerkupgrade!</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtext => '<p>Een van de eerste vragen die we moeten beantwoorden om de behoefte aan een oplossing zoals view-tags beter te begrijpen, is waarom de synchronisatie van de portemonnee van Monero langzamer is dan cryptocurrencies zoals Bitcoin.</p>\n<p>In Bitcoin, aangezien alle transacties niet privé zijn en de munten die worden uitgegeven, de bedragen en de betrokken adressen in de keten onthullen, kunnen Bitcoin-portemonnees eenvoudig zoeken naar ongebruikte transactie-outputs (UTXO\'s) of gebruikte adressen voor een bepaalde portemonnee , snel de blockchain scannen op alleen UTXO\'s die eigendom zijn van die adressen om erachter te komen welke munten bij uw portemonnee horen en kunnen worden uitgegeven. </p>\n<p>In Monero behouden alle transacties echter de privacy van de gebruiker door de afzender, ontvanger en bedragen die bij elke transactie betrokken zijn, te verbergen. Hoewel deze privacy van vitaal belang is voor de bescherming van de gebruikers van het netwerk, wordt ook de synchronisatie van de portemonnee langzamer. In Monero moet je portemonnee elke transactie-output (TXO) die op het netwerk bestaat, vergelijken met de privésleutels van je portemonnee.</p>\n<p>Deze vergelijking omvat veel complexe wiskunde en cryptografie om te valideren dat een output echt van jou is, aangezien alle bedragen, adressen en bekende uitgegeven outputs (of munten) on-chain verborgen zijn in Monero.</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtitle => 'Waarom is de synchronisatie van de portemonnee van Monero langzamer dan die van Bitcoin?';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtext => '<p>Als een manier om de synchronisatietijd voor Monero-portemonnees te verkorten, bedacht <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">een onderzoeker genaamd UkoeHB een nieuwe aanpak</a> – voeg een 1-byte \"tag\" toe aan elke transactie met behulp van een gedeeld geheim dat alleen bekend is naar de afzender en ontvanger van die transactie.</p>\n<p>Dit gedeelde geheim wordt gegenereerd door de afzender met behulp van het adres dat hem door de ontvanger is verstrekt en vereist geen actieve samenwerking tussen de afzender en de ontvanger. De eerste byte (of het eerste teken) van dit gedeelde geheim wordt vervolgens toegevoegd aan de transactiegegevens wanneer deze wordt gepubliceerd op het Monero-netwerk.</p>\n<p>Als een van de deelnemers aan die transactie zijn portemonnee achteraf wil synchroniseren met de Monero-blockchain, in plaats van alle complexe wiskunde en cryptografie voor elke TXO op het netwerk uit te voeren, kan de portemonnee nu gewoon controleren op dat veld van 1 byte in elke transactie en voer dan pas de tijdrovende verificatie uit op transacties die die tag hebben – 1/256 TXO\'s op het netwerk, om precies te zijn!</p>\n<p>Deze tag onthult geen informatie over de transactie aan externe kijkers, voegt slechts 1 byte (een te verwaarlozen hoeveelheid) toe aan transactiegroottes, en stelt ons toch in staat de synchronisatietijden met meer dan 40% te verminderen door de complexe verificaties te verminderen nodig!</p>';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtitle => 'Wat zijn weergavetags?';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtext => '<p>Stel je voor dat je 4.096 dozen in een kamer hebt staan, waarvan er maar 5 van jou zijn. De dozen zijn aan de buitenkant allemaal niet van elkaar te onderscheiden, en de enige manier om te zien of een doos voor jou is, is door hem te openen en een tijdrovend wiskundig probleem op te lossen dat binnenin is opgeschreven om er zeker van te zijn dat hij van jou is. </p>\n<p> Stel je nu voor dat je besluit om de persoon die je die 5 dozen stuurt een speciale code te laten genereren met behulp van je adres, en dan alleen het eerste teken van die gegenereerde code op de buitenkant van elke doos te zetten die naar je wordt verzonden. Alle anderen doen hetzelfde voor hun dozen (om ervoor te zorgen dat alle dozen nog steeds niet van elkaar te onderscheiden zijn), maar nu kun je gewoon naar de code van één teken op de buitenkant van de doos kijken en alleen die dozen openen die dat teken erop hebben.[ X753X]\n<p>Terwijl andere dozen overeenkomen met je code, zelfs sommige die niet van jou zijn, is het aantal dozen dat je nodig hebt om een wiskundig probleem te openen en op te lossen nu slechts 16 (1/256 dozen!) in plaats van alle 4.096. </p>\n<p>Nu open je die 16 dozen, los je de rekensommetjes op en houd je de 5 dozen die echt bij jou horen uit die groep!</p>';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtitle => 'Bekijk tags: een vereenvoudigd voorbeeld';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtext => '<p>View-tags zijn een van de functies die momenteel zijn gepland voor opname in de <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">aankomende netwerkupgrade</a>, en zouden ergens dit voorjaar moeten worden vrijgegeven. De community <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bounties.monero.social/posts/28/implement-view-tags-to-decrease-wallet-sync-times-in-monero\"> heeft 23.3XMR</a> opgehaald (op het moment van schrijven) om de ontwikkeling en implementatie van view-tags te stimuleren. voltooid door j-berman in samenwerking met recensenten en onderzoekers.</p>\n<p>Zodra de weergavetags door het netwerk zijn afgedwongen, zullen alle transacties die na de netwerkupgrade worden verzonden, profiteren van de drastisch verbeterde portefeuillesynchronisatietijd. Je hoeft niets speciaals te doen om view-tags te gaan gebruiken, je favoriete portemonnee voor Monero gaat ze gewoon automatisch gebruiken na de netwerkupgrade!</p>';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtitle => 'Wanneer zijn weergavetags beschikbaar in Monero?';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtext => '<p>Als dit je nieuwsgierigheid naar weergavetags heeft gewekt, kijk dan hieronder voor enkele aanvullende links die dieper ingaan op het onderwerp:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">Scantijden verkorten met \'view tag\' van 1 byte per uitvoer </a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/pull/8061\">Voeg weergavetags toe aan uitvoer om de scantijd van de portefeuille te verkorten</a></li>\n</ul>';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtitle => 'Hoe kan ik meer leren?';

  @override
  String get knowledge250SbviewTags250Sbdescription => 'Een van de meest voorkomende klachten over Monero zijn de synchronisatietijden van portemonnees - vandaag hebben we het over een briljante manier die de ontwikkelaars hebben gevonden om dit te verminderen.';

  @override
  String get knowledge250SbviewTags250Sbtitle => 'Tags bekijken: Hoe één byte de synchronisatietijden van de Monero-portemonnee met meer dan 40% vermindert';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbdecentralized250Sbtext => 'Bitcoin zelf is gedecentraliseerd, maar de meeste mixservices zijn gecentraliseerd. Dit betekent dat je ze moet vertrouwen. Sommige nieuwere, zoals Wasabi-portemonnee, zijn dat echter niet.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbfungibility250Sbtext => '<p>\n                          Niet alle Bitcoins zijn gelijk en hebben dezelfde waarde. Sommige Bitcoins zijn op de zwarte lijst gezet en geblokkeerd door verschillende entiteiten, waardoor die munten minder waard zijn dan de rest. Als u Bitcoins ontvangt die in het verleden voor illegale doeleinden zijn gebruikt, kunnen uw Bitcoins op de zwarte lijst worden gezet, ook al had u niets met de illegale activiteit te maken. Of, stel dat een overheid, werkgever of een andere entiteit besluit om uw Bitcoins in de toekomst op de zwarte lijst te zetten, net zoals ze doen met het bevriezen of confisceren van activa. Je zou niets kunnen doen. Aangezien een mixer het alleen maar moeilijker maakt om uw Bitcoins te traceren, is deze categorie gemarkeerd als &quot;niet vervangbaar&quot;.\n                        </p>\n\n                        <ul class=\"schijf\">\n                          <li>\n                            Andreas Antonopoulos, een voormalige Bitcoin Core-ontwikkelaar die zeer gerespecteerd wordt in de Bitcoin- en andere cryptocurrency-gemeenschappen, erkent het probleem van de vervangbaarheid van Bitcoin in een <a href=\"https://www.youtube.com/watch?v=ak1iojpiHpM&feature=youtu .be&t=33m9s\">YouTube-video</a>.\n                          </li>\n                          <li>\n                            Bespreking van het vervangbaarheidsprobleem van Bitcoin op <a href=\"https://bitcointalk.org/index.php?topic=1190707.0\"> Bitcointalk.org\n                            </a>\n                          </li>\n                        </ul>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbprivate250Sbtext => '<p>\n                          Alle Bitcoin transacties zijn zichtbaar op de blockchain en er is een <a href=\"http://www.bitcoinrichlist.com/top100\"> Bitcoin rich list</a>, dus Bitcoin is niet privé. Bitcoin is <a href=\"https://bitcoin.org/en/you-need-to-know\"> pseudoniem </a>, niet anoniem.\n                        </p>\n\n                        <p>\n                          Voor <b>Bitcoin-mixers</b> moet u erop vertrouwen dat ze hun gegevens veilig kunnen bewaren en geen eigendom zijn van of samenwerken met een overheid, hackers of andere entiteiten.\n                        </p>\n\n                        <p>\n                          In juli 2017 kondigde de oprichter van de grootste Bitcoin-mixservice, BITMIXER.IO, aan dat ze gingen sluiten en gaf dit als reden:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              &hellip; Nu begreep ik dat Bitcoin een transparant, niet-anoniem systeem <b> is door ontwerp </b>. Blockchain is een geweldig open boek &hellip;\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, in een aankondiging van sluiting op <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg20357093#msg20357093\"> Bitcointalk.org </a> (nadruk in het origineel).\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Een paar weken later, nadat hij de verschillende op privacy gerichte munten had overwogen, zei hij dit:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Na het grondige onderzoek bevestig ik dat MONERO de beste privacyvaluta is. Dus ik raad MONERO ten zeerste aan voor alle mensen die extra privacy nodig hebben.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, in een vervolgpost <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg21113378#msg21113378\"> </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbuntraceable250Sbtext => ' <p>\n                          Aangezien alle Bitcoin-transacties zichtbaar zijn op de blockchain, zijn ALLE Bitcoin-transacties te traceren. Een Bitcoin-mixer kan transacties zeer vertroebelen, waardoor het voor iemand veel moeilijker wordt om de Bitcoins te traceren, maar niet onmogelijk. Naarmate de technologie vordert en bedrijven die gespecialiseerd zijn in het traceren van Bitcoin-transacties vaker voorkomen, zullen zeer versluierde transacties relatief gemakkelijk traceerbaar worden:\n                        </p>\n\n                        <ul class=\"disc\">\n                          <li>\n                            <a href=\"https://news.bitcoin.com/law-enforcement-continues-invest-bitcoin-tracking-services/\"> Wetshandhaving blijft investeren in Bitcoin Tracking Services\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"http://time.com/3689359/bitcoins-track-anonymous/\"> Time.com: Bitcoins zijn gemakkelijker te volgen dan u denkt\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"https://www.elliptic.co/\">\n                              Elliptic: een bedrijf dat gespecialiseerd is in het traceren van Bitcoin voor wetshandhaving\n                            </a>\n                          </li>\n                        </ul>\n\n                        <p>\n                          Een Google-zoekopdracht zal tientallen artikelen zoals die hierboven onthullen. En vergeet niet dat elke transactie die op enig moment in het verleden heeft plaatsgevonden, zich op de blockchain bevindt en kan worden getraceerd, zelfs als er een mengservice is gebruikt. Het gebruik van een mengservice zal waarschijnlijk de aandacht vestigen op die transacties.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbdecentralized250Sbtext => 'Niet alle DASH-knooppunten zijn gelijk. Er is een superklasse van knooppunten, genaamd <i>Masternodes</i> waarvan de eigenaren meer invloed hebben op het systeem dan reguliere knooppuntoperators. Dit maakt DASH semi-gecentraliseerd in plaats van het ideale 100% gedecentraliseerde systeem.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbfungible250Sbtext => 'Aangezien transacties niet privé zijn, bestaat het potentieel voor een entiteit om bepaalde munten te blokkeren of op de zwarte lijst te zetten, waardoor ze minder waardevol worden dan de andere. Zie de opmerking over het gebrek aan vervangbaarheid van Bitcoin hieronder, aangezien hetzelfde principe van toepassing is op DASH.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate => 'DASH heeft een <a href=\"https://bitinfocharts.com/top-100-richest-darkcoin-addresses.html\"> rijke lijst </a>, dus dit is geen privémunt. De financiële details van muntadressen zijn zichtbaar voor iedereen die de blockchain onderzoekt.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbanother8722Sbquote => ' <b>Peter Todd</b>, een andere Bitcoin Core-ontwikkelaar en cryptograaf, heeft een <a href=\"https://twitter.com/petertoddbtc/status/622022840330682368\"> soortgelijke verklaring afgelegd</a>.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              DASH is helemaal niet cryptografisch privé. Eigenlijk had ik een dia in het deck die was als \'DASH, LOL\' en als niets anders ... het is snakeoil en ik ben er persoonlijk een beetje buiten mezelf over.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Gregory Maxwell</b>, Bitcoin Core-ontwikkelaar en cryptograaf, in een <a href=\"https://archive.21mil.com/blockstream-cto-greg-maxwell-discusses-monero-zcash-privacy-focused-altcoins/\"> presentatie aan Coinbase\n                             </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbuntraceable250Sbtext => 'Transacties worden gerouteerd via een reeks <a href=\"https://www.dash.org/masternodes/\"> Masternodes </a> om ze onvindbaar te maken. Deze praktijk zou kunnen werken als alle masternode-operators alleen pure motieven hadden. Als een overheid, een groep hackers, een andere entiteit of zelfs een individu echter veel masternodes heeft gekocht (er zou geen manier zijn om te weten of dit is gebeurd) en als de transactie via een route is verlopen waarbij alle masternodes eigendom waren van die entiteit , dan kan de transactie worden getraceerd door die entiteit. Gezien de relatief lage kosten van masternodes en het enorme budget van overheden en sommige organisaties, is de mogelijkheid dat munten kunnen worden getraceerd reëel.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdisclaimer => 'Deze site is gemaakt door gebruikers van Monero. Er was een tijd dat we geen Monero-gebruikers waren, maar ons zorgen maakten over financiële privacy. We hebben de munten onderzocht die beweerden privé te zijn en deze pagina is het resultaat van ons onderzoek. Daarom hebben we Monero verkozen boven de rest. Dus als we bevooroordeeld lijken, zijn we dat ook, maar we geloven dat die vooringenomenheid gebaseerd is op feiten die je hieronder kunt lezen en zelf kunt verifiëren.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbdecentralized250Sbtext => 'Grin heeft geen premine, beloning van de oprichter, masternodes of schatkist. Ze hadden geen ICO en worden beheerd op een manier die past bij een gedecentraliseerde gemeenschap. Grijns is gedecentraliseerd.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbfungiblity250Sbtext => 'Aangezien alle transacties twijfelachtig privé zijn en mogelijk traceerbaar, bestaat de mogelijkheid om een transactiegrafiek te bouwen, waaruit waardevolle informatie kan worden afgeleid die tegen een individu kan worden gebruikt met betrekking tot hun bestedingspatroon. Outputs kunnen vervolgens worden gekoppeld aan identiteiten, en hoewel bedragen niet worden gezien, betekent het feit dat een output kan worden gekoppeld aan een identiteit, dat de output kan worden besmet, net buiten de basis van wie het vasthield. We denken dat dit betekent dat Grin niet vervangbaar is, omdat sommige outputs besmet kunnen zijn en andere niet.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbprivate250Sbtext => 'Grin heeft geen rijke lijst, wat zou duiden op enige vorm van privacy. Passieve aanvallers die de keten scannen, kunnen inderdaad niet zien welk adres hoeveel geld bevat, deels omdat bedragen worden verborgen via vertrouwelijke transacties, deels omdat adresgegevens niet in de keten zijn opgeslagen en deels vanwege Mimblewimble\'s cut-through-technologie, waarbij tussenliggende transacties kunnen uit de keten worden verwijderd, waardoor er weinig metadata overblijven van transacties uit het verleden.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbuntraceablity250Sbtext => 'Grin verdedigt niet tegen een actieve aanvaller die een transactiegrafiek opbouwt. Het is voor zowel miners als een licht gewijzigde node mogelijk om elke transactie te bekijken, op te slaan voordat de cut-through-technologie in werking treedt en van hieruit een complete transactiegrafiek samen te stellen met behoud van alle \'cut-through\'-gegevens. Ze zouden geen informatie kunnen onderscheiden voordat ze beginnen, maar alles nadat ze zijn begonnen, zal waardevolle metadata zijn waarmee ze mogelijk transacties kunnen koppelen.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbintro => 'Hier is een analyse van bekende cryptocurrencies die anonimiteit en/of onvindbaarheid claimen als hun belangrijkste onderscheidende factor. Bitcoin zelf valt niet binnen het bereik van deze analyse, aangezien nooit is beweerd dat het anoniem is.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb0 => 'Monero is vanaf het begin 100% open source geweest, wat betekent dat iedereen de <a href=\"https://github.com/monero-project/bitmonero\"> broncode </a> van de software kan bekijken om te verifiëren dat er geen backdoors bestaan en dat de software veilig is.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb1 => 'Monero heeft ook <a href=\"https://lab.getmonero.org/\"> collegiaal getoetste onderzoeksdocumenten </a> die alle bovengenoemde eigenschappen wiskundig en systematisch verifiëren.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbdecentralized => 'Alle Monero-knooppunten zijn gelijk. Er is geen superklasse van knooppunten die meer invloed of controle hebben over transacties dan andere knooppunten. Geen enkele persoon of entiteit kan transacties traceren door meerdere knooppunten te bezitten. Bovendien is er geen vertrouwde installatie. Dit betekent dat de noodzaak om een persoon of entiteit te vertrouwen geen factor is. De enige dingen die vertrouwd moeten worden, zijn de broncode (die door iedereen kan worden geverifieerd) en wiskunde.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbfungible => 'Alle munten zijn gelijk en hebben dezelfde waarde. Een gebruiker, verkoper of een andere entiteit kan bepaalde Monero-munten niet blokkeren of op de zwarte lijst zetten, omdat de transactiegeschiedenis van Monero-munten dubbelzinnig is.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbprivate => 'Monero gebruikt een cryptografisch verantwoord systeem waarmee u geld kunt verzenden en ontvangen zonder dat uw transacties publiekelijk zichtbaar zijn op de blockchain (het gedistribueerde grootboek van transacties). Dit zorgt ervoor dat uw aankopen, bonnetjes en andere overschrijvingen standaard <b>privé blijven</b>. De afzender, ontvanger en het bedrag van de transactie zijn allemaal privé. Sommige munten hebben een \"rijke lijst\" waarmee iedereen kan zien welk account de meeste munten heeft. Omdat Monero privé is, kan er geen <a href=\"http://moneroblocks.info/richlist\"> Monero-rijke lijst </a> bestaan.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbsecure => 'Met behulp van een gedistribueerd peer-to-peer consensusnetwerk is elke transactie cryptografisch beveiligd. Individuele accounts hebben een geheugensteuntje van 25 woorden dat wordt weergegeven wanneer ze worden gemaakt, dat kan worden opgeschreven om een back-up van het account te maken. Een wachtwoord is verplicht bij het aanmaken van een portemonnee en accountbestanden worden versleuteld met een wachtwoordzin om ervoor te zorgen dat ze waardeloos zijn als ze worden gestolen.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbuntraceable => 'Door gebruik te maken van ringhandtekeningen (een speciale eigenschap van bepaalde soorten cryptografie), maakt Monero niet-traceerbare transacties mogelijk. Dit betekent dat het onduidelijk is welk geld er is uitgegeven, en dus uiterst onwaarschijnlijk dat een transactie aan een bepaalde gebruiker kan worden gekoppeld.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbsubtitle => 'Selecteer een logo om naar de analyse van die munt te gaan.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbno => 'Nee';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbnot8722Sbcompletely => 'Niet helemaal';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbsometimes => 'Soms';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbunsure => 'Onzeker';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbyes => 'Ja';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtitle => 'Overzicht';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtitle => 'Munt analyse';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtxs8722Sbare8722Sbsecure => 'Transacties zijn cryptografisch beveiligd.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbdecentralized250Sbtext => '<p>\n                          Zcash is een bedrijf en momenteel neemt het <a href=\"https://z.cash/blog/funding.html\"> 20% van alle gedolven ZEC als beloning voor de oprichter </a>.\n                        </p>\n\n                        <p>\n                          Zcash vereiste een <b>Trusted Setup</b>. Dit betekent dat u erop moet vertrouwen dat het systeem eerlijk is opgezet. Als het niet eerlijk was ingesteld, zou <a href=\"https://blog.okturtles.com/2016/03/the-zcash-catch/\"> onbeperkte hoeveelheden ZEC kunnen worden gemaakt zonder dat iemand het weet </a>. Dit zou de hacker rijk maken en ZEC devalueren. Er is geen manier om te weten of de Trusted Setup eerlijk is uitgevoerd. We moeten ze op hun woord geloven. Dit introduceert een menselijk faalpunt in het systeem dat in strijd is met bijna elke andere cryptocurrency. Je zou alleen wiskunde en verifieerbare broncode in cryptocurrencies moeten vertrouwen, niet mensen. Zoals we hebben gezien bij vrijwel alle grote softwarebedrijven, zoals <a href=\"https://www.gnu.org/proprietary/proprietary-back-doors.en.html\"> Microsoft</a>, <a href=\"http://www.digitaltrends.com/computing/apple-vs-fbi-backdoor-to-data-already-exists/\"> Apple</a> en zelfs overheden, moeten ze niet worden vertrouwd.\n                        </p>\n\n                        <p>\n                          Peter Todd, een Bitcoin Core-ontwikkelaar die <a href=\"https://github.com/zcash/mpc/blob/master/README.md\"> deelnam </a> aan de Zcash Trusted Setup, noemde het een &quot; <a href=\"https://twitter.com/petertoddbtc/status/793584540891643906\"> backdoor </a> &quot;.\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Zcash is niet onvoorwaardelijk gezond, kan niet met de huidige technologie... vereist een vertrouwde setup &hellip; moet de procedure [Trusted Setup] opnieuw uitvoeren om de crypto in de loop van de tijd te upgraden, dus het is een kwetsbaarheid.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              Gregory Maxwell, Bitcoin Core-ontwikkelaar en cryptograaf, in een <a href=\"https://youtu.be/LHPYNZ8i1cU#t=29m30s\"> presentatie aan Coinbase</a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbfungible => 'Aangezien niet alle transacties privé zijn, bestaat het potentieel voor een entiteit om bepaalde munten te blokkeren of op de zwarte lijst te zetten, waardoor ze minder waardevol worden dan de andere. Zie de opmerking over het gebrek aan vervangbaarheid van Bitcoin hieronder, aangezien hetzelfde principe van toepassing is op Zcash.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              En trouwens, ik denk dat we Zcash met succes traceerbaar kunnen maken voor criminelen zoals WannaCry, maar nog steeds volledig privé &amp; vervangbaar.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Zooko Wilcox</b>, CEO van Zcash, in een <a href=\"https://twitter.com/zooko/status/863202798883577856\"> tweet\n                              </a>\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Als Zcash \"te traceerbaar\" kan zijn, kan het niet volledig privé of vervangbaar zijn.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbtext => 'Zcash-transacties zijn zichtbaar op hun blockchain. Ze maken wel verborgen transacties mogelijk, maar <a href=\"http://stat.bloxy.info/superset/dashboard/zcash/\"> minder dan 1% van de transacties is volledig afgeschermd </a>. Aangezien verborgen transacties optioneel zijn en niet de standaard (om nog maar te zwijgen van zelden gebruikte), vallen de <a href=\"http://weuse.cash/2016/06/09/btc-xmr-zcash/\"> verborgen transacties op op hun blockchain </a> en trekken ze de aandacht naar zichzelf.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbuntraceable250Sbtext => 'Reguliere transacties zijn transparant. Verborgen transacties maken gebruik van zk-SNARKS, die weliswaar onder bepaalde voorwaarden robuuste privacygaranties hebben. De vraag is of aan deze voorwaarden wordt voldaan, en gezien het minuscule aantal mensen dat gebruik maakt van de afgeschermde mogelijkheden, blijft dit de vraag.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbdecentralized250Sbtext => 'Zcoin heeft Znodes geïmplementeerd, die op dezelfde manier werken als Dash-masternodes en meer kracht hebben dan andere knooppunten op het netwerk. Aangezien niet alle knooppunten gelijk zijn gemaakt en de onderscheidende factor tussen hen de hoeveelheid geld is die een individu heeft (Znodes kosten 1000 XZC), is het netwerk semi-gecentraliseerd.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbfungiblity250Sbtext => 'Nadat de laatste fase van Lelantus live gaat in 2021, wordt aangenomen dat Zcoin fungibel zal zijn vanwege de verplichte privacyhandhaving. In dit opzicht zal het een echte concurrent van Monero zijn. Echter...';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbnote => '<p><strong>Opmerking:</strong> Zcoin verschuift van zijn huidige Sigma-schema naar een nieuw protocol dat vertrouwt op zijn nieuwe werk, Lelantus. Lelantus wordt in fasen geïmplementeerd en in dit artikel wordt ervan uitgegaan dat alle fasen voltooid en geïmplementeerd zijn voor goede vergelijkingen naast de verwachte implementatietijden.</p>\n<p>De reden dat Zcoin deze luxe kreeg om beoordeeld te worden op zijn toekomstige protocol, en niet op Zcash, is omdat Zcoin een routekaart heeft met algemene timings voor activering, terwijl de \'privacy by default\'-plannen van Zcash vaag zijn en blijven.<p> X563X]';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbprivate250Sbtext => '<p>Zcoin (XZC) zal geen uitgebreide lijst hebben, dus het zal privé zijn. Verwacht wordt dat verplichte privacy standaard in 2021 live gaat. Als deze eenmaal is geïmplementeerd, is het niet mogelijk om een uitgebreide lijst te maken (hoewel ze er momenteel <a href=\"https://www.coinexplorer.net/XZC/richlist\"> wel een hebben </a>).</p> ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbuntraceablity250Sbtext => 'Met de laatste fase van Lelantus geïmplementeerd in 2021, zou Zcoin niet traceerbaar moeten zijn, hoewel theoretische aanvallen nog niet zijn onderzocht omdat het nog niet is vrijgegeven of een time-out in het wild heeft gehad. Op dit moment is Zcoin traceerbaar als men een <a href=\"https://explorer.zcoin.io/\">Zcoin-adres </a> in een blockchain-verkenner plaatst en u kunt het saldo en gerelateerde transacties zien.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentraized250Sbtext => 'Alle knooppunten (een knooppunt is een lopende instantie van de blockchain van de munt) van het netwerk zijn gelijk. Er is geen superklasse van knooppunten die meer invloed of controle hebben over transacties of het systeem dan andere knooppunten.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentralized250Sbtitle => 'Gedecentraliseerd';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdescription => 'Waarom is Monero de beste privacymunt? Niet alle op privacy gerichte munten kunnen 100% privacy, onvindbaarheid, veiligheid en fungibiliteit bieden. Ontdek hoe Monero al die problemen oplost in vergelijking met andere \'privacy\'-munten.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro8722Sb0 => 'Niet alle op privacy gerichte munten kunnen 100% privacy, onvindbaarheid, veiligheid en fungibiliteit bieden in een 100% gedecentraliseerde munt met een betrouwbare opzet. Dit zijn deze kenmerken en waarom ze belangrijk zijn:';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtext => 'Alle munten zijn gelijk en hebben dezelfde waarde.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtitle => 'vervangbaar';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtext => 'Uw financiën zijn niet zichtbaar voor het publiek. Iemand die naar de blockchain van de munt kijkt, kan niet zien hoeveel geld je hebt.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtitle => 'Privaat';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtext => 'Alle transacties zijn versleuteld en de portemonnee die uw geld bevat, is versleuteld.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtitle => 'Zeker';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceability250Sbtext => 'De munten zijn niet te traceren via blockchain-analyse of blockchain-monitoring.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceable250Sbtitle => 'Onvindbaar';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbsummary => '<h2>Samenvatting</h2>\n <p> Naar onze mening is Monero de duidelijke keuze als u op zoek bent naar een privé, veilige, niet-traceerbare, fungibele, gedecentraliseerde cryptocurrency zonder dat er een vertrouwde configuratie vereist is. Al het andere brengt uw privacy en veiligheid in gevaar. Maar neem niet zomaar onze mening aan. Doe je eigen onderzoek en ontdek het zelf. Houd er rekening mee dat Monero wordt onderschreven en gebruikt door entiteiten die afhankelijk zijn van privacy en onvindbaarheid, zoals:\n                  </p>\n\n                  <ul class=\"disc\">\n                    <li>\n                      <a href=\"https://www.reddit.com/r/Monero/comments/4xqrzd/sigaint_launches_tor_monero_node_as_its_operators/\"> SIGAINT </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://puri.sm/posts/purism-collaborates-with-cryptocurrency-monero-to-enable-mobile-payments/\"> Purisme </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://shop.wikileaks.org/donate#db9\"> Wikileaks </a>\n                    </li>\n\n                    <li>\n                      AlphaBay Market (AB) werd in juli 2017 gesloten. De <a href=\"https://assets.documentcloud.org/documents/3898109/AlphaBay-Cazes-Forfeiture-Complaint.pdf\"> Federal Forfeiture Complaint </a> tegen AB laat zien dat:\n                      <ul class=\"disc\">\n                        <li>\n                          <b> Monero is de enige private en onvindbare cryptocurrency:\n                          </b>\n                          <br />\n                          &quot;In totaal namen de portemonnees en computeragenten van CAZES de controle over ongeveer \$8.800.000 in Bitcoin, Ethereum, Moreno [sic] en Zcash, als volgt verdeeld: 1.605.0503851 Bitcoin, 8.309.271639 Ethereum, 3.691.98 Zcash, <em> en een onbekende hoeveelheid Monero. </em>&quot; (onderaan p. 20 en bovenaan p. 21, cursivering toegevoegd) </li>\n                        <li>\n                          <b>\n                            Bitcoin-transacties zijn niet privé en kunnen worden getraceerd:\n                          </b>\n                          <br />\n                          &quot;Federale agenten verkregen de warrants na het traceren van een aantal Bitcoin-transacties afkomstig van AlphaBay naar digitale valutarekeningen, en uiteindelijk bankrekeningen en andere materiële activa, aangehouden door CAZES en zijn vrouw. &quot; (p. 17, regels 24- 26)\n                        </li>\n                      </ul>\n                    </li>\n                  </ul>\n\n                  <div class=\"notice info\">\n                    <p>\n                      LocalMonero pleit niet voor illegale activiteiten en moedigt deze ook niet aan.\n                    </p>\n                  </div>  ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbtitle => 'Waarom Monero beter is dan Dash, Zcash, Zcoin (zelfs met Lelantus), Grin en Bitcoin Mixers zoals Wasabi (bijgewerkt mei 2020)';

  @override
  String get knowledge250Sbwired250Sb0250Sbtext => '<p> Zowel op het gebied van privacy als op het gebied van cryptocurrency heerst vaak desinformatie. We hebben <a target=\"_blank\" href=\"/knowledge/monero-myths-debunked\" class=\"next-link\">een artikel waarin vijftien veelvoorkomende onjuiste of achterhaalde veronderstellingen over Monero worden uiteengezet </a>, maar we willen even de tijd nemen om een bepaald artikel te behandelen dat vaak wordt geciteerd en verspreid door Monero-sceptici.</p>\n\n<p>De Wired-publicatie publiceerde <a target=\"_blank\" href=\"https://www.wired.com/story/monero-privacy/\" class=\"next-link\">een artikel</a> op 27 maart 2018, dat zelf was geschreven als reactie op een ander vers-van-de-pers-artikel gepubliceerd door verschillende academici met de titel: “An Empirical Analysis van traceerbaarheid in de Monero Blockchain”.</p>\n\n<p> Hoewel de paper mede geschreven is door personen met een duidelijk belangenconflict (lees: ze zijn adviseurs van en hebben een belang in Zcash), werd de paper redelijk goed ontvangen door de Monero-gemeenschap als bevestiging van dingen die de gemeenschap al wist en beschreven in hun eigen Monero Research Lab-papieren (<a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0001.pdf\" class=\"next-link\">MRL-0001</a> en <a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0004.pdf\" class=\"next-link\">MRL-0004</a>), waarvan de vroegste vier jaar eerder werd gepubliceerd. Er waren echter ook verschillende frustraties, voornamelijk de belangenverstrengeling, het feit dat de problemen al bekend waren, besproken en – in sommige gevallen – verholpen, en de grove verkeerde karakterisering van de privacygaranties van Monero destijds. De gemeenschap gaf commentaar op de voordruk van het werk, en veel van hun aanbevelingen haalden de eindpaper.</p>\n\n<p>Maar wat werd er precies verkeerd gekarakteriseerd? Het feit dat Monero de gebreken die in de krant werden besproken al meer dan een jaar niet meer had gehad. Transacties van vóór 2017 waren inderdaad kwetsbaar voor een vorm van privacylekken, maar op het moment van publicatie had Monero de meeste zorgen weggenomen. Om eerlijk te zijn tegenover de auteurs, bespreken ze de remedies van Monero tot op zekere hoogte, maar niet genoeg om het effect dat het destijds had op de cryptovaluta-mediacyclus te beïnvloeden. Vandaar het Wired-artikel.</p>\n\n<p>Hoewel we het betreffende Wired-artikel als een historisch artikel kunnen bekijken, en hoe waar of onwaar het destijds was, nodigt het feit dat het vandaag de dag nog steeds wordt gedeeld uit als reden waarom de privacygaranties van Monero zwak zijn, eigenlijk tot een analyse over hoe het stuk standhoudt in het heden. We nemen deze uitnodiging graag aan.</p>\n\n<p>Een snelle lezing van het artikel toont verschillende sensationele regels, zoals \"[De bevindingen] zouden niemand die vandaag stiekem Monero probeert uit te geven, ongerust moeten maken\" en de hele toon van het artikel waarin het onderzoek als \'nieuw\' wordt gepostuleerd, grotendeels gebaseerd op de publicatie. De academische paper zelf bevat aanbevelingen, zoals het waarschuwen van Monero-gebruikers voor het mogelijke compromis van hun anonimiteit, ondanks het feit dat deze discussies niet alleen al sinds 2014 plaatsvinden, maar dat de strijdkreet van de gemeenschap was dat mensen Monero niet zouden kopen en dat het was erg experimenteel.</p>\n\n<p>Maar hoe zit het met de kritiek zelf? De realiteit is dat veel problemen met Monero als privacymunt niet langer waar zijn voor Monero, of gedeelde zorgen met privacymunten als een categorie van op blockchain gebaseerde cryptocurrencies. Laten we beginnen deze aan te pakken. </p>\n\n<p>Een van de meest geciteerde punten van kritiek op Monero is dat, vanwege de duurzaamheid en onveranderlijkheid van de blockchain, als een toekomstige technologie de privacy zou schenden, alle eerdere transacties van Monero bloot zouden worden gelegd. Met andere woorden, uw privacy heeft een tikkende klok.</p>\n\n<p>We kunnen dit niet genoeg benadrukken. Letterlijk elke privacymunt die on-chain-methoden gebruikt voor verduistering en privacy heeft deze fout, en toch wordt het vaak tegen Monero gebruikt (ironisch genoeg vaak door concurrerende privacymunten met hetzelfde probleem), en wordt het ook in dit artikel gebruikt. Het antwoord op deze kritiek kan voor sommigen verrassend zijn, maar Monero is mogelijk minder kwetsbaar dan andere privacymunten vanwege het feit dat het een veelzijdige benadering van privacy heeft. </p>\n\n<p>Monero verbergt uitvoer (afzenders), bedragen en ontvangers via drie verschillende technologieën, respectievelijk ringhandtekeningen, RingCT- en stealth-adressen. Hiervan zijn ringsignaturen de zwakste en het meest vatbaar voor zowel moderne heuristieken als theoretische, toekomstige, privacyschendende technologieën. Dit is al jaren bekend bij de Monero-gemeenschap en er wordt actief onderzoek gedaan om het ringsignatuurschema volledig te verbeteren of te vervangen.</p>\n\n<p>Maar zelfs als de ringsignatuur volledig verbroken zou zijn, zou alleen de ware output worden onthuld. NIET de afzender (zoals bij een individu), maar de uitvoer. Een output koppelen aan een identiteit is niet onmogelijk, maar het zou meer metadata en middelen vergen. In combinatie met het feit dat RingCT en het stealth-adres NIET zouden worden onthuld, wordt de impact nog verder verminderd. </p>\n\n<p>Opgemerkt moet worden dat het Wired-artikel de bovenstaande informatie lichtjes bespreekt in het gedeelte waarin ze contact opnamen met Riccardo \'fluffypony\' Spagni voor commentaar, maar de tijd die eraan wordt besteed is kort en lijkt bijna met de hand te worden weggewuifd deze cruciale informatie. Het gebrek aan begrip is vooral duidelijk wanneer je deze dingen probeert te bespreken met mensen die het artikel willens en wetens delen in de moderne tijd. </p>\n\n<p>Een andere kritiek die veel moeilijker te adresseren is, is hoe de buitenwereld naar Monero kijkt, en hoe dat verband houdt met hoe de gemeenschap rond Monero naar de munt kijkt. Voor een voorbeeld hiervan hoeven lezers niet verder te kijken dan de titel van het artikel zelf: \"De favoriete valuta van het dark web is minder onvindbaar dan het lijkt\". </p>\n\n<p>Iedereen die een aanzienlijke hoeveelheid tijd in de Monero-gemeenschap doorbrengt, kan getuigen van het feit dat de Monero-gemeenschap zich tot het uiterste inspant om te laten zien hoe moeilijk het is om echte privacy te bereiken, zelfs ten koste van marketing- of adoptie-inspanningen. Als de gemeenschap voldoende bronnen biedt om de munt en zijn tekortkomingen nauwkeurig te bespreken, wordt de onwetendheid op een gegeven moment de schuld van de gebruiker die gelooft dat de munt alles is wat ze nodig hebben om 100% privé te zijn. </p>\n\n<p>Op dit punt zou het duidelijk moeten zijn dat de Monero-gemeenschap zowel haar privacy als haar eerlijkheid over de zwakke punten daarin en de daaropvolgende verbeteringen serieus neemt. Artikelen, zoals die in kwestie, missen deze geest van innovatie in Monero volledig. Het vergelijkt Monero met de drommen andere cryptocurrencies die grandioze claims maken, met alleen maar oog voor winst en om te jagen op ongeschoolde investeerders-wannabes.</p>\n\n<p>De realiteit kan niet anders zijn. Monero is zich terdege bewust van zijn zwakheden, probeert door te gaan met bouwen om ze te verbeteren, losse gewrichten aan te halen en het zeer reële, maar zeer moeilijke doel te bereiken om de wereld een eigen, vervangbare cryptocurrency te geven die door iedereen kan worden gebruikt, en doe het allemaal op een manier die eerlijk, gedecentraliseerd en door de gemeenschap gestuurd is. Misschien is het tijd om de sensatiezucht en het delen van artikelen opzij te zetten als een middel om zakken te sjouwen en concurrenten te promoten. Misschien is het tijd om een ander verhaal te vertellen.</p>';

  @override
  String get knowledge250Sbwired250Sbdescription => 'Zowel op het gebied van privacy als op het gebied van cryptocurrency heerst vaak desinformatie. Hier gaan we in op het Wired-artikel dat vaak wordt geciteerd en verspreid door Monero-sceptici.';

  @override
  String get knowledge250Sbwired250Sbtitle => 'Wired Magazine heeft ongelijk over Monero, hier is waarom';

  @override
  String get left8722Sbdrawer250Sbabout => 'Over';

  @override
  String get left8722Sbdrawer250Sbbuy8722Sbmonero => 'Monero kopen';

  @override
  String get left8722Sbdrawer250Sbdashboard => 'Dashboard';

  @override
  String get left8722Sbdrawer250Sbfaq => 'FAQ';

  @override
  String get left8722Sbdrawer250Sbforums => 'Fora';

  @override
  String get left8722Sbdrawer250Sbgetting8722Sbstarted => 'Aan de slag';

  @override
  String get left8722Sbdrawer250Sbpost8722Sbnew8722Sbad => 'Plaats een advertentie';

  @override
  String get left8722Sbdrawer250Sbrevuo250Sblabel => 'De Monero-standaard: Monero-nieuws';

  @override
  String get left8722Sbdrawer250Sbsell8722Sbmonero => 'Monero verkopen';

  @override
  String get left8722Sbdrawer250Sbsupport => 'Steun';

  @override
  String get login250Sberror8722Sb0 => 'Verkeerde gebruikersnaam/wachtwoord/eenmalig wachtwoord!';

  @override
  String get login250Sberror8722Sb1 => 'Gebruikersnaam en wachtwoord bevatten niet-toegestane tekens of een ongeldige lengte';

  @override
  String get login250Sberror8722Sb10 => 'Login fout';

  @override
  String get login250Sberror8722Sb2 => 'Gebruikersnaam bevat niet-toegestane tekens of ongeldige lengte';

  @override
  String get login250Sberror8722Sb3 => 'Wachtwoord bevat niet-toegestane tekens of ongeldige lengte';

  @override
  String get login250Sberror8722Sb4 => 'Velden kunnen niet leeg blijven';

  @override
  String get login250Sberror8722Sb5 => 'Eenmalig wachtwoord moet 6 cijfers lang zijn';

  @override
  String get login250Sberror8722Sb8 => 'Niet-toegestane waarden';

  @override
  String get login250Sberror8722Sb98722Sbtext => 'Te veel inlogpogingen! Wacht even.';

  @override
  String get login250Sberror8722Sb98722Sbtitle => 'Inlogpogingen overschreden';

  @override
  String get login250Sberror8722Sbgeneric => 'Fout!';

  @override
  String get login250Sbremember8722Sbme => 'Onthoud mij';

  @override
  String login250Sbreset(Object link) {
    return 'Je wachtwoord vergeten? $link';
  }

  @override
  String get login250Sbreset8722Sblink => 'Stel het hier opnieuw in.';

  @override
  String login250Sbsame8722Sbcredentials8722Sbtip(Object front_type_url) {
    return 'U kunt uw $front_type_url-inloggegevens gebruiken om in te loggen.';
  }

  @override
  String login250Sbsignup(Object link) {
    return 'Heb je nog geen account? $link';
  }

  @override
  String get login250Sbsignup8722Sblink => 'Aanmelden';

  @override
  String get login250Sbtitle => 'Log in';

  @override
  String get login250Sbusername => 'Gebruikersnaam';

  @override
  String get login250Sbusername8722Sbtip => '3-16 karakters. Toegestane karakters: a-z, A-Z, 0-9, -, _';

  @override
  String get method250Sbalipay => 'Alipay';

  @override
  String get method250Sball8722Sbonline8722Sboffers => 'Alle online aanbiedingen';

  @override
  String get method250Sbcash => 'Contant (lokaal)';

  @override
  String get method250Sbcash8722Sbat8722Sbatm => 'Contant bij geldautomaat';

  @override
  String get method250Sbcash8722Sbby8722Sbmail => 'Contant per post';

  @override
  String get method250Sbcash8722Sbdeposit => 'Storting';

  @override
  String get method250Sbcash8722Sbon8722Sbdelivery => 'Contant bij aflevering';

  @override
  String get method250Sbcashiers8722Sbcheck => 'Kassabon';

  @override
  String get method250Sbcreditcard => 'Kredietkaart';

  @override
  String get method250Sbcryptocurrency => 'Cryptovaluta';

  @override
  String get method250Sbgift8722Sbcard => 'Cadeaukaartcode';

  @override
  String get method250Sbgift8722Sbcard8722Sbamazon => 'Amazon-cadeauboncode';

  @override
  String get method250Sbgift8722Sbcard8722Sbapple => 'Apple Store-cadeauboncode';

  @override
  String get method250Sbgift8722Sbcard8722Sbebay => 'Ebay-cadeauboncode';

  @override
  String get method250Sbgift8722Sbcard8722Sbglobal => 'Cadeaukaartcode (wereldwijd)';

  @override
  String get method250Sbgift8722Sbcard8722Sbitunes => 'iTunes-cadeauboncode';

  @override
  String get method250Sbgift8722Sbcard8722Sbstarbucks => 'Starbucks-cadeauboncode';

  @override
  String get method250Sbgift8722Sbcard8722Sbsteam => 'Steam-cadeauboncode';

  @override
  String get method250Sbgift8722Sbcard8722Sbwalmart => 'Walmart-cadeauboncode';

  @override
  String get method250Sbinternational8722Sbwire8722Sbswift => 'Internationale overboeking (SWIFT)';

  @override
  String get method250Sbmobile8722Sbtop8722Sbup => 'Mobiel opwaarderen';

  @override
  String get method250Sbnational8722Sbbank => 'Nationale bankoverschrijving';

  @override
  String get method250Sbother => 'Andere online betaling';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet => 'Andere online portemonnee';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet8722Sbglobal => 'Andere online portemonnee (wereldwijd)';

  @override
  String get method250Sbother8722Sbpre8722Sbpaid8722Sbdebit => 'Andere prepaid-betaalpas';

  @override
  String get method250Sbsepa => 'SEPA (EU) bankoverschrijving';

  @override
  String get method250Sbspecific8722Sbbank => 'Overschrijvingen met specifieke bank';

  @override
  String get method250Sbwechat => 'Wechat';

  @override
  String get method250Sbyandex => 'Yandex-geld';

  @override
  String get method250Sbyoomoney => 'YooMoney';

  @override
  String get morph250Sbcheckbox250Sbfaq8722Sblink => 'Hoe werkt dit?';

  @override
  String get morph250Sbdeposit250Sbaddress8722Sbinput250Sbhelper => 'Dit adres wordt gebruikt voor een terugbetaling als er iets misgaat tijdens de ChangeNow-transactie';

  @override
  String morph250Sbdeposit250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'Restitutie $cryptocurrencyName adres';
  }

  @override
  String morph250Sbdeposit250Sbbutton(Object cryptocurencyName) {
    return 'Laat me het stortingsadres $cryptocurencyName zien!';
  }

  @override
  String get morph250Sberror250Sbtitle => 'Fout bij het maken van de ChangeNow-transactie!';

  @override
  String get morph250Sbservice8722Sbdown => 'De XMR-service van ChangeNow is tijdelijk niet beschikbaar. Probeer het later opnieuw.';

  @override
  String morph250Sbwithdrawal250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return '{assetName} adres ontvangen';
  }

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmax => 'Maximaal';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmin => 'Minimum';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbtitle => 'Limieten voor deze ChangeNow-transactie:';

  @override
  String new8722Sbad250Sbdisabled8722Sbtype8722Sbselector250Sbnotice(Object amount_required) {
    return 'Onvoldoende saldo. Vereist: $amount_required.';
  }

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sblabel => 'Alleen voor gebruikers met geverifieerd e-mailadres';

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sbtip => 'Handig als u problemen ondervindt met \"coinlockers\"';

  @override
  String new8722Sbad250Sboptions250Sbad8722Sbcreation8722Sbmode250Sbcoins(Object assetName) {
    return 'Handel $assetName';
  }

  @override
  String get new8722Sbad250Sbreview250Sbemail8722Sbverified => 'Alleen voor gebruikers met geverifieerd e-mailadres';

  @override
  String get nojs250Sbdashboard250Sbsave8722Sbvacations8722Sbbtn => 'Spaar vakanties';

  @override
  String get nojs250Sberror250Sblogin250Sbunauthorized => 'Verkeerde gebruikersnaam/wachtwoord/eenmalig wachtwoord!';

  @override
  String get nojs250Sberror250Sbserver => 'Er is iets misgegaan met de aanvraag. Ververs de pagina en probeer het opnieuw. Neem contact op met onze ondersteuning als het probleem zich blijft voordoen.';

  @override
  String nojs250Sberror250Sbvalidation250Sbaddress(Object assetName) {
    return 'Geef een geldig $assetName adres op.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbamount => 'Voer een geldig bedrag in.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbcaptcha => 'CAPTCHA mislukt. Probeer het opnieuw';

  @override
  String get nojs250Sberror250Sbvalidation250Sbconfirm8722Sbpassword => 'Ingevoerde wachtwoorden komen niet overeen.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbemail => 'Voer een geldig emailadres in.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackMsg => 'Feedbackbericht mag maximaal 256 tekens lang zijn.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackType => 'Selecteer een van de toegestane feedbacktypes: \'vertrouwen\', \'positief\', \'neutraal\', \'negatief\' of \'blokkeren\'.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbgeneric8722Sbstring => 'Wijzig de tekst zodat deze binnen de gespecificeerde limieten valt.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbhomepage => 'Moet een volledig geldige URL zijn (d.w.z. inclusief \'https://\' enz.)';

  @override
  String get nojs250Sberror250Sbvalidation250Sbintroduction => 'Moet een tekenreeks zijn van niet meer dan 65536 tekens.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbotp => 'OTP moet een 6-cijferige waarde zijn';

  @override
  String get nojs250Sberror250Sbvalidation250Sbpassword => 'Het wachtwoord moet 8-72 tekens lang zijn';

  @override
  String get nojs250Sberror250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform8722Sbusername => 'De gebruikersnaam moet een reeks van 1-30 tekens lang zijn.';

  @override
  String nojs250Sberror250Sbvalidation250Sbtos(Object appName) {
    return 'Als u onze site wilt gebruiken, dient u de $appName-servicevoorwaarden te lezen en ermee akkoord te gaan.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbusername => 'De gebruikersnaam moet 3-16 tekens lang zijn. Toegestane karakters: a-z, A-Z, 0-9, -, _';

  @override
  String get nojs250Sbfilter250Sblocal8722Sblabel => 'LOKAAL';

  @override
  String get nojs250Sbfilter250Sbonline8722Sblabel => 'ONLINE';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbfunctions => 'U kunt de volgende functies gebruiken (kan worden genest): <strong>min(), max(), floor(), ceiling(), avg()</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sboperators => 'U kunt de volgende operatoren gebruiken: <strong>+ - * /</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbpunctuation => 'U kunt de volgende leestekens gebruiken: <strong>( ) . ,</strong>';

  @override
  String get nojs250Sbformula250Sbtickers250Sblabel => 'Alle beschikbare markttickers';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbbtn => 'Formule controleren';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbinstruction => 'Gebruik deze tool om uw prijsformule te controleren. <br /> OPMERKING: nadat u heeft bevestigd dat uw formule werkt zoals verwacht, moet u deze naar het bovenstaande formulier kopiëren. Deze tool is alleen bedoeld om de geldigheid van formules te controleren.';

  @override
  String get nojs250Sbformula250Sbvalidator250Sblabel => 'Formule validatietool';

  @override
  String nojs250Sbmorph8722Sbwithdrawal(Object cryptocurrencyName) {
    return 'Ik wil de arbitragebinding naar een $cryptocurrencyName-portemonnee intrekken';
  }

  @override
  String get nojs250Sbmorph8722Sbwithdrawal250Sbbutton8722Sblabel => 'Beginnen';

  @override
  String nojs250Sbmorph8722Sbwithdrawal250Sbnotice(Object assetSymbol, Object cryptocurrencyName) {
    return 'Het intrekken van $assetSymbol arbitrageband naar een $cryptocurrencyName portemonnee';
  }

  @override
  String nojs250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'U kunt de $value-service gebruiken om de coördinaten van uw locatie op te halen';
  }

  @override
  String get nojs250Sbsettings250Sbsave8722Sbtelegram8722Sbid250Sbbutton8722Sblabel => 'Sla Telegram-ID op';

  @override
  String get nojs250Sbtrade250Sbchat250Sbrefresh => 'Vernieuwen';

  @override
  String note250Sbbutton(Object username) {
    return 'Voeg een notitie toe op $username';
  }

  @override
  String note250Sbcreated(Object at) {
    return 'Gemaakt $at';
  }

  @override
  String get note250Sbinput250Sbplaceholder => 'Dit is een privénotitie voor uw eigen referentie, het zal niet zichtbaar zijn voor deze gebruiker of een andere gebruiker.';

  @override
  String note250Sbtitle(Object username) {
    return 'Uw notitie op $username (alleen door u gezien)';
  }

  @override
  String note250Sbupdated(Object at) {
    return 'bewerkt $at';
  }

  @override
  String notice250Sbnon8722Sbcustodial(Object appName) {
    return 'Volledig niet-bewarende handelsnederzettingen zijn nu actief! <a href=\"https://t.me/$appName\" target=\"_blank\" class=\"next-link\">Laat het ons weten</a> als u vragen heeft of problemen ondervindt. Mocht je het gemist hebben, <a href=\"/blog/announcements/fully-non-custodial-trade-settlements\" target=\"_blank\" class=\"next-link\">je kunt hier in detail lezen over de update.</a>';
  }

  @override
  String get notification250Sbmarked8722Sball8722Sbread => 'Markeer alle meldingen als gelezen';

  @override
  String notification250Sbmessage(Object tradeId, Object username) {
    return 'U heeft een nieuw bericht in ruil $tradeId van $username';
  }

  @override
  String get notification250Sbno8722Sbnotifications => 'Je hebt nog geen meldingen';

  @override
  String get notification250Sbread => 'Meldingen lezen';

  @override
  String notification250Sbtrade8722Sbcancelled(Object tradeId, Object username) {
    return 'Handel $tradeId is geannuleerd door $username';
  }

  @override
  String notification250Sbtrade8722Sbcomplete(Object tradeId, Object username) {
    return 'Uw transactie $tradeId met $username is voltooid';
  }

  @override
  String notification250Sbtrade8722Sbdisputed(Object tradeId, Object username) {
    return 'Handel $tradeId is betwist door $username';
  }

  @override
  String notification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete(Object username, Object tradeId) {
    return '$username heeft de betaling in ruil voltooid $tradeId';
  }

  @override
  String notification250Sbtrade8722Sbrequest(Object tradeId, Object username) {
    return 'U heeft een nieuwe aanbieding $tradeId van gebruiker $username';
  }

  @override
  String get notification250Sbunread => 'Ongelezen meldingen';

  @override
  String get otp8722Sbtip8722Sb08722Sb0 => 'Als u tweefactorauthenticatie hebt ingeschakeld, voert u hier uw 6-cijferige eenmalige wachtwoord in.';

  @override
  String get otp8722Sbtip8722Sb08722Sb1 => 'Waar vind ik mijn eenmalige wachtwoord?';

  @override
  String get otp8722Sbtip8722Sb1 => 'Voer hier uw 6-cijferige eenmalige wachtwoord van de 2FA mobiele app in.';

  @override
  String get otp8722Sbtitle8722Sb0 => 'Eenmalig wachtwoord (indien ingeschakeld)';

  @override
  String get otp8722Sbtitle8722Sb1 => 'Eenmalig wachtwoord';

  @override
  String get password => 'Wachtwoord';

  @override
  String get password8722Sbreset250Sbbtn => 'Verander wachtwoord';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword => 'Bevestig nieuw wachtwoord';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword8722Sbtip => 'Bevestig uw nieuwe wachtwoord';

  @override
  String get password8722Sbreset250Sberror => 'Er is een fout opgetreden bij uw aanvraag';

  @override
  String get password8722Sbreset250Sbnew8722Sbpassword => 'Nieuw paswoord';

  @override
  String get password8722Sbreset250Sbsubtitle => 'Na het wijzigen van het wachtwoord moet u opnieuw inloggen met uw nieuwe wachtwoord';

  @override
  String get password8722Sbreset250Sbsuccess => 'Succes!';

  @override
  String get password8722Sbreset250Sbsuccess8722Sbtip => 'U wordt nu doorgestuurd naar de inlogpagina.';

  @override
  String get password8722Sbreset250Sbtitle => 'Verander wachtwoord';

  @override
  String get password8722Sbtip => '8-72 tekens.';

  @override
  String get post8722Sbad250Sbamount8722Sbtitle => 'Hoeveelheid';

  @override
  String get post8722Sbad250Sbcountry250Sbtitle => 'Land';

  @override
  String get post8722Sbad250Sbcurrency250Sbtitle => 'Munteenheid';

  @override
  String get post8722Sbad250Sbdetails => 'Details';

  @override
  String get post8722Sbad250Sberror250Sbcorrect8722Sberrors => 'Corrigeer de gemarkeerde fouten';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbback8722Sbbtn => 'Rug';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbbtn => 'Rug';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle => 'Formulier fout';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle8722Sbtoo8722Sbmany8722Sbads => 'Te veel advertenties';

  @override
  String post8722Sbad250Sberror250Sbfirst8722Sbtime8722Sblimit8722Sbnot8722Sbvalid(Object assetSymbol, Object min_asset_amount, Object max_asset_amount) {
    return 'Voer een geldige eerste keer $assetSymbol grenswaarde in. Alleen nummers tussen $min_asset_amount en $max_asset_amount zijn toegestaan.';
  }

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbamounts8722Sbnot8722Sbvalid => 'Voer een geldige limiet voor bedragen in. Alleen gehele getallen tussen 1 en 1000000000000 zijn toegestaan.';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbcontent => 'U probeert te veel advertenties te maken';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbtitle => 'Te veel verzoeken';

  @override
  String get post8722Sbad250Sberror250Sbmargin8722Sbnot8722Sbvalid => 'Voer een geldige margewaarde in. Alleen getallen tussen -100 en 1000 zijn toegestaan.';

  @override
  String get post8722Sbad250Sberror250Sbmax8722Sbamount8722Sbnot8722Sbvalid => 'Voer een geldige maximale bedragwaarde in. Alleen getallen tussen 0.000000000001 en 10000000000000 zijn toegestaan.';

  @override
  String post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance(Object appName) {
    return 'Het minimale transactiebedrag kan niet lager zijn dan uw huidige saldo. Probeer het minimumbedrag te verlagen of geld te storten in uw $appName-portemonnee.';
  }

  @override
  String get post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbnot8722Sbvalid => 'Voer een geldig minimumbedrag in. Alleen getallen tussen 0.000000000001 en 10000000000000 zijn toegestaan.';

  @override
  String get post8722Sbad250Sberror250Sbnetwork => 'Netwerkfout';

  @override
  String get post8722Sbad250Sberror250Sbpayment8722Sbwindow8722Sbnot8722Sbvalid => 'Voer een geldige betalingsvensterwaarde in. Alleen gehele getallen tussen 15 en 90 zijn toegestaan.';

  @override
  String get post8722Sbad250Sberror250Sbprice8722Sbnot8722Sbvalid => 'Voer een geldige prijswaarde in. Alleen getallen tussen 0.000000000001 en 10000000000000 zijn toegestaan.';

  @override
  String get post8722Sbad250Sberror250Sbrequire8722Sbfeedback8722Sbnot8722Sbvalid => 'Voer een geldige limiet in om de waarde van de feedbackscore te vereisen. Alleen gehele getallen tussen 0 en 100 zijn toegestaan.';

  @override
  String get post8722Sbad250Sberror250Sbwallet8722Sbbalance => 'Wallet-saldo lager dan vereist minimum voor dit advertentietype';

  @override
  String post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit(Object assetSymbol) {
    return 'Eerste tijdslimiet ($assetSymbol)';
  }

  @override
  String get post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit8722Sbtip => 'Optioneel. Beperk het maximale transactiebedrag voor gebruikers met wie u geen eerdere transacties heeft gedaan. Minimaal 0.';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sbdescription => 'Maakt deze advertentie alleen toegankelijk voor de gebruikers die u als vertrouwd heeft gemarkeerd';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sblabel => 'Alleen voor vertrouwde gebruikers';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts => 'Beperk bedragen tot';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts8722Sbtip => 'Optioneel. Beperk handelsbedragen tot specifieke door komma\'s gescheiden gehele getallen, bijvoorbeeld 20,50,100. In fiat-valuta (USD/EUR/etc). Handig voor bonnen, cadeaubonnen, etc.';

  @override
  String get post8722Sbad250Sblocation250Sbtitle => 'Plaats';

  @override
  String post8722Sbad250Sblogged8722Sbout8722Sbnotice(Object logIn, Object signUp) {
    return 'Om een nieuwe advertentie te plaatsen, gelieve $logIn of $signUp';
  }

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sblog8722Sbin => 'Log in';

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sbsign8722Sbup => 'aanmelden';

  @override
  String get post8722Sbad250Sbmax8722Sbamount => 'Maximaal aantal';

  @override
  String get post8722Sbad250Sbmax8722Sbamount8722Sbtip => 'Optioneel. Maximale transactielimiet in één transactie.';

  @override
  String get post8722Sbad250Sbmin8722Sbamount => 'Minimale hoeveelheid';

  @override
  String get post8722Sbad250Sbmin8722Sbamount8722Sbtip => 'Optioneel. Minimale transactielimiet in één transactie';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore => 'Minimale feedbackscore';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore8722Sbtip => 'Optioneel. Minimale gebruikersfeedbackscore vereist om een ruil aan te vragen van 0 tot 100.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail => 'Detail van betalingsmethode';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail8722Sbtip => 'Optioneel. Geef wat korte details op over de betaalmethode die in de advertentielijst moet worden weergegeven, zoals de naam van de bank als de betaalmethode een bankoverschrijving is. Maximaal 64 tekens.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo => 'Betaalmethode info';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo8722Sbtip8722Sb0 => 'Geef informatie over de betalingsmethode op die tijdens de handel moet worden weergegeven. Maximaal 4096 tekens. U kunt markdown gebruiken om uw betaalmethode-info op te maken (afbeeldingen niet toegestaan).';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod250Sbtitle => 'Betalingswijze';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow => 'Betalingsperiode (minuten)';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow8722Sbtip => 'Betalingsperiode in minuten. Minimaal 15. Maximaal 90. Als er geen is opgegeven, wordt de standaardinstelling ingesteld op 90.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed => 'Vaste prijs';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbin(Object currency) {
    return 'Vaste prijs in $currency';
  }

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip(Object assetSymbol, Object currency) {
    return 'Prijs voor 1 $assetSymbol in $currency. Deze prijs verandert niet, tenzij u deze handmatig wijzigt.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip250Sbnojs => 'Prijs voor 1 munt in de geselecteerde advertentievaluta. Deze prijs verandert niet, tenzij u deze handmatig wijzigt.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating => 'Zwevende prijs';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip(Object assetName) {
    return 'Laat de wisselkoers zweven met de markt terwijl de transactie open is. De handelsprijs wordt bepaald op het moment van afronding. Houd er rekening mee dat er een extra reserve van 15% wordt toegevoegd aan het $assetName bedrag dat is gereserveerd in de arbitragegarantie. Het overtollige bedrag wordt terugbetaald nadat de ruil is afgerond.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip250Sbnojs => 'Laat de wisselkoers zweven met de markt terwijl de transactie open is. De handelsprijs wordt bepaald op het moment dat de transactie wordt afgerond. Houd er rekening mee dat er een extra reserve van 15% wordt toegevoegd aan het geselecteerde activabedrag voor cryptocurrency dat is gereserveerd voor arbitrage-obligaties. Het overtollige bedrag wordt terugbetaald nadat de ruil is voltooid.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin => 'Marge in %';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin250Sbtip => 'Marge is het verschil tussen uw prijs en de marktprijs. 0% is de marktprijs. Gebruik positieve waarde om boven de marktprijs te gaan en negatieve waarde om onder de marktprijs te gaan.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmarket => 'Marktprijs';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbradio250Sbformula => 'Prijsformule (geavanceerd)';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtip => 'Marktprijs betekent dat de prijs op uw advertentie verandert als de marktprijs verandert. Vaste prijs betekent dat ondanks marktschommelingen uw prijs hetzelfde blijft totdat u deze handmatig wijzigt. Gebruik prijsformule (geavanceerd) om meer gecompliceerde prijsmechanismen te creëren.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtitle => 'Prijsinvoertype';

  @override
  String get post8722Sbad250Sbprice250Sbtitle => 'Prijs';

  @override
  String get post8722Sbad250Sbpublish8722Sbbtn => 'Advertentie publiceren';

  @override
  String get post8722Sbad250Sbrestrictions => 'Beperkingen';

  @override
  String get post8722Sbad250Sbreview => 'Controleer uw advertentie';

  @override
  String get post8722Sbad250Sbreview250Sbad8722Sbtype => 'Advertentietype';

  @override
  String get post8722Sbad250Sbreview250Sbmargin => 'Marge';

  @override
  String get post8722Sbad250Sbreview250Sbminutes => 'minuten';

  @override
  String get post8722Sbad250Sbreview250Sbno => 'nee';

  @override
  String get post8722Sbad250Sbreview250Sbyes => 'ja';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb0(Object termsOfservice, Object guides) {
    return 'Lees voordat u een advertentie maakt onze $termsOfservice en $guides';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbguides => 'gidsen';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'Servicevoorwaarden';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb0 => 'Elke voltooide transactie kost adverteerders 1% van het totale transactiebedrag (arbitragebeschermingskosten).';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'U moet ten minste $minimumXmrAmount $assetSymbol in uw $appName arbitration bond wallet hebben om een geposte $assetSymbol verkoopadvertentie zichtbaar te maken.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1250Sbagoradesk8722Sbnojs(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'U moet ten minste $minimumXmrAmount $assetSymbol in uw $appName portemonnee hebben om een geposte $assetSymbol verkoop- of $assetSymbol call-sell- of $assetSymbol put-buy-advertentie zichtbaar te maken.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb2(Object maximumNumberOfAds) {
    return 'Elke gebruiker mag maximaal $maximumNumberOfAds advertenties maken.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb3 => 'Zodra een transactie is geopend, is de prijs definitief, behalve wanneer er een duidelijke fout in de prijs zit.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4(Object assetName) {
    return 'U mag $assetName niet namens iemand anders kopen of verkopen (tussenhandel).';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4250Sbnojs => 'Het is niet toegestaan om namens iemand anders cryptocurrency te kopen of te verkopen (brokering).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb5 => 'U mag alleen betaalrekeningen gebruiken die op uw eigen naam staan (geen betalingen aan derden!).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb6 => 'U moet uw betalingsgegevens opgeven in de advertentie of in de handelschat.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb7(Object appName) {
    return 'Alle communicatie moet plaatsvinden op $appName.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtitle => 'Advertentieregels en vereisten';

  @override
  String post8722Sbad250Sbsettlement8722Sbaddress250Sbtip(Object appName) {
    return 'Verplicht. Uw adres waarnaar de munten worden verzonden. Mag geen intern $appName adres zijn.';
  }

  @override
  String post8722Sbad250Sbstep8722Sb1(Object step_number) {
    return 'Stap $step_number';
  }

  @override
  String get post8722Sbad250Sbstep8722Sb2 => 'Stap 2';

  @override
  String get post8722Sbad250Sbstep8722Sb3 => 'Stap 3';

  @override
  String get post8722Sbad250Sbstep8722Sb4 => 'Stap 4';

  @override
  String get post8722Sbad250Sbstep8722Sb5 => 'Stap 5';

  @override
  String get post8722Sbad250Sbstep8722Sb6 => 'Stap 6';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbfull => 'Volledige vorm weergeven';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbstep => 'Toon stapweergave';

  @override
  String get post8722Sbad250Sbterms => 'Handelsvoorwaarden';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb0 => 'Handelsvoorwaarden van de advertentie, maximaal 4096 tekens. U kunt markdown gebruiken om de voorwaarden van uw advertentie op te maken (afbeeldingen zijn niet toegestaan).';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb1 => 'Hoe markdown te gebruiken?';

  @override
  String get post8722Sbad250Sbtitle => 'Maak een advertentie';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity => 'Houd de maximale hoeveelheid liquiditeit bij';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity8722Sbtip => 'Deze optie beperkt de liquiditeit van deze advertentie tot max. transactie limiet. Kopers kunnen geen transacties openen en voltooien voor meer dan dit bedrag. Voorbeeld: met trackliquiditeit ingeschakeld en max. transactielimiet ingesteld op 100 USD wanneer een koper een transactie opent voor maximaal 20 USD. transactielimiet wordt automatisch verlaagd naar 80 USD. Het keert terug naar 100 USD als de koper de transactie annuleert en blijft op 80 USD als de transactie is voltooid.';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbbuy(Object assetName) {
    return 'Koop $assetName voor contant geld (lokaal)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbsell(Object assetName) {
    return 'Verkoop $assetName voor contant geld (lokaal)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbbuy(Object assetName) {
    return 'Koop $assetName online';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbsell(Object assetName) {
    return 'Verkoop $assetName online';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbsubtitle => 'Ik wil...';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip(Object assetName, Object appName) {
    return 'Wat voor soort handelsadvertentie wilt u maken? Als u $assetName wilt verkopen, zorg er dan voor dat u $assetName in uw $appName arbitration bond wallet heeft.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs(Object appName) {
    return 'Wat voor soort handelsadvertentie wilt u maken? Als je Monero wilt verkopen, zorg er dan voor dat je Monero in je $appName arbitration bond wallet hebt staan.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs57Sbagoradesk(Object appName) {
    return 'Wat voor soort handelsadvertentie wilt u maken? Als u cryptovaluta wilt verkopen, zorg er dan voor dat u de relevante cryptovaluta in uw $appName arbitration bond-portemonnee heeft.';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbtitle => 'Soort handel';

  @override
  String price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs(Object asset) {
    return '$asset paren';
  }

  @override
  String get price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs250Sbother8722Sbasset => 'Ander';

  @override
  String get read8722Sbmore => 'Lees verder';

  @override
  String get recaptcha250Sbno8722Sbgoogle8722Sbmessage => 'We hebben gemerkt dat Google-services worden geblokkeerd in uw browser. Aangezien we reCAPTCHA van Google gebruiken voor sommige site-acties, moet u een manier vinden om de services van Google te bereiken (bijv. VPN, proxy of met een Tor-browser).';

  @override
  String get receipt250Sbchat8722Sbmessages => 'Berichten';

  @override
  String get receipt250Sbchat8722Sbmessages8722Sbnone => 'Geen berichten';

  @override
  String get receipt250Sbdetails250Sbopened => 'Geopend';

  @override
  String get receipt250Sbno8722SbaccountInfo => 'Geen informatie over betaalmethode verstrekt';

  @override
  String receipt250Sbtitle(Object appName, Object id) {
    return '$appName — Handels-ID: $id';
  }

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtip => 'U kunt het opnieuw proberen met een andere gebruikersnaam';

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtitle => 'Geweigerd';

  @override
  String get reputation8722Sbimport250Sbinitial250Sbtitle => 'Niet begonnen';

  @override
  String get reputation8722Sbimport250Sbpending250Sbtitle => 'In afwachting';

  @override
  String get reputation8722Sbimport250Sbstats250Sbfeedback => 'feedback';

  @override
  String get reputation8722Sbimport250Sbstats250Sbregistered => 'geregistreerd';

  @override
  String reputation8722Sbimport250Sbstats250Sbtitle(Object platform) {
    return '$platform reputatie';
  }

  @override
  String get reputation8722Sbimport250Sbstats250Sbtrades => 'handelt';

  @override
  String get reputation8722Sbimport250Sbstats250Sbvolume => 'volume';

  @override
  String reputation8722Sbimport250Sbstep250Sbcode250Sbmessage(Object platform) {
    return 'Voeg deze code ergens toe aan je openbare $platform profiel. Nadat we de code hebben geverifieerd, kunt u deze verwijderen.';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbmessage250Sblbc => 'Voeg deze code toe aan uw LocalBitcoins-profiel als uw persoonlijke webpagina en voeg \".com\" toe aan het einde. Nadat we de code hebben geverifieerd, kunt u deze verwijderen.';

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbtitle => 'Voeg de code toe';

  @override
  String get reputation8722Sbimport250Sbstep250Sbfinal250Sbtitle => 'Wacht op verificatie';

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbinput250Sblabel(Object platform) {
    return 'Uw $platform gebruikersnaam';
  }

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbmessage(Object platform) {
    return 'Wat is je gebruikersnaam op $platform?';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbusername250Sbtitle => 'Selecteer gebruikersnaam';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbmessage => 'Wacht even totdat we uw profiel hebben geverifieerd.';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbtitle => 'Bijna daar!';

  @override
  String get reputation8722Sbimport250Sbunconfirmed250Sbtitle => 'Niet bevestigd';

  @override
  String get reputation8722Sbimport250Sbverified250Sbtitle => 'Geverifieerd';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbedit => 'Bewerk importgegevens';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbinitial => 'Account koppelen';

  @override
  String get request8722Sbpassword8722Sbreset250Sbbtn => 'Stuur een resetbrief';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail => 'Jouw email';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail8722Sbtip => 'Voer een geverifieerd e-mailadres in dat aan uw account is gekoppeld. We sturen een brief met instructies voor het opnieuw instellen van het wachtwoord';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb1 => 'We hebben geen account gekoppeld aan dit e-mailadres.';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb2 => 'Deze e-mail is niet geverifieerd';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb3 => 'Fout';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtext => 'Wacht a.u.b. voordat u uw wachtwoord opnieuw instelt';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtitle => 'Te veel verzoeken';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb6 => 'Wachtwoord opnieuw instellen fout';

  @override
  String get request8722Sbpassword8722Sbreset250Sbletter8722Sbsent => 'Als deze e-mail is geverifieerd met een account, ontvang je een brief.';

  @override
  String get request8722Sbpassword8722Sbreset250Sbtitle => 'Wachtwoord resetten';

  @override
  String get right8722Sbdrawer250Sbaffiliate => 'Affiliate-programma';

  @override
  String get right8722Sbdrawer250Sbcancelled => 'Geannuleerde transacties';

  @override
  String get right8722Sbdrawer250Sbcompleted => 'Voltooide transacties';

  @override
  String get right8722Sbdrawer250Sbdashboard => 'Open transacties en advertenties';

  @override
  String get right8722Sbdrawer250Sblogout => 'Uitloggen';

  @override
  String get right8722Sbdrawer250Sbprofile => 'Profiel';

  @override
  String get right8722Sbdrawer250Sbsettings => 'Instellingen';

  @override
  String get right8722Sbdrawer250Sbwallet => 'Portemonnee';

  @override
  String get sanction250Sbaction8722Sbnotice => 'U mag deze actie niet uitvoeren vanwege de volgende beperking op uw account:';

  @override
  String get sanction250Sbban250Sblabel => 'Verboden';

  @override
  String get sanction250Sbexpires => 'Verloopt';

  @override
  String get sanction250Sblabel250Sbtrading8722Sbsuspension => 'Handel opgeschort';

  @override
  String get sanction250Sbreason => 'Reden';

  @override
  String get sanction250Sbsanctioned8722Sbat => 'Sinds';

  @override
  String get sanction250Sbuser => 'Gebruiker';

  @override
  String get sanction250Sbwallet8722Sbfreeze250Sblabel => 'Portemonnee bevroren, handel opgeschort';

  @override
  String search250Sball8722Sbmethods(Object code) {
    return 'Alle $code methoden';
  }

  @override
  String get search250Sbamount => 'Hoeveelheid';

  @override
  String get search250Sbbtn => 'Zoeken';

  @override
  String get search250Sbbuy8722Sbtab => 'Kopen';

  @override
  String get search250Sbcoordinates250Sblat => 'Breedtegraad';

  @override
  String get search250Sbcoordinates250Sblon => 'Lengtegraad';

  @override
  String search250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location) {
    return 'Verkoop $assetName voor geld in $location';
  }

  @override
  String search250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location) {
    return 'Koop $assetName met contant geld in $location';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object country, Object usingMethod) {
    return 'Verkoop $assetName online in $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbsell(Object assetName, Object country, Object usingMethod) {
    return 'Koop $assetName online in $country $usingMethod';
  }

  @override
  String search250Sbheading8722Sbusing8722Sbmethod(Object method) {
    return 'met behulp van $method';
  }

  @override
  String get search250Sblocation8722Sbplaceholder => 'Typ uw locatie...';

  @override
  String search250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'We hebben gemerkt dat Google-services worden geblokkeerd in uw browser. Dat is oké, maar we gebruiken ze om lokale deals bij jou in de buurt te vinden. Dat betekent dat u uw coördinaten handmatig moet invoeren. U kunt services zoals $value gebruiken om u daarbij te helpen.';
  }

  @override
  String get search250Sbno8722Sbgoogle8722Sbtext8722Sbhere => 'deze';

  @override
  String search250Sbno8722Sbresults(Object country) {
    return 'Geen resultaten in $country met de geselecteerde criteria... nog niet. ';
  }

  @override
  String get search250Sbno8722Sbresults8722Sb1 => 'Probeer met een andere betaalmethode, ander bedrag of helemaal geen bedrag. ';

  @override
  String search250Sbno8722Sbresults8722Sb2(Object postAnad) {
    return 'Je kunt ook hier als eerste $postAnad zijn!';
  }

  @override
  String get search250Sbno8722Sbresults8722Sbpost8722Sban8722Sbad => 'plaats een advertentie';

  @override
  String search250Sbpopular8722Sbmethods(Object code) {
    return '🔥 Populaire $code methoden';
  }

  @override
  String get search250Sbsell8722Sbtab => 'Verkopen';

  @override
  String get seo250Sbheadline8722Sb1 => 'Bescherm je recht op privacy - koop Monero.';

  @override
  String get seo250Sbheadline8722Sb157Sbagoradesk => 'De beste cryptocurrency-uitwisseling om online Bitcoin te kopen en verkopen zonder ID-verificatie.';

  @override
  String get seo250Sbheadline8722Sb2 => 'Verkoop Monero aan mensen wereldwijd of lokaal - steun de gemeenschap en verdien geld met cryptocurrency.';

  @override
  String get seo250Sbheadline8722Sb257Sbagoradesk => 'Een echt alternatief voor LocalBitcoins en Paxful.';

  @override
  String get seo250Sbtext8722Sb1 => 'Als u zich zorgen maakt over de inbreuk op de privacy, is XMR de beste cryptocurrency om in te investeren. Monero is een niet-traceerbare munt die is ontwikkeld met het oog op privacy door ontwerp.\n<br/>\nWaar Monero kopen? LocalMonero is de grootste, meest vertrouwde en gevestigde P2P Monero-uitwisseling in de XMR-gemeenschap. We hebben geen KYC-cheques - u kunt eenvoudig anoniem Monero kopen zonder ID-verificatie met PayPal, creditcard, cadeaukaart, contant per post of bitcoin omzetten in Monero - ons platform ondersteunt elke betaalmethode.';

  @override
  String get seo250Sbtext8722Sb157Sbagoradesk => 'Vraagt u zich af hoe u kunt investeren in Bitcoin? Op AgoraDesk is het kopen van bitcoins nog nooit zo eenvoudig geweest - koop direct BTC van een persoon met behulp van uw favoriete online betaalmethode: PayPal, creditcard/bankpas of bankoverschrijving, cadeaubonnen, Venmo of een andere.\n<br/>\nAls u bitcoins bij u in de buurt met contant geld wilt kopen, kunt u iemand vinden die lokaal bitcoins wil verkopen - het handelsplatform ondersteunt het kopen en verkopen van BTC met contant geld. Je kunt zelfs bitcoins kopen met contant geld per post.';

  @override
  String get seo250Sbtext8722Sb2 => 'LocalMonero is de beste plek om XMR te verkopen - of het nu gaat om mijnbouwbeloningen,\nMonero-prijsarbitrage, of u ziet gewoon de waarde in het dienen van de gemeenschap. Het beschermingssysteem voor arbitrage-obligaties en onze veilige Monero-portefeuille voor arbitrage-obligaties bieden u een robuuste XMR-handelservaring, zodat u XMR met een gerust hart kunt omzetten naar USD, EUR, AUD, GBP of een andere lokale valuta.';

  @override
  String get seo250Sbtext8722Sb257Sbagoradesk => 'Bent u een bitcoin-handelaar die geld wil verdienen met crypto-arbitrage? Een mijnwerker die BTC wil uitbetalen naar USD of een andere lokale valuta?\n<br/>\nAgoraDesk is een <a href=\"/localbitcoins-alternative\" style=\"color: #0b4f6c\"> LocalBitcoins-alternatief </a> dat uw privacy en veiligheid respecteert en u tegelijkertijd een soepele en snelle ervaring biedt bij het verzilveren van uw bitcoins.';

  @override
  String get settings250Sb2fa250Sbbackup8722Sbcode => 'Uw back-upcode is:';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbbtn => 'Schakel 2FA uit';

  @override
  String get settings250Sb2fa250Sbdisable8722Sberror => 'Verkeerd wachtwoord of eenmalig wachtwoord.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsubtitle => 'Voer uw wachtwoord en eenmalig wachtwoord in om 2FA uit te schakelen.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsuccess => 'Succes! 2FA uitgeschakeld.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbtitle => 'Schakel tweefactorauthenticatie uit';

  @override
  String get settings250Sb2fa250Sbenable => 'Schakel tweefactorauthenticatie in';

  @override
  String get settings250Sb2fa250Sbenable8722Sbbtn => 'Schakel 2FA in';

  @override
  String get settings250Sb2fa250Sbenable8722Sbenter8722Sbpass => 'Voer uw wachtwoord in om 2FA in te schakelen.';

  @override
  String get settings250Sb2fa250Sbnetwork8722Sberror => 'Er ging iets mis met de aanvraag! Probeer de pagina te vernieuwen en herhaal het verzoek.';

  @override
  String get settings250Sb2fa250Sbnot8722Sbenabled8722Sbyet => 'Uw 2FA is nog niet ingeschakeld! U moet het eenmalige wachtwoord invoeren om het te activeren.';

  @override
  String get settings250Sb2fa250Sbrtfm => 'Lees de activeringsgids voor tweefactorauthenticatie';

  @override
  String get settings250Sb2fa250Sbstatus => 'Uw 2FA-status:';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbdisabled => 'GEHANDICAPT';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbenabled => 'INGESCHAKELD';

  @override
  String get settings250Sb2fa250Sbstep8722Sbfour => '<strong> Voer de code </strong> in die door uw 2FA mobiele app is gegeven in het vak onder de QR-code en <strong> druk op de knop \'Verify 2FA\' </strong>.';

  @override
  String settings250Sb2fa250Sbstep8722Sbone(Object downloadA2faapp, Object andotp, Object anyOther2faapp, Object totp) {
    return '$downloadA2faapp zoals $andotp of $anyOther2faapp die $totp ondersteunt voor uw apparaat.';
  }

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbany8722Sbother8722Sb2fa8722Sbapp => 'elke andere 2FA-app';

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbdownload8722Sba8722Sb2fa8722Sbapp => 'Download een 2FA-app';

  @override
  String get settings250Sb2fa250Sbstep8722Sbthree => 'Start de 2FA-app op uw mobiele apparaat. Zoek de functie voor het scannen van een streepjescode in de app en <strong> scan de QR-code </strong> die op deze pagina wordt weergegeven.';

  @override
  String settings250Sb2fa250Sbstep8722Sbtwo(Object appName) {
    return '<strong> Schrijf uw back-upcode </strong> (hierboven in groen) op een stuk papier en bewaar het op een veilige plaats. Je hebt het nodig als je je telefoon kwijtraakt of als je geen toegang meer hebt tot je account. $appName kan u niet helpen als u deze code kwijtraakt.';
  }

  @override
  String get settings250Sb2fa250Sbsubtitle => 'Wanneer tweefactorauthenticatie actief is, moet u elke keer dat u inlogt of geld opneemt een eenmalige code invoeren.';

  @override
  String get settings250Sb2fa250Sbsuccess => 'Succes!';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbtext => 'Er is tweefactorauthenticatie ingesteld op uw account.';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbwarn => 'Dit is de laatste kans om je back-upcode op te schrijven!';

  @override
  String get settings250Sb2fa250Sbtitle => 'Twee-factor-authenticatie (2FA)';

  @override
  String get settings250Sb2fa250Sbverify8722Sbbtn => 'Verifieer 2FA';

  @override
  String get settings250Sb2fa250Sbwarning => 'We raden u ten zeerste aan om 2FA op uw account in te schakelen voor een betere beveiliging.';

  @override
  String get settings250Sb2fa250Sbwarning250Sbenable => 'Inschakelen';

  @override
  String get settings250Sb2fa250Sbwrong8722Sbotp => 'Verkeerd eenmalig wachtwoord.';

  @override
  String get settings250Sbapi8722Sbkey250Sbcopy8722Sbtooltip => 'Kopieer naar klembord';

  @override
  String get settings250Sbapi8722Sbkey250Sbdelete8722Sbtooltip => 'Actieve sleutel verwijderen en laten verlopen';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbbutton => 'Genereer';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbcaption => 'Het genereren van een sleutel maakt ook de eerder gegenereerde API-sleutel ongeldig';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbtitle => 'Nieuwe API-sleutel genereren';

  @override
  String get settings250Sbapi8722Sbkey250Sblabel => 'API sleutel';

  @override
  String settings250Sbapi8722Sbkey250Sblabel250Sbcaption(Object apiDocs) {
    return 'Om privé-API-eindpunten te kunnen gebruiken, moet u uw API-sleutel instellen als de \"Autorisatie\"-header. De sleutel verloopt over 5 jaar. Vind meer details in de $apiDocs.';
  }

  @override
  String get settings250Sbapi8722Sbkey250Sblabel250Sbcaption250Sbapi8722Sbdocs8722Sblink => 'API-documenten';

  @override
  String get settings250Sbbasic8722Sbinfo8722Sbtitle => 'Basis gebruikersinformatie';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtip => 'Niemand die u munten wil verkopen, zal uw advertenties zien of er transacties op openen';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtitle => 'Vakantie kopen';

  @override
  String get settings250Sbchange8722Sbemail250Sbbtn => 'E-mailadres wijzigen';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew => 'Nieuwe e-mail';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew8722Sbtip => 'Er wordt een verificatiebrief verzonden om uw e-mailadres te verifiëren';

  @override
  String get settings250Sbchange8722Sbemail250Sbnone => 'Geen e-mail opgegeven';

  @override
  String settings250Sbchange8722Sbemail250Sbsubtitle(Object email) {
    return 'Huidige e-mail: $email';
  }

  @override
  String get settings250Sbchange8722Sbemail250Sbtitle => 'E-mailadres wijzigen/verifiëren';

  @override
  String get settings250Sbchange8722Sbemail250Sbunverified => 'Niet geverifieerd';

  @override
  String get settings250Sbchange8722Sbemail250Sbverified => 'Geverifieerd';

  @override
  String get settings250Sbchange8722Sbpassword8722Sbwrong => 'Verkeerd huidig wachtwoord';

  @override
  String get settings250Sbchange8722Sbpassword250Sbbtn => 'Verander wachtwoord';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm => 'Bevestig nieuw wachtwoord';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm8722Sbtip => 'Bevestig uw nieuwe wachtwoord';

  @override
  String get settings250Sbchange8722Sbpassword250Sbnew => 'Nieuw paswoord';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold => 'Oud Wachtwoord';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold8722Sbtip => 'Voer uw huidige wachtwoord in om verder te gaan';

  @override
  String get settings250Sbchange8722Sbpassword250Sbsubtitle => 'Na het wijzigen van het wachtwoord moet u opnieuw inloggen met uw nieuwe wachtwoord';

  @override
  String get settings250Sbchange8722Sbpassword250Sbtitle => 'Verander wachtwoord';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbbutton => 'Account verwijderen';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdescription => 'Hiermee worden al uw accountgegevens verwijderd en geanonimiseerd. Uw account wordt volledig verwijderd - deze actie kan niet ongedaan worden gemaakt.';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdialog250Sbwarning => 'Je account wordt volledig verwijderd - weet je zeker dat je wilt doorgaan? Dit kan niet ongedaan gemaakt worden.';

  @override
  String get settings250Sbemail8722Sbalready8722Sblinked => 'Deze e-mail is gekoppeld aan een andere gebruiker';

  @override
  String get settings250Sberror250Sbemail8722Sbchange8722Sbtitle => 'E-mailwijzigingsfout';

  @override
  String get settings250Sbgeneric8722Sberror => 'Er is iets fout gegaan! Probeer het opnieuw.';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail => 'Als u geen brief van ons in uw e-mailinbox ziet';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail8722Sbbtn => 'Klik hier om een verificatiebrief te verzenden';

  @override
  String get settings250Sbhomepage => 'Startpagina';

  @override
  String settings250Sbhomepage8722Sbtip(Object example_url) {
    return 'Weergegeven op je openbare profiel. Alleen geldige URL geaccepteerd (bijv. https://$example_url)';
  }

  @override
  String settings250Sbno8722Sbemail8722Sbwarn(Object appName) {
    return 'Je account heeft geen geverifieerd e-mailadres ingesteld. Als u uw wachtwoord verliest, kan $appName u niet helpen het opnieuw in te stellen.';
  }

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sblong => 'Stuur e-mailmeldingen wanneer er een nieuw handelsbericht is ontvangen (eenmaal per uur)';

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sbshort => 'Nieuw handelsbericht (eenmaal per uur)';

  @override
  String get settings250Sbnotifications250Sbemail250Sbtitle => 'E-mail notificaties';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sblong => 'Stuur e-mailmeldingen wanneer een ruil is afgerond';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbshort => 'Handel afgerond';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbtip => 'Stuur e-mailmeldingen wanneer een ruil is afgerond';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sblong => 'Stuur e-mailmeldingen voor nieuwe handelscontacten';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbshort => 'Nieuwe handelscontacten';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbtip => 'Stuur e-mailmeldingen voor nieuwe contactverzoeken';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sblong => 'Stuur e-mailmeldingen voor nieuwe online betalingen';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbshort => 'Nieuwe online betalingen';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbtip => 'Stuur e-mailmeldingen voor nieuwe online betalingen in uw transacties';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sblong => 'Schakel gevoelige informatie uit e-mailmeldingen uit';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbshort => 'Schakel gevoelige informatie uit';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbtip => 'De e-mails vragen u gewoon om in te loggen op de site, waar de daadwerkelijke meldingen zullen zijn';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdialog8722Sbtitle => 'Mobiele Telegram-meldingen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbbtn => 'Schakel Telegram-meldingen uit';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbtext => 'Hiermee worden meldingen op Telegram uitgeschakeld. U kunt Telegram-meldingen weer inschakelen door uw Telegram-meldings-ID in te voeren.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbgeneric => 'Er is iets fout gegaan. Probeer de pagina te vernieuwen en het verzoek te herhalen.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbid8722Sbalready8722Sblinked => 'Deze Telegram-ID is gekoppeld aan een andere gebruiker';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sblong => 'Stuur Telegram-meldingen wanneer een ruil is afgerond';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sbshort => 'Handel afgerond';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbhow8722Sbto(Object appName) {
    return 'Hoe schakel ik $appName mobiele Telegram-meldingen in?';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbid => 'Telegram-meldingen-ID';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbid8722Sbtip(Object appName) {
    return 'Telegram Notifications-ID aan u gegeven door de $appName Notification Bot';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sblong => 'Stuur Telegram-meldingen voor nieuwe chatberichten in transacties';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sbshort => 'Chatberichten in de handel';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sblong => 'Stuur Telegram-meldingen voor nieuwe online betalingen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbshort => 'Nieuwe online betalingen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbtip => 'Stuur Telegram-meldingen voor nieuwe online betalingen in uw transacties';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtitle => 'Telegram-meldingen';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sblong => 'Stuur Telegram-meldingen voor nieuwe handelsverzoeken';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sbshort => 'Nieuwe handelsverzoeken';

  @override
  String get settings250Sbnotifications250Sbtitle => 'Meldingen';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications => 'Schakel webmeldingen in';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications8722Sbtip => 'U krijgt externe meldingen buiten het browservenster';

  @override
  String get settings250Sbpersonal8722Sbinfo => 'Persoonlijke introductie';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtip => 'Weergegeven op je openbare profiel. Maximaal 65536 tekens. Kan markdown gebruiken voor styling.';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtitle => 'Persoonlijke informatie';

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbimported8722Sbby8722Sbother8722Sbuser => 'De reputatie van dit account is al geïmporteerd door een andere gebruiker. Misschien heb je een typfout gemaakt in de gebruikersnaam of misschien het verkeerde platform gekozen?';

  @override
  String settings250Sbreputation8722Sbimport250Sberror250Sblbc8722Sbinvalid8722Sbusername(Object link) {
    return 'Uw LocalBitcoins-profiel is niet openbaar beschikbaar, u kunt het zelf testen door te proberen uw eigen LocalBitcoins-profiel te openen terwijl u bent uitgelogd: $link. We kunnen geen profielen importeren die niet openbaar beschikbaar zijn. Probeer contact op te nemen met LocalBitcoins-ondersteuning om dit op te lossen, maar verwijder de code uit uw LocalBitcoins-introductie voordat u dit doet.';
  }

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbplatform8722Sberror => 'Er is iets fout gegaan. Controleer of de gebruikersnaam correct is en of je het juiste platform hebt geselecteerd. Als ze correct zijn, probeert u het over 5 minuten opnieuw. Als dat nog steeds niet helpt, open dan een supportticket.';

  @override
  String get settings250Sbresend8722Sbletter8722Sbdialog250Sbtitle => 'Vul CAPTCHA in';

  @override
  String get settings250Sbresend8722Sbletter250Sbsent => 'Brief verzonden!';

  @override
  String get settings250Sbsaved => 'Opgeslagen!';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtip => 'Niemand die uw munten wil kopen, zal uw advertenties zien of er transacties op openen';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtitle => 'Vakantie verkopen';

  @override
  String get settings250Sbtab250Sb2fa8722Sblong => '2FA';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sblong => 'E-mailadres wijzigen';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sbshort => 'E-mail';

  @override
  String get settings250Sbtab250Sbchange8722Sbpassword8722Sblong => 'Wachtwoord';

  @override
  String get settings250Sbtab250Sbimport8722Sbreputation => 'Reputatie importeren';

  @override
  String settings250Sbtab250Sbimport8722Sbreputation250Sbdescription(Object appName) {
    return 'U kunt uw reputatie van een ander P2P-platform importeren naar $appName. U moet ergens in uw profiel op het andere platform een code plaatsen, die wij vervolgens verifiëren. U kunt één account per platform koppelen.';
  }

  @override
  String get settings250Sbtab250Sbnotifications250Sblong => 'Meldingen';

  @override
  String get settings250Sbtab250Sbuser8722Sbsettings8722Sblong => 'Persoonlijk';

  @override
  String get settings250Sbtitle => 'Account instellingen';

  @override
  String get settings250Sbvacation8722Sbtitle => 'Vakantie';

  @override
  String get settings250Sbwrong8722Sbpassword => 'Verkeerd wachtwoord';

  @override
  String get settlement8722Sbaddress => 'Adres van de afrekeningsportefeuille';

  @override
  String get signup8722Sbsuccess250Sbletter8722Sbsent => 'Er is een verificatiebrief naar uw e-mailadres verzonden.';

  @override
  String get signup8722Sbsuccess250Sblogin => 'Je wordt nu doorgestuurd naar de homepage.';

  @override
  String get signup8722Sbsuccess250Sbtitle => 'Registratie succes!';

  @override
  String signup250Sbagree8722Sbto8722Sbtos(Object terms) {
    return 'Ik heb gelezen en ga akkoord met $terms';
  }

  @override
  String signup250Sbagree8722Sbto8722Sbtos8722Sbterms(Object appName) {
    return '$appName servicevoorwaarden';
  }

  @override
  String get signup250Sbbtn => 'Register';

  @override
  String get signup250Sbconfirm8722Sbpass => 'Bevestig wachtwoord';

  @override
  String get signup250Sbemail => 'Email optioneel)';

  @override
  String get signup250Sbemail8722Sbtip => 'Je hoeft je e-mailadres niet in te voeren om in Monero te handelen, maar zonder dit kunnen we je wachtwoord niet herstellen of je e-mailmeldingen sturen. Uw e-mail wordt vergeleken met een externe database van wegwerp-e-mailproviders.';

  @override
  String get signup250Sbemail8722Sbtip57Sbagoradesk => 'U hoeft uw e-mailadres niet in te voeren om cryptocurrencies te verhandelen, maar zonder dit kunnen we uw wachtwoord niet herstellen of u e-mailmeldingen sturen. Uw e-mail wordt vergeleken met een externe database van wegwerp-e-mailproviders.';

  @override
  String get signup250Sberror8722Sb28722Sbdialog8722Sbtitle => 'Registratie fout';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtext => 'Voer geldige informatie in.';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtitle => 'Formulier fout';

  @override
  String signup250Sblogin(Object link) {
    return 'Heb je al een account? $link';
  }

  @override
  String get signup250Sblogin8722Sblink => 'Log in.';

  @override
  String get signup250Sbtitle => 'Aanmelden';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext(Object terms) {
    return 'Lees en ga akkoord met $terms om u te registreren';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbagree => 'Mee eens zijn';

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbdisagree => 'Het oneens zijn';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext8722Sbterms(Object appName) {
    return '$appName servicevoorwaarden';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtitle => 'Servicevoorwaarden';

  @override
  String get sso250Sblogout8722Sbportal => 'Je wordt uitgelogd...';

  @override
  String sso250Sbunverified8722Sbemail8722Sbtext(Object settingsPage) {
    return 'U moet uw e-mailadres verifiëren om door te gaan. Dat kan op de $settingsPage.';
  }

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtext8722Sbsettings8722Sbpage => 'instellingen pagina';

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtitle => 'Niet-geverifieerde e-mail';

  @override
  String get start250Sb2fa => 'Twee-factor-authenticatie';

  @override
  String start250Sbbuy8722Sbonline(Object assetName) {
    return 'Hoe $assetName online te kopen';
  }

  @override
  String get start250Sbbuy8722Sbonline57Sbagoradesk => 'Hoe cryptocurrencies online te kopen';

  @override
  String get start250Sblearn8722Sbmore => 'Leer meer';

  @override
  String start250Sblocal(Object assetName) {
    return 'Hoe $assetName voor contant geld te kopen of verkopen';
  }

  @override
  String get start250Sblocal57Sbagoradesk => 'Hoe cryptocurrencies voor contant geld te kopen of verkopen';

  @override
  String start250Sbsettings(Object appName) {
    return '$appName instellingen';
  }

  @override
  String start250Sbtitle(Object appName) {
    return '$appName gidsen: hoe u Monero kunt kopen of verkopen';
  }

  @override
  String start250Sbtrade(Object assetName) {
    return 'Inleiding over handelen $assetName';
  }

  @override
  String get start250Sbtrade57Sbagoradesk => 'Inleiding over het verhandelen van cryptocurrencies';

  @override
  String get statistics250Sbno8722Sbdata => 'Geen gegevens';

  @override
  String get statistics250Sbticker8722Sb12hr => '12 uren:';

  @override
  String get statistics250Sbticker8722Sb1hr => '1 uur:';

  @override
  String get statistics250Sbticker8722Sb24hr => '24 uur:';

  @override
  String get statistics250Sbticker8722Sb6hr => '6 uur:';

  @override
  String statistics250Sbticker8722Sbapi8722Sbtitle(Object appName) {
    return '$appName API voor gemiddelde prijsticker';
  }

  @override
  String get statistics250Sbticker8722Sbsubtitle => 'Alleen valuta\'s met beschikbare gegevens worden weergegeven';

  @override
  String statistics250Sbticker8722Sbtitle(Object assetSymbol) {
    return 'Gemiddelde prijs/$assetSymbol op basis van voltooide transacties';
  }

  @override
  String get statistics250Sbtitle => 'Statistieken';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbconvert(Object currencyCode) {
    return 'Converteren naar $currencyCode van USD';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbnone => 'Bericht \'Geen gegevens\' weergeven';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbtitle(Object currencyCode) {
    return 'Als er geen gegevens voor $currencyCode aanwezig zijn...';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbusd => 'Toon prijs in USD';

  @override
  String get stepper250Sbback8722Sbbtn => 'Rug';

  @override
  String get stepper250Sbnext8722Sbbtn => 'Volgende';

  @override
  String get support250Sbdescription => 'U kunt ondersteuning krijgen door een ticket te openen, een e-mail te sturen of contact op te nemen via Telegram.';

  @override
  String get support250Sbemail250Sbbutton => 'Stuur een email';

  @override
  String support250Sbemail250Sbdescription(Object email) {
    return 'U kunt een e-mail sturen naar $email';
  }

  @override
  String get support250Sbemail250Sbtitle => 'E-mail';

  @override
  String get support250Sbmatrix250Sbbutton => 'Bericht op Matrix';

  @override
  String get support250Sbmatrix250Sbdescription => 'U kunt ons een bericht sturen op Matrix';

  @override
  String get support250Sbsubtitle => 'Neem contact met ons op - we helpen onze gebruikers graag! Onze reactietijden zijn meestal snel, u kunt ondersteuning krijgen via de volgende methoden:    ';

  @override
  String get support250Sbtelegram250Sbbutton => 'Bericht op Telegram';

  @override
  String get support250Sbtelegram250Sbdescription => 'U kunt ons een bericht sturen op Telegram';

  @override
  String get support250Sbticket250Sbbutton => 'Een kaartje openen';

  @override
  String get support250Sbticket250Sbdescription => 'U kunt een ticket aanmaken op ons ondersteuningsportaal';

  @override
  String get support250Sbticket250Sbtitle => 'Ticket';

  @override
  String get support250Sbtitle => 'Krijg ondersteuning';

  @override
  String get trade8722Sbnoun => 'Handel';

  @override
  String get trade250Sbamount8722Sbminus8722Sbfee250Sblabel => 'Bedrag min de vergoeding:';

  @override
  String get trade250Sbamount8722Sbplus8722Sbfee250Sblabel => 'Bedrag plus de vergoeding:';

  @override
  String trade250Sbamount8722Sbto8722Sbpay(Object amount) {
    return 'Bedrag dat u moet betalen: $amount.';
  }

  @override
  String trade250Sbamount8722Sbto8722Sbreceive(Object amount) {
    return 'Bedrag dat de koper moet betalen: $amount.';
  }

  @override
  String trade250Sbbuyer8722Sbhasnt8722Sbcompleted8722Sbpayment8722Sbtext(Object minutes) {
    return 'De koper heeft de betaling nog niet als voltooid gemarkeerd en heeft $minutes minuten om de betaling uit te voeren voordat u de transactie kunt annuleren. Wanneer u de betaling ontvangt, voltooit u de transactie.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb0 => 'Op dit moment kan de verkoper de transactie annuleren, tenzij u <strong> de betaling </strong> bevestigt door op de knop \'Ik heb betaald\' te drukken.';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb1(Object minutes) {
    return 'De verkoper kan de ruil gedurende $minutes minuten niet annuleren, terwijl het veilig is om te betalen.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Na het betalen moet u <strong> markeren dat de betaling is voltooid </strong> door op de knop \'Ik heb betaald\' te drukken, anders kan de verkoper de transactie annuleren zodra de betalingstermijn is verstreken.';

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb3 => 'Wachten tot de verkoper je betaling bevestigt';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb4(Object time) {
    return 'U heeft de betaling als voltooid gemarkeerd op $time.';
  }

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb5(Object username, Object assetSymbol) {
    return 'Zodra $username de betaling bevestigt, wordt de $assetSymbol naar uw settlement wallet gestuurd.';
  }

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning => 'Als het adres dat is opgegeven bij het openen van de transactie verkeerd is, moet u de transactie heropenen met het juiste adres, anders kunnen de munten onherstelbaar verloren gaan.';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle => 'Laat het adres zien';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle8722Sbsettlement => 'Toon bestemmingsadres';

  @override
  String get trade250Sbcancel8722Sbtrade8722Sbbtn => 'Handel annuleren';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtext => 'Bevestig dat u een geschil wilt starten.';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtitle => 'Bevestig geschil';

  @override
  String trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtext(Object username) {
    return 'U, $username, verklaart dat u de betaling heeft voltooid';
  }

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtitle => 'Bevestig betaling';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbbtn => 'Bevestigen';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtext => 'Bevestig dat u de ruil wilt annuleren';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtitle => 'Annulering bevestigen';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtext => 'Bevestig dat u bescherming van arbitragegaranties wilt inschakelen';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtitle => 'Bevestig het inschakelen van arbitragebindingsbescherming';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbnot8722Sbpaid8722Sbtext => 'De koper heeft de betaling nog niet als voltooid gemarkeerd! Weet u zeker dat u de ruil nu wilt afronden?';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext => 'Bevestig dat u de betaling heeft ontvangen en de ruil wilt afronden';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext8722Sbwarning => 'Doe voorzichtig! Voltooi een transactie pas als u zeker weet dat u de betaling heeft ontvangen. Er zijn oplichters geweest die verkopers probeerden te misleiden om een transactie voortijdig af te ronden.';

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbtitle(Object amount, Object username) {
    return 'De transactie voor $amount afronden met $username';
  }

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease250Sboffset8722Sbnotice(Object appName) {
    return 'Dit wachtwoord wordt gebruikt als offset om de niet-bewarende afwikkelingsportefeuille te genereren en de transactie te ondertekenen. $appName kan de portemonnee niet herstellen als u dit wachtwoord verliest.';
  }

  @override
  String trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtext(Object appName) {
    return 'Bevestig dat u de transactie wilt financieren vanuit uw $appName-portemonnee';
  }

  @override
  String get trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtitle => 'Financiering bevestigen';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtext => 'Onvoldoende saldo om een transactie te financieren';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtitle => 'Financieringsfout!';

  @override
  String get trade250Sbdispute8722Sbbtn => 'Begin een geschil';

  @override
  String trade250Sbdispute8722Sbtext(Object appName) {
    return 'Als er onenigheid is over de transactie, kunt u een geschil starten. Daarna neemt de $appName-ondersteuning contact met u op via de chat van deze transactie.';
  }

  @override
  String get trade250Sbenable8722Sbescrow8722Sbbtn => 'Arbitragebinding inschakelen';

  @override
  String get trade250Sberror250Sb247 => 'Het is vanwege sancties verboden uw account op te nemen';

  @override
  String get trade250Sberror250Sb248 => 'Het bedrag van de transactie is niet voldoende om de schikkingsgerelateerde kosten te dekken. Probeer het later opnieuw wanneer de kosten lager zijn of heropen de transactie voor een groter bedrag en annuleer deze.';

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0(Object appName) {
    return '$appName kan alleen bescherming bieden als bescherming tegen arbitrage voor de transactie is ingeschakeld';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1(Object appName) {
    return 'Indien ingeschakeld, kunnen alleen de koper en $appName-medewerkers de deal annuleren';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName voorwaarden en info voor arbitragebescherming';
  }

  @override
  String get trade250Sbfeedback250Sbblock => 'Blokkeer gebruiker';

  @override
  String trade250Sbfeedback250Sbleave8722Sbfeedback8722Sbon(Object username) {
    return 'Geef feedback op $username';
  }

  @override
  String get trade250Sbfeedback250Sbnegative => 'Negatief';

  @override
  String get trade250Sbfeedback250Sbneutral => 'Neutrale';

  @override
  String get trade250Sbfeedback250Sbpositive => 'Positief';

  @override
  String get trade250Sbfeedback250Sbtip => 'Feedback is alleen zichtbaar als het totale handelsvolume tussen u en uw handelspartner meer dan 100 USD bedraagt.';

  @override
  String get trade250Sbfeedback250Sbtrust => 'Betrouwbaar';

  @override
  String trade250Sbfeedback250Sbupdate8722Sbfeedback8722Sbon(Object username) {
    return 'Feedback bijwerken op $username';
  }

  @override
  String trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtip(Object username) {
    return 'Optioneel. Laat een bericht achter over $username dat wordt weergegeven naast feedback op de profielpagina van de ontvanger. Maximaal 256 tekens.';
  }

  @override
  String get trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtitle => 'Uw feedbackbericht';

  @override
  String trade250Sbfloating8722Sbprice8722Sbtext(Object assetName, Object floating) {
    return 'Het bedrag van $assetName is $floating met de marktprijs.';
  }

  @override
  String get trade250Sbfloating8722Sbprice8722Sbtext8722Sbfloating => 'drijvend';

  @override
  String get trade250Sbfund8722Sbtrade8722Sbbtn => 'Financier deze transactie';

  @override
  String get trade250Sbi8722Sbhave8722Sbpaid8722Sbbtn => 'ik heb betaald';

  @override
  String trade250Sbinfo250Sbfee250Sblabel(Object appName) {
    return '1% $appName kosten:';
  }

  @override
  String trade250Sbinfo250Sbtrade8722Sbad(Object ad_type) {
    return 'Handelsadvertentie ($ad_type)';
  }

  @override
  String get trade250Sbleave8722Sbfeedback8722Sbbtn => 'Feedback achterlaten';

  @override
  String get trade250Sblocal250Sbbuyer250Sbescrowed => 'De verkoper heeft voor deze transactie arbitragebescherming ingeschakeld, wat betekent dat de verkoper deze transactie niet kan annuleren.';

  @override
  String get trade250Sblocal250Sbbuyer250Sbnot8722Sbescrowed => 'De verkoper heeft voor deze transactie geen arbitragebescherming ingeschakeld, wat betekent dat de verkoper de transactie op elk moment kan annuleren. U kunt via de chat arbitragebandbescherming aanvragen.';

  @override
  String trade250Sblocal250Sbbuyer250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode is uw verificatiecode. De verkoper zal het pas weten nadat ze de ruil hebben afgerond. U kunt het opschrijven en gebruiken om te verifiëren dat de verkoper de munten daadwerkelijk heeft verzonden na ontvangst van uw betaling wanneer u elkaar ontmoet, zonder dat u een apparaat hoeft te gebruiken.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbtitle => 'Wachten tot de verkoper de transactie financiert';

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbwait8722Sbfor8722Sbfunding(Object appName) {
    return 'Wacht tot de verkoper meer munten in zijn $appName portemonnee stort om het bedrag van deze transactie te dekken.';
  }

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbfund8722Sbthe8722Sbtrade(Object amount, Object appName) {
    return 'U moet minimaal $amount in uw $appName portemonnee hebben om deze transactie te financieren.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbpress8722Sbfund8722Sbbtn => 'Nadat je het vereiste bedrag hebt gestort, druk je op de knop om de transactie te financieren.';

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbtitle => 'Financier de handel';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbbuyer250Sbtitle => 'Regel de vergadering en voer de betaling uit';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbrelease8722Sbafter8722Sbpayment => 'Rond de transactie af na ontvangst van de betaling. Zorg ervoor dat u het geld controleert op echtheid voordat u het accepteert en de transactie voltooit. Rond de betaling pas af nadat u zeker weet dat u de betaling goed in handen heeft.';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbtitle => 'Regel de vergadering en ontvang de betaling';

  @override
  String get trade250Sblocal250Sbstep8722Sb2250Sbbuyer250Sbcompleted => 'De transactie is nu voltooid, de munten zitten in je portemonnee!';

  @override
  String trade250Sblocal250Sbstep8722Sb2250Sbseller250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode is de verificatiecode. U kunt het aan de koper vertellen, zodat de koper kan verifiëren dat u de transactie hebt voltooid zonder dat hij een apparaat nodig heeft.';
  }

  @override
  String get trade250Sbmark8722Sbpaid => 'Als je betaald hebt, druk je op de knop \'Ik heb betaald\'. Dit voorkomt dat de verkoper de transactie kan annuleren. Druk niet op deze knop tenzij u daadwerkelijk betaald heeft.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbdetails => 'Geen betalingsgegevens opgegeven. Bespreek ze in de chat.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbpaying8722Sbparty => 'Vraag uw handelspartner naar hun betalingsgegevens in de chat en voer de betaling uit. <strong>Als u al eerder heeft gehandeld, stuur de betaling dan niet naar de rekening die de verkoper u in een eerdere transactie heeft gegeven zonder eerst met de verkoper te bevestigen in deze ruilchat.</strong>';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbreceiving8722Sbparty => 'Vertel uw handelspartner over uw betalingsgegevens in de chat.';

  @override
  String get trade250Sbpay => 'Betaal volgens onderstaande betaalgegevens. Als je vragen hebt, stel ze dan aan de verkoper in de chat.';

  @override
  String get trade250Sbpayment8722Sbdetails => 'Betalingsdetails';

  @override
  String trade250Sbprice(Object price, Object currency, Object assetSymbol) {
    return 'Prijs: $price $currency / $assetSymbol';
  }

  @override
  String get trade250Sbreceipt250Sbbtn => 'Bekijk bon';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbchat => 'Inclusief chatberichten';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbinfo => 'Voeg informatie over de betaalmethode toe';

  @override
  String get trade250Sbreceipt250Sbtitle => 'Bekijk afdrukbare bon';

  @override
  String get trade250Sbrelease8722Sbmonero8722Sbbtn => 'Afronden';

  @override
  String get trade250Sbseller8722Sbcan8722Sbcancel => 'U kunt nu <strong> de transactie annuleren</strong>, aangezien de koper de betaling niet binnen het betalingsvenster heeft voltooid.';

  @override
  String get trade250Sbsettlement8722Sbfees8722Sbnotice => 'Netwerktransactiekosten in verband met het afhandelen van de transactie worden afgetrokken van het transactiebedrag, wat betekent dat u iets minder ontvangt dan het getoonde bedrag.';

  @override
  String trade250Sbstatus250Sbcancelled8722Sbtext(Object linebreak, Object time) {
    return 'Deze transactie is geannuleerd $linebreak  op $time.';
  }

  @override
  String get trade250Sbstatus250Sbcancelled8722Sbtitle => 'Geannuleerd';

  @override
  String trade250Sbstatus250Sbclosed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Deze transactie is gesloten door een beheerder $linebreak  op $time.';
  }

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtext8722Sb1 => 'De transactie is niet afgerond of geannuleerd.';

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtitle => 'Gesloten';

  @override
  String trade250Sbstatus250Sbcompleted8722Sbtext(Object linebreak, Object time) {
    return 'Deze transactie is voltooid $linebreak  op $time.';
  }

  @override
  String get trade250Sbstatus250Sbcompleted8722Sbtitle => 'Voltooid';

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Deze handel is betwist $linebreak  op $time.';
  }

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb1(Object appName) {
    return 'Wacht tot een $appName beheerder deelneemt aan de chat en de uitkomst van de transactie beslist.';
  }

  @override
  String get trade250Sbstatus250Sbdisputed8722Sbtitle => 'Twijfelachtig';

  @override
  String get trade250Sbstatus250Sbescrowed => 'Beschermd door arbitrageband';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb0 => 'Arbitragebescherming is ingeschakeld.';

  @override
  String trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb1(Object appName) {
    return 'Alleen de koper en het personeel van $appName kunnen de transactie annuleren.';
  }

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb2 => 'De verkoper kan de transactie annuleren zodra de betalingstermijn is verstreken';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtitle => 'Gefinancierd, beschermd door arbitrageband';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbnot8722Sbescrowed8722Sbtitle => 'Gefinancierd, niet beschermd door arbitrageband';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaccordion8722Sbsummary => 'Transactie details';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaddress => 'Adres';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbarbitrated => 'Arbitrage door een beheerder';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbbuyer8722Sbtx250Sbtitle => 'Overboeken naar de afwikkelingsportefeuille van de koper';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbcheck8722Sbyour8722Sbwallet => 'Controleer uw ontvangende portemonnee en u ziet de transactie!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbguide8722Sblink => 'Hoe herstel ik mijn portemonnee vanaf het begin?';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbseed => 'Uw niet-bewarende portemonnee mnemonic seed';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing => 'Verwerken';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbdescription => 'De schikking wordt verwerkt. <br /> Even geduld, u hoeft niets te doen.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbtime8722Sbestimation => 'Dit kan 10-60 minuten duren.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbbuyer => 'In afwachting van overdracht naar de afwikkelingsportefeuille van de koper...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbseller => 'In afwachting van overdracht naar de niet-bewarende portemonnee van de verkoper...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbconfirming8722Sbto8722Sbseller => 'Overboeking naar de niet-bewarende portemonnee van de verkoper bevestigen...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbbuyer => 'Gedaan! Controleer uw ontvangende portemonnee en u ziet de transactie!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbseller => 'Gedaan! De koper zou nu de transactie in de ontvangende portemonnee moeten zien.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbeta8722Sbminutes => 'min';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbexplorer8722Sbbtn => 'Verkenner openen';

  @override
  String trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbtotal8722Sbeta(Object eta) {
    return 'Geschatte resterende tijd: ≈ $eta min';
  }

  @override
  String get trade250Sbstatus250Sbsettlement250Sbproof => 'Vereffeningsbewijs';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbseller8722Sbtx250Sbtitle => 'Overboeken naar de niet-bewarende portemonnee van de verkoper';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbshow8722Sbproof => 'Betalingsbewijs tonen';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbtx8722Sbkey => 'Transactie sleutel';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbescrowed => 'Niet-gefinancierd, beschermd door arbitragegarantie';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbnot8722Sbescrowed => 'Niet-gefinancierd, niet beschermd door arbitragegarantie';

  @override
  String get trade250Sbstep250Sbprocessing8722Sbsettlement => 'De afrekening wordt verwerkt, de munten worden overgemaakt naar uw portemonnee. Even geduld, u hoeft niets te doen.';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy(Object username, Object ad, Object time) {
    return '$username heeft gereageerd op uw $ad op $time';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbad => 'lokale koopadvertentie';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbseller(Object username, Object ad, Object time) {
    return 'Je hebt gereageerd op $username $ad op $time';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbsell8722Sbbuyer => 'lokale verkoop advertentie';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbbuy8722Sbadvertisement => 'online koop advertentie';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbsell8722Sbadvertisement => 'advertentie online verkopen';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0 => 'Koper heeft helemaal geen apparaat nodig - bevestig succesvolle transactie met de verificatiecode';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1 => 'De verkoper kan de transactie afronden met behulp van een smartphone of laptop';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb2 => 'Gefinaliseerde transactie is onomkeerbaar';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb5 => 'Gebruik geen online betaalmethoden! Gebruik daarvoor online transacties';

  @override
  String trade250Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName voorwaarden en info voor lokale contante transacties';
  }

  @override
  String trade250Sbterms8722Sbtitle(Object username) {
    return 'Handelsvoorwaarden met $username';
  }

  @override
  String trade250Sbtitle8722Sbid(Object id) {
    return 'Handels-ID: $id';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return '$amountXmr $assetSymbol kopen voor $amountFiat $currency met contant geld';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'Verkoop $amountXmr $assetSymbol voor $amountFiat $currency voor geld';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return '$amountXmr $assetSymbol kopen voor $amountFiat $currency met behulp van $method';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return '$amountXmr $assetSymbol verkopen voor $amountFiat $currency met behulp van $method';
  }

  @override
  String get trade250Sbtitle250Sbbuying => 'kopen';

  @override
  String get trade250Sbtitle250Sbexpiry => 'Contractduur:';

  @override
  String get trade250Sbtitle250Sbselling => 'Verkoop';

  @override
  String get trade250Sbupdate8722Sbfeedback8722Sbbtn => 'Feedback bijwerken';

  @override
  String trade250Sbwarning250Sbimpersonation(Object appName) {
    return 'Pas op voor oplichters die zich voordoen als personeel! <br /> $appName beheerders zullen u nooit vertellen om een ruil te voltooien. <br /> Personeelsberichten hebben een rode achtergrond.';
  }

  @override
  String get trades8722Sbtable250Sbstatus250Sbnot8722Sbpaid => 'Niet betaald';

  @override
  String get trades8722Sbtable250Sbstatus250Sbpaid => 'Betaald';

  @override
  String get try8722Sbagain => 'Probeer het nog eens';

  @override
  String get user250Sbaccount8722Sbcreated => 'Account aangemaakt:';

  @override
  String user250Sbads250Sblocal8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'Verkoop $assetName voor geld aan $user';
  }

  @override
  String user250Sbads250Sblocal8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Koop $assetName met contant geld van $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return 'Verkoop $assetName online aan $user';
  }

  @override
  String user250Sbads250Sbonline8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return 'Koop $assetName online bij $user';
  }

  @override
  String user250Sbblock8722Sbbtn(Object username) {
    return 'Blokkeren $username';
  }

  @override
  String user250Sbblock8722Sbstatus(Object username) {
    return 'Je blokkeert $username';
  }

  @override
  String get user250Sbblock8722Sbstatus8722Sbdescription => 'Ze kunnen niet reageren op uw advertenties. Hun advertenties zijn verborgen voor uw zoekresultaten.';

  @override
  String get user250Sbblock250Sbwill8722Sbhide8722Sbads => 'Als u een gebruiker blokkeert, worden zijn advertenties verborgen voor uw zoekresultaten';

  @override
  String get user250Sbcache8722Sbdisclaimer => 'Een keer per uur geüpdatet';

  @override
  String user250Sbfeedback8722Sbmore(Object user) {
    return 'Zie meer feedback op $user';
  }

  @override
  String get user250Sbfeedback8722Sbscore => 'Feedbackscore:';

  @override
  String get user250Sbfeedback8722Sbtitle => 'Feedback';

  @override
  String get user250Sbhave8722Sbtraded => 'Je hebt geruild met deze gebruiker';

  @override
  String get user250Sbhavent8722Sbtraded => 'U heeft nog niet geruild met deze gebruiker';

  @override
  String get user250Sbinformation => 'Informatie';

  @override
  String get user250Sblast8722Sbseen => 'gezien';

  @override
  String get user250Sblast8722Sbseen250Sbjust8722Sbnow => 'net nu';

  @override
  String get user250Sbmedian8722Sbdays => 'dagen';

  @override
  String get user250Sbmedian8722Sbhours => 'uur';

  @override
  String get user250Sbmedian8722Sbminutes => 'minuten';

  @override
  String get user250Sbmedian8722Sbnot8722Sbknown => 'Niet bekend';

  @override
  String get user250Sbmedian8722Sbseconds => 'seconden';

  @override
  String get user250Sbmedian8722Sbtitle => 'Typische handelsafrondingstijd:';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb1 => 'Feedback duurt maximaal een uur om te reflecteren.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb2 => 'Feedback wordt alleen weergegeven als de totale <strong>marktwaarde</strong> (zoals berekend door de CoinGecko-prijs, niet de prijs die is ingesteld in de aanbieding) van de munten die tussen u zijn verhandeld, meer is dan het equivalent van 100 USD.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sbtitle => 'Waar is mijn feedback?';

  @override
  String get user250Sbnumber8722Sbof8722Sbpartners => 'Handelspartners:';

  @override
  String get user250Sbnumber8722Sbof8722Sbtrades => 'Handel:';

  @override
  String get user250Sbthis8722Sbis8722Sbyou => 'Dit ben jij';

  @override
  String user250Sbtrust8722Sbbtn(Object username) {
    return 'Vertrouwen $username';
  }

  @override
  String user250Sbtrust8722Sbstatus(Object username) {
    return 'Je vertrouwt $username';
  }

  @override
  String get user250Sbtrust8722Sbstatus8722Sbdescription => 'Ze kunnen alleen reageren op advertenties die u voor vertrouwde gebruikers heeft gemaakt';

  @override
  String user250Sbunblock8722Sbbtn(Object username) {
    return 'Deblokkeren $username';
  }

  @override
  String user250Sbuntrust8722Sbbtn(Object username) {
    return 'Niet vertrouwen $username';
  }

  @override
  String user250Sbupdate8722Sbfeedback8722Sbtitle(Object username) {
    return 'Feedback bijwerken op $username';
  }

  @override
  String get validation250Sberror250Sbad8722Sbid => 'Ongeldig identiteitsbewijs!';

  @override
  String get validation250Sberror250Sbattachment8722Sbid => 'Ongeldige bijlage-ID';

  @override
  String get validation250Sberror250Sbcountry8722Sbcode => 'Ongeldige landcode!';

  @override
  String get validation250Sberror250Sbiso86018722Sbtimestamp => 'Moet een geldige UTC-datum zijn in ISO 8601-indeling: https://en.wikipedia.org/wiki/ISO_8601';

  @override
  String get validation250Sberror250Sbnotification8722Sbid => 'Ongeldige meldings-ID';

  @override
  String get validation250Sberror250Sbpage => 'Pagina moet een nummer zijn';

  @override
  String get validation250Sberror250Sbtrade8722Sbid => 'Ongeldige transactie-ID';

  @override
  String get verify8722Sbemail250Sberror => 'Er is een fout opgetreden bij de e-mailverificatie';

  @override
  String get verify8722Sbemail250Sbsuccess => 'E-mail succesvol geverifieerd!';

  @override
  String get wallet250Sbclipboard8722Sbvirus8722Sbwarning => '<strong> Zorg ervoor dat het adres dat je hebt geplakt hetzelfde is als het adres dat je hebt gekopieerd! </strong> Bij sommige gebruikers is hun geld gestolen door <a style=\"text-decoration:underline;font-size:inherit;color:inherit\" href=\"https://reddit.com/r/Monero/comments/mcvuxc/beware_crypto_stealing_malware/\" target=\"_blank\">malware die het naar het klembord gekopieerde adres heeft vervangen door het adres van de aanvaller </a>.';

  @override
  String get wallet250Sbdownload8722Sbcsv8722Sbbtn => 'CSV downloaden';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh => 'Hoog';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh250Sblabel => 'Hoge vergoeding, naar schatting binnen een paar blokken bevestigd';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow => 'Laag';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow250Sblabel => 'Laag tarief, naar schatting binnen een week bevestigd';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium => 'Medium';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium250Sblabel => 'Gemiddeld tarief, naar schatting binnen een dag bevestigd';

  @override
  String get wallet250Sbfee250Sbbtc250Sbradio8722Sbtitle => 'Selecteer vergoedingsniveau';

  @override
  String get wallet250Sbfee250Sbxmr250Sblow => 'Laag';

  @override
  String get wallet250Sbfee250Sbxmr250Sbstandard => 'Standaard';

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbblock(Object blockHeight) {
    return 'Fondsen worden ontgrendeld bij blok $blockHeight';
  }

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbtime(Object time) {
    return 'Fondsen worden ontgrendeld op $time';
  }

  @override
  String get wallet250Sbfunds8722Sbunlocked => 'Ontgrendeld';

  @override
  String get wallet250Sbinternal8722Sbtransfer => 'Interne overplaatsing';

  @override
  String get wallet250Sbnojs250Sbsend250Sbsend8722Sbbalance8722Sbbtn => 'Stuur al het saldo';

  @override
  String get wallet250Sbpassword8722Sbtip => 'Voer uw huidige wachtwoord in om verder te gaan. 8-72 tekens.';

  @override
  String wallet250Sbpriority250Sbfee(Object amount, Object asset) {
    return 'vergoeding: $amount $asset';
  }

  @override
  String get wallet250Sbpriority250Sblow => 'Laag';

  @override
  String get wallet250Sbpriority250Sbstandard => 'Standaard';

  @override
  String wallet250Sbreceive250Sbaddress(Object assetName) {
    return 'Uw stortingsadres $assetName:';
  }

  @override
  String get wallet250Sbreceive250Sbcopied => 'Gekopieerd naar het klembord!';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbamount => 'Hoeveelheid';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbconfirmations => 'bevestigingen:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbdate => 'Datum:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbid => 'Transactie ID:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus => 'Vergrendelde status:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus8722Sbunlocked => 'Ontgrendeld';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbnote => 'Opmerking:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus => 'Toestand:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus8722Sbpending => 'In afwachting';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbtitle => 'Aanbetalingsgegevens';

  @override
  String wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbamount(Object assetSymbol) {
    return 'Bedrag $assetSymbol';
  }

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sblong => 'Bevestigingen';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sbshort => 'conf.';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdate => 'Datum';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdetails8722Sbbtn => 'Details';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbstatus => 'Toestand';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtitle => 'Inkomende stortingen';

  @override
  String get wallet250Sbreceive250Sbno8722Sbincoming => 'Je openstaande stortingen worden hier weergegeven';

  @override
  String wallet250Sbreceive250Sbqr(Object appName, Object assetSymbol) {
    return 'QR-weergave van uw $appName $assetSymbol adres';
  }

  @override
  String wallet250Sbreceive250Sbtitle(Object assetName) {
    return 'Ontvang $assetName';
  }

  @override
  String get wallet250Sbselect8722Sball8722Sbbalance => 'Al het beschikbare saldo';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived(Object assetName) {
    return 'Bedrag ontvangen in $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip(Object assetName) {
    return 'Dit is de hoeveelheid $assetName die moet worden ontvangen op het ontvangende $assetName-adres.';
  }

  @override
  String get wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip250Sbfee8722Sbon8722Sbtop => 'Bovenop dit bedrag worden netwerktransactiekosten in rekening gebracht.';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn(Object assetName) {
    return 'Af te trekken bedrag in $assetName';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip(Object assetSymbol, Object appName, Object assetName) {
    return 'Dit is het geschatte bedrag van $assetSymbol dat van uw $appName $assetName portemonnee wordt afgetrokken, inclusief de $assetName transactienetwerkkosten.';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip250Sbonly8722Sbfor8722Sbexternal(Object assetName, Object appName) {
    return 'Alleen relevant voor de transacties die naar een externe $assetName-portemonnee worden verzonden. Interne transacties tussen $appName wallets zijn volledig gratis.';
  }

  @override
  String wallet250Sbsend250Sbavailable8722Sbbalance(Object amount, Object assetSymbol) {
    return 'U kunt maximaal $amount $assetSymbol verzenden';
  }

  @override
  String get wallet250Sbsend250Sbcontinue8722Sbbtn => 'Doorgaan';

  @override
  String get wallet250Sbsend250Sbdialog250Sbconfirm8722Sbtitle => 'Bevestig het intrekken van de arbitragegarantie';

  @override
  String wallet250Sbsend250Sblocal8722Sbwallet(Object appName) {
    return '$appName portemonnee-adres';
  }

  @override
  String get wallet250Sbsend250Sbpriority250Sbfaq8722Sblink => 'Wat is dit?';

  @override
  String get wallet250Sbsend250Sbpriority250Sbtitle => 'Selecteer transactieprioriteit';

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress(Object assetName) {
    return '$assetName adres ontvangen';
  }

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress8722Sbtip(Object assetName) {
    return 'Alleen geldige $assetName adressen worden geaccepteerd';
  }

  @override
  String wallet250Sbsend250Sbsend8722Sbbtn(Object assetName) {
    return 'Stuur $assetName';
  }

  @override
  String get wallet250Sbsend250Sbsuccess => 'Succes!';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb0 => 'Het verzenden van Monero-transacties duurt normaal gesproken ongeveer 30 tot 60 minuten, soms kan het een paar uur duren als het netwerk traag is.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb057Sbagoradesk => 'Transacties met cryptocurrency duren normaal gesproken ongeveer 30 tot 60 minuten om te verzenden, soms kan het een paar uur duren als het netwerk traag is.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb1 => 'Zie waarom het soms langer duurt';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle => 'Hoe lang duurt een Monero-transactie?';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle57Sbagoradesk => 'Hoe lang duurt een cryptocurrency-transactie?';

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext(Object appName) {
    return '$appName-portemonnee is een webportemonnee - uitgaande Monero-adressen zijn niet gekoppeld aan uw account. Als u een terugbetaling vraagt aan een handelaar, vraag hem of haar dan om de terugbetaling naar uw ontvangstadres te sturen.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return '$appName-portemonnee is een webportemonnee - uitgaande cryptocurrency-adressen zijn niet gekoppeld aan uw account. Als u een terugbetaling vraagt aan een handelaar, vraag hem of haar dan om de terugbetaling naar uw ontvangstadres te sturen.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle => 'Monero-terugbetalingen en uitbetalingen';

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle57Sbagoradesk => 'Terugbetalingen en uitbetalingen van cryptocurrency';

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext(Object appName) {
    return 'Bij verzending vanuit de $appName-portemonnee wordt een Monero-netwerktoeslag gereserveerd en van je saldo afgetrokken. Transacties naar portemonnees van andere $appName-gebruikers zijn gratis.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee(Object assetName) {
    return 'Huidige uitgaande $assetName netwerkkosten';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee8722Sbrates(Object assetName) {
    return 'Huidige tarieven voor uitgaande $assetName netwerkkosten';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return 'Bij het verzenden vanuit de $appName-portemonnee wordt een netwerktarief gereserveerd en van uw saldo afgetrokken. Transacties naar portemonnees van andere $appName-gebruikers zijn gratis.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle => 'Uitgaande Monero-kosten';

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle57Sbagoradesk => 'Uitgaande cryptocurrency-kosten';

  @override
  String wallet250Sbsend250Sbtitle(Object assetName) {
    return 'Stuur $assetName';
  }

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbdeposit => 'Ik wil een andere valuta storten';

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbwithdraw => 'Ik wil een andere valuta ontvangen';

  @override
  String wallet250Sbswap250Sbconfirmation250Sbtitle(Object partner) {
    return 'Uw $partner transactie';
  }

  @override
  String wallet250Sbswap250Sbconnection8722Sberror(Object partner) {
    return 'Er is iets misgegaan bij het verbinden met $partner, probeer het later opnieuw.';
  }

  @override
  String wallet250Sbswap250Sbcontinue8722Sbon(Object partner) {
    return 'Ga verder op $partner';
  }

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbdeposit => 'Ik wil sturen...';

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbwithdrawal => 'ik wil ontvangen...';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress => 'naar dit adres:';

  @override
  String wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbhelper(Object partner, Object asset, Object appName) {
    return 'Na ontvangst van uw transactie zal $partner de $asset naar uw $appName portemonnee sturen';
  }

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbsend => 'Versturen';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbto8722Sbthis => ' naar dit adres:';

  @override
  String wallet250Sbswap250Sbdeposits250Sbhelper(Object asset) {
    return 'U ziet de transactie op de ontvangende portemonnee nadat deze is bevestigd door het $asset-netwerk (≈10-60 min)';
  }

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbmaxAmount => 'Maximaal stortingsbedrag';

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbminAmount => 'Minimaal stortingsbedrag';

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbnojs8722Sbdescription(Object asset, Object currencyCode) {
    return 'Kies of u de uitwisseling wilt berekenen op basis van hoeveel $asset u wilt verzenden of hoeveel $currencyCode u wilt ontvangen. We zullen het gebruiken om de beste aanbiedingen voor u te vinden.';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbreceive(Object currencyCode) {
    return 'Ontvang {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbsend(Object asset) {
    return 'Stuur {assetName}';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbreceive(Object currencyCode) {
    return 'Het bedrag van $currencyCode dat u wilt ontvangen';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbsend(Object asset) {
    return 'Het bedrag van $asset dat u wilt verzenden';
  }

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbinvalid8722Sbamount => 'ongeldige hoeveelheid';

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbno8722Sboffers => 'We konden geen geschikte aanbiedingen vinden... probeer het bedrag aan te passen.';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbtitle => 'Kies een aanbieding';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbview8722Sbad8722Sbbutton => 'Advertentie bekijken';

  @override
  String get wallet250Sbswap250Sbnative250Sbtrade8722Sbbutton => 'Handel';

  @override
  String wallet250Sbswap250Sbpowered8722Sbby(Object partner) {
    return 'mogelijk gemaakt door $partner';
  }

  @override
  String wallet250Sbswap250Sbprovide8722Sbemail(Object partner) {
    return 'Geef $partner mijn e-mailadres voor contact';
  }

  @override
  String get wallet250Sbswap250Sbsave8722Sblink => 'Zorg ervoor dat u deze link opslaat, het is uw enige manier om de transactie te volgen!';

  @override
  String get wallet250Sbswap250Sbsend8722Sbbtn => 'Stuur de munten!';

  @override
  String get wallet250Sbswap250Sbstatus250Sbavailable => 'Status: beschikbaar';

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal(Object asset) {
    return 'Geschat verzonden $asset';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal250Sbhelper(Object asset, Object appName, Object assetName, Object currency) {
    return 'Geschat bedrag van $asset dat van uw $appName $assetName portemonnee wordt afgetrokken om het bovenstaande $currency bedrag te ontvangen, inclusief de $assetName transactienetwerkkosten. Kan enigszins veranderen als gevolg van schommelingen in de netwerkkosten.';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbdeposit(Object currency) {
    return 'Hoeveel $currency wilt u verzenden?';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal(Object currency) {
    return 'Geschat ontvangen $currency';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal250Sbhelper(Object currency, Object partner) {
    return 'Geschatte hoeveelheid van $currency die je krijgt. Gebruik de onderstaande invoer om het te wijzigen. Kan iets veranderen als gevolg van $partner wisselkoersschommelingen.';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbhelper(Object time, Object partner, Object currency) {
    return 'Ontspan gewoon, wacht $time minuten en $partner stuurt je de $currency';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle(Object asset, Object partner) {
    return ' We hebben de $asset naar $partner gestuurd';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle250Sball8722Sbset(Object partner) {
    return 'Helemaal klaar voor de $partner handel!';
  }

  @override
  String wallet250Sbtab250Sbreceive8722Sblong(Object assetName) {
    return 'Ontvang $assetName';
  }

  @override
  String get wallet250Sbtab250Sbreceive8722Sbshort => 'Te ontvangen';

  @override
  String wallet250Sbtab250Sbsend8722Sblong(Object assetName) {
    return 'Stuur $assetName';
  }

  @override
  String get wallet250Sbtab250Sbsend8722Sbshort => 'Versturen';

  @override
  String get wallet250Sbtab250Sbtx8722Sblong => 'Transacties';

  @override
  String get wallet250Sbtab250Sbtx8722Sbshort => 'Txs';

  @override
  String get wallet250Sbtitle => 'Portemonnee';

  @override
  String get wallet250Sbtx250Sbaffiliate => 'Uitbetaling van commissie voor het aangesloten programma';

  @override
  String wallet250Sbtx250Sbfee(Object assetName) {
    return '$assetName netwerktransactiekosten.';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbtrade(Object id) {
    return 'Ontvangen uit ruil $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbuser(Object username) {
    return 'Ontvangen van gebruiker $username';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbtrade(Object id) {
    return 'Verzonden om te ruilen $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbuser(Object username) {
    return 'Verzonden naar gebruiker $username';
  }

  @override
  String get wallet250Sbtx250Sbpending8722Sbsend => 'In afwachting van verzenden naar';

  @override
  String wallet250Sbtx250Sbrebate(Object code) {
    return 'Vergoeding korting. Couponcode: $code.';
  }

  @override
  String wallet250Sbtx250Sbreceive(Object assetName) {
    return 'Ontvangen. $assetName netwerktransactie-ID:';
  }

  @override
  String wallet250Sbtx250Sbreserve(Object assetName, Object id) {
    return '$assetName reserve voor handel $id';
  }

  @override
  String wallet250Sbtx250Sbreserve8722Sbreturn(Object assetName, Object id) {
    return '$assetName reserverendement uit handel $id';
  }

  @override
  String get wallet250Sbtx250Sbsend => 'Verzonden naar';

  @override
  String wallet250Sbtx250Sbsend8722Sbid(Object assetName) {
    return '$assetName netwerktransactie-ID:';
  }

  @override
  String get wallet250Sbtxs250Sbdetails8722Sbdialog250Sbtitle => 'Transactie details';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails => 'Details';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails250Sbplaceholder => 'Tx ID, adres, handels-ID, gebruikersnaam etc.';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbfrom => 'Van';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtitle => 'Transacties filteren';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbto => 'Tot';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype => 'Type';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbaffiliate => 'Aangesloten commissie';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sball => 'Alle typen';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbcoupon => 'Couponkorting';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbfee => 'Netwerktarief';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbreceive => 'Intern ontvangen';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbsend => 'Intern verzenden';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbpending => 'In afwachting van verzending';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreceive => 'Te ontvangen';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve => 'Handelsreserve';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve8722Sbreturn => 'Handelsreserve teruggave';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbsend => 'Versturen';

  @override
  String wallet250Sbtxs250Sbtable250Sbamount(Object assetSymbol) {
    return 'Bedrag $assetSymbol';
  }

  @override
  String get wallet250Sbtxs250Sbtable250Sbdate => 'Datum';

  @override
  String get wallet250Sbtxs250Sbtable250Sbdescription => 'Beschrijving';

  @override
  String wallet250Sbtxs250Sbtable250Sbreceived(Object assetSymbol) {
    return 'Ontvangen $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtable250Sbsent(Object assetSymbol) {
    return 'Verzonden $assetSymbol';
  }

  @override
  String wallet250Sbtxs250Sbtip8722Sbtext(Object latestVersion, Object assetName) {
    return 'Als u een transactie-ID met een link naar de blockchain-verkenner in de beschrijving kunt zien, betekent dit dat uw transactie met succes is uitgezonden. Zorg ervoor dat uw portemonnee volledig is gesynchroniseerd en dat u de $latestVersion van de $assetName portemonnee gebruikt';
  }

  @override
  String get wallet250Sbtxs250Sbtip8722Sbtext8722Sblatest8722Sbversion => 'laatste versie';

  @override
  String wallet250Sbtxs250Sbtip8722Sbtitle(Object appName) {
    return 'Tip: heb je geld opgenomen van $appName en zie je het niet in je portemonnee?';
  }

  @override
  String get wallet250Sbtxs250Sbtitle => 'Portemonnee transacties';

  @override
  String wallet250Sbupdate8722Sbsoft8722Sbwarn(Object update) {
    return 'Er is een nieuwe versie van de Monero-software uit! Vergeet niet uw portemonnee-software $update te gebruiken, anders kunt u geen transacties verzenden en ontvangen.';
  }

  @override
  String get wallet250Sbupdate8722Sbsoft8722Sbwarn8722Sbupdate => 'update';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sband8722Sbfee8722Sbnext => 'In de volgende stap kiest u het bedrag en de hoogte van de vergoeding';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbnext => 'In de volgende stap kiest u het bedrag';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sblabel => 'Te ontvangen';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sbsecondary8722Sblabel => 'Voer het te ontvangen bedrag in (zonder kosten)';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sblabel => 'Versturen';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sbsecondary8722Sblabel => 'Voer het af te trekken bedrag in (met toeslag)';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sblabel => 'Gratis upgrade';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sbtooltip => 'Vanwege de manier waarop we opnames batchgewijs uitvoeren, is het eigenlijk goedkoper om uw opname tegen een hoger tarief te verzenden. Genieten van!';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees => 'Netwerkkosten';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbhigh => 'Snel';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sblow => 'Langzaam';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbmedium => 'Medium';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbsend8722Sbmax => 'Stuur Max';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbamount => 'Hoeveelheid';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbrecipient => 'Ontvanger';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbsummary => 'Overzicht';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation250Sbwallet8722Sbowner => 'Door de opname te bevestigen, bevestigt u ook dat de portemonnee waarnaar u geld opneemt, van u is.';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbnew8722Sbfee => 'Nieuwe opnamekosten';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbold8722Sbfee => 'Oude opnamekosten';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbreceive8722Sbamount => 'Bedrag ontvangen';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbsend8722Sbamount => 'Bedrag af te trekken';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbdecreased => 'De opnamekosten zijn verlaagd';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbincreased => 'De opnamekosten zijn verhoogd';

  @override
  String get wallet250Sbwithdraw250Sbnojs250Sbchange8722Sbaddress8722Sbbtn => 'Adres wijzigen';

  @override
  String wallet250Sbwithdrawal250Sbamount8722Sbinput250Sblabel(Object asset) {
    return 'Bedrag ({assetSymbol})';
  }

  @override
  String wallet250Sbwithdrawal250Sbconfirmation250Sbfee(Object fee, Object currency) {
    return '+ netwerktarief (≈ $fee $currency)';
  }

  @override
  String get wallet250Sbwithdrawal250Sberror250Sbtoo8722Sbsmall => 'Bedrag dat is aangevraagd voor opname is minder dan het minimaal mogelijke bedrag';

  @override
  String get wallet250Sbwithdrawal250Sbnetwork8722Sbfee => 'Netwerktarief';

  @override
  String get warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb0 => '<strong>OPMERKING:</strong> Deze betaalmethode is <strong>risicovol</strong>, omdat het <strong>omkeerbaar is</strong> en daarom vaak wordt gebruikt door oplichters.';

  @override
  String warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb1(Object method, Object linebreak) {
    return 'Zelfs als u uw due diligence doet en alleen met gerenommeerde gebruikers handelt, is er geen garantie dat u niet in een $method geschilsituatie terechtkomt. Hier is iets dat u kunt doen om uw kansen te vergroten: $linebreak  1. Vraag 2 foto-ID-scans van de gebruiker (d.w.z. paspoort en rijbewijs), zorg ervoor dat de $method accountnaam overeenkomt met de ID. $linebreak  2. Vraag de gebruiker om u een e-mail te sturen vanaf het $method e-mailaccount (misschien zelfs om de Trade ID en iets over de transactie in de e-mail te plaatsen). $linebreak  3. Reken zeer hoge premies voor $method handelt. Bijvoorbeeld 25% en hoger. Op die manier bent u gedekt als 1 op de 5 van uw $method-transacties oplichting zijn (bij gelijke transactiebedragen). $linebreak  4. Pas op voor hoge handelsbedragen. Probeer eerst een paar transacties met een lager bedrag te krijgen met een handelaar. $linebreak ';
  }

  @override
  String get warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb0 => 'Deze advertentie is verborgen, omdat het minimumbedrag dat u heeft opgegeven lager is dan uw maximaal beschikbare bedrag';

  @override
  String warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb1(Object assetName) {
    return 'Deze handelaar is op vakantie of niet beschikbaar $assetName. Kom later terug of zoek naar andere aanbiedingen.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance(Object asset, Object minRequiredbalance, Object amountXmr, Object localmoneroWallet) {
    return 'Al uw verkopende $asset-advertenties zijn verborgen voor openbare zoekopdrachten omdat het saldo van uw arbitrage-obligatieportefeuille lager is dan $minRequiredbalance. Om ervoor te zorgen dat uw verkoopadvertenties zichtbaar worden, dient u ten minste $amountXmr te storten op uw arbitragegarantie $localmoneroWallet.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName portemonnee';
  }

  @override
  String get web8722Sbnotification250Sbmessage => 'Je hebt een nieuw bericht.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcancelled => 'Een transactie is geannuleerd.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcomplete => 'Er is een transactie voltooid.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbdisputed => 'Een van uw transacties is betwist.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete => 'Betaling gemarkeerd als voltooid.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbrequest => 'Je hebt een nieuw ruilaanbod.';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbattach8722Sbcode8722Sbcheckbox => 'Voeg mijn aangesloten verwijzingscode toe aan de widget';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sblogged8722Sbout => 'Log in om affiliate verwijzingscode aan de widget toe te voegen';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbnot8722Sbenabled => 'Schakel het partnerprogramma in om verwijzingscode aan de widget toe te voegen';

  @override
  String widget8722Sbinstructions250Sbinstructions(Object assetName) {
    return 'Om een $assetName straatprijswidget voor uw eigen website te krijgen, selecteert u hieronder de gewenste valuta en plakt u eenvoudig de volgende code in uw eigen webpagina:';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbaffiliate(Object assetName) {
    return '$assetName Straatprijswidget (met uw partnercode)';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbno8722Sbaffiliate(Object assetName) {
    return '$assetName Straatprijswidget';
  }

  @override
  String get ads => 'Advertenties';

  @override
  String get unknown_error => 'Onbekende fout';

  @override
  String get ads_choose_ad_type => 'Kies advertentietype';

  @override
  String get ads_ad_type => 'Advertentietype';

  @override
  String get ads_choose_ad_cryptocurrency => 'Kies cryptovaluta';

  @override
  String get ads_choose_price_type => 'Kies prijssoort';

  @override
  String get ads_which_type_to_choose => 'Welk type kiezen?';

  @override
  String get enter_margin => 'Voer marge in';

  @override
  String get what_is_margin => 'Wat is een marge?';

  @override
  String get price_formula_examples => 'Voorbeelden van prijsformules';

  @override
  String get see_examples => 'Zie voorbeelden';

  @override
  String get see_example => 'Zie voorbeeld';

  @override
  String get final_price_in => 'Definitieve prijs binnen';

  @override
  String get show_formula_controls => 'Formulebesturingselementen weergeven';

  @override
  String get market_rates => 'Markt Tarieven';

  @override
  String get set_trade_limits => 'Handelslimieten instellen (optioneel):';

  @override
  String get restrict_limit_amounts_to => 'Beperk limietbedragen tot';

  @override
  String get restrict_limit_amounts => 'Beperk limietbedragen';

  @override
  String get what_does_it_mean => 'Wat betekent het?';

  @override
  String ads_enter_amount(Object currency) {
    return 'Voer bedrag in $currency';
  }

  @override
  String ads_enter_comma_sep_amounts(Object currency) {
    return 'Voer door komma\'s gescheiden bedragen in $currency';
  }

  @override
  String ads_first_trade_max_limit(Object currency) {
    return 'Maximale limiet eerste transactie $currency';
  }

  @override
  String get ads_specify_trade_details => 'Specificeer handelsgegevens (optioneel):';

  @override
  String get ads_payment_method_details => 'Details van betalingsmethode';

  @override
  String get ads_payment_method_details_64 => 'Weergegeven in de advertentielijst. Maximaal 64 tekens.';

  @override
  String get ads_maximum_64 => 'Maximaal 64 tekens';

  @override
  String get ads_payment_method_info_trade => 'Betaalmethode info';

  @override
  String get ads_payment_method_info_trade_4096 => 'Getoond tijdens de handel. Maximaal 4096 tekens.';

  @override
  String get ads_specify_restrictions => 'Specificeer beperkingen (optioneel):';

  @override
  String get maximum_4096 => 'Maximaal 4096 tekens';

  @override
  String get enter_number_0_100 => 'Voer een getal in van 0 tot 100';

  @override
  String get enter_number_15_90 => 'Voer een nummer in tussen 15-90';

  @override
  String get enter_amount_min_0 => 'Voer bedrag in (min 0)';

  @override
  String get currency => 'Munteenheid:';

  @override
  String get payment_method => 'Betalingswijze:';

  @override
  String get restrict_amounts_to => 'Beperk bedragen tot:';

  @override
  String get payment_method_details => 'Gegevens betalingswijze:';

  @override
  String get review => 'Opnieuw bekijken';

  @override
  String get publish => 'Publiceren';

  @override
  String get enter_your_settlement_wallet_address => 'Vul uw settlement wallet adres in:';

  @override
  String ads_enter_verify_address(Object appName) {
    return 'Voer uw adres in en verifieer het waar de munten naartoe worden verzonden. Kan geen intern $appName adres zijn.';
  }

  @override
  String get what_is_settlement_fee_level => 'Wat is het niveau van de afwikkelingsvergoeding?';

  @override
  String get settlement_fee_level_selector_explanation => 'Met deze selector kunt u kiezen welk netwerktarief u wilt gebruiken bij het verzenden van de transactie naar uw portemonnee. Als u niet zeker weet welk vergoedingsniveau u wilt, selecteert u de gemiddelde vergoeding.';

  @override
  String get ads_payment_window => 'Betalingsperiode (minuten)';

  @override
  String get ads_payment_window_short => 'Betaling venster';

  @override
  String get ads_havent_posted => 'U heeft nog geen advertenties geplaatst.';

  @override
  String get no_trades => 'Je hebt nog geen transacties.';

  @override
  String get no_feedbacks => 'Geen feedback.';

  @override
  String get ad_settings => 'Advertentie-instellingen';

  @override
  String get settings_saved => 'Instellingen opgeslagen';

  @override
  String get preferences => 'Voorkeuren';

  @override
  String get about_this_ad => 'Over deze advertentie';

  @override
  String get price => 'Prijs';

  @override
  String get activity => 'Werkzaamheid';

  @override
  String get chat => 'Chatten';

  @override
  String get market => 'Markt';

  @override
  String get help => 'Helpen';

  @override
  String sell_asset(Object asset) {
    return 'Verkoop $asset';
  }

  @override
  String buy_asset(Object asset) {
    return 'Koop $asset';
  }

  @override
  String get trader_profile => 'Handelsprofiel';

  @override
  String get trader_info => 'Info van de handelaar';

  @override
  String get trading_tips => 'Handelstips';

  @override
  String get clear_all => 'Wis alles';

  @override
  String get apply => 'Van toepassing zijn';

  @override
  String get enter_amount => 'Voer een bedrag in';

  @override
  String get any_payment_method => 'Elke betaalmethode';

  @override
  String get see_more_feedback => 'Zie meer reacties';

  @override
  String get see_more_ads => 'Zie meer advertenties';

  @override
  String feedback_title(Object user) {
    return 'Feedback op $user';
  }

  @override
  String get active_ads => 'Actieve advertenties';

  @override
  String get you_sell => 'Jij verkoopt';

  @override
  String get you_buy => 'U koopt';

  @override
  String get you_receive => 'Jij ontvangt';

  @override
  String get you_pay => 'Je betaalt';

  @override
  String get export_csv => 'CSV exporteren';

  @override
  String get copy => 'Kopiëren';

  @override
  String sell_via(Object asset, Object provider) {
    return 'Verkoop $asset via $provider';
  }

  @override
  String buy_via(Object asset, Object provider) {
    return 'Koop $asset via $provider';
  }

  @override
  String sell_to(Object user) {
    return 'Verkopen aan $user';
  }

  @override
  String buy_from(Object user) {
    return 'Koop van $user';
  }

  @override
  String must_be_at_least(Object num, Object currency) {
    return 'Moet minimaal $num $currency zijn';
  }

  @override
  String must_be_less(Object num, Object currency) {
    return 'Moet kleiner zijn $num $currency';
  }

  @override
  String send_all(Object asset) {
    return 'Alles verzenden $asset';
  }

  @override
  String about_transactions(Object asset) {
    return 'Over $asset transacties';
  }

  @override
  String get trade_id => 'Handels-ID';

  @override
  String get view_trade => 'Handel bekijken';

  @override
  String get receiving => 'Ontvangen';

  @override
  String get paying => 'Betalen';

  @override
  String get rate => 'Tarief';

  @override
  String get enter_your_password => 'Voer uw wachtwoord in';

  @override
  String get good_seller => 'Goede verkoper';

  @override
  String get cancel => 'Annuleren';

  @override
  String get delete => 'Verwijderen';

  @override
  String get important => 'Belangrijk';

  @override
  String get feedback_updated_successfully => 'Feedback is bijgewerkt.';

  @override
  String get pay => 'Betalen';

  @override
  String get send_trade_request => 'Stuur een ruilverzoek';

  @override
  String get start_trading => 'Begin met handelen';

  @override
  String get api_error_13 => 'Er ging iets mis met de aanvraag. Het is hoogstwaarschijnlijk een validatieprobleem. Controleer uw aanvraagparameters en als dit nog steeds niet goed lijkt, neem dan contact op met onze ondersteuning.';

  @override
  String get api_error_49 => 'Het oude wachtwoord dat is opgegeven in het wachtwoordwijzigingsverzoek komt niet overeen met het huidige wachtwoord';

  @override
  String get api_error_60 => 'Het opgegeven wachtwoord voor het wijzigen van de e-mail is onjuist';

  @override
  String get api_error_61 => 'Dit e-mailadres is al gekoppeld aan een ander account';

  @override
  String get api_error_73 => 'Het wachtwoord dat tijdens het opnameverzoek is opgegeven, is onjuist';

  @override
  String get api_error_74 => 'Onvoldoende saldo om geld op te nemen voor het gevraagde bedrag';

  @override
  String get api_error_75 => 'Poging om geld op te nemen naar een intern adres dat niet bestaat';

  @override
  String get api_error_76 => 'Poging om geld op te nemen naar dezelfde rekening als de rekening die de opname aanvraagt';

  @override
  String get api_error_77 => 'Onvoldoende saldo om interne overschrijving uit te voeren voor het gevraagde bedrag';

  @override
  String get api_error_103 => 'Verzoek om ruil voor advertentie wiens poster vakantie verkoopt';

  @override
  String get api_error_105 => 'De poster van de advertentie waarvoor de transactie wordt aangevraagd, heeft onvoldoende saldo om de borg te betalen';

  @override
  String get api_error_107 => 'Proberen de liquiditeit bij te houden zonder maxAmount in te stellen';

  @override
  String get api_error_137 => 'Poging om 2FA te registreren terwijl een onjuist wachtwoord wordt opgegeven';

  @override
  String get api_error_138 => 'Poging om 2FA te valideren terwijl onjuiste OTP wordt opgegeven';

  @override
  String get api_error_139 => 'Wachtwoord of OTP onjuist bij poging om 2FA uit te schakelen';

  @override
  String get api_error_140 => 'OTP onjuist bij poging om munten uit portemonnee op te nemen';

  @override
  String get api_error_146 => 'Poging om partnerprogramma in te schakelen voor account waarvoor het al is ingeschakeld';

  @override
  String get api_error_170 => 'Bedrag dat is aangevraagd voor opname is minder dan het minimaal mogelijke bedrag voor de gegeven cryptocurrency';

  @override
  String get api_error_171 => 'Ongeldig adres opgegeven bij verzoek tot opname';

  @override
  String get api_error_173 => 'Proberen om te veel transacties tegelijk te openen voor een nieuwe rekening';

  @override
  String get api_error_178 => 'Proberen coupon in te wisselen voor gebruiker die niet bestaat';

  @override
  String get api_error_179 => 'Proberen coupon in te wisselen die niet bestaat';

  @override
  String get api_error_180 => 'Proberen coupon in te wisselen die is verlopen';

  @override
  String get api_error_181 => 'Poging om een coupon in te wisselen die alleen tijdens de registratie mag worden ingewisseld';

  @override
  String get api_error_182 => 'Proberen coupon in te wisselen die al door deze gebruiker is ingewisseld';

  @override
  String get api_error_183 => 'Proberen coupon in te wisselen die niet op voorraad is';

  @override
  String get api_error_184 => 'Poging om coupon in te wisselen wanneer er momenteel een actieve coupon is';

  @override
  String get api_error_204 => 'Poging om reputatie-importcode aan te vragen voor account dat niet bestaat';

  @override
  String get api_error_205 => 'Poging om verificatiecode te genereren voor reputatie-import voor een platform waarvoor al een verificatiecode is gegenereerd';

  @override
  String get api_error_206 => 'Poging om verificatiecode te genereren voor reputatie-import voor een platform waarvan de reputatie al is geïmporteerd';

  @override
  String get api_error_207 => 'Poging om de plaatsing van de reputatie-importverificatiecode te bevestigen voor een gebruiker die niet bestaat';

  @override
  String get api_error_208 => 'Poging om de plaatsing van de reputatie-importverificatiecode te bevestigen voor een gebruiker die zich niet in stap 1 van de reputatie-importstroom bevindt';

  @override
  String get api_error_209 => 'LocalBitcoins-fout bij een poging om de plaatsing van de reputatie-importverificatiecode te bevestigen. Misschien is de gebruikersnaam verkeerd of is het profiel niet zichtbaar';

  @override
  String get api_error_210 => 'Paxful-fout bij het bevestigen van de plaatsing van de reputatie-importverificatiecode Misschien is de gebruikersnaam verkeerd of is het profiel niet zichtbaar';

  @override
  String get api_error_225 => 'LocalBitcoins API retourneert \"Ongeldige gebruiker\" als fout bij een poging om de plaatsing van de reputatiecode te bevestigen';

  @override
  String get api_error_226 => 'Onjuist wachtwoord bij poging om account te verwijderen';

  @override
  String get api_error_238 => 'Vergoedingsniveau niet gespecificeerd voor externe Bitcoin-opname';

  @override
  String get api_error_239 => 'Onjuist wachtwoord bij het vrijgeven van een transactie';

  @override
  String get api_error_243 => 'Intern AgoraDesk-adres kan niet worden gebruikt voor handelsafwikkeling. Voer een extern, niet-AgoraDesk XMR-adres in om door te gaan.';

  @override
  String get api_error_254 => 'Poging om binnen de laatste 10 minuten een opname naar een identiek adres en bedrag te sturen';

  @override
  String get api_error_260 => 'Poging om een notitie te plaatsen over een gebruiker die niet bestaat';

  @override
  String get api_error_261 => 'Poging om een bericht op uw eigen account te plaatsen';

  @override
  String get api_error_262 => 'Poging om een notitie te krijgen over een gebruiker die niet bestaat';

  @override
  String get api_error_263 => 'Proberen een notitie op uw eigen account te krijgen';

  @override
  String get api_error_264 => 'Poging om een opmerking over een gebruiker te verwijderen die niet bestaat';

  @override
  String get api_error_265 => 'Poging om een notitie op uw eigen account te verwijderen';

  @override
  String get api_error_267 => 'Poging om een gebruikersnotitie te verwijderen die niet bestaat';

  @override
  String get api_error_403 => 'U bent niet bevoegd om deze actie uit te voeren';

  @override
  String get api_error_4000 => 'Geen internet verbinding.';

  @override
  String get api_error_4001 => 'Time-out verbinding, controleer de internetverbinding.';

  @override
  String get api_error_45 => 'U kunt niet zowel \'first_time_limit_asset\' als \'first_time_limit_TICKER\' in uw verzoek opnemen. Verwijder een van hen (ze zijn uitwisselbaar).';

  @override
  String get api_error_46 => 'Verzoek moet OF een toepassings-/json-verzoeklichaam bevatten met een \"msg\"-parameter OF een meerdelig/formulier-gegevensverzoeklichaam met het afbeeldingsbestand vermeld onder de parameter \"document\"';

  @override
  String get api_error_47 => 'Gebruiker met die gebruikersnaam bestaat al';

  @override
  String get api_error_48 => 'Gebruiker met dat e-mailadres bestaat al';

  @override
  String get api_error_50 => 'Poging om een e-mail te sturen naar een gebruiker zonder e-mailset';

  @override
  String get api_error_51 => 'Token voor e-mailverificatie wordt gegeven aan een gebruiker die niet bestaat';

  @override
  String get api_error_52 => 'Het verstrekte token voor e-mailverificatie is ongeldig';

  @override
  String get api_error_53 => 'Het e-mailadres in het token komt niet overeen met het huidige e-mailadres in de database';

  @override
  String get api_error_54 => 'Het token dat is verstrekt voor het opnieuw instellen van het wachtwoord wordt gegeven aan een e-mail die niet bestaat in de database';

  @override
  String get api_error_55 => 'Het verstrekte token voor het opnieuw instellen van het wachtwoord is ongeldig';

  @override
  String get api_error_56 => 'Poging om een e-mail voor het opnieuw instellen van het wachtwoord te verzenden naar een e-mail die niet in de database staat';

  @override
  String get api_error_57 => 'Het token dat is verstrekt voor het opnieuw instellen van het wachtwoord is geen resettoken';

  @override
  String get api_error_58 => 'Er wordt geprobeerd een e-mail voor het opnieuw instellen van het wachtwoord te verzenden naar een gebruiker met een niet-geverifieerd e-mailadres';

  @override
  String get api_error_59 => 'Probeer een wachtwoord opnieuw in te stellen voor een gebruiker met een niet-geverifieerd e-mailadres';

  @override
  String get api_error_62 => 'Er bestaat geen account met de gebruikersnaam die is opgegeven voor het openbare gegevensverzoek van het account';

  @override
  String get api_error_63 => 'Poging om bestand van een verboden type te uploaden';

  @override
  String get api_error_64 => 'Poging om een niet-bestaande melding als gelezen te markeren';

  @override
  String get api_error_65 => 'Poging om een reeds gelezen melding als gelezen te markeren';

  @override
  String get api_error_66 => 'Poging om chatbijlage te uploaden naar handel die niet bestaat';

  @override
  String get api_error_67 => 'Poging om chatbericht te sturen naar handel die niet bestaat';

  @override
  String get api_error_68 => 'Poging om lijst met chatberichten op te halen van handel die niet bestaat';

  @override
  String get api_error_69 => 'Poging om een chatbericht te ontvangen dat niet bestaat';

  @override
  String get api_error_70 => 'Poging om portemonnee-adres van account te krijgen dat niet bestaat';

  @override
  String get api_error_71 => 'Poging om transacties te krijgen van een account dat niet bestaat';

  @override
  String get api_error_72 => 'Poging om geld op te nemen van een account dat niet bestaat';

  @override
  String get api_error_78 => 'Poging om get-advertenties te maken met een illegale combinatie van parameters';

  @override
  String get api_error_79 => 'De aangevraagde advertentie-ID bestaat niet';

  @override
  String get api_error_80 => 'Niet zowel lat als lon ingesteld in het advertentie-update-/aanmaakverzoek';

  @override
  String get api_error_81 => 'Prijsformule niet ingesteld bij het plaatsen van de advertentie';

  @override
  String get api_error_82 => 'Proberen lat en lon in te stellen voor een online advertentie';

  @override
  String get api_error_83 => 'Probeer ONLINE_SELL/CALL_SELL/PUT_BUY-specifieke eigenschappen in te stellen op een ander type advertentie';

  @override
  String get api_error_84 => 'Probeer ONLINE_BUY/CALL_BUY/PUT_SELL-specifieke eigenschappen in te stellen op een ander type advertentie';

  @override
  String get api_error_85 => 'Proberen LOCAL_SELL-specifieke eigenschappen in te stellen voor een ander type advertentie';

  @override
  String get api_error_86 => 'Poging om land of betalingsmethode of valuta in te stellen die niet geldig is bij het maken/bijwerken van advertentie';

  @override
  String get api_error_87 => 'Proberen een betaalmethode in te stellen die ongeldig is voor dat land bij het maken/bijwerken van de advertentie';

  @override
  String get api_error_88 => 'Proberen een valuta in te stellen die ongeldig is voor die betaalmethode bij het maken/bijwerken van de advertentie';

  @override
  String get api_error_89 => 'Er wordt geprobeerd een LOCAL_*-advertentie te maken zonder lon/lat in te stellen';

  @override
  String get api_error_90 => 'Proberen toegang te krijgen tot transacties van een gebruiker die niet bestaat.';

  @override
  String get api_error_91 => 'Proberen toegang te krijgen tot openbare accountgegevens met behulp van een token van een gebruiker die niet bestaat';

  @override
  String get api_error_92 => 'Proberen meldingen te ontvangen voor een gebruiker die niet bestaat';

  @override
  String get api_error_93 => 'Proberen stortingen in behandeling te krijgen voor een gebruiker die niet bestaat';

  @override
  String get api_error_94 => 'Proberen feedbackscore te krijgen voor gebruiker die niet bestaat';

  @override
  String get api_error_95 => 'Proberen advertenties te krijgen voor een gebruiker die niet bestaat';

  @override
  String get api_error_96 => 'Niet-bestaande gebruiker probeert een transactie aan te maken';

  @override
  String get api_error_97 => 'Proberen een ruil te maken voor een advertentie die niet bestaat';

  @override
  String get api_error_98 => 'Proberen een ruil te maken voor een advertentie waarvan de poster niet bestaat';

  @override
  String get api_error_99 => 'Proberen een hoger bedrag aan te vragen dan toegestaan door first_time_limit_asset bij het maken van een eerste transactie';

  @override
  String get api_error_100 => 'Kan niet minder dan 0,0000000001 XMR aanvragen voor het maken van transacties';

  @override
  String get api_error_101 => 'Gevraagd bedrag is lager dan het min_bedrag van de advertentie bij het maken van een transactie';

  @override
  String get api_error_102 => 'Het aangevraagde bedrag is meer dan het max_amount_available van de advertentie bij het maken van een transactie';

  @override
  String get api_error_104 => 'Verzoek om ruil voor advertentie wiens poster op het kopen van vakantie staat';

  @override
  String get api_error_106 => 'Aanvrager van de ruil heeft onvoldoende saldo om het ruilverzoek te financieren';

  @override
  String get api_error_108 => 'minAmount kan niet gelijk zijn aan of groter zijn dan maxAmount';

  @override
  String get api_error_109 => 'Het gevraagde bedrag is meer dan het maxAmount van de advertentie bij het maken van een transactie';

  @override
  String get api_error_110 => 'Handelsaanvrager heeft een lagere feedbackscore dan vereist door de poster';

  @override
  String get api_error_111 => 'Gevraagd bedrag is niet een van de geaccepteerde bedragen, zie limit_to_fiat_amounts';

  @override
  String get api_error_112 => 'Kan geen ruil aanvragen voor een advertentie die u zelf heeft geplaatst';

  @override
  String get api_error_113 => 'Kan paymentWindowMinutes niet instellen op <15 of >90 bij het updaten van de advertentie';

  @override
  String get api_error_114 => 'Kan paymentWindowMinutes niet instellen op <15 of >90 bij het maken van een advertentie';

  @override
  String get api_error_115 => 'Handel op aangevraagde ID bestaat niet';

  @override
  String get api_error_116 => 'Gebruiker die ruil aanvraagt bestaat niet';

  @override
  String get api_error_117 => 'De valuta waarvoor de wisselkoers is opgevraagd, bestaat niet';

  @override
  String get api_error_118 => 'Gebruiker die financiering van handel aanvraagt, bestaat niet';

  @override
  String get api_error_119 => 'Proberen een transactie te financieren die niet bestaat';

  @override
  String get api_error_120 => 'Gebruiker die escrow van handel aanvraagt, bestaat niet';

  @override
  String get api_error_121 => 'Proberen een transactie te escrowen die niet bestaat';

  @override
  String get api_error_122 => 'Onvoldoende saldo om een zwevende LOCAL_SELL-transactie te financieren';

  @override
  String get api_error_123 => 'Onvoldoende saldo om een niet-zwevende LOCAL_SELL-transactie te financieren';

  @override
  String get api_error_124 => 'Fout bij het financieren van een LOCAL_SELL';

  @override
  String get api_error_125 => 'Gebruiker die annulering van transactie aanvraagt, bestaat niet';

  @override
  String get api_error_126 => 'Proberen een transactie te annuleren die niet bestaat';

  @override
  String get api_error_127 => 'Gebruiker die betaling van transactie aanvraagt, bestaat niet';

  @override
  String get api_error_128 => 'Proberen een transactie te markeren die niet betaald is';

  @override
  String get api_error_129 => 'Gebruiker die vrijgave van ruil aanvraagt, bestaat niet';

  @override
  String get api_error_130 => 'Proberen een transactie vrij te geven die niet bestaat';

  @override
  String get api_error_131 => 'Gebruiker die een handelsgeschil aanvraagt, bestaat niet';

  @override
  String get api_error_132 => 'Proberen een ruil te betwisten die niet bestaat';

  @override
  String get api_error_133 => 'Poging om feedback te krijgen van een gebruiker die niet bestaat';

  @override
  String get api_error_134 => 'Poging om een advertentie te maken terwijl de gebruiker al het maximaal toegestane aantal advertenties heeft';

  @override
  String get api_error_135 => 'Op de een of andere manier is maxAmount ingesteld op null terwijl trackingMaxAmount is ingesteld op true';

  @override
  String get api_error_136 => 'Poging om een advertentie te plaatsen met een saldo dat lager is dan het minimaal vereiste saldo.';

  @override
  String get api_error_141 => 'Proberen een transactie te creëren voor een bedrag dat lager is dan het minimaal toegestane bedrag';

  @override
  String get api_error_142 => 'Poging om een fiat-limiet in te stellen die lager is dan minAmount bij het maken van een advertentie';

  @override
  String get api_error_143 => 'Poging om een fiat-limiet in te stellen die hoger is dan maxAmount bij het maken van een advertentie';

  @override
  String get api_error_144 => 'Poging om een fiat-limiet in te stellen die lager is dan minAmount bij het updaten van de advertentie';

  @override
  String get api_error_145 => 'Poging om een fiat-limiet in te stellen die hoger is dan maxAmount bij het updaten van de advertentie';

  @override
  String get api_error_147 => 'Poging om partnergegevens te verkrijgen voor een gebruiker die het partnerprogramma niet heeft ingeschakeld';

  @override
  String get api_error_148 => 'Poging om een telegram-ID in te stellen dat al is ingesteld';

  @override
  String get api_error_149 => 'Prioriteit niet gespecificeerd voor externe opname';

  @override
  String get api_error_150 => 'Proberen om een ruil te starten op een advertentie waarbij de aanvragende gebruiker wordt geblokkeerd door de adverteerder';

  @override
  String get api_error_151 => 'Proberen een ruil te starten voor een advertentie waarbij de gebruiker die de aanvraag indient niet wordt vertrouwd door de adverteerder';

  @override
  String get api_error_152 => 'Proberen een transactie te annuleren die al gesloten is';

  @override
  String get api_error_153 => 'Proberen een transactie vrij te geven die al gesloten is';

  @override
  String get api_error_154 => 'Proberen transacties aan te vragen voor een account dat niet bestaat';

  @override
  String get api_error_155 => 'Er wordt geprobeerd een lijst met vertrouwde gebruikers op te halen voor een gebruiker die niet bestaat';

  @override
  String get api_error_156 => 'Er wordt geprobeerd een lijst met geblokkeerde gebruikers op te halen voor een gebruiker die niet bestaat';

  @override
  String get api_error_157 => 'Poging om optiespecifieke eigenschappen in te stellen voor een niet-optieadvertentie';

  @override
  String get api_error_158 => 'Poging om een optieadvertentie te maken zonder optiespecifieke eigenschappen in te stellen';

  @override
  String get api_error_159 => 'Gebruiker die verzoekt om premiebetaling van handel te markeren, bestaat niet';

  @override
  String get api_error_160 => 'Poging om premium betaald te markeren voor een transactie die niet bestaat';

  @override
  String get api_error_161 => 'Gebruiker die verzoekt om optie uit te oefenen bestaat niet';

  @override
  String get api_error_162 => 'Poging om optie uit te oefenen voor een handel die niet bestaat';

  @override
  String get api_error_163 => 'Gebruiker die vraagt om bevestiging van premiebetaling van handel bestaat niet';

  @override
  String get api_error_164 => 'Poging om betaalde premie te bevestigen voor een transactie die niet bestaat';

  @override
  String get api_error_165 => 'Gebruiker die verzoekt om handel uit te oefenen met netto-afwikkeling bestaat niet';

  @override
  String get api_error_166 => 'Proberen om met netto-afwikkeling een transactie uit te oefenen die niet bestaat';

  @override
  String get api_error_167 => 'De huidige marktprijs is lager dan of gelijk aan de uitoefenprijs bij verrekening van een CALL-transactie. De transactie is naar marktstandaarden out-of-the-money en kan daarom niet worden gesaldeerd. Gebruik indien nodig de normale afwikkeling.';

  @override
  String get api_error_168 => 'Gebruiker die vraagt om dekkingsbetaling van handel te bevestigen bestaat niet';

  @override
  String get api_error_169 => 'Poging om te bevestigen dat dekking is betaald voor een transactie die niet bestaat';

  @override
  String get api_error_172 => 'Proberen een advertentie te plaatsen waarbij het activum hetzelfde is als de advertentievaluta';

  @override
  String get api_error_174 => 'Poging om out-of-the-money PUT-handel uit te oefenen';

  @override
  String get api_error_175 => 'Poging om een coupon in te wisselen die niet bestaat tijdens de registratie';

  @override
  String get api_error_176 => 'Poging om een verlopen coupon in te wisselen tijdens de registratie';

  @override
  String get api_error_177 => 'Poging om een kortingsbon in te wisselen die niet op voorraad is tijdens de registratie';

  @override
  String get api_error_185 => 'Poging om kortingsbonnen te krijgen voor een gebruiker die niet bestaat';

  @override
  String get api_error_186 => 'Poging om meer dan 50 advertenties te krijgen bij het ontvangen van advertenties op ID';

  @override
  String get api_error_187 => 'Poging om een lege lijst met ID\'s te geven bij het ontvangen van advertenties op ID';

  @override
  String get api_error_188 => 'Geen enkele van de aangevraagde advertentie-ID\'s is een geldig ID bij het ontvangen van advertenties op ID';

  @override
  String get api_error_189 => 'Geen enkele van de gevraagde advertenties bestaat bij het ontvangen van advertenties op ID';

  @override
  String get api_error_190 => 'Poging om een lege lijst met ID\'s te geven bij het ophalen van transacties op ID';

  @override
  String get api_error_191 => 'Poging om meer dan 50 advertenties te krijgen bij het ontvangen van transacties op ID';

  @override
  String get api_error_192 => 'Geen enkele van de gevraagde transactie-ID\'s is een geldige ID bij het verkrijgen van transacties op ID';

  @override
  String get api_error_193 => 'Geen enkele van de gevraagde transacties bestaat bij het verkrijgen van transacties op ID';

  @override
  String get api_error_194 => 'Poging om openbaar API-token te genereren voor gebruiker die niet bestaat';

  @override
  String get api_error_195 => 'Onjuist wachtwoord bij poging om openbaar API-token te verkrijgen';

  @override
  String get api_error_196 => 'Poging om recente berichten op te halen voor gebruiker die niet bestaat';

  @override
  String get api_error_197 => 'Proberen om handelschatberichten te ontvangen met een tijdstempel \'na\' die buiten het toegestane bereik valt';

  @override
  String get api_error_198 => 'Poging om recente chatberichten van het account te ontvangen met een tijdstempel \'na\' die buiten het toegestane bereik valt';

  @override
  String get api_error_199 => 'Poging om openbare API-token te krijgen voor gebruiker die niet bestaat';

  @override
  String get api_error_200 => 'Poging om openbare API-token te laten verlopen en verwijderen voor gebruiker zonder openbare API-token';

  @override
  String get api_error_201 => 'Poging om prijsformule bij te werken voor advertentie die niet bestaat';

  @override
  String get api_error_202 => 'Proberen om accounttransacties te krijgen met een tijdstempel \'na\' die buiten het toegestane bereik valt';

  @override
  String get api_error_203 => 'Poging om reputatie-importgegevens op te halen voor een account dat niet bestaat';

  @override
  String get api_error_211 => 'Poging om reputatie-import goed te keuren voor gebruiker die niet bestaat';

  @override
  String get api_error_212 => 'Poging om reputatie-import goed te keuren voor gebruiker die zich niet in stap 2 van de reputatie-importstroom bevindt';

  @override
  String get api_error_213 => 'Poging om reputatie-import te weigeren voor gebruiker die niet bestaat';

  @override
  String get api_error_214 => 'Poging om reputatie-import te weigeren voor gebruiker die zich niet in stap 2 van de reputatie-importstroom bevindt';

  @override
  String get api_error_215 => 'Poging om zowel country_code als currency_code op te geven bij het aanvragen van de meest populaire betalingsmethoden';

  @override
  String get api_error_216 => 'Poging om de meest populaire betaalmethoden aan te vragen voor een country_code die niet bestaat';

  @override
  String get api_error_217 => 'Poging om de meest populaire betaalmethoden aan te vragen voor een currency_code die niet bestaat';

  @override
  String get api_error_218 => 'Proberen een transactie te openen voor een advertentie waarvoor een geverifieerd e-mailadres vereist is, terwijl de aanvragende gebruiker geen geverifieerd e-mailadres heeft';

  @override
  String get api_error_219 => 'Proberen zich te registreren met een e-mailadres dat afkomstig is van een wegwerp-e-mailprovider';

  @override
  String get api_error_220 => 'Poging om het e-mailadres van het account te wijzigen in een e-mailadres van een wegwerp-e-mailprovider';

  @override
  String get api_error_221 => 'Poging om alle meldingen te markeren als gelezen voor een gebruiker die niet bestaat';

  @override
  String get api_error_222 => 'Poging om reputatiecode op te vragen voor een account van een extern platform dat al is geïmporteerd';

  @override
  String get api_error_223 => 'Poging om advertentie bij te werken met verificatieRequired als waar opgegeven, terwijl verificatiebericht null is';

  @override
  String get api_error_224 => 'Er wordt geprobeerd de advertentie bij te werken met verificatiebericht, maar de advertentie vereist geen verificatie en het advertentie-updateverzoek stelt verificatieRequired ook niet in als waar';

  @override
  String get api_error_227 => 'Proberen een gebruiker te bestraffen die niet bestaat';

  @override
  String get api_error_228 => 'Poging om gebruiker te bestraffen met een beheerdersaccount dat niet bestaat';

  @override
  String get api_error_229 => 'Proberen een sanctie te verwijderen van een gebruiker die niet bestaat';

  @override
  String get api_error_230 => 'Poging om een sanctie te verwijderen van een gebruiker met een beheerdersaccount dat niet bestaat';

  @override
  String get api_error_231 => 'Proberen een sanctie te verwijderen van een gebruiker die geen sancties op zich heeft';

  @override
  String get api_error_232 => 'Proberen een transactie te openen met een gebruiker die momenteel niet mag handelen vanwege een sanctie';

  @override
  String get api_error_233 => 'Poging om feedback te verwijderen met ID die niet bestaat';

  @override
  String get api_error_234 => 'Proberen feedback te verwijderen die al is verwijderd';

  @override
  String get api_error_235 => 'Proberen de geschilstatus te verwijderen van een transactie die niet bestaat';

  @override
  String get api_error_236 => 'Poging om de betwistingsstatus te verwijderen van een transactie die niet betwist wordt';

  @override
  String get api_error_237 => 'Proberen een transactie te openen als een gebruiker die niet bestaat bij het aanroepen van het eindpunt voor het openen van de transactie als beheerder en het specificeren van de parameter openAsUsername';

  @override
  String get api_error_240 => 'Ongeldig adres opgegeven door de koper bij het reageren op een advertentie van het type SELL';

  @override
  String get api_error_241 => 'Koper probeert een intern adres op te geven bij het reageren op een advertentie van het type VERKOOP (interne adressen zijn niet toegestaan voor handelsafwikkeling)';

  @override
  String get api_error_242 => 'Ongeldig adres opgegeven door de koper bij het maken van een advertentie van het type KOOP';

  @override
  String get api_error_244 => 'Ongeldig adres opgegeven door de koper bij het bijwerken van een advertentie van het type KOOP';

  @override
  String get api_error_245 => 'Koper probeert een intern adres op te geven bij het updaten van een KOOP-advertentie (interne adressen zijn niet toegestaan voor handelsafwikkeling)';

  @override
  String get api_error_246 => 'Proberen een transactie te starten vanuit een advertentie van het type KOOP waarin het adres voor de afwikkeling van de koper niet wordt gespecificeerd';

  @override
  String get api_error_247 => 'Proberen een transactie vrij te geven van een account dat vanwege sancties niet mag worden opgenomen';

  @override
  String get api_error_248 => 'Proberen een transactie vrij te geven wanneer het bedrag van de transactie niet voldoende is om de afwikkelingsgerelateerde kosten te dekken';

  @override
  String get api_error_249 => 'Poging om een advertentie van het type BUY bij te werken waarvoor buyerSettlementAddress niet is ingesteld zonder de parameter buyerSettlementAddress in te stellen in het updateverzoek';

  @override
  String get api_error_250 => 'Ongeldig adres opgegeven bij het aanvragen van opnamekosten voor BTC';

  @override
  String get api_error_251 => 'Vergoedingsniveau niet opgegeven bij het openen van een transactie door te reageren op een advertentie van het type BTC SELL';

  @override
  String get api_error_252 => 'Vergoedingsniveau niet opgegeven bij het maken van een advertentie van het type BTC BUY';

  @override
  String get api_error_253 => 'Vergoedingsniveau niet opgegeven bij het bijwerken van een advertentie van het type BTC BUY waarvoor geen vergoedingsniveau is ingesteld';

  @override
  String get api_error_255 => 'Poging om meldingen te ontvangen met een \'na\'-tijdstempel die buiten het toegestane bereik valt';

  @override
  String get api_error_256 => 'Poging om een pushmeldingstoken te registreren dat al bestaat';

  @override
  String get api_error_257 => 'Poging om een pushmeldingstoken te registreren dat niet geldig is';

  @override
  String get api_error_258 => 'Poging om een pushnotificatietoken te registreren voor een account dat al 500 apparaattokens heeft, verwijder een van de bestaande tokens voordat u dit opnieuw probeert';

  @override
  String get api_error_259 => 'Poging om een token te verwijderen dat niet bestaat of niet bij deze gebruiker hoort';

  @override
  String get account => 'Account';

  @override
  String get login => 'Log in';

  @override
  String get skip => 'Overslaan';

  @override
  String get pin_setup => 'Pincode instellen';

  @override
  String get pin_enter_continue => 'Voer de pincode in om door te gaan';

  @override
  String get pin_enter => 'Voer Pin-code in';

  @override
  String get pin_enter_to_confirm_transaction => 'Voer de pincode in om de transactie te bevestigen';

  @override
  String get pin_you_can_use => 'Met deze pincode kun je de app ontgrendelen.';

  @override
  String get pin_confirm => 'Bevestig pincode';

  @override
  String get pin_current => 'huidige PIN';

  @override
  String get pin_set => 'Pincode instellen';

  @override
  String get pin_do_not_match => 'Pincodes komen niet overeen';

  @override
  String get pin_second_as_first => 'De pincode die u de tweede keer hebt ingevoerd, komt niet overeen met de eerste pincode.';

  @override
  String get pin_wrong_current => 'Verkeerde huidige pincode';

  @override
  String get pin_please_input_correct => 'Voer de juiste huidige pincode in.';

  @override
  String get enter_email => 'Voer email in';

  @override
  String get convert => 'Overzetten';

  @override
  String get recent_transactions => 'Recente transacties';

  @override
  String get transactions_30_days => 'Transacties van de afgelopen 30 dagen';

  @override
  String get forgot_password => 'Wachtwoord vergeten?';

  @override
  String get password_have_changed => 'Wachtwoord is gewijzigd.';

  @override
  String get i_want_to_buy => 'ik wil kopen';

  @override
  String get error_password_reset_token_invalid => 'Het verstrekte token voor het opnieuw instellen van het wachtwoord is ongeldig';

  @override
  String get error_password_reset_unverified_email => 'Probeer een wachtwoord opnieuw in te stellen voor een gebruiker met een niet-geverifieerd e-mailadres';

  @override
  String get i_want_to_buy_new => 'ik wil kopen';

  @override
  String get new_password => 'Nieuw wachtwoord (8-72 tekens)';

  @override
  String get i_want_to_sell => 'ik wil verkopen';

  @override
  String get log_in_to_start_trading => 'Log in om te beginnen met handelen';

  @override
  String get why_do_you_need_my_email => 'Waarom heb je mijn e-mail nodig?';

  @override
  String get view_all_transactions => 'Bekijk alle transacties';

  @override
  String get email_is_used_to => 'E-mail wordt gebruikt om uw wachtwoord te herstellen of u e-mailmeldingen te sturen. Uw e-mail wordt vergeleken met een externe database van wegwerp-e-mailproviders.';

  @override
  String get email_verified => 'E-mail is geverifieerd.';

  @override
  String get email_verification_error => 'Fout bij e-mailverificatie.';

  @override
  String get email_token_error => 'Token of e-mail zijn verkeerd. E-mail is niet geverifieerd.';

  @override
  String get welcome_screen_about => 'Veilig en gebruiksvriendelijk persoonlijk platform voor het verhandelen van lokale valuta voor Bitcoin en Monero.';

  @override
  String get view_in_block_explorer => 'Bekijk in blokverkenner';

  @override
  String get welcome_pick_a_payment_method => 'Kies een betaalmethode of kies uit alle beschikbare aanbiedingen.';

  @override
  String get welcome_buy_press_buy => 'Druk op KOPEN om de transactie te starten.';

  @override
  String get welcome_buy_follow_the_sellers => 'Volg de instructies van de verkoper in de ruilchat!';

  @override
  String get welcome_sell_go_to_wallet => 'Ga naar je portemonnee en stort je munten.';

  @override
  String get welcome_sell_press_sell => 'Druk op VERKOPEN om de transactie te starten.';

  @override
  String get welcome_sell_follow_the_buyer => 'Volg de instructies van de koper in de ruilchat!';

  @override
  String get get_started => 'Begin';

  @override
  String get send_to => 'Verzenden naar';

  @override
  String get error_only_numbers_are_possible => 'Alleen cijfers zijn mogelijk.';

  @override
  String get error_entered_greater_than_balance => 'De ingevoerde waarde is groter dan het saldo.';

  @override
  String get amount_to_receive => 'Te ontvangen bedrag';

  @override
  String get amount_to_send => 'Hoeveelheid om te verzenden';

  @override
  String your_deposit_address(Object asset) {
    return 'Uw $asset stortingsadres';
  }

  @override
  String pending(Object num1, Object num2) {
    return 'In behandeling ($num1/$num2)';
  }

  @override
  String get preview => 'Voorbeeld';

  @override
  String get close => 'Dichtbij';

  @override
  String get deposit => 'Borg';

  @override
  String get share => 'Deel';

  @override
  String get edit => 'Bewerk';

  @override
  String get confirm_transaction => 'Bevestig transactie';

  @override
  String get transaction_fee => 'Transactiekosten';

  @override
  String get show_qr_code => 'Toon QR-code';

  @override
  String get security => 'Veiligheid';

  @override
  String get no_pending_deposits => 'Geen openstaande deposito\'s';

  @override
  String get create_pin => 'Maak een pincode aan';

  @override
  String get change_pin => 'Verander pincode';

  @override
  String get remove_pin => 'Pincode verwijderen';

  @override
  String get remove_pin_message_success => 'Pincode verwijderd';

  @override
  String get you_will_receive => 'Je ontvangt';

  @override
  String get total_amount_to_send => 'Totaal te verzenden bedrag';

  @override
  String get enter_amount_to_receive_without_fee => 'Voer het te ontvangen bedrag in (zonder kosten)';

  @override
  String get enter_amount_to_receive_with_fee => 'Vul het af te trekken bedrag in (met toeslag)';

  @override
  String get return_reserve_from_trade => 'Retourreserve uit handel';

  @override
  String get user_profile => 'Gebruikersprofiel';

  @override
  String get personal_introduction => 'Persoonlijke introductie';

  @override
  String get trading_reputation_on_other_platforms => 'Handelsreputatie op andere platforms';

  @override
  String get how_to_link_my_account => 'Hoe koppel ik mijn account?';

  @override
  String link_account(Object platform) {
    return 'Link $platform-account';
  }

  @override
  String what_is_your_username(Object platform) {
    return 'Wat is uw gebruikersnaam op $platform?';
  }

  @override
  String get enter_username => 'Vul je gebruikersnaam in';

  @override
  String get edit_personal_introduction => 'Persoonlijke inleiding bewerken';

  @override
  String get your_info => 'Jouw gegevens';

  @override
  String get website => 'Website';

  @override
  String get are_you_sure => 'Weet je het zeker?';

  @override
  String get no_trusted_users_yet => 'Nog geen vertrouwde gebruikers.';

  @override
  String get no_blocked_users_yet => 'Nog geen geblokkeerde gebruikers.';

  @override
  String get no_transactions_yet => 'Nog geen transacties.';

  @override
  String get web_links => 'web links';

  @override
  String get tor_links => 'Tor-links';

  @override
  String get i2p_links => 'I2P-koppelingen';

  @override
  String get active_coupons => 'Actieve kortingsbonnen';

  @override
  String get expired_coupons => 'Verlopen coupons';

  @override
  String get hide_expired_coupons => 'Verberg verlopen kortingsbonnen';

  @override
  String get show_expired_coupons => 'Toon verlopen coupons';

  @override
  String get terms_and_conditions => 'Voorwaarden';

  @override
  String get current_email => 'Huidige email';

  @override
  String get remove_email => 'E-mail verwijderen';

  @override
  String get email_not_received_content => 'Als u de verificatie-e-mail niet heeft ontvangen, controleer dan uw map \"Spam\" of';

  @override
  String get email_not_received_link => 'klik hier om de e-mail opnieuw te verzenden.';

  @override
  String get email_confirm_delete => 'Bevestig e-mail verwijderen';

  @override
  String get email_deleted => 'E-mail verwijderd.';

  @override
  String email_confirmation_we_ve_sent_an_email(Object email) {
    return 'We hebben een e-mail gestuurd naar $email. Klik op de link in de e-mail om uw e-mailadres te verifiëren.';
  }

  @override
  String app_staff(Object appName) {
    return '$appName personeel';
  }

  @override
  String get current_password => 'Huidig wachtwoord';

  @override
  String get save_your_backup_code => 'Sla uw back-upcode op';

  @override
  String get your_backup_code => 'Uw back-upcode';

  @override
  String get set_up_2fa => 'Stel 2FA in';

  @override
  String get download_2fa => 'Download een 2FA-app. Kopieer de onderstaande code en plak deze in uw 2FA-app.';

  @override
  String get paste_code => 'Plak code';

  @override
  String get code_valid => 'Code geldig';

  @override
  String get verifying_the_code => 'De code verifiëren...';

  @override
  String get language => 'Taal';

  @override
  String get my_profile => 'Mijn profiel';

  @override
  String get choose_ad_default_region => 'Kies de standaardregio voor advertenties';

  @override
  String get knowledge_base => 'Kennis basis';

  @override
  String get report_this_ad => 'Rapporteer deze advertentie';

  @override
  String get cash_only => 'Alleen contant geld';

  @override
  String get dispute_started => 'Geschil begon';

  @override
  String get payment_info => 'Betaling informatie';

  @override
  String get trade_ad => 'Handel advertentie';

  @override
  String get ask_delete_ad => 'Weet u zeker dat u deze advertentie wilt verwijderen?';

  @override
  String get general => 'Algemeen';

  @override
  String get final_price => 'Definitieve prijs';

  @override
  String get use_price_formula_to_calculate => 'Gebruik de prijsformule om te berekenen';

  @override
  String get enter_price_formula => 'Voer prijsformule in';

  @override
  String get trade_limits => 'Handelslimieten (optioneel)';

  @override
  String get trade_details => 'Handelsgegevens (optioneel)';

  @override
  String get reply => 'Antwoord';

  @override
  String get trade_loading_failed => 'Het laden van transacties is mislukt, controleer de verbinding.';

  @override
  String get dark_theme => 'Donker thema';

  @override
  String search__no_results(Object country) {
    return 'Geen resultaten in $country met de geselecteerde criteria... nog niet. ';
  }

  @override
  String get affiliate__explain_is_reg => 'Affiliatie wordt geregistreerd wanneer een gebruiker zich aanmeldt nadat hij op de site is beland via een link met uw verwijzingscode.';

  @override
  String get affiliate__ref_code_title => 'Uw verwijzingscode';

  @override
  String affiliate__users__text(Object number) {
    return 'U bent momenteel geregistreerd als partner voor $number-gebruikers en verdient commissies voor alle transacties die door deze worden gedaan.';
  }

  @override
  String affiliate__terms__text___agoradesk(Object appName) {
    return '• U kunt naar elke afzonderlijke pagina linken, zoals een lijst met landen of betalingsmethoden, of iets anders op $appName.\n• U verdient cryptocurrency van de gebruikers die via uw aangesloten link naar de site komen, zich registreren en handelen.\n• Uitbetalingen worden dagelijks gedaan naar uw $appName-portemonnee in de relevante cryptocurrencies.\n• Commissies worden betaald gedurende één jaar vanaf de registratie van de gebruiker. Commissie is gebaseerd op het inkomen dat de nieuwe gebruiker opbrengt voor $appName (handelskosten).\n• Elk gemeen spel, zoals misleidende reclame, is verboden.\n• Spammen is verboden. Spammen omvat het verzenden van afgemelde privé- of openbare berichten op forums/reddit, afgemelde massamail, enz.\n• Het toevoegen van verborgen iframes aan een website om affiliates te strikken is verboden. Alleen aangesloten iframes of directe links naar de webpagina zijn toegestaan.\n• $appName heeft het recht om elke aangesloten gebruiker op elk moment uit te schakelen. Als u de voorwaarden schendt, wordt uw partnerprogramma beëindigd.';
  }

  @override
  String affiliate__example__text(Object assetName, Object appName, Object assetSymbol) {
    return 'U krijgt twee gebruikers, koper en verkoper van de $assetName geregistreerd op $appName, en zij doen één transactie ter waarde van 100 $assetSymbol. U verdient 20% commissie over de $appName handelskosten van beide deelnemers, in totaal 40% van de $appName vergoeding.\n\nJe verdiende bedrag is 0,4 $assetSymbol. Alleen afgeronde verkopen die door ons transactieproces gaan, zijn van belang. Dagelijks worden er uitbetalingen gedaan.\n\n$appName-ondersteuning is meer dan bereid om u te helpen met eventuele vragen.';
  }

  @override
  String get affiliate__enable_btn => 'Partnerprogramma inschakelen';

  @override
  String affiliate__enabled(Object ref_code, Object appName) {
    return 'Uw partnerprogramma is ingeschakeld en u kunt commissies verdienen door uw partnertag $ref_code toe te voegen aan een willekeurige $appName URL.';
  }

  @override
  String reputation_import__step__username__input__label(Object platform) {
    return 'Uw $platform gebruikersnaam';
  }

  @override
  String reputation_import__step__code__message(Object platform) {
    return 'Voeg deze code ergens toe aan je openbare $platform profiel. Nadat we de code hebben geverifieerd, kunt u deze verwijderen.';
  }

  @override
  String settings__homepage_tip(Object example_url) {
    return 'Weergegeven op je openbare profiel. Alleen geldige URL geaccepteerd (bijv. https://$example_url)';
  }

  @override
  String get settings__personal_info_tip => 'Weergegeven op je openbare profiel. Maximaal 65536 tekens. Kan markdown gebruiken voor styling.';

  @override
  String get settings__personal_info_tip_1 => 'Weergegeven op je openbare profiel. Maximaal 65536 tekens.';

  @override
  String get coupons__coupon__type_here => 'Typ hier uw coupon';

  @override
  String get trade__mark_pay_according => ' Betaal volgens onderstaande betaalgegevens. Als je vragen hebt, stel ze dan aan de verkoper in de chat.';

  @override
  String get dashboard__trade__status__open => 'Open';

  @override
  String get wallet__available_balance => 'beschikbaar saldo';

  @override
  String get trade__dialog__confirm_release_monero_text_password => 'Dit wachtwoord wordt gebruikt als offset om de niet-bewarende afwikkelingsportefeuille te genereren en de transactie te ondertekenen. LocalMonero kan de portemonnee niet herstellen als u dit wachtwoord verliest.';

  @override
  String get dont_have_an_account_yet => 'Heb je nog geen account?';

  @override
  String get app_trades => 'Handel';

  @override
  String get app_unlimited => 'Onbeperkt';

  @override
  String get app_guides => 'Gidsen';

  @override
  String get app_edit_this_ad => 'Bewerk deze advertentie';

  @override
  String get app_you_can_use_markdown => 'U kunt markdown gebruiken om de voorwaarden van uw advertentie op te maken (afbeeldingen zijn niet toegestaan).';

  @override
  String get app_no_trades_to_export => 'Geen handel om te exporteren.';

  @override
  String app_settings_2fa_step_two(Object appName) {
    return 'Schrijf uw back-upcode (hierboven in groen) op een stuk papier en bewaar deze op een veilige plaats. Je hebt het nodig als je je telefoon kwijtraakt of als je geen toegang meer hebt tot je account. $appName kan u niet helpen als u deze code verliest.';
  }

  @override
  String get ad_post_ad_rules_text_0 => 'Lees voordat u een advertentie maakt eerst onze ';

  @override
  String app_trade_warning_impersonation(Object appName) {
    return 'Pas op voor oplichters die zich voordoen als personeel!\n${appName} beheerders zullen u nooit vertellen om een ruil af te ronden.\nPersoneelsberichten hebben een rode achtergrond.';
  }

  @override
  String app_buy_sell(Object val) {
    return 'Hoeveel wilt u $val?';
  }

  @override
  String app_buyer_marked_as_paid(Object val) {
    return '$val heeft de transactie gemarkeerd als betaald';
  }

  @override
  String app_buy_crypto_from(Object val) {
    return 'Koop crypto van $val';
  }

  @override
  String app_sell_crypto_to(Object val) {
    return 'Verkoop crypto aan $val';
  }

  @override
  String app_trades_with(Object val) {
    return 'Zie transacties met $val';
  }

  @override
  String app_able_to_cancel(Object val1, Object val2) {
    return '($val1 kan annuleren over $val2 min, tenzij u als betaald markeert)';
  }

  @override
  String app_able_to_cancel_now(Object val) {
    return '($val kan nu annuleren, tenzij u als betaald markeert)';
  }

  @override
  String app_buying_from(Object asset, Object amount, Object username) {
    return '$asset $amount kopen van $username';
  }

  @override
  String app_selling_to(Object asset, Object amount, Object username) {
    return 'Verkoop van $asset $amount aan $username';
  }

  @override
  String app_for_sum(Object val) {
    return 'voor $val';
  }

  @override
  String get app_buy_crypto => 'Koop crypto van';

  @override
  String get app_sell_crypto => 'Verkoop crypto aan';

  @override
  String get app_intall_trade_title => 'Installeer AgoraDesk om deze transactie te bekijken';

  @override
  String get app_intall_ad_title => 'Installeer AgoraDesk om deze advertentie te bekijken';

  @override
  String get app_intall_trade_body => 'Dit is een op Bitcoin gebaseerde handel, het vereist onze AgoraDesk-app om te bekijken.';

  @override
  String get app_intall_ad_body => 'Dit is een op Bitcoin gebaseerde advertentie, het vereist onze AgoraDesk-app om deze te bekijken.';

  @override
  String get app_trade_option_payment_receiver_cancel_notice => 'Voltooi nooit een transactie totdat u er 100% zeker van bent dat u het geld heeft ontvangen. Oplichters zullen proberen u te misleiden om vroegtijdig af te ronden.';

  @override
  String get app_cancel_trade_message => 'Heeft u een fout gemaakt of wilt u een andere handelaar proberen? Als u het geld al heeft overgemaakt en nu wilt annuleren, moet u zelf onderhandelen over de teruggave van uw betaling met uw handelspartner. Annuleer nooit tenzij je zeker weet dat je je geld terug hebt ontvangen.';

  @override
  String get app_all_feedback => 'Alle reacties';

  @override
  String get app_camera => 'Camera';

  @override
  String get app_clear => 'Duidelijk';

  @override
  String get app_ad_deleted => 'Advertentie verwijderd';

  @override
  String get app_verifiacetion_code_to_seller => 'Dit is uw verificatiecode. U kunt het aan de koper vertellen, zodat de koper kan verifiëren dat u de transactie hebt voltooid zonder dat hij of zij het apparaat hoeft te gebruiken.';

  @override
  String get app_verification_code => 'Verificatie code';

  @override
  String get app_ad => 'Advertentie';

  @override
  String get app_with => 'met';

  @override
  String get app_edited => 'Bewerkt';

  @override
  String get app_permanent => 'permanent';

  @override
  String get app_error_saving => 'Fout tijdens het opslaan. Wijzigingen zijn niet opgeslagen.';

  @override
  String get app_manage_ads => 'Advertenties beheren';

  @override
  String get app_vacation_enabled => 'Vakantie ingeschakeld';

  @override
  String get app_trade_created => 'Handel gecreëerd';

  @override
  String get app_session_expired => 'Sessie verlopen';

  @override
  String get app_anonymous_crash_diagnostics => 'Anonieme crashdiagnose';

  @override
  String get app_restart_now => 'Nu opnieuw opstarten';

  @override
  String get app_postpone => 'Uitstellen';

  @override
  String get app_biometric_authentication => 'Biometrische authenticatie';

  @override
  String get app_biometric_authentication_message => 'Stel een pincode in om biometrische authenticatie in te schakelen.';

  @override
  String get app_anonymous_crash_diagnostics_restart => 'Anonieme crashdiagnose is uitgeschakeld en wordt niet verzonden nadat je de app opnieuw hebt opgestart.';

  @override
  String get app_trading_partners => 'Handelspartners';

  @override
  String get app_trade_status_settlement_processing_description => 'De schikking wordt verwerkt. Even geduld, u hoeft niets te doen.';

  @override
  String get app_buyer_settlement_fee_level_description => 'Kies een vergoedingsniveau dat moet worden gebruikt tijdens de handelsafwikkeling. De hier getoonde waarden zijn de huidige koersschattingen en kunnen verschillen van de waarden die werden toegepast tijdens de handelsafrekening. Als het bedrag van de transactie te laag is om de transactie met het geselecteerde vergoedingsniveau te vereffenen, wordt tijdens de vereffening automatisch een lager vergoedingsniveau geselecteerd.';

  @override
  String get app_change_vacation_settings => 'Vakantie-instellingen wijzigen.';

  @override
  String get app_gallery => 'Galerij';

  @override
  String get app_via => 'via';

  @override
  String get app_one_percent => '1% vergoeding';

  @override
  String get app_final_amount => 'Eindbedrag';

  @override
  String app_note_label(Object val) {
    return 'Uw notitie op {username} (alleen door u gezien)';
  }

  @override
  String app_note_add(Object val) {
    return 'Voeg een notitie toe op {username}';
  }

  @override
  String app_update_new_version_available(Object val) {
    return 'Nieuwe versie $val is beschikbaar.';
  }

  @override
  String get app_update_now => 'Update nu';

  @override
  String get app_update_ingnor_until_next => 'Negeren tot de volgende update';

  @override
  String get app_update_ignore_always => 'Negeer altijd';

  @override
  String get app_tooltip_visibility => 'Tik om zichtbaarheid te wisselen';

  @override
  String get app_tooltip_long_press_ad => 'Druk lang op de advertentie om groepsbewerking in te schakelen';

  @override
  String get app_join_telegram => 'Word lid van de Telegram-groep';

  @override
  String get app_join_matrix => 'Word lid van de Matrix-groep';

  @override
  String get app_display_password => 'Wachtwoord weergeven';

  @override
  String get app_hide_password => 'Verberg wachtwoord';

  @override
  String get app_trade_has_been_cancelled => 'De transactie is geannuleerd.';

  @override
  String app_last_seen(Object val) {
    return 'Laatst gezien $val';
  }

  @override
  String get app_open_additional_filters => 'Extra filters openen';

  @override
  String get app_select_asset => 'Selecteer activa';

  @override
  String get app_select_trade_type => 'Selecteer handelstype';

  @override
  String get app_paste => 'Plakken';

  @override
  String get app_scan_qr_code => 'Scan QR-code';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sbagoradesk => 'Koop of verkoop Bitcoin anoniem, zonder ID-verificatie. Contant of online. Veilig, snel, gemakkelijk.\n\nVraagt u zich af hoe u kunt investeren in Bitcoin? Op AgoraDesk is het kopen van bitcoins nog nooit zo eenvoudig geweest - koop direct BTC van een persoon met behulp van uw favoriete online betaalmethode: PayPal, creditcard/bankpas of bankoverschrijving, cadeaubonnen, Venmo of een andere. Als u bitcoins bij u in de buurt met contant geld wilt kopen, kunt u iemand vinden die lokaal bitcoins wil verkopen - het handelsplatform ondersteunt het kopen en verkopen van BTC met contant geld. Je kunt zelfs bitcoins kopen met contant geld per post.\n\n- Veilige en vlotte handel\nNet als LocalBitcoins ondersteunen we elke betaalmethode, elke valuta, overal. We verwijderen geen betalingsmethoden en, in tegenstelling tot LocalBitcoins, ondersteunen we face-to-face contante transacties volledig. Al onze transacties worden beschermd door een arbitragegarantie. Dankzij het feit dat we eisen dat fondsen in arbitrage-obligatie worden gehouden voordat een transactie kan beginnen, zorgen we voor een soepele en veilige ervaring voor de koper, wat essentieel is voor de populariteit van het platform en terugkerende klanten voor de verkopers.\n\n- Geen KYC/AML of ID-verificatie\nAgoraDesk zet zich in voor het behoud van de eenvoud en rechtlijnigheid die de originele LocalBitcoins zo populair hebben gemaakt. We maken geen gebruik van KYC/AML en zijn dat ook nooit van plan.\n\n- Vertrouwd door de gemeenschap\nOns platform bestaat al meer dan vier jaar, overleefde de Grote Cryptocurrency Market Crash van 2018 en werd door zijn gemeenschapsgerichte, toegewijde service een van de meest vertrouwde namen in de uiterst sceptische cryptocurrency-gemeenschap.\n\n- Veilig, open source, privacygericht, censuurbestendig\nOnze app is gratis en open source, wat ervoor zorgt dat veel ogen naar de code van de app kijken om er zeker van te zijn dat er geen beveiligingslekken of privacylekken zijn. Open sourcing van onze app geeft ook iedereen toegang tot onze app, zelfs als een bepaalde app-repository de app censureert. Onze app werkt zelfs op telefoons waarop Google volledig is geblokkeerd. We stellen uw privacy zo op prijs dat we u niet eens vragen om een e-mailadres op te geven bij het registreren.\n\nBroncode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProbleemtracker: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Stellaire ondersteuning\nOns ondersteuningsteam is snel, responsief en altijd enthousiast om te behagen. We hebben nog nooit een supportticket gehad dat niet binnen 24 uur werd beantwoord. We zijn altijd goed bereikbaar via sociale media, luisteren aandachtig naar uw kritiek en voeren goede gebruikerssuggesties altijd in een recordtijd uit.\n\nU kunt onze ondersteuning bereiken op: https://agoradesk.com/support\n\n- Eerlijke vergoedingen\nWe brengen geen exorbitante kosten in rekening wanneer u Bitcoins stort of opneemt in/uit onze arbitrage-obligatieportemonnee. Er zijn geen aanbetalingskosten en de opnamekosten liggen zeer dicht bij de kosten die u zou betalen voor een normale transactie.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: eenvoudig Bitcoin kopen';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: koop eenvoudig XMR';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sblocalmonero => 'Koop of verkoop Monero zonder ID-verificatie. Contant of online. Veilig, snel, gemakkelijk.\n\nLocalMonero is het grootste, meest vertrouwde en gevestigde P2P-handelsplatform in de XMR-gemeenschap. We hebben geen KYC-cheques - u kunt eenvoudig anoniem Monero kopen zonder ID-verificatie met PayPal, creditcard, cadeaukaart, contant per post of Bitcoin, Ether, USDT of een andere cryptomunt converteren naar Monero - ons platform ondersteunt elke betaalmethode.\n\n- Veilige en vlotte handel\nWe ondersteunen elke betaalmethode, elke valuta, overal. We verwijderen geen betalingsmethoden en we ondersteunen face-to-face contante transacties volledig. Al onze transacties worden beschermd door een arbitragegarantie. Dankzij het feit dat we eisen dat fondsen in arbitrage-obligatie worden gehouden voordat een transactie kan beginnen, zorgen we voor een soepele en veilige ervaring voor de koper, wat essentieel is voor de populariteit van het platform en terugkerende klanten voor de verkopers.\n\n- Geen KYC/AML of ID-verificatie\nLocalMonero doet er alles aan om de eenvoud en rechtlijnigheid van uw handelservaring te behouden. We maken geen gebruik van KYC/AML en zijn dat ook nooit van plan.\n\n- Vertrouwd door de gemeenschap\nOns platform bestaat al meer dan vier jaar, overleefde de Grote Cryptocurrency Market Crash van 2018 en werd door zijn gemeenschapsgerichte, toegewijde service een van de meest vertrouwde namen in de uiterst sceptische Monero-gemeenschap.\n\n- Veilig, open source, privacygericht, censuurbestendig\nOnze app is gratis en open source, wat ervoor zorgt dat veel ogen naar de code van de app kijken om er zeker van te zijn dat er geen beveiligingslekken of privacylekken zijn. Open sourcing van onze app geeft ook iedereen toegang tot onze app, zelfs als een bepaalde app-repository de app censureert. Onze app werkt zelfs op telefoons waarop Google volledig is geblokkeerd. We stellen uw privacy zo op prijs dat we u niet eens vragen om een e-mailadres op te geven bij het registreren.\nKoop of verkoop Monero zonder ID-verificatie. WAARSCHUWING: DEZE APP IS MOMENTEEL IN OPEN BETA!\n\nBroncode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProbleemtracker: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Stellaire ondersteuning\nOns ondersteuningsteam is snel, responsief en altijd enthousiast om te behagen. We hebben nog nooit een supportticket gehad dat niet binnen 24 uur werd beantwoord. We zijn altijd goed bereikbaar via sociale media, luisteren aandachtig naar uw kritiek en voeren goede gebruikerssuggesties altijd in een recordtijd uit.\n\nU kunt onze ondersteuning bereiken op: https://localmonero.co/support\n\n- Eerlijke vergoedingen\nWe brengen geen exorbitante kosten in rekening wanneer je Monero stort of opneemt in/uit onze arbitrage-obligatieportemonnee. Er zijn geen aanbetalingskosten en de opnamekosten liggen zeer dicht bij de kosten die u zou betalen voor een normale transactie.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: koop XMR privé';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sblocalmonero => 'Koop of verkoop Monero zonder ID-verificatie. Contant of online. Veilig, snel, gemakkelijk.\n\nLocalMonero is het grootste, meest vertrouwde en gevestigde P2P-handelsplatform in de XMR-gemeenschap. We hebben geen KYC-cheques - u kunt eenvoudig anoniem Monero kopen zonder ID-verificatie met PayPal, creditcard, cadeaukaart, contant per post of Bitcoin, Ether, USDT of een andere cryptomunt converteren naar Monero - ons platform ondersteunt elke betaalmethode.\n\n- Veilige en vlotte handel\nWe ondersteunen elke betaalmethode, elke valuta, overal. We verwijderen geen betalingsmethoden en we ondersteunen face-to-face contante transacties volledig. Al onze transacties worden beschermd door een arbitragegarantie. Dankzij het feit dat we eisen dat fondsen in arbitrage-obligatie worden gehouden voordat een transactie kan beginnen, zorgen we voor een soepele en veilige ervaring voor de koper, wat essentieel is voor de populariteit van het platform en terugkerende klanten voor de verkopers.\n\n- Geen KYC/AML of ID-verificatie\nLocalMonero doet er alles aan om de eenvoud en rechtlijnigheid van uw handelservaring te behouden. We maken geen gebruik van KYC/AML en zijn dat ook nooit van plan.\n\n- Vertrouwd door de gemeenschap\nOns platform bestaat al meer dan vier jaar, overleefde de Grote Cryptocurrency Market Crash van 2018 en werd door zijn gemeenschapsgerichte, toegewijde service een van de meest vertrouwde namen in de uiterst sceptische Monero-gemeenschap.\n\n- Veilig, open source, privacygericht, censuurbestendig\nOnze app is gratis en open source, wat ervoor zorgt dat veel ogen naar de code van de app kijken om er zeker van te zijn dat er geen beveiligingslekken of privacylekken zijn. Open sourcing van onze app geeft ook iedereen toegang tot onze app, zelfs als een bepaalde app-repository de app censureert. Onze app werkt zelfs op telefoons waarop Google volledig is geblokkeerd. We stellen uw privacy zo op prijs dat we u niet eens vragen om een e-mailadres op te geven bij het registreren.\n\nBroncode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProbleemtracker: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Stellaire ondersteuning\nOns ondersteuningsteam is snel, responsief en altijd enthousiast om te behagen. We hebben nog nooit een supportticket gehad dat niet binnen 24 uur werd beantwoord. We zijn altijd goed bereikbaar via sociale media, luisteren aandachtig naar uw kritiek en voeren goede gebruikerssuggesties altijd in een recordtijd uit.\n\nU kunt onze ondersteuning bereiken op: https://localmonero.co/support\n\n- Eerlijke vergoedingen\nWe brengen geen exorbitante kosten in rekening wanneer u Monero stort of opneemt in/uit onze arbitrage-obligatieportemonnee. Er zijn geen aanbetalingskosten en de opnamekosten liggen zeer dicht bij de kosten die u zou betalen voor een normale transactie.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: anoniem BTC kopen';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sbagoradesk => 'Koop of verkoop Bitcoin zonder ID-verificatie. Contant of online.\n\nVraagt u zich af hoe u kunt investeren in Bitcoin? Op AgoraDesk is het kopen van bitcoins nog nooit zo eenvoudig geweest - koop direct BTC van een persoon met behulp van uw favoriete online betaalmethode: PayPal, creditcard/bankpas of bankoverschrijving, cadeaubonnen, Venmo of een andere. Als u bitcoins bij u in de buurt met contant geld wilt kopen, kunt u iemand vinden die lokaal bitcoins wil verkopen - het handelsplatform ondersteunt het kopen en verkopen van BTC met contant geld. Je kunt zelfs bitcoins kopen met contant geld per post.\n\n- Veilige en vlotte handel\nNet als LocalBitcoins ondersteunen we elke betaalmethode, elke valuta, overal. We verwijderen geen betalingsmethoden en, in tegenstelling tot LocalBitcoins, ondersteunen we face-to-face contante transacties volledig. Al onze transacties worden beschermd door een arbitragegarantie. Dankzij het feit dat we eisen dat fondsen in arbitrage-obligatie worden gehouden voordat een transactie kan beginnen, zorgen we voor een soepele en veilige ervaring voor de koper, wat essentieel is voor de populariteit van het platform en terugkerende klanten voor de verkopers.\n\n- Geen KYC/AML of ID-verificatie\nAgoraDesk zet zich in voor het behoud van de eenvoud en rechtlijnigheid die de originele LocalBitcoins zo populair hebben gemaakt. We maken geen gebruik van KYC/AML en zijn dat ook nooit van plan.\n\n- Vertrouwd door de gemeenschap\nOns platform bestaat al meer dan vier jaar, overleefde de Grote Cryptocurrency Market Crash van 2018 en werd door zijn gemeenschapsgerichte, toegewijde service een van de meest vertrouwde namen in de uiterst sceptische cryptocurrency-gemeenschap.\n\n- Veilig, open source, privacygericht, censuurbestendig\nOnze app is gratis en open source, wat ervoor zorgt dat veel ogen naar de code van de app kijken om er zeker van te zijn dat er geen beveiligingslekken of privacylekken zijn. Open sourcing van onze app geeft ook iedereen toegang tot onze app, zelfs als een bepaalde app-repository de app censureert. Onze app werkt zelfs op telefoons waarop Google volledig is geblokkeerd. We stellen uw privacy zo op prijs dat we u niet eens vragen om een e-mailadres op te geven bij het registreren.\n\nBroncode: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nProbleemtracker: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Stellaire ondersteuning\nOns ondersteuningsteam is snel, responsief en altijd enthousiast om te behagen. We hebben nog nooit een supportticket gehad dat niet binnen 24 uur werd beantwoord. We zijn altijd goed bereikbaar via sociale media, luisteren aandachtig naar uw kritiek en voeren goede gebruikerssuggesties altijd in een recordtijd uit.\n\nU kunt onze ondersteuning bereiken op: https://agoradesk.com/support\n\n- Eerlijke vergoedingen\nWe brengen geen exorbitante kosten in rekening wanneer u Bitcoins stort of opneemt in/uit onze arbitrage-obligatieportemonnee. Er zijn geen aanbetalingskosten en de opnamekosten liggen zeer dicht bij de kosten die u zou betalen voor een normale transactie.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sblocalmonero => 'cryptocurrency, anoniem, privé, monero, xmr, p2p';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sbagoradesk => 'cryptocurrency,bitcoin,monero,BTC,XMR,anoniem,privé';

  @override
  String get app_report_this_user => 'Rapporteer deze gebruiker';

  @override
  String get app_open_dropdown => 'Vervolgkeuzelijst openen';

  @override
  String get error250Sbsignup250Sb175 => 'Poging om een coupon in te wisselen die niet bestaat tijdens de registratie';

  @override
  String get error250Sbsignup250Sb176 => 'Poging om een verlopen coupon in te wisselen tijdens de registratie';

  @override
  String get error250Sbsignup250Sb177 => 'Poging om een kortingsbon in te wisselen die niet op voorraad is tijdens de registratie';

  @override
  String get nojs250Sbpassword8722Sbreset250Sbsuccess => 'Wachtwoord reset brief verzonden! Controleer je inbox.';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbcontinue => 'Ga akkoord met de voorwaarden en ga verder';

  @override
  String get logout250Sbtitle => 'Uitloggen';

  @override
  String get coupons250Sbcode8722Sbapply => 'Pas een couponcode toe';

  @override
  String post8722Sbad250Sbtrade8722Stype250Sbonline8722Sbuy(Object assetName) {
    return 'Koop $assetName online';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_buy => 'call-optie kopen';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_sell => 'calloptie verkopen';

  @override
  String get app_accessibility_edit_box_password => 'Edit box password, double tap to edit';

  @override
  String get app_ad_created => 'Ad created';

  @override
  String app_503_title(Object val) {
    return '$val App Maintenance';
  }

  @override
  String app_503_body(Object val) {
    return '$val will be back soon!\nSorry for the inconvenience but we\'re performing some scheduled maintenance at the moment.\nWe\'ll probably be back online soon. Stay updated in our community groups:';
  }

  @override
  String get app_select_ad_type => 'Select ad type';
}
